<?php
 namespace App\Backup; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\FindChmodCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\RcloneCopyCommand; use App\System\Command\RcloneLsJsonCommand; use App\System\Command\RclonePurgeCommand; class Rclone { private const FREQUENCY_DAILY = "\144\141\x69\154\x79"; private const CONFIG_DIRECTORY = "\x2f\162\x6f\157\164\57\56\143\157\156\x66\151\x67\57\x72\x63\x6c\157\156\145\x2f"; private const CLP_USER_CONFIG_DIRECTORY = "\x2f\150\x6f\155\x65\57\x63\154\x70\57\56\x63\157\x6e\146\151\x67\x2f"; private const CLP_USER = "\143\x6c\x70"; public const CREDENTIALS_DIRECTORY = "\57\150\157\155\145\x2f\143\154\x70\57\56\143\157\156\146\151\x67\57\162\143\154\157\x6e\145\57\143\162\x65\144\x65\156\164\x69\x61\154\x73\57"; private const CONFIG_FILE = "\57\x72\x6f\157\x74\x2f\56\143\157\156\146\151\147\x2f\162\x63\x6c\x6f\156\x65\57\x72\143\154\157\156\145\56\143\x6f\x6e\146"; private const CRON_JOB_FILE = "\57\145\164\143\x2f\143\162\157\x6e\56\x64\57\x63\154\160\x2d\x72\143\x6c\157\156\145"; private CommandExecutor $commandExecutor; private ?string $configFile = null; private array $flags = []; public function __construct() { $this->commandExecutor = new CommandExecutor(); } public function setConfigFile(string $configFile) : void { $this->configFile = $configFile; } public function getConfigFile() : ?string { goto af048; f9a0f: fdff5: goto aa959; af048: if (!(true === is_null($this->configFile))) { goto fdff5; } goto e5f4a; aa959: return $this->configFile; goto C48f0; e5f4a: $this->configFile = self::CONFIG_FILE; goto f9a0f; C48f0: } public function addFlag(string $flag, string $value) { $this->flags[] = ["\x66\154\x61\x67" => $flag, "\x76\x61\x6c\x75\x65" => $value]; } public function getFlags() : array { return $this->flags; } public function copy(string $source, string $destination) : void { goto Ebc1e; D13eb: $this->commandExecutor->execute($rcloneCopyCommand, 21600); goto fd42d; c85b8: $rcloneCopyCommand->setConfigFile($configFile); goto C23f2; e2bb8: $rcloneCopyCommand = new RcloneCopyCommand(); goto c85b8; f4e2a: $configFile = $this->getConfigFile(); goto e2bb8; C23f2: $rcloneCopyCommand->setSource($source); goto ccdcf; ccdcf: $rcloneCopyCommand->setDestination($destination); goto ee115; Ebc1e: $flags = $this->getFlags(); goto f4e2a; ee115: $this->addFlagsToCommand($flags, $rcloneCopyCommand); goto D13eb; fd42d: } public function lsJson(?string $remotePath = null, $directoriesOnly = false) : array { goto E7d2f; A0dfc: $this->commandExecutor->execute($rcloneLsJsonCommand, 20); goto ac733; dc429: return $files; goto F1013; F8a67: if (!(true === $directoriesOnly)) { goto a5e0c; } goto fce7b; C7ccd: $this->addFlagsToCommand($flags, $rcloneLsJsonCommand); goto A0dfc; E7d2f: $flags = $this->getFlags(); goto fe74f; c1685: a5e0c: goto C7ccd; ac733: $files = $rcloneLsJsonCommand->getFiles(); goto dc429; be728: $rcloneLsJsonCommand->setConfigFile($configFile); goto daa9c; fce7b: $rcloneLsJsonCommand->setDirectoriesOnly(true); goto c1685; fe74f: $configFile = $this->getConfigFile(); goto d5244; daa9c: $rcloneLsJsonCommand->setRemotePath($remotePath); goto F8a67; d5244: $rcloneLsJsonCommand = new RcloneLsJsonCommand(); goto be728; F1013: } public function purge(string $remotePath) { goto C3e40; Ffb7b: $rclonePurgeCommand = new RclonePurgeCommand(); goto F4a95; F4a95: $rclonePurgeCommand->setRemotePath($remotePath); goto D6790; D6790: $this->addFlagsToCommand($flags, $rclonePurgeCommand); goto eb62d; eb62d: $this->commandExecutor->execute($rclonePurgeCommand, 21600); goto Addf6; C3e40: $flags = $this->getFlags(); goto Ffb7b; Addf6: } public function writeConfig(string $config) : void { goto Cd4b8; Bac0b: $createConfigDirectoryCommand = new CreateDirectoryCommand(); goto cb6d8; Ffacd: $writeConfigFileCommand->setFile($configFile); goto B6606; c7631: $writeConfigFileCommand = new WriteFileCommand(); goto Ffacd; B6606: $writeConfigFileCommand->setContent($config); goto eb4f2; Cd4b8: $configFile = $this->getConfigFile(); goto Bac0b; cb6d8: $createConfigDirectoryCommand->setDirectory(self::CONFIG_DIRECTORY); goto c7631; eb4f2: $this->commandExecutor->execute($createConfigDirectoryCommand); goto de708; de708: $this->commandExecutor->execute($writeConfigFileCommand); goto F64c1; F64c1: } public function writeCredentialsFile(string $file, string $content) : void { goto Ea6d0; acac6: $credentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto c439c; f0c6c: $chmodConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto Cf726; aeae4: $chownConfigDirectoryCommand->setRecursive(true); goto Fc89f; Fc89f: $chownConfigDirectoryCommand->setUser(self::CLP_USER); goto Ef392; Ce68e: $this->commandExecutor->execute($credentialsDirectoryCommand); goto A094e; Ea6d0: $credentialsDirectoryCommand = new CreateDirectoryCommand(); goto acac6; Be8b0: $chmodConfigDirectoryCommand->setFileChmod(770); goto Ce68e; Cf726: $chmodConfigDirectoryCommand->setDirectoryChmod(770); goto Be8b0; c439c: $chownConfigDirectoryCommand = new ChownCommand(); goto C60e7; A094e: $this->commandExecutor->execute($chownConfigDirectoryCommand); goto Dfc81; Ef392: $chownConfigDirectoryCommand->setGroup(self::CLP_USER); goto E96ae; Dfc81: $this->commandExecutor->execute($chmodConfigDirectoryCommand); goto Fdeaf; C60e7: $chownConfigDirectoryCommand->setFile(self::CLP_USER_CONFIG_DIRECTORY); goto aeae4; Fdeaf: file_put_contents($file, $content); goto Da5bb; E96ae: $chmodConfigDirectoryCommand = new FindChmodCommand(); goto f0c6c; Da5bb: } public function createCronJob(string $frequency, string $executionTime = null) : void { goto d13f2; d34df: $this->commandExecutor->execute($writeCronJobFileCommand); goto d9b37; d9d3f: A8be7: goto fa55f; Aed0a: $writeCronJobFileCommand->setContent($cronJobContent); goto d34df; E5ebf: if (self::FREQUENCY_DAILY == $frequency) { goto A8be7; } goto B2b69; B2b69: $cronJobContent .= sprintf("\60\x20\x2a\x2f\x25\x73\x20\52\40\x2a\40\x2a\x20\143\x6c\160\40\57\165\x73\x72\x2f\142\x69\156\57\x62\141\x73\150\40\55\143\x20\x22\x2f\x75\163\x72\57\x62\x69\x6e\57\x63\154\160\x63\x74\154\x20\162\x65\155\157\164\x65\x2d\142\x61\x63\x6b\165\x70\72\143\162\145\x61\164\145\x20\x2d\55\x64\145\154\141\x79\75\x74\x72\x75\145\x22\40\46\x3e\40\x2f\x64\145\166\57\156\x75\x6c\x6c", $frequency); goto a2333; B0b32: $writeCronJobFileCommand = new WriteFileCommand(); goto d833a; fa55f: $cronJobContent .= sprintf("\x30\40\45\x73\40\x2a\40\52\40\x2a\x20\x63\x6c\160\x20\x2f\x75\x73\162\57\x62\x69\x6e\x2f\x62\x61\x73\x68\x20\55\143\40\x22\x2f\x75\163\x72\x2f\142\x69\156\57\x63\154\160\x63\x74\154\x20\162\x65\155\x6f\x74\x65\55\x62\141\x63\153\165\x70\72\x63\x72\x65\141\164\145\x20\x2d\55\144\x65\154\x61\171\75\164\x72\165\145\x22\x20\46\x3e\40\x2f\x64\x65\x76\x2f\x6e\x75\x6c\154", $executionTime); goto Af313; a2333: goto f4d5f; goto d9d3f; Af313: f4d5f: goto B0b32; d833a: $writeCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto Aed0a; d13f2: $cronJobContent = sprintf("\x4d\101\x49\x4c\x54\117\75\42\42\45\x73", PHP_EOL); goto E5ebf; d9b37: } private function addFlagsToCommand(array $flags, $command) : void { goto Fb109; Dc6d0: A74a5: goto Aadef; Fb109: if (!(false === empty($flags))) { goto A74a5; } goto e28f9; Fff14: d2d59: goto Dc6d0; e28f9: foreach ($flags as $flagData) { $command->addFlag($flagData["\146\x6c\141\147"], $flagData["\x76\141\154\x75\x65"]); e2431: } goto Fff14; Aadef: } public function deleteCronJob() : void { goto Ea8e5; Ea8e5: $deleteCronJobFileCommand = new DeleteFileCommand(); goto a8663; bbe55: $this->commandExecutor->execute($deleteCronJobFileCommand); goto b372b; a8663: $deleteCronJobFileCommand->setFile(self::CRON_JOB_FILE); goto bbe55; b372b: } public function deleteCredentials() : void { goto D5401; D5401: $deleteCredentialsDirectoryCommand = new DeleteDirectoryCommand(); goto Fc808; F1682: $this->commandExecutor->execute($deleteCredentialsDirectoryCommand); goto cf40c; Fc808: $deleteCredentialsDirectoryCommand->setDirectory(self::CREDENTIALS_DIRECTORY); goto F1682; cf40c: } }
