<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\Entity\Database as DatabaseEntity; use App\System\CommandExecutor; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\System\Command\DeleteOldFilesRecursiveCommand; use App\System\Command\FindChmodCommand; use App\System\Command\ChownCommand; use App\Database\Exporter as DatabaseExporter; class DatabaseBackupCommand extends BaseCommand { private const RETENTION_PERIOD = 7; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private int $retentionPeriod = 0; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, ValidatorInterface $validator) { goto F6465; F8948: parent::__construct(); goto Aa615; e1022: $this->databaseServerEntityManager = $databaseServerEntityManager; goto b478c; b478c: $this->commandExecutor = new CommandExecutor(); goto e0436; F6465: $this->siteEntityManager = $siteEntityManager; goto C30df; e0436: $this->validator = $validator; goto F8948; C30df: $this->databaseEntityManager = $databaseEntityManager; goto e1022; Aa615: } protected function configure() : void { goto bcb0a; bcb0a: $this->setName("\144\142\x3a\142\141\x63\x6b\x75\x70"); goto Fecbc; abf44: $this->addOption("\x72\x65\x74\145\x6e\x74\x69\157\x6e\x50\145\x72\x69\157\x64", null, InputOption::VALUE_OPTIONAL, '', self::RETENTION_PERIOD); goto d83d3; D74e7: $this->addOption("\x69\x67\x6e\157\162\x65\x44\141\x74\x61\x62\141\163\x65\x73", null, InputOption::VALUE_OPTIONAL); goto abf44; Fecbc: $this->setDescription("\143\x6c\x70\143\x74\x6c\40\144\x62\72\142\141\143\153\x75\160\40\x2d\x2d\151\147\156\x6f\x72\x65\x44\141\x74\141\142\141\x73\x65\x73\75\47\144\142\61\x2c\144\142\62\47\x20\x2d\55\x72\x65\x74\x65\x6e\x74\151\x6f\x6e\x50\145\162\151\157\144\75\x37"); goto D74e7; d83d3: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Aac26; F2926: if (!count($siteEntities)) { goto c7712; } goto D17fb; Aac26: $this->validateInput($input); goto Bf693; A9581: return BaseCommand::SUCCESS; goto f4df0; D17fb: foreach ($siteEntities as $siteEntity) { goto d2687; d2687: $databaseEntities = $siteEntity->getDatabases(); goto E06f6; B53f4: foreach ($databaseEntities as $databaseEntity) { goto Ec4e3; A8e4e: Efdcf: goto eab27; Ec4e3: $databaseName = $databaseEntity->getName(); goto f93bd; f93bd: if (!(false === in_array($databaseName, $ignoredDatabases))) { goto Efdcf; } goto C6536; eab27: e81cf: goto F9d49; C6536: $this->createDatabaseDump($databaseEntity); goto A8e4e; F9d49: } goto bcbdd; De61d: Dd6c6: goto Af2cb; E06f6: if (!count($databaseEntities)) { goto Dd6c6; } goto B53f4; Af2cb: D469e: goto C7344; bcbdd: Bd88e: goto De61d; C7344: } goto ce0c2; ce0c2: c14a8: goto Ba24b; Fee16: $this->retentionPeriod = (int) $input->getOption("\x72\145\x74\x65\x6e\x74\x69\157\156\x50\145\162\151\x6f\144"); goto Cf655; Ba24b: c7712: goto A9581; Cf655: $siteEntities = $this->siteEntityManager->findAll(); goto F2926; Bf693: $ignoredDatabases = explode("\x2c", $input->getOption("\x69\x67\x6e\157\162\x65\104\141\164\x61\142\x61\163\x65\x73")); goto Fee16; f4df0: } catch (\Exception $e) { goto adf1d; adf1d: $errorMessage = $e->getMessage(); goto ccdd9; ccc41: return BaseCommand::FAILURE; goto a46cb; ccdd9: $output->writeln(sprintf("\74\x65\x72\x72\x6f\x72\76\45\163\x3c\x2f\x65\162\162\x6f\x72\x3e", $errorMessage)); goto ccc41; a46cb: } } private function createDatabaseDump(DatabaseEntity $databaseEntity) : void { try { goto Dfb7d; D5551: $databaseExporter->createOutputDirectory(); goto Aacd4; c2cfa: $this->cleanUpBackups($databaseEntity); goto f2fb7; F8119: $databaseName = $databaseEntity->getName(); goto Fbbd1; Fa78a: $databaseExporter->setFile($outputFile); goto D5551; fc90b: $outputDirectory = sprintf("\x25\x73\x2f\x25\163\x2f\x25\163\57", rtrim($backupDirectory, "\57"), $databaseName, $dateTime->format("\131\55\x6d\x2d\x64")); goto Abba3; A96e2: $siteEntity = $databaseEntity->getSite(); goto d59ba; d59ba: $siteUser = $siteEntity->getUser(); goto F8119; Abba3: $outputFile = sprintf("\x25\x73\57\x25\x73", rtrim($outputDirectory, "\x2f"), sprintf("\x25\163\x5f\x25\x73\56\163\161\154\56\x67\x7a", $databaseName, $dateTime->getTimestamp())); goto a58c1; Fbbd1: $backupDirectory = sprintf("\57\150\x6f\155\145\57\45\x73\x2f\142\141\x63\x6b\x75\x70\x73\x2f\x64\141\x74\x61\142\141\163\x65\x73\57", $siteUser); goto fc90b; a58c1: $databaseExporter = new DatabaseExporter($databaseEntity); goto Fa78a; dc83a: $this->resetPermissions($databaseEntity); goto c2cfa; Dfb7d: $dateTime = new \DateTime("\x6e\x6f\x77", new \DateTimeZone("\x55\124\x43")); goto A96e2; Aacd4: $databaseExporter->export(); goto dc83a; f2fb7: } catch (\Exception $e) { $logger = $this->getLogger(); $logger->exception($e); } } private function resetPermissions(DatabaseEntity $databaseEntity) { goto Bcfcf; d0ee0: $backupDirectoryChmodCommand = new FindChmodCommand(); goto b8a52; b1ade: $this->commandExecutor->execute($backupDirectoryChmodCommand); goto ff90f; e7ff0: $backupDirectoryChownCommand->setGroup($siteUser); goto d0ee0; Bcfcf: $siteEntity = $databaseEntity->getSite(); goto A601d; C3bb8: $backupDirectoryChownCommand->setUser($siteUser); goto e7ff0; b8a52: $backupDirectoryChmodCommand->setFile($backupDirectory); goto Fbbbb; d32fb: $backupDirectoryChownCommand = new ChownCommand(); goto efd78; efd78: $backupDirectoryChownCommand->setFile($backupDirectory); goto a16cb; Ac4e0: $backupDirectoryChmodCommand->setFileChmod(760); goto ef5a8; ef5a8: $this->commandExecutor->execute($backupDirectoryChownCommand); goto b1ade; A601d: $siteUser = $siteEntity->getUser(); goto Ee7ef; a16cb: $backupDirectoryChownCommand->setRecursive(true); goto C3bb8; Ee7ef: $backupDirectory = sprintf("\57\x68\157\x6d\145\x2f\45\x73\57\x62\x61\x63\x6b\x75\160\x73\x2f\x64\141\164\x61\142\141\x73\145\x73\x2f", $siteUser); goto d32fb; Fbbbb: $backupDirectoryChmodCommand->setDirectoryChmod(750); goto Ac4e0; ff90f: } private function cleanUpBackups(DatabaseEntity $databaseEntity) { goto d07d0; E1db5: $databaseBackupDirectory = sprintf("\57\x68\x6f\x6d\145\x2f\x25\x73\57\142\x61\143\x6b\x75\160\163\x2f\x64\x61\164\141\142\x61\x73\145\x73\x2f", $siteUser); goto cf3ba; b5b95: $siteUser = $siteEntity->getUser(); goto E1db5; F46ef: $deleteOldBackupsCommand->setRetentionPeriod($this->retentionPeriod); goto D1d6a; f68c4: $deleteOldBackupsCommand->setDirectory($databaseBackupDirectory); goto F46ef; cf3ba: $deleteOldBackupsCommand = new DeleteOldFilesRecursiveCommand(); goto f68c4; d07d0: $siteEntity = $databaseEntity->getSite(); goto b5b95; D1d6a: $this->commandExecutor->execute($deleteOldBackupsCommand, 360); goto D09d5; D09d5: } }
