<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use App\Command\Command as BaseCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Database\Importer as DatabaseImporter; use App\System\Command\CheckIfFileExistsCommand; use App\System\CommandExecutor; class DatabaseImportCommand extends BaseCommand { const SYSTEM_USER_ROOT = "\x72\x6f\157\x74"; private SiteEntityManager $siteEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private SshUserEntityManager $sshUserEntityManager; private CommandExecutor $commandExecutor; public function __construct(SiteEntityManager $siteEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, SshUserEntityManager $sshUserEntityManager) { goto c4b07; c4b07: $this->siteEntityManager = $siteEntityManager; goto a7c1d; e33b3: parent::__construct(); goto D10de; a7c1d: $this->databaseEntityManager = $databaseEntityManager; goto c3fec; c3fec: $this->databaseServerEntityManager = $databaseServerEntityManager; goto C1040; B4561: $this->commandExecutor = new CommandExecutor(); goto e33b3; C1040: $this->sshUserEntityManager = $sshUserEntityManager; goto B4561; D10de: } protected function configure() : void { goto F5e39; cbc33: $this->addOption("\146\x69\154\145", null, InputOption::VALUE_REQUIRED); goto b9af0; Cc1b5: $this->setDescription("\143\154\160\143\164\x6c\40\x64\142\x3a\x69\x6d\160\157\x72\x74\40\x2d\55\x64\141\x74\x61\x62\x61\163\x65\x4e\141\155\x65\x3d\155\x79\55\x64\141\164\141\x62\141\163\x65\x20\55\x2d\x66\x69\x6c\x65\75\x64\165\x6d\x70\x2e\163\x71\154\56\147\x7a"); goto f1512; f1512: $this->addOption("\x64\x61\x74\x61\142\141\x73\x65\116\x61\x6d\145", null, InputOption::VALUE_REQUIRED); goto cbc33; F5e39: $this->setName("\144\142\72\151\x6d\x70\157\x72\164"); goto Cc1b5; b9af0: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto d07c9; f8b8c: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto b7e90; A9fb6: $systemUserName = self::SYSTEM_USER_ROOT; goto B45ba; B38ad: a473b: goto bb9d1; D6951: $databaseImporter->import($importFile); goto C9e14; e1842: return BaseCommand::FAILURE; goto D0f27; c6853: goto d3699; goto A8e9d; A8921: $isSuperUser = true; goto Acbc8; af17d: $systemUserName = $_SERVER["\x53\125\104\x4f\137\125\x53\105\x52"] ?? ''; goto A76fb; bb9d1: $userIsAllowedToImport = true === $isSuperUser || true === $userBelongsToSite; goto b6d83; A8e9d: E524c: goto E257e; F74d3: d3699: goto e1842; e33c4: $isSuperUser = false; goto acf77; C055d: if (!(false === str_contains($importFile, "\x2f"))) { goto Ecf75; } goto ffeee; E257e: $siteEntity = $this->siteEntityManager->findOneByUser($systemUserName); goto De21c; B073a: $databaseName = $input->getOption("\144\x61\164\x61\142\141\x73\145\116\x61\155\x65"); goto Dda79; Dda79: $importFile = $input->getOption("\146\151\x6c\145"); goto af17d; b8563: $siteUser = $siteEntity->getUser(); goto f9666; acf77: if (!(self::SYSTEM_USER_ROOT == $systemUserName)) { goto a473b; } goto A8921; f9666: ecb9e: goto B356c; Eaff3: if (false === is_null($siteEntity)) { goto d1f9b; } goto e0c20; C3368: goto ecb9e; goto c8fda; b6d83: if (!(true === $userIsAllowedToImport && false === is_null($siteUser))) { goto e2f0e; } goto Ca81e; ec324: $this->checkIfFileExists($importFile); goto f8b8c; Cf676: e2f0e: goto F74d3; d07c9: $this->validateInput($input); goto B073a; ca980: $siteUser = $siteEntity->getUser(); goto A66d9; Cc4a5: return BaseCommand::SUCCESS; goto Cf676; A66d9: E9a58: goto C3368; De21c: $siteUser = null; goto Eaff3; aa069: throw new \Exception(sprintf("\x44\x61\164\141\142\141\163\145\40\42\x25\x73\42\x20\x64\157\145\x73\40\156\157\164\x20\x65\170\151\163\164\56", $databaseName)); goto c6853; Ca81e: $databaseImporter = new DatabaseImporter($databaseEntity); goto D6951; c8fda: d1f9b: goto b8563; a19e2: $siteEntity = $sshUserEntity->getSite(); goto ca980; e0c20: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($systemUserName); goto c67fa; ffeee: $importFile = sprintf("\45\x73\x2f\45\163", rtrim(getcwd(), "\57"), $importFile); goto a489a; A76fb: if (!("\144\x65\166" == $_ENV["\101\120\120\137\105\116\126"])) { goto a4c60; } goto A9fb6; b7e90: if (false === is_null($databaseEntity)) { goto E524c; } goto aa069; c67fa: if (!(false === is_null($sshUserEntity))) { goto E9a58; } goto a19e2; a489a: Ecf75: goto ec324; C9e14: $output->writeln(sprintf("\x3c\151\156\x66\x6f\76\x49\155\x70\157\x72\164\40\151\x6e\164\x6f\40\x64\x61\x74\x61\142\x61\163\145\x3c\x2f\x69\x6e\146\157\76\40\x3c\143\157\155\155\145\156\x74\x3e\45\163\x3c\57\x63\x6f\155\x6d\x65\156\164\76\40\74\151\156\x66\157\x3e\167\x61\x73\40\x73\165\x63\143\x65\x73\163\x66\165\x6c\x2e\74\57\151\x6e\146\x6f\76", $databaseName)); goto Cc4a5; B45ba: a4c60: goto C055d; B356c: $userBelongsToSite = false === is_null($siteEntity) && $siteUser === $databaseEntity->getSite()->getUser(); goto e33c4; Acbc8: $siteUser = self::SYSTEM_USER_ROOT; goto B38ad; D0f27: } catch (\Exception $e) { goto aec0e; Bdb8e: return BaseCommand::FAILURE; goto e4815; aec0e: $errorMessage = $this->maskString($e->getMessage()); goto e73ad; e73ad: $output->writeln(sprintf("\74\145\162\x72\157\x72\x3e\x25\163\x3c\x2f\145\162\x72\157\x72\76", $errorMessage)); goto Bdb8e; e4815: } } private function checkIfFileExists(string $importFile) { try { goto f34fe; F5004: $this->commandExecutor->execute($checkIfFileExistsCommand); goto dcc2e; f34fe: $checkIfFileExistsCommand = new CheckIfFileExistsCommand(); goto fb0e9; fb0e9: $checkIfFileExistsCommand->setFile($importFile); goto F5004; dcc2e: } catch (\Exception $e) { throw new \Exception(sprintf("\106\x69\x6c\145\x20\42\45\x73\42\40\144\157\145\x73\40\156\x6f\164\40\145\x78\x69\x73\x74\x2e", $importFile)); } } }
