<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\Validator\ValidatorInterface; use App\Command\Command as BaseCommand; use App\System\CommandExecutor; use App\System\Command\WriteFileCommand; use App\System\Command\DeleteFileCommand; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Site as SiteEntity; use App\Entity\Notification; use App\Notification\NotificationQueue; use App\Backup\Rclone; use App\Backup\Dropbox\Client as DropboxClient; use App\Backup\Rclone\DropboxConfigTemplate; use App\Backup\Rclone\ConfigBuilder as RcloneConfigBuilder; use App\Backup\StorageProvider; use App\Backup\TarCreator; use App\Service\Logger; class RemoteBackupCreateCommand extends BaseCommand { private SiteEntityManager $siteEntityManager; private CommandExecutor $commandExecutor; private ValidatorInterface $validator; private ?\DateTime $serverDateTime = null; private array $excludes = []; private ?string $storageProvider = null; public function __construct(SiteEntityManager $siteEntityManager, Logger $logger, ValidatorInterface $validator) { goto Cb81e; adde3: $this->validator = $validator; goto C6e15; Faec0: $this->commandExecutor = new CommandExecutor(); goto a7447; a7447: $this->logger = $logger; goto adde3; Cb81e: $this->siteEntityManager = $siteEntityManager; goto Faec0; C6e15: parent::__construct(); goto C165b; C165b: } protected function configure() : void { goto ee24d; ee24d: $this->setName("\x72\x65\x6d\x6f\x74\145\x2d\x62\x61\143\153\165\x70\x3a\143\x72\145\141\164\x65"); goto a577a; bd657: $this->addOption("\x64\145\154\x61\171", null, InputOption::VALUE_OPTIONAL, false); goto F3d4d; a577a: $this->setDescription("\143\x6c\x70\143\x74\x6c\x20\162\145\x6d\x6f\164\x65\x2d\142\141\x63\153\x75\x70\72\x63\x72\145\x61\164\145"); goto bd657; F3d4d: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto ba69b; b0c50: D89ca: goto Ce64c; c4279: e7a56: goto c140a; Efadd: $this->backupDatabases(clone $input, clone $output); goto A188f; ba69b: $this->validateInput($input); goto f3e12; A188f: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto caf49; } goto dd758; ac398: if (!(true === $isEnabled && false === empty($this->storageProvider))) { goto D89ca; } goto D435a; D435a: $siteEntities = $this->siteEntityManager->findAll(); goto C094b; B7bae: caf49: goto c0ceb; f15e8: $this->storageProvider = $this->getConfigValue("\162\x65\155\x6f\x74\x65\x5f\142\x61\143\x6b\165\160\x5f\x73\164\x6f\x72\141\147\x65\137\160\162\x6f\x76\151\x64\x65\x72"); goto ac398; f3e12: $isEnabled = (bool) $this->getConfigValue("\162\145\155\157\x74\x65\x5f\142\141\143\x6b\165\x70\137\145\156\x61\142\x6c\145\144"); goto f15e8; dd758: $delay = (bool) $input->getOption("\144\x65\154\x61\171"); goto D47d7; c140a: d0758: goto b1837; Ce64c: return BaseCommand::SUCCESS; goto F9d8c; D47d7: $this->refreshDropboxAccessToken($delay); goto B7bae; c0ceb: foreach ($siteEntities as $siteEntity) { $this->backupSite($siteEntity); A674d: } goto c4279; C094b: if (!count($siteEntities)) { goto d0758; } goto Efadd; b1837: $this->cleanBackups(); goto b0c50; F9d8c: } catch (\Exception $e) { goto D43d4; E5127: return BaseCommand::FAILURE; goto a0fc9; fde01: $output->writeln(sprintf("\74\x65\x72\162\x6f\x72\76\45\163\74\57\145\x72\162\157\x72\76", $errorMessage)); goto E5127; D43d4: $errorMessage = $e->getMessage(); goto fde01; a0fc9: } } private function backupDatabases(InputInterface $input, OutputInterface $output) : void { try { goto C41ec; B8f9b: $exitCode = $command->run($input, $output); goto A7603; C41ec: $application = $this->getApplication(); goto c8b2b; c8b2b: $command = $application->find("\x64\x62\x3a\x62\141\x63\153\165\160"); goto B8f9b; A7603: } catch (\Exception $e) { $this->logger->exception($e); } } private function backupSite(SiteEntity $siteEntity) { goto Fd5a7; Fd5a7: $isSiteExcluded = $this->isSiteExcluded($siteEntity); goto adafb; c567d: try { try { goto D5f11; c3c90: $destination = $this->getDestination($siteEntity); goto Ce7a4; b4aec: A7d4d: goto d77fc; dd0b2: switch ($this->storageProvider) { case StorageProvider::GOOGLE_DRIVE: goto b1891; Bd9d2: $rclone->addFlag("\55\x2d\144\162\x69\166\x65\55\x69\155\x70\145\x72\163\157\x6e\141\164\x65", $email); goto d38c2; d38c2: goto abec4; goto B3882; b1891: $email = $this->getConfigValue("\162\x65\x6d\x6f\x74\x65\137\142\x61\x63\153\x75\x70\x5f\145\x6d\141\x69\154"); goto Bd9d2; B3882: } goto bf916; A1dfa: $siteVhostFile = sprintf("\57\150\x6f\x6d\x65\57\45\163\x2f\163\x69\164\x65\x2d\x76\x68\157\x73\164", $siteUser); goto E311c; f74bf: $destinationFile = sprintf("\57\150\x6f\155\x65\x2f\45\163\x2f\x74\155\x70\x2f\x62\141\143\x6b\x75\160\x2e\164\x61\x72", $siteUser); goto Cfc2e; C9492: $tarCreator = new TarCreator(); goto e5e39; E311c: $this->createSiteSettingsFile($siteSettingsFile, $siteEntity); goto c3bfa; Cfc2e: $siteSettingsFile = sprintf("\57\150\157\x6d\145\x2f\45\163\57\x73\x69\164\145\x2d\x73\x65\x74\164\x69\x6e\x67\163\x2e\152\x73\157\156", $siteUser); goto A1dfa; d73d6: $siteExcludes = $this->getSiteExcludes($siteEntity); goto Cf5ae; bf916: f18f8: goto B9129; B9129: abec4: goto Df633; Cf5ae: if (!(false === empty($siteExcludes))) { goto A7d4d; } goto Eb962; c3bfa: $this->createSiteVhostFile($siteVhostFile, $siteEntity); goto d5737; Eb962: $excludes = array_merge($excludes, $siteExcludes); goto b4aec; e5e39: $tarCreator->create($sources, $destinationFile, $excludes); goto c3c90; f2cb2: $vhostFile = sprintf("\x2f\145\x74\x63\57\x6e\147\x69\x6e\x78\57\163\x69\x74\145\x73\55\145\156\141\142\x6c\145\x64\57\x25\163\x2e\x63\x6f\x6e\x66", $domainName); goto f74bf; fce0f: $domainName = $siteEntity->getDomainName(); goto d92ca; d5737: $sources = [$homeDirectory, $vhostFile]; goto C9492; Df633: $rclone->copy($destinationFile, $destination); goto C71e1; D5f11: $excludes = ["\x2e\x73\x73\x68", "\164\x6d\160", "\x6c\x6f\x67\163"]; goto d73d6; d77fc: $siteUser = $siteEntity->getUser(); goto fce0f; d92ca: $homeDirectory = sprintf("\x2f\150\x6f\x6d\145\x2f\x25\163\x2f", $siteUser); goto f2cb2; Ce7a4: $rclone = new Rclone(); goto dd0b2; C71e1: } catch (\Exception $e) { throw $e; } finally { $files = [$destinationFile, $siteSettingsFile, $siteVhostFile]; foreach ($files as $file) { goto A0a08; e8739: a3d27: goto fec61; A0a08: $deleteFileCommand = new DeleteFileCommand(); goto A2a21; A2a21: $deleteFileCommand->setFile($file); goto C5c02; C5c02: $this->commandExecutor->execute($deleteFileCommand, 60); goto e8739; fec61: } B7259: } } catch (\Exception $e) { goto Ac097; Ac097: $errorMessage = $e->getMessage(); goto F2969; d83ac: $this->addNotification($subject, $errorMessage); goto f595e; F2969: $subject = sprintf("\x52\x65\155\157\x74\x65\x20\102\141\143\153\165\160\40\146\141\151\154\x65\144\x3a\x20\45\x73", $domainName); goto d83ac; f595e: } goto c5623; adafb: if (!(false === $isSiteExcluded)) { goto E8493; } goto c567d; c5623: E8493: goto Aa152; Aa152: } private function createSiteSettingsFile(string $siteSettingsFile, SiteEntity $siteEntity) : void { goto da69b; E7cd7: $writeFileCommand = new WriteFileCommand(); goto b1410; cfe44: $this->commandExecutor->execute($writeFileCommand, 15); goto Bc0bd; D20f8: Dba8e: goto f48b7; a25c0: $settings = ["\x74\171\x70\x65" => $siteType, "\x64\x6f\155\141\x69\156\x4e\141\155\145" => $siteEntity->getDomainName(), "\x72\157\157\x74\104\151\162\x65\x63\164\157\x72\171" => $siteEntity->getRootDirectory(), "\163\151\x74\145\x55\x73\145\x72" => $siteEntity->getUser(), "\160\141\x67\x65\x53\160\x65\145\x64" => $siteEntity->getPageSpeedSettings()]; goto Cd2c0; aa001: b0afd: goto D20f8; da69b: $siteType = $siteEntity->getType(); goto a25c0; f48b7: $fileContent = json_encode($settings, JSON_PRETTY_PRINT); goto E7cd7; Cd2c0: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto A7951; F5cde: $nodejsSettings = ["\166\145\x72\163\x69\157\156" => $nodejsSettingsEntity->getNodejsVersion(), "\160\157\x72\164" => $nodejsSettingsEntity->getPort()]; goto D7796; D7796: $settings["\156\157\144\145\152\163\123\x65\x74\x74\x69\156\147\x73"] = $nodejsSettings; goto Ae578; A7951: $nodejsSettingsEntity = $siteEntity->getNodejsSettings(); goto F5cde; Ae578: goto Dba8e; goto F57a3; F57a3: case SiteEntity::TYPE_PHP: goto Ecd2e; D1d5c: $phpSettings = ["\x76\145\162\x73\151\157\x6e" => $phpSettingsEntity->getPhpVersion(), "\x6d\145\x6d\x6f\x72\171\114\151\155\151\x74" => $phpSettingsEntity->getMemoryLimit(), "\x6d\141\170\105\170\x65\x63\x75\164\x69\157\156\124\x69\155\145" => $phpSettingsEntity->getMaxExecutionTime(), "\155\x61\170\111\x6e\x70\x75\x74\124\x69\x6d\145" => $phpSettingsEntity->getMaxInputTime(), "\x6d\141\170\111\156\160\x75\x74\x56\x61\x72\x73" => $phpSettingsEntity->getMaxInputVars(), "\x70\x6f\163\164\115\141\170\x53\151\172\145" => $phpSettingsEntity->getPostMaxSize(), "\165\160\154\x6f\141\x64\x4d\141\x78\106\x69\x6c\145\123\151\x7a\x65" => $phpSettingsEntity->getUploadMaxFileSize(), "\x61\x64\144\x69\164\x69\x6f\156\141\x6c\103\x6f\x6e\x66\151\147\x75\x72\141\164\x69\x6f\x6e" => $phpSettingsEntity->getAdditionalConfiguration()]; goto bb034; A267e: goto Dba8e; goto Dab3d; bb034: $settings["\160\150\x70\x53\145\164\x74\x69\156\147\x73"] = $phpSettings; goto A267e; Ecd2e: $phpSettingsEntity = $siteEntity->getPhpSettings(); goto D1d5c; Dab3d: case SiteEntity::TYPE_PYTHON: goto Fca02; C4ec4: $pythonSettings = ["\166\x65\x72\x73\x69\157\x6e" => $pythonSettingsEntity->getPythonVersion(), "\160\x6f\x72\x74" => $pythonSettingsEntity->getPort()]; goto F2d94; Fca02: $pythonSettingsEntity = $siteEntity->getPythonSettings(); goto C4ec4; F2d94: $settings["\160\171\164\x68\x6f\x6e\123\x65\164\164\151\x6e\147\163"] = $pythonSettings; goto F1c75; F1c75: goto Dba8e; goto B4a22; B4a22: case SiteEntity::TYPE_REVERSE_PROXY: goto f4714; f4714: $reverseProxySettings = ["\x75\162\x6c" => $siteEntity->getReverseProxyUrl()]; goto Cbb96; Cbb96: $settings["\x72\x65\166\x65\x72\x73\145\x50\x72\157\170\x79\x53\x65\x74\164\x69\156\147\163"] = $reverseProxySettings; goto F2f1d; F2f1d: goto Dba8e; goto A146d; A146d: } goto aa001; a6cd6: $writeFileCommand->setContent($fileContent); goto cfe44; b1410: $writeFileCommand->setFile($siteSettingsFile); goto a6cd6; Bc0bd: } private function createSiteVhostFile(string $siteVhostFile, SiteEntity $siteEntity) : void { goto C284f; C284f: $vhost = $siteEntity->getVhostTemplate(); goto ff9dd; E9830: $writeFileCommand->setContent($vhost); goto Fe854; Fe854: $this->commandExecutor->execute($writeFileCommand, 15); goto b2b33; Fde67: $writeFileCommand->setFile($siteVhostFile); goto E9830; ff9dd: $writeFileCommand = new WriteFileCommand(); goto Fde67; b2b33: } private function isSiteExcluded(SiteEntity $siteEntity) : bool { goto B8ade; C6d4a: $siteUser = $siteEntity->getUser(); goto ffaeb; De16c: if (!(false === empty($excludes))) { goto Cd6f4; } goto C6d4a; C1ac5: $excludes = $this->getExcludes(); goto De16c; B8ade: $isSiteExcluded = false; goto C1ac5; da494: return $isSiteExcluded; goto Da23a; B25a5: df922: goto B54e7; B54e7: Cd6f4: goto da494; A20f6: foreach ($excludes as $exclude) { goto be89a; f7810: ebac2: goto A7729; e6ad3: $isSiteExcluded = true; goto b56cd; A7729: a3a65: goto B3b57; Bdedb: if (!($homeDirectory == $exclude)) { goto ebac2; } goto e6ad3; b56cd: goto df922; goto f7810; be89a: $exclude = rtrim($exclude, "\x2f"); goto Bdedb; B3b57: } goto B25a5; ffaeb: $homeDirectory = sprintf("\57\150\157\x6d\145\x2f\45\x73", $siteUser); goto A20f6; Da23a: } private function getExcludes() : array { goto e086d; Dd2c1: ba56c: goto a3ea1; C8bcc: if (!(false === empty($excludes))) { goto Fedf0; } goto C86bf; a3ea1: return $this->excludes; goto B3969; a6bb8: $excludes = $this->getConfigValue("\x72\145\155\x6f\164\145\137\142\x61\143\x6b\165\160\x5f\145\x78\x63\154\x75\x64\x65\x73"); goto C8bcc; C86bf: $this->excludes = json_decode($excludes); goto Fd9ea; Fd9ea: Fedf0: goto Dd2c1; e086d: if (!(true === empty($this->excludes))) { goto ba56c; } goto a6bb8; B3969: } private function getSiteExcludes(SiteEntity $siteEntity) : array { goto D3ef0; d2fe3: $siteUser = $siteEntity->getUser(); goto C0390; E67e7: foreach ($excludes as $exclude) { goto b3ccc; ad97e: $exclude = substr($exclude, strlen($homeDirectory) - 1); goto E3c86; B3ab3: ba1fd: goto e99ad; b3ccc: if (!($homeDirectory == substr($exclude, 0, strlen($homeDirectory)))) { goto aa35f; } goto ad97e; E3c86: if (!(false === empty($exclude))) { goto F09bb; } goto Cb12e; b5919: aa35f: goto B3ab3; Cb12e: $siteExcludes[] = rtrim(ltrim($exclude, "\57"), "\x2f"); goto Dcbf2; Dcbf2: F09bb: goto b5919; e99ad: } goto cb228; D3ef0: $siteExcludes = []; goto a00e2; bf75c: c8ad9: goto e15f6; cb228: Ad417: goto bf75c; a00e2: $excludes = $this->getExcludes(); goto f7c4e; f7c4e: if (!(false === empty($excludes))) { goto c8ad9; } goto d2fe3; C0390: $homeDirectory = sprintf("\57\x68\157\x6d\145\57\x25\x73\x2f", $siteUser); goto E67e7; e15f6: return $siteExcludes; goto d1321; d1321: } private function getServerDateTime() : \DateTime { goto Db17f; fc48f: if (!(false === empty($timezone))) { goto a69e6; } goto bcdd4; f7146: $timezone = $this->getConfigValue("\x74\x69\x6d\145\172\157\156\x65"); goto Fdaca; Afbdd: return $this->serverDateTime; goto edfa7; E909b: c2b4c: goto Afbdd; A0470: a69e6: goto E909b; Db17f: if (!(true === is_null($this->serverDateTime))) { goto c2b4c; } goto f7146; Fdaca: $this->serverDateTime = new \DateTime("\156\x6f\x77"); goto Bf5aa; bcdd4: $this->serverDateTime->setTimezone(new \DateTimeZone($timezone)); goto A0470; Bf5aa: $this->serverDateTime->setTimezone(new \DateTimeZone("\125\x54\x43")); goto fc48f; edfa7: } private function getDestination(SiteEntity $siteEntity) : string { goto fcec0; e4f76: C430c: goto E399b; fcec0: $destination = ''; goto D58a2; fc787: $destination = ltrim($destination, "\57"); goto E44fd; D58a2: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $destination = $this->getConfigValue("\x72\x65\155\x6f\164\x65\137\x62\141\x63\153\x75\x70\137\x62\165\143\x6b\x65\x74"); goto C430c; case StorageProvider::DIGITAL_OCEAN_SPACES: $destination = $this->getConfigValue("\162\x65\x6d\x6f\x74\145\137\x62\x61\143\x6b\x75\160\137\x73\x70\141\x63\x65"); goto C430c; } goto a600d; a600d: Daef8: goto e4f76; E399b: $siteUser = $siteEntity->getUser(); goto Affb7; E44fd: Cb8c2: goto ef878; f84a8: $serverDateTime = $this->getServerDateTime(); goto b681f; Aa87f: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Cb8c2; } goto fc787; ef878: return $destination; goto f080e; Affb7: $storageDirectory = $this->getConfigValue("\x72\x65\x6d\x6f\x74\x65\137\142\x61\x63\x6b\x75\x70\x5f\x73\164\x6f\162\x61\x67\145\x5f\x64\151\x72\145\x63\x74\157\162\171"); goto f84a8; b681f: $destination = sprintf("\45\x73\x2f\45\163\x2f\x25\x73\57\45\x73\x2f\x68\x6f\x6d\x65\57\x25\163\57", $destination, rtrim(ltrim($storageDirectory, "\57"), "\57"), $serverDateTime->format("\x59\55\155\55\144"), $serverDateTime->format("\110\56\x69"), $siteUser); goto Aa87f; f080e: } private function cleanBackups() : void { goto Ff9b9; D3cbb: if (!($retentionPeriod && false === empty($storageDirectory))) { goto E0ff3; } goto D235f; ba22c: $storageDirectory = $this->getConfigValue("\x72\145\x6d\157\164\x65\x5f\142\x61\143\153\165\160\x5f\163\164\157\162\x61\147\145\x5f\144\151\x72\x65\x63\164\157\x72\171"); goto D3cbb; D235f: try { goto a6de0; Cc088: $remotePath = sprintf("\45\x73\x2f\45\163\57", $remotePath, rtrim(ltrim($storageDirectory, "\57"), "\57")); goto F536e; b7de8: $deleteDateTime->setTime(0, 0, 0, 0); goto Ae2d0; c5420: foreach ($directories as $directory) { goto ea270; ea270: $directoryName = $directory["\116\x61\155\145"] ?? null; goto d5682; F61d9: if (!(true === isset($directoryDate) && $directoryDate <= $deleteDateTime)) { goto Ec815; } goto F96bc; Bdff9: $purgeRemotePath = ltrim($purgeRemotePath, "\57"); goto a139d; d5682: if (!(false === is_null($directoryName))) { goto a55c6; } goto c82ca; A20f7: $purgeRemotePath = sprintf("\x2f\45\x73", ltrim($purgeRemotePath, "\x2f")); goto b12f6; F96bc: $purgeRemotePath = sprintf("\x25\x73\57\x25\163\57", rtrim(ltrim($remotePath, "\x2f"), "\x2f"), $directoryName); goto Ec545; B2fb3: if (!(true === $isValidDate)) { goto Bc7e7; } goto F61d9; Bbffc: Bc7e7: goto a8662; f0197: if (!(StorageProvider::SFTP == $this->storageProvider)) { goto Aca7f; } goto A20f7; a139d: F351d: goto f0197; Ec545: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto F351d; } goto Bdff9; a8662: a55c6: goto c29b1; b12f6: Aca7f: goto A6202; A6202: $rclone->purge($purgeRemotePath); goto Eb542; c29b1: e584f: goto D99f5; c82ca: try { $isValidDate = true; $directoryDate = new \DateTime($directoryName); } catch (\Exception $e) { $isValidDate = false; } goto B2fb3; Eb542: Ec815: goto Bbffc; D99f5: } goto fd83e; fd83e: fb2a3: goto D396c; a6de0: $dateTime = new \DateTime(); goto e2d2c; d405a: $directories = (array) $rclone->lsJson($remotePath, true); goto ba7f7; C7d87: Cf800: goto d405a; a5ae9: B8b8b: goto Dbe05; befee: $remotePath = ltrim($remotePath, "\x2f"); goto C7d87; cc982: switch ($this->storageProvider) { case StorageProvider::AMAZON_S3: case StorageProvider::WASABI: $remotePath = $this->getConfigValue("\x72\x65\x6d\157\164\x65\x5f\142\x61\143\153\165\160\x5f\142\x75\x63\153\x65\164"); goto d611c; case StorageProvider::DIGITAL_OCEAN_SPACES: $remotePath = $this->getConfigValue("\x72\145\x6d\157\164\145\137\x62\x61\143\153\x75\160\x5f\163\x70\141\143\145"); goto d611c; case StorageProvider::GOOGLE_DRIVE: goto C7b3b; Dd681: goto d611c; goto b7b06; C7b3b: $email = $this->getConfigValue("\x72\145\x6d\x6f\x74\x65\137\x62\x61\143\153\165\x70\137\x65\x6d\141\151\x6c"); goto d1310; d1310: $rclone->addFlag("\x2d\55\x64\x72\151\166\145\55\x69\155\160\145\x72\x73\157\x6e\141\x74\145", $email); goto Dd681; b7b06: } goto a5ae9; F7953: $deleteDateTime->modify(sprintf("\55\x25\x73\40\144\141\171\163", $retentionPeriod)); goto ab04f; Ae2d0: $remotePath = ''; goto F8289; F8289: $rclone = new Rclone(); goto cc982; ba7f7: if (!(false === empty($directories))) { goto Eb1dd; } goto c5420; e2d2c: $deleteDateTime = clone $dateTime; goto F7953; D396c: Eb1dd: goto D556c; ab04f: $deleteDateTime->setTimezone(new \DateTimeZone("\125\x54\103")); goto b7de8; F536e: if (!(StorageProvider::DROPBOX == $this->storageProvider)) { goto Cf800; } goto befee; Dbe05: d611c: goto Cc088; D556c: } catch (\Exception $e) { goto E487d; E487d: $errorMessage = $e->getMessage(); goto d807f; cbd2b: $this->addNotification($subject, $errorMessage); goto D8cbb; d807f: $subject = sprintf("\x52\x65\x6d\157\x74\145\x20\102\141\143\153\x75\x70\40\143\x6c\x65\x61\x6e\165\x70\x20\146\141\x69\154\x65\x64\56"); goto cbd2b; D8cbb: } goto F249a; Ff9b9: $retentionPeriod = (int) $this->getConfigValue("\162\145\x6d\157\x74\x65\137\142\x61\x63\153\165\160\137\x72\x65\x74\145\x6e\x74\x69\x6f\156\137\160\x65\x72\151\x6f\144"); goto ba22c; F249a: E0ff3: goto E4108; E4108: } private function refreshDropboxAccessToken(bool $delay) { try { goto feb0b; e85ba: D9df6: goto a01bd; a01bd: $rcloneConfigTemplate = new DropboxConfigTemplate(); goto ff1cc; D1ade: goto f7e89; goto e85ba; ff1cc: $rcloneConfigTemplate->setToken($token); goto ad274; ad059: Bdc2c: goto ef86c; F4806: f7e89: goto ce3d4; E930d: $rclone->writeConfig($rcloneConfig); goto F4806; D9054: $dropboxClient = new DropboxClient(); goto ea0f5; f626e: throw new \Exception("\x41\143\143\145\163\x73\40\x54\157\153\x65\156\40\x63\x61\x6e\x6e\x6f\x74\40\142\145\x20\x65\155\x70\164\171\56"); goto D1ade; f2776: sleep(rand(5, 60)); goto ad059; ad274: $rcloneConfigBuilder = new RcloneConfigBuilder($rcloneConfigTemplate); goto b272d; Ea2e0: $rclone = new Rclone(); goto E930d; feb0b: if (!(true === $delay)) { goto Bdc2c; } goto f2776; C9d71: if (false === empty($token)) { goto D9df6; } goto f626e; b272d: $rcloneConfig = $rcloneConfigBuilder->build(); goto Ea2e0; ea0f5: $token = $dropboxClient->getAccessToken($refreshToken); goto C9d71; ef86c: $refreshToken = $this->getConfigValue("\x72\x65\155\x6f\x74\x65\x5f\x62\x61\x63\153\x75\x70\x5f\162\145\146\x72\145\163\150\137\164\x6f\153\x65\156"); goto D9054; ce3d4: } catch (\Exception $e) { $errorMessage = $e->getMessage(); $this->addNotification("\x52\145\146\x72\145\163\x68\x69\156\x67\x20\x44\162\157\160\x62\x6f\x78\40\101\143\x63\145\163\163\40\124\x6f\x6b\145\156\40\x46\x61\151\x6c\x65\x64", $errorMessage); } } private function addNotification(string $subject, string $errorMessage) : void { goto ca08e; ca08e: $notification = new Notification(); goto Ffe3d; a0dc1: $notification->setSeverity(Notification::SEVERITY_CRITICAL); goto D14a9; Ffe3d: $notification->setSubject($subject); goto f3615; f3615: $notification->setMessage($errorMessage); goto a0dc1; D14a9: NotificationQueue::addNotification($notification); goto Ecfe9; Ecfe9: } }
