<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\NodejsSettings as NodejsSettingsEntity; use App\Site\NodejsSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\NodejsTemplate as NodejsVhostTemplate; use App\Site\Creator\NodejsSite as NodejsSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddNodejsCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\116\157\144\x65\152\x73"; protected function configure() : void { goto abcef; C62b6: $this->addOption("\x64\x6f\155\x61\151\156\116\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto fe598; A1661: $this->addOption("\163\x69\164\145\125\163\145\x72", null, InputOption::VALUE_REQUIRED); goto f8871; F3b00: $this->addOption("\141\x70\160\x50\x6f\162\164", null, InputOption::VALUE_REQUIRED); goto A1661; fe598: $this->addOption("\x6e\157\144\145\152\x73\x56\145\x72\163\151\157\x6e", null, InputOption::VALUE_REQUIRED); goto F3b00; f8871: $this->addOption("\163\151\x74\145\x55\x73\x65\x72\120\x61\163\163\x77\x6f\x72\144", null, InputOption::VALUE_REQUIRED); goto Ee4ec; a5462: $this->setComment("\x41\x64\x64\x69\156\147\40\141\x20\x4e\x6f\144\x65\56\x6a\x73\x20\x53\151\x74\x65"); goto C62b6; bbd4e: $this->setDescription("\143\x6c\x70\143\164\x6c\40\x73\151\164\145\x3a\x61\x64\144\x3a\156\x6f\144\145\x6a\163\40\55\x2d\144\157\x6d\x61\151\156\x4e\x61\155\145\75\x77\x77\x77\56\144\x6f\x6d\141\151\x6e\x2e\x63\x6f\x6d\x20\55\55\156\x6f\x64\x65\152\x73\126\x65\x72\163\x69\x6f\x6e\x3d\x32\x32\x20\55\x2d\x61\x70\160\x50\157\162\164\x3d\63\60\60\60\40\55\x2d\x73\x69\x74\x65\125\x73\x65\x72\75\x6a\x6f\x68\156\40\55\55\x73\151\164\145\x55\x73\145\x72\120\141\x73\x73\x77\x6f\x72\144\75\x27\x21\x73\x65\143\x72\145\164\x50\141\x73\x73\167\157\x72\x64\x21\47"); goto a5462; abcef: $this->setName("\x73\151\x74\x65\x3a\x61\144\144\x3a\x6e\x6f\x64\x65\152\163"); goto bbd4e; Ee4ec: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto Cb345; Fcd85: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\x61\x69\x6e\116\141\x6d\145"))); goto B0d31; C0a9d: $siteEntity->setType(SiteEntity::TYPE_NODEJS); goto D0226; Fec3f: D5d55: goto Fcff8; E7fb9: $nodejsSiteCreator->createLogrotateFile(); goto d4471; E6c2a: $nodejsSiteCreator->createPrivateKeyAndCertificate(); goto d367f; F00e1: $vhostTemplate->build(); goto fd71d; e9d28: $this->siteEntityManager->updateEntity($siteEntity); goto f1827; Ffa5c: if (0 == count($siteConstraints) && 0 == count($nodejsSettingsConstraints)) { goto Cf8b7; } goto ec442; Fcff8: Cbfaa: goto d9c2f; b0587: $constraints->addAll($siteConstraints); goto ac7b3; f7c9d: $subjectAlternativeNames[] = $registrableDomain; goto De77f; C3e3c: $nodejsSettingsEntity->setSite($siteEntity); goto fb15d; A5f20: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto e9d28; Cfea4: return $this->renderConstraints($constraints, $output); goto a276a; fd62f: if (false === is_null($vhostTemplateEntity)) { goto Ed5e8; } goto c74fb; Ccdc9: $certificateEntity->setDefaultCertificate(true); goto e86ca; Df4ee: $siteUser = trim($input->getOption("\163\x69\x74\x65\x55\163\145\162")); goto Bec58; Ec132: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto f833e; C9165: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto C0f92; d252e: $nodejsSite->setNodejsSettings($nodejsSettingsEntity); goto A8930; fef6a: if (true === isset($_ENV["\x41\x50\x50\137\110\124\x54\120\x33"]) && "\x74\162\165\145" === $_ENV["\101\x50\x50\x5f\110\124\x54\120\63"]) { goto D4200; } goto a5c31; D0226: $siteEntity->setDomainName($domainName); goto cb952; c74fb: throw new \Exception(sprintf("\x56\150\157\x73\164\40\124\x65\155\160\x6c\x61\x74\145\x20\x22\x25\163\x22\x20\144\157\145\x73\40\x6e\x6f\164\x20\145\170\151\163\164\56", $vhostTemplate)); goto df6d2; A7a63: $rsaKeyGenerator = new RsaKeyGenerator(); goto D4826; Cb345: $this->validateInput($input); goto Fcd85; b1cf7: $nodejsSite->setRootDirectory($siteEntity->getRootDirectory()); goto d252e; B79c1: $certificateEntity->setCertificate($selfSignedCertificate); goto dde07; ce617: $subjectAlternativeNames[] = sprintf("\167\x77\167\56\45\163", $domainName); goto C4535; e86ca: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto B6a8a; c736c: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto D934a; ac7b3: $constraints->addAll($nodejsSettingsConstraints); goto Cfea4; a276a: goto f8309; goto E076e; a5c31: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\56\x2e\x2f\x72\x65\x73\157\165\162\143\145\x73\x2f\x6e\147\x69\x6e\170\x2f\166\x68\x6f\163\x74\137\x74\145\x6d\x70\154\x61\164\145\57\x72\145\144\151\162\145\143\164"); goto E4b45; ac6cf: if (!(true === is_null($subdomain) || "\167\x77\167" == $subdomain)) { goto Cbfaa; } goto fef6a; D371e: $nodejsSite->setRegistrableDomain($registrableDomain); goto c0266; Ed853: $nodejsSettingsConstraints = $this->validator->validate($nodejsSettingsEntity); goto Ffa5c; De77f: Bfe77: goto C8860; Ebe7c: $appPort = (int) $input->getOption("\141\x70\x70\x50\157\x72\164"); goto Df4ee; df6d2: goto D8a0a; goto C1cef; Cd392: $nodejsSiteCreator->createRootDirectory(); goto E7fb9; Ac8bf: $rootDirectory = $domainName; goto Bda29; d367f: $nodejsSiteCreator->createNginxVhost(); goto f01d0; Bda29: $nodejsVersion = (int) $input->getOption("\x6e\157\144\145\x6a\x73\x56\x65\162\163\x69\157\x6e"); goto Ebe7c; b43cc: f8309: goto C7222; dbfd8: $siteEntity->setUser($siteUser); goto ebd07; E7d6d: $subdomain = $resolvedDomainName->subDomain()->toString(); goto F664d; F664d: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Dc88a; d6c67: $nodejsSettingsEntity = new NodejsSettingsEntity(); goto A2d18; C2f81: $nodejsSettingsEntity->setNodejsVersion($nodejsVersion); goto F7a2c; c6592: return SiteCommand::SUCCESS; goto b43cc; C7222: D8a0a: goto d77e4; a1e27: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\56\x2f\56\56\57\162\x65\x73\157\x75\162\143\x65\x73\x2f\x6e\x67\x69\156\170\57\166\x68\x6f\163\164\137\x74\145\155\x70\154\141\164\145\x2f\162\x65\144\151\162\x65\143\x74\x2d\150\x74\x74\x70\x33"); goto eca51; De860: $vhostTemplate = new NodejsVhostTemplate($nodejsSite); goto dcbb6; A2d18: $siteEntity->setNodejsSettings($nodejsSettingsEntity); goto C2f81; C780a: $nodejsSite->setUserPassword($siteEntity->getUserPassword()); goto B23a0; ec247: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Ccdc9; C0f92: if (!(false === empty($redirectionVhostTemplate))) { goto D5d55; } goto c41d4; F2ee6: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto e1608; D4826: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto cd988; D1b67: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto c736c; dcbb6: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto a210c; c41d4: $vhostTemplate = sprintf("\45\163\x25\x73", $redirectionVhostTemplate, $vhostTemplate); goto Fec3f; a2e2e: $certificateEntity->setSite($siteEntity); goto A7a63; f01d0: $nodejsSiteCreator->reloadNginxService(); goto fcba2; D7d1a: $nodejsSite = new NodejsSite(); goto b0775; D633f: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto Bfe77; } goto f7c9d; D934a: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto F00e1; d4471: $nodejsSiteCreator->createNvmDirectory(); goto B4e1e; Bec58: $siteUserPassword = trim($input->getOption("\163\151\x74\x65\125\x73\145\x72\x50\141\x73\163\x77\157\x72\x64")); goto Ef352; B6a8a: $certificateEntity->setCsr($csr); goto Bf013; B4e1e: $nodejsSiteCreator->installNodejs(); goto E6c2a; Ef352: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F0575; Bbc34: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a2e2e; F7a2c: $nodejsSettingsEntity->setPort($appPort); goto C3e3c; a210c: $vhostTemplate->resetProcessors(); goto D1b67; fb15d: $siteConstraints = $this->validator->validate($siteEntity); goto Ed853; E4b45: goto A67e2; goto B5abe; ec442: $constraints = new ConstraintViolationList(); goto b0587; Dc88a: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto fd62f; b0775: $nodejsSite->setUser($siteEntity->getUser()); goto C780a; A8930: $nodejsSite->setCertificate($certificateEntity); goto bb1b2; Bf4e4: $nodejsSiteCreator = new NodejsSiteCreator($nodejsSite); goto d4275; e1608: $csr = $csrGenerator->generate(); goto ec247; cb952: $siteEntity->setRootDirectory($rootDirectory); goto dbfd8; C1cef: Ed5e8: goto Ec132; C8860: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto F2ee6; bb1b2: $nodejsSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto Bf4e4; Bf013: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto B79c1; d9c2f: $siteEntity->setVhostTemplate($vhostTemplate); goto d6c67; E076e: Cf8b7: goto Bbc34; C4535: D0e2f: goto D633f; cd988: $subjectAlternativeNames = []; goto D02aa; eca51: A67e2: goto C9165; f1827: $output->writeln(sprintf("\x3c\x69\x6e\146\x6f\76\123\x69\x74\145\x3c\57\151\x6e\146\x6f\x3e\40\74\143\157\x6d\x6d\x65\156\164\x3e\45\163\74\57\x63\157\155\x6d\145\156\164\x3e\x20\74\151\156\x66\157\76\x68\141\x73\40\x62\145\145\x6e\x20\x61\144\144\145\144\x2e\74\x2f\x69\156\146\157\76", $domainName)); goto c6592; d4275: $nodejsSiteCreator->createUser(); goto Cd392; f833e: $siteEntity = $this->siteEntityManager->createEntity(); goto C0a9d; fd71d: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto A5f20; ebd07: $siteEntity->setUserPassword($siteUserPassword); goto ac6cf; F0575: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto E7d6d; fcba2: $nodejsSiteCreator->resetPermissions(); goto De860; c0266: $nodejsSite->setSubdomain($subdomain); goto b1cf7; dde07: $siteEntity->setCertificate($certificateEntity); goto D7d1a; D02aa: if (!(true === is_null($subdomain))) { goto D0e2f; } goto ce617; B5abe: D4200: goto a1e27; B0d31: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto Ac8bf; B23a0: $nodejsSite->setDomainName($domainName); goto D371e; d77e4: } catch (\Exception $e) { goto E3557; D3df0: return SiteCommand::FAILURE; goto D0a4c; e4dea: $output->writeln(sprintf("\x3c\145\162\162\157\x72\76\x25\x73\x3c\57\x65\x72\162\x6f\x72\x3e", $errorMessage)); goto D3df0; E3557: $errorMessage = $e->getMessage(); goto e4dea; D0a4c: } } }
