<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\PythonSettings as PythonSettingsEntity; use App\Site\PythonSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\PythonTemplate as PythonVhostTemplate; use App\Site\Creator\PythonSite as PythonSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddPythonCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\120\x79\164\150\157\x6e"; protected function configure() : void { goto Eef9b; Dbc0e: $this->setDescription("\143\x6c\160\143\x74\x6c\40\x73\x69\x74\x65\72\x61\144\x64\72\x70\171\164\x68\x6f\156\x20\x2d\55\144\157\155\141\x69\x6e\116\x61\155\x65\x3d\167\167\x77\x2e\x64\157\x6d\141\151\156\x2e\x63\x6f\x6d\40\55\55\160\171\x74\150\157\x6e\126\145\x72\163\x69\x6f\x6e\x3d\63\x2e\x31\x32\x20\55\x2d\141\x70\x70\120\x6f\x72\164\x3d\x38\x30\x38\60\40\x2d\x2d\x73\x69\x74\x65\x55\x73\x65\x72\75\x6a\x6f\x68\156\40\x2d\55\x73\x69\164\x65\125\163\x65\x72\120\141\x73\163\167\x6f\162\144\x3d\x27\x21\163\x65\x63\162\x65\164\x50\141\x73\163\x77\x6f\x72\144\41\47"); goto a47f6; A78d5: $this->addOption("\x64\x6f\x6d\141\x69\x6e\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto bebda; efb0d: $this->addOption("\141\160\160\120\157\162\x74", null, InputOption::VALUE_REQUIRED); goto d5db3; d5db3: $this->addOption("\163\151\164\145\x55\x73\x65\x72", null, InputOption::VALUE_REQUIRED); goto C50f2; a47f6: $this->setComment("\101\144\x64\x69\156\x67\x20\141\x20\x50\171\x74\150\157\x6e\40\x53\151\x74\x65"); goto A78d5; Eef9b: $this->setName("\163\x69\164\x65\x3a\141\x64\x64\x3a\x70\x79\164\150\x6f\156"); goto Dbc0e; bebda: $this->addOption("\160\171\x74\150\157\x6e\x56\x65\162\163\151\157\x6e", null, InputOption::VALUE_REQUIRED); goto efb0d; C50f2: $this->addOption("\x73\151\x74\x65\125\x73\x65\162\120\141\x73\x73\x77\157\162\x64", null, InputOption::VALUE_REQUIRED); goto e07de; e07de: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto be772; Cde08: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto eda1a; b6424: $siteEntity->setCertificate($certificateEntity); goto C8434; A88f1: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto c1e4c; d41be: $pythonSiteCreator->createRootDirectory(); goto c4c95; c6125: $pythonSettingsEntity = new PythonSettingsEntity(); goto D7279; d9cd8: goto Bc3b2; goto f547c; A9263: $siteUser = trim($input->getOption("\x73\151\164\x65\125\163\x65\162")); goto fb4cb; e52a5: $pythonSite->setUser($siteEntity->getUser()); goto bf926; Ff09a: $csr = $csrGenerator->generate(); goto Cde08; e0566: $siteEntity->setRootDirectory($rootDirectory); goto cd636; D7279: $siteEntity->setPythonSettings($pythonSettingsEntity); goto e9937; c4a96: $pythonSettingsEntity->setPort($appPort); goto a0e6e; c43c0: $constraints->addAll($siteConstraints); goto e7842; cd2b1: $siteEntity->setVhostTemplate($vhostTemplate); goto c6125; A6503: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto eabf3; dad27: $siteEntity->setDomainName($domainName); goto e0566; e010b: $subjectAlternativeNames[] = sprintf("\x77\167\x77\x2e\45\163", $domainName); goto Bbf8f; F4841: $pythonSiteCreator->writePythonVersionFile(); goto Ac2b5; c4ca8: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto c2bbc; fed3b: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto D3061; c82fe: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto fed3b; D356a: $pythonSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto F7d3b; Af339: $pythonSiteCreator->resetPermissions(); goto c5943; f9b3d: $pythonSite->setSubdomain($subdomain); goto Ea384; af2cc: $subdomain = $resolvedDomainName->subDomain()->toString(); goto D3474; fb4cb: $siteUserPassword = trim($input->getOption("\163\151\164\x65\x55\163\145\162\120\141\x73\163\x77\x6f\162\144")); goto B9331; c0fd8: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto Bd2de; eda1a: $certificateEntity->setDefaultCertificate(true); goto b4a09; c341f: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto de37a; c60fa: $vhostTemplate->build(); goto c82fe; e0d75: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\56\x2e\57\x2e\x2e\x2f\x72\x65\x73\157\x75\162\143\145\163\x2f\x6e\x67\x69\x6e\x78\x2f\x76\150\x6f\163\164\x5f\164\145\155\160\154\x61\x74\x65\57\162\x65\x64\x69\162\145\x63\x74\55\150\x74\x74\x70\x33"); goto E694b; ce789: $pythonSite->setDomainName($domainName); goto fba01; b3da5: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\56\57\56\56\57\162\x65\x73\157\x75\x72\143\x65\x73\57\x6e\147\151\x6e\x78\57\x76\150\x6f\x73\x74\x5f\164\145\155\x70\x6c\x61\164\x65\x2f\162\x65\144\151\162\x65\143\164"); goto d9cd8; D6190: $subjectAlternativeNames[] = $registrableDomain; goto dc203; Bbf8f: E177a: goto Cee0d; bf883: $vhostTemplate = sprintf("\x25\163\x25\163", $redirectionVhostTemplate, $vhostTemplate); goto A6a2f; D3061: $this->siteEntityManager->updateEntity($siteEntity); goto c4c72; b7fdd: goto Ddabb; goto A2a0a; a0e6e: $pythonSettingsEntity->setSite($siteEntity); goto A294d; b4a09: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto Dcc50; A6a2f: cfbcd: goto C8a41; A485b: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto C415b; Cc007: $siteEntity->setType(SiteEntity::TYPE_PYTHON); goto dad27; e9937: $pythonSettingsEntity->setPythonVersion($pythonVersion); goto c4a96; C817b: $constraints = new ConstraintViolationList(); goto c43c0; E68b1: $vhostTemplate->resetProcessors(); goto A88f1; c4c72: $output->writeln(sprintf("\x3c\x69\x6e\146\x6f\x3e\123\151\164\x65\74\x2f\x69\156\146\x6f\76\40\x3c\x63\x6f\155\x6d\x65\x6e\x74\x3e\45\163\x3c\x2f\x63\157\x6d\155\x65\156\x74\76\x20\x3c\x69\x6e\x66\157\x3e\150\x61\x73\x20\x62\145\x65\x6e\x20\141\144\144\145\x64\x2e\x3c\x2f\x69\156\146\157\76", $domainName)); goto B4a93; c1e4c: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto c85a5; bf926: $pythonSite->setUserPassword($siteEntity->getUserPassword()); goto ce789; A294d: $siteConstraints = $this->validator->validate($siteEntity); goto Fb9d2; b7cb4: goto A4cc9; goto a9843; D6e47: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto cae34; Cee0d: if (!(false === is_null($subdomain) && "\x77\167\167" == $subdomain)) { goto c336a; } goto D6190; dc203: c336a: goto c0fd8; B4ed8: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto af2cc; abccc: if (true === isset($_ENV["\x41\x50\x50\137\110\x54\124\120\63"]) && "\164\162\165\145" === $_ENV["\x41\x50\120\x5f\x48\124\x54\x50\x33"]) { goto a2e54; } goto b3da5; eea2d: $rsaKeyGenerator = new RsaKeyGenerator(); goto c4ca8; A28dc: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto E68b1; cd690: $certificateEntity = $this->certificateEntityManager->createEntity(); goto a3135; cd636: $siteEntity->setUser($siteUser); goto D6e2c; De764: $pythonVersion = $input->getOption("\x70\x79\164\x68\157\156\x56\x65\162\x73\x69\x6f\156"); goto A6756; e9e49: $domainName = mb_strtolower(trim($input->getOption("\144\157\155\141\151\x6e\x4e\141\x6d\145"))); goto D6e47; c4c95: $pythonSiteCreator->createLogrotateFile(); goto F4841; Dcc50: $certificateEntity->setCsr($csr); goto F6209; A4264: $certificateEntity->setCertificate($selfSignedCertificate); goto b6424; F385a: return $this->renderConstraints($constraints, $output); goto b7cb4; cae34: $rootDirectory = $domainName; goto De764; bc68c: if (!(true === is_null($subdomain))) { goto E177a; } goto e010b; c2bbc: $subjectAlternativeNames = []; goto bc68c; fba01: $pythonSite->setRegistrableDomain($registrableDomain); goto f9b3d; A6756: $appPort = (int) $input->getOption("\x61\160\x70\120\157\x72\164"); goto A9263; Bd2de: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto Ff09a; be772: $this->validateInput($input); goto e9e49; a3135: $certificateEntity->setSite($siteEntity); goto eea2d; A7296: $pythonSiteCreator->reloadNginxService(); goto Af339; D65fb: throw new \Exception(sprintf("\126\x68\x6f\163\x74\x20\x54\x65\x6d\x70\x6c\141\x74\145\40\x22\x25\x73\42\40\144\x6f\145\x73\40\x6e\157\x74\40\x65\170\x69\163\x74\x2e", $vhostTemplate)); goto b7fdd; de37a: $siteEntity = $this->siteEntityManager->createEntity(); goto Cc007; d40e8: $pythonSiteCreator->createNginxVhost(); goto A7296; D6e2c: $siteEntity->setUserPassword($siteUserPassword); goto C51dd; d2f84: $pythonSiteCreator->createUser(); goto d41be; F6209: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto A4264; Fb9d2: $pythonSettingsConstraints = $this->validator->validate($pythonSettingsEntity); goto ab3fe; f547c: a2e54: goto e0d75; Ea384: $pythonSite->setRootDirectory($siteEntity->getRootDirectory()); goto dc091; Ac2b5: $pythonSiteCreator->createPrivateKeyAndCertificate(); goto d40e8; ab3fe: if (0 == count($siteConstraints) && 0 == count($pythonSettingsConstraints)) { goto Cc4c5; } goto C817b; C415b: if (!(false === empty($redirectionVhostTemplate))) { goto cfbcd; } goto bf883; D3474: $subdomain = false === empty($subdomain) ? $subdomain : null; goto A6503; C51dd: if (!(true === is_null($subdomain) || "\x77\167\x77" == $subdomain)) { goto Afcc9; } goto abccc; B9331: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto B4ed8; F545c: Ddabb: goto F7af8; E694b: Bc3b2: goto A485b; B4a93: return SiteCommand::SUCCESS; goto dee83; A2a0a: C9c99: goto c341f; dee83: A4cc9: goto F545c; e7842: $constraints->addAll($pythonSettingsConstraints); goto F385a; a9843: Cc4c5: goto cd690; C8a41: Afcc9: goto cd2b1; F7d3b: $pythonSiteCreator = new PythonSiteCreator($pythonSite); goto d2f84; c5943: $vhostTemplate = new PythonVhostTemplate($pythonSite); goto A28dc; eabf3: if (false === is_null($vhostTemplateEntity)) { goto C9c99; } goto D65fb; C8434: $pythonSite = new PythonSite(); goto e52a5; c85a5: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto c60fa; dc091: $pythonSite->setPythonSettings($pythonSettingsEntity); goto ddbd4; ddbd4: $pythonSite->setCertificate($certificateEntity); goto D356a; F7af8: } catch (\Exception $e) { goto C176d; D6770: $output->writeln(sprintf("\74\x65\x72\162\157\x72\x3e\45\163\x3c\x2f\145\162\x72\157\162\x3e", $errorMessage)); goto Cd750; Cd750: return SiteCommand::FAILURE; goto B7059; C176d: $errorMessage = $e->getMessage(); goto D6770; B7059: } } }
