<?php
 namespace App\Command; use Symfony\Component\Console\Input\InputOption; use Symfony\Component\Console\Input\InputInterface; use Symfony\Component\Console\Output\OutputInterface; use Symfony\Component\Validator\ConstraintViolationList; use App\Command\SiteCommand as SiteCommand; use App\Entity\Site as SiteEntity; use App\Entity\Certificate as CertificateEntity; use App\Site\StaticSite; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\Util\Openssl; use App\Site\Nginx\Vhost\StaticTemplate as StaticVhostTemplate; use App\Site\Creator\StaticSite as StaticSiteCreator; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; class SiteAddStaticCommand extends SiteCommand { private const VHOST_TEMPLATE_NAME = "\x53\x74\x61\x74\151\x63"; protected function configure() : void { goto e013f; Df33d: $this->addOption("\144\157\155\x61\151\156\x4e\x61\155\x65", null, InputOption::VALUE_REQUIRED); goto D1f14; Bcc76: $this->setDescription("\143\x6c\160\x63\x74\x6c\x20\x73\x69\x74\x65\x3a\x61\144\144\72\x73\x74\141\164\x69\x63\40\55\55\144\157\x6d\x61\151\x6e\116\x61\155\145\x3d\x77\167\167\56\144\157\155\x61\151\x6e\x2e\143\x6f\155\x20\55\x2d\x73\151\x74\x65\125\x73\145\x72\75\152\157\x68\x6e\x20\x2d\x2d\x73\x69\x74\x65\x55\163\145\x72\120\141\x73\x73\x77\x6f\x72\144\x3d\47\x21\x73\145\143\x72\x65\x74\120\x61\x73\x73\x77\x6f\x72\x64\x21\47"); goto f53a0; f53a0: $this->setComment("\101\144\x64\151\156\147\40\141\x20\123\x74\141\x74\151\143\40\x48\124\115\x4c\x20\x53\x69\164\x65"); goto Df33d; D1f14: $this->addOption("\x73\x69\x74\145\125\163\x65\x72", null, InputOption::VALUE_REQUIRED); goto df2c1; e013f: $this->setName("\x73\151\164\145\72\x61\144\x64\x3a\x73\164\x61\x74\x69\143"); goto Bcc76; df2c1: $this->addOption("\163\151\x74\145\125\163\145\162\x50\x61\x73\163\167\x6f\162\144", null, InputOption::VALUE_REQUIRED); goto E240f; E240f: } protected function execute(InputInterface $input, OutputInterface $output) : int { try { goto d687a; Fb110: c7ece: goto F485f; Ca81f: $staticSiteCreator->createLogrotateFile(); goto c52ab; F17c8: $siteConstraints = $this->validator->validate($siteEntity); goto b7b21; ade01: $siteEntity->setType(SiteEntity::TYPE_STATIC); goto B59dd; D7c90: $certificateEntity->setSite($siteEntity); goto E11f0; d49b5: $output->writeln(sprintf("\x3c\151\156\146\x6f\76\x53\151\x74\145\74\57\151\x6e\146\x6f\76\x20\x3c\143\157\x6d\x6d\145\x6e\x74\76\x25\x73\x3c\x2f\143\x6f\x6d\155\x65\156\164\x3e\x20\x3c\151\156\146\157\x3e\150\x61\x73\x20\142\145\x65\x6e\x20\141\144\x64\145\x64\56\x3c\x2f\151\x6e\146\x6f\x3e", $domainName)); goto a3857; ff552: $siteUserPassword = trim($input->getOption("\163\x69\x74\x65\125\163\145\x72\x50\141\163\163\167\x6f\162\144")); goto F07fe; Bd38b: $selfSignedCertificate = Openssl::createSelfSignedCertificate($privateKey, $csr); goto Cee23; E3dbd: goto Ef080; goto Cf0be; Df576: $vhostTemplate->addProcessor(new ServerNameProcessor()); goto c69ec; F6b19: $staticSiteCreator->resetPermissions(); goto aacbe; bba3b: $staticSiteCreator = new StaticSiteCreator($staticSite); goto d655b; Cee23: $certificateEntity->setDefaultCertificate(true); goto c0913; E56d6: $subjectAlternativeNames[] = $registrableDomain; goto de45f; aacbe: $vhostTemplate = new StaticVhostTemplate($staticSite); goto D2c01; B6a86: if (!(false === is_null($subdomain) && "\167\x77\167" == $subdomain)) { goto A130e; } goto E56d6; a89e4: goto F31c0; goto Ec923; d655b: $staticSiteCreator->createUser(); goto cb3c0; E6251: $this->siteEntityManager->updateEntity($siteEntity); goto d49b5; d3ee7: $staticSite->setCertificate($certificateEntity); goto ccc1f; Ba9ca: $staticSite->setSubdomain($subdomain); goto ff4f8; Cf0be: b1ead: goto D6382; f6c60: $vhostTemplate->build(); goto B1f1c; B5d59: $certificateEntity->setCertificate($selfSignedCertificate); goto Bff5a; eaa12: $subjectAlternativeNames[] = sprintf("\x77\167\x77\56\45\163", $domainName); goto Dcaa2; a7f21: $staticSite->setUser($siteEntity->getUser()); goto A533a; A5bc5: goto ad102; goto Fb110; E1995: $subdomain = $resolvedDomainName->subDomain()->toString(); goto df1ca; D575d: $siteEntity->setApplication($vhostTemplateEntity->getName()); goto E6251; B4b0d: $vhostTemplate = self::VHOST_TEMPLATE_NAME; goto A99b1; Edce0: if (!(true === is_null($subdomain))) { goto Db959; } goto eaa12; Dcaa2: Db959: goto B6a86; C705d: return $this->renderConstraints($constraints, $output); goto E3dbd; d687a: $this->validateInput($input); goto a29d5; C3c71: $siteEntity->setRootDirectory($rootDirectory); goto D8932; D8932: $siteEntity->setUser($siteUser); goto de52f; e89cf: $siteUser = trim($input->getOption("\x73\x69\164\145\125\163\145\x72")); goto ff552; a3f6f: $vhostTemplate->resetProcessors(); goto Df576; cb3c0: $staticSiteCreator->createRootDirectory(); goto Ca81f; A98a8: if (!(true === is_null($subdomain) || "\167\167\x77" == $subdomain)) { goto E0e09; } goto abfa9; Ab78c: $staticSite = new StaticSite(); goto a7f21; Bc8f0: $vhostTemplate->addProcessor(new RedirectDomainProcessor()); goto f6c60; F07fe: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto C67d7; Fee04: $staticSiteCreator->createNginxVhost(); goto dfa65; f661d: $redirectionVhostTemplate = file_get_contents($redirectionVhostTemplateFile); goto f31c0; f06dd: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto e04fd; ccc1f: $staticSite->setVhostTemplate($siteEntity->getVhostTemplate()); goto bba3b; abfa9: if (true === isset($_ENV["\101\x50\x50\137\110\124\124\120\x33"]) && "\164\162\165\x65" === $_ENV["\101\x50\x50\137\110\x54\124\120\x33"]) { goto c7ece; } goto F9eac; D06d3: $csr = $csrGenerator->generate(); goto Bd38b; c0913: $certificateEntity->setType(CertificateEntity::TYPE_SELF_SIGNED); goto B271b; b7b21: if (0 == count($siteConstraints)) { goto b1ead; } goto Fcda7; D6382: $certificateEntity = $this->certificateEntityManager->createEntity(); goto D7c90; c69ec: $vhostTemplate->addProcessor(new RedirectServerNameProcessor()); goto Bc8f0; ff4f8: $staticSite->setRootDirectory($siteEntity->getRootDirectory()); goto d3ee7; caafd: $vhostTemplate = sprintf("\45\163\45\163", $redirectionVhostTemplate, $vhostTemplate); goto ffd5e; B1f1c: $siteEntity->setVhostTemplate($vhostTemplate->getContent()); goto D575d; e04fd: $subjectAlternativeNames = []; goto Edce0; df1ca: $subdomain = false === empty($subdomain) ? $subdomain : null; goto ceb1a; Bf6ca: $siteEntity = $this->siteEntityManager->createEntity(); goto ade01; ffd5e: a0d5a: goto fe52c; F9eac: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\57\x2e\x2e\57\x2e\x2e\x2f\162\145\163\157\165\x72\x63\145\x73\57\x6e\147\151\x6e\x78\x2f\x76\x68\x6f\x73\x74\137\x74\145\x6d\x70\x6c\x61\164\x65\x2f\x72\x65\x64\151\162\x65\143\x74"); goto A5bc5; c13b1: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto D06d3; de45f: A130e: goto ccee1; f31c0: if (!(false === empty($redirectionVhostTemplate))) { goto a0d5a; } goto caafd; B271b: $certificateEntity->setCsr($csr); goto E030a; fe52c: E0e09: goto ff276; A533a: $staticSite->setUserPassword($siteEntity->getUserPassword()); goto E8ff0; ff276: $siteEntity->setVhostTemplate($vhostTemplate); goto F17c8; f504a: throw new \Exception(sprintf("\x56\150\x6f\x73\x74\40\124\x65\x6d\160\154\141\x74\x65\40\x22\45\x73\x22\x20\x64\157\x65\x73\40\156\x6f\164\40\x65\170\x69\163\x74\x2e", $vhostTemplate)); goto a89e4; E8ff0: $staticSite->setDomainName($domainName); goto e7e63; a04c0: $staticSiteCreator->createPrivateKeyAndCertificate(); goto Fee04; E11f0: $rsaKeyGenerator = new RsaKeyGenerator(); goto f06dd; a1929: if (false === is_null($vhostTemplateEntity)) { goto b6c9f; } goto f504a; a29d5: $domainName = mb_strtolower(trim($input->getOption("\144\x6f\155\141\151\156\x4e\141\155\145"))); goto B4b0d; E030a: $certificateEntity->setPrivateKey($privateKey->getPEM()); goto B5d59; Ec923: b6c9f: goto a92ce; dfa65: $staticSiteCreator->reloadNginxService(); goto F6b19; D2c01: $vhostTemplate->setContent($siteEntity->getVhostTemplate()); goto a3f6f; B59dd: $siteEntity->setDomainName($domainName); goto C3c71; de52f: $siteEntity->setUserPassword($siteUserPassword); goto A98a8; Fcda7: $constraints = new ConstraintViolationList(); goto d0f73; b8a54: F31c0: goto f975c; F485f: $redirectionVhostTemplateFile = realpath(dirname(__FILE__) . "\x2f\x2e\x2e\x2f\56\x2e\57\162\145\x73\x6f\x75\162\143\145\163\x2f\156\147\151\x6e\x78\x2f\166\150\157\163\x74\x5f\x74\x65\x6d\x70\x6c\x61\x74\x65\57\162\x65\x64\x69\162\145\143\164\55\x68\x74\164\x70\x33"); goto c2177; Bff5a: $siteEntity->setCertificate($certificateEntity); goto Ab78c; c2177: ad102: goto f661d; A99b1: $rootDirectory = $domainName; goto e89cf; ccee1: $distinguishedName = new DistinguishedName($domainName, $subjectAlternativeNames); goto c13b1; d0f73: $constraints->addAll($siteConstraints); goto C705d; c52ab: $staticSiteCreator->createIndexHtml(); goto a04c0; e7e63: $staticSite->setRegistrableDomain($registrableDomain); goto Ba9ca; b4cb6: Ef080: goto b8a54; a3857: return SiteCommand::SUCCESS; goto b4cb6; a92ce: $vhostTemplate = $vhostTemplateEntity->getTemplate(); goto Bf6ca; ceb1a: $vhostTemplateEntity = $this->vhostTemplateEntityManager->findOneByName($vhostTemplate); goto a1929; C67d7: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto E1995; f975c: } catch (\Exception $e) { goto a680f; a680f: $errorMessage = $e->getMessage(); goto E66e4; E66e4: $output->writeln(sprintf("\74\x65\162\162\x6f\162\76\x25\x73\x3c\57\145\162\x72\x6f\162\x3e", $errorMessage)); goto eb131; eb131: return SiteCommand::FAILURE; goto E99ed; E99ed: } } }
