<?php
 namespace App\Command; use Symfony\Component\Validator\Validator\ValidatorInterface; use Symfony\Component\Validator\ConstraintViolationList; use Doctrine\Common\Collections\ArrayCollection; use App\Command\Command as BaseCommand; use App\Entity\Site as SiteEntity; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Site\Deleter as SiteDeleter; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Site\Parser\DomainName as DomainNameParser; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\VhostTemplateManager as VhostTemplateEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; class SiteCommand extends BaseCommand { protected DomainNameParser $domainNameParser; protected SiteEntityManager $siteEntityManager; protected CertificateEntityManager $certificateEntityManager; protected DatabaseServerEntityManager $databaseServerEntityManager; protected VhostTemplateEntityManager $vhostTemplateEntityManager; protected ValidatorInterface $validator; public function __construct(DomainNameParser $domainNameParser, SiteEntityManager $siteEntityManager, CertificateEntityManager $certificateEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, VhostTemplateEntityManager $vhostTemplateEntityManager, ValidatorInterface $validator) { goto b818f; b818f: $this->domainNameParser = $domainNameParser; goto B4959; c0f1b: $this->validator = $validator; goto A5959; A5959: parent::__construct(); goto e4c7e; B6d23: $this->vhostTemplateEntityManager = $vhostTemplateEntityManager; goto c0f1b; Becb9: $this->databaseServerEntityManager = $databaseServerEntityManager; goto B6d23; B4959: $this->siteEntityManager = $siteEntityManager; goto B3a55; B3a55: $this->certificateEntityManager = $certificateEntityManager; goto Becb9; e4c7e: } protected function configure() : void { $this->setName("\x73\x69\x74\145\x3a\x74\155\160"); } protected function getSite(string $domainName) : ?Site { goto A8155; Bb898: if (!(false === is_null($site))) { goto Cb30c; } goto fa7d5; c005b: $site->setDomainName($siteEntity->getDomainName()); goto f0385; c6f67: $site->setBlockedIps($siteEntity->getBlockedIps()); goto dcb7b; a508b: Ed194: goto A3c6e; Cab72: $siteDatabases = $this->getSiteDatabases($siteEntity); goto a52a5; Ccf64: throw new \Exception(sprintf("\x53\x69\164\x65\40\42\x25\163\x22\40\144\157\x65\163\40\x6e\x6f\164\40\x65\170\x69\163\x74\56", $domainName)); goto f3d2c; Eee46: $site->setFtpUsers($siteEntity->getFtpUsers()); goto bdc3f; B65b1: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Ddd22; b2476: Cb30c: goto e3be1; dcb7b: $site->setCertificate($siteEntity->getCertificate()); goto D2cd9; Fa275: $siteEntity = $this->getSiteEntity($domainName); goto Bd683; dd6cf: $subdomain = false === empty($subdomain) ? $subdomain : null; goto Cab72; f0385: $site->setRegistrableDomain($registrableDomain); goto E973a; bdc3f: $site->setSshUsers($siteEntity->getSshUsers()); goto A6d4a; F83c7: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto D05c3; d4857: $site->setCronJobs($siteEntity->getCronJobs()); goto Eee46; fa7d5: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto F83c7; a52a5: $site->setUser($siteEntity->getUser()); goto c005b; f3d2c: goto d4b95; goto B5288; F8182: $site->setBasicAuth($siteEntity->getBasicAuth()); goto ff199; E973a: $site->setSubdomain($subdomain); goto B0cbb; Ddd22: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto b2476; B5288: Af297: goto eb530; A8155: $site = null; goto Fa275; dedb3: $site->setDatabases($siteDatabases); goto F8182; acd9e: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto e029b; a7df5: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto ecfe8; e029b: $site = new NodejsSite(); goto a7df5; ecfe8: goto fc5fc; goto A4c94; A4c94: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto fc5fc; case SiteEntity::TYPE_PHP: goto b030a; f617a: $site->setVarnishCache($siteEntity->getVarnishCache()); goto fbecb; fbecb: goto fc5fc; goto A926d; f4bad: $site->setPhpSettings($siteEntity->getPhpSettings()); goto f617a; b030a: $site = new PhpSite(); goto f4bad; A926d: case SiteEntity::TYPE_PYTHON: goto D2dde; b345c: goto fc5fc; goto F0aa4; D2dde: $site = new PythonSite(); goto a7101; a7101: $site->setPythonSettings($siteEntity->getPythonSettings()); goto b345c; F0aa4: case SiteEntity::TYPE_REVERSE_PROXY: goto Aae15; Aae15: $site = new ReverseProxySite(); goto C764e; C764e: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto c437a; c437a: goto fc5fc; goto eb143; eb143: } goto a508b; ff199: $site->setBlockedBots($siteEntity->getBlockedBots()); goto c6f67; D2cd9: $site->setCertificates($siteEntity->getCertificates()); goto d4857; A3c6e: fc5fc: goto Bb898; eb530: $siteType = $siteEntity->getType(); goto acd9e; e3be1: d4b95: goto ae298; B0cbb: $site->setRootDirectory($siteEntity->getRootDirectory()); goto dedb3; Bd683: if (false === is_null($siteEntity)) { goto Af297; } goto Ccf64; A6d4a: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto B2768; D05c3: $subdomain = $resolvedDomainName->subDomain()->toString(); goto dd6cf; B2768: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto B65b1; ae298: return $site; goto B83b7; B83b7: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto E6371; E6371: $siteDatabases = new ArrayCollection(); goto fa38a; e52fb: $databaseEntities = $siteEntity->getDatabases(); goto df799; b107d: e6531: goto cc0e1; fa38a: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto e52fb; cc0e1: return $siteDatabases; goto D32c0; df799: foreach ($databaseEntities as $databaseEntity) { goto fe6b0; f12a3: $siteDatabases->add($databaseEntity); goto B7cac; B7cac: dbb05: goto B0cb9; B0cb9: C1d89: goto ecb67; Cd12c: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto dbb05; } goto f12a3; fe6b0: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto Cd12c; ecb67: } goto b107d; D32c0: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto ff6be; F3448: return $siteDeleter; goto A0b2f; Dea68: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto Cc08f; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto Cc08f; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto Cc08f; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto Cc08f; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto Cc08f; } goto d3efe; d0c36: $siteType = $site->getType(); goto Dea68; d3efe: Ce5ef: goto Be7c0; ff6be: $siteDeleter = null; goto d0c36; Be7c0: Cc08f: goto F3448; A0b2f: } protected function getSiteUpdater(Site $site) : ?SiteUpdater { goto cdc12; eac55: $siteType = $site->getType(); goto A8b97; cdc12: $siteUpdater = null; goto eac55; fbd42: e8057: goto fce34; D8361: return $siteUpdater; goto d9385; A8b97: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto Cc822; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto Cc822; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto Cc822; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto Cc822; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto Cc822; } goto fbd42; fce34: Cc822: goto D8361; d9385: } protected function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } protected function getSiteEntityBySiteUser(string $siteUser) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByUser($siteUser); return $siteEntity; } protected function prepareConstraints(ConstraintViolationList $constraints) : void { $this->changePropertyPath("\165\x73\x65\162", "\163\151\x74\145\125\163\x65\162", $constraints); $this->changePropertyPath("\165\163\x65\162\120\141\163\163\167\x6f\x72\x64", "\x73\151\164\x65\x55\x73\x65\x72\120\x61\163\x73\x77\x6f\162\144", $constraints); } }
