<?php
 namespace App\Controller\Admin; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Form\Form; use App\Controller\Controller; use Symfony\Contracts\Translation\TranslatorInterface; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\UserManager as UserEntityManager; use App\Entity\Manager\TimezoneManager as TimezoneEntityManager; use App\Entity\User as UserEntity; use App\Event\EventQueue; use App\Service\Logger; class UserController extends Controller { private UserEntityManager $userEntityManager; private SiteEntityManager $siteEntityManager; private TimezoneEntityManager $timezoneEntityManager; public function __construct(UserEntityManager $userEntityManager, SiteEntityManager $siteEntityManager, TimezoneEntityManager $timezoneEntityManager, TranslatorInterface $translator, Logger $logger) { goto Bb392; C6d1f: $this->timezoneEntityManager = $timezoneEntityManager; goto D1f8e; A4bc2: $this->siteEntityManager = $siteEntityManager; goto C6d1f; D1f8e: parent::__construct($translator, $logger); goto ad82c; Bb392: $this->userEntityManager = $userEntityManager; goto A4bc2; ad82c: } public function index(Request $request) : Response { goto c0915; ba2bf: $response = $this->render("\x41\144\x6d\151\x6e\57\x55\163\145\x72\57\x69\x6e\x64\x65\170\56\x68\x74\155\x6c\56\164\167\x69\x67", ["\165\163\x65\x72\x73" => $users]); goto Cd4d5; c0915: $currentUser = $this->getUser(); goto ecd49; a46d3: $users = array_filter($users, function ($user) use($currentUser) { return $currentUser->getId() != $user->getId(); }); goto ba2bf; ecd49: $users = $this->userEntityManager->findAll([], ["\x75\163\x65\162\x4e\x61\x6d\145" => "\141\x73\x63"]); goto a46d3; Cd4d5: return $response; goto B71a5; B71a5: } public function new(Request $request) : Response { goto C6f37; C0004: a1bcd: goto e3fc9; C7331: $form = $this->createUserForm($userEntity); goto Aae0c; a6053: $userEntity->setTimezone($defaultTimezone); goto C7331; e3fc9: $response = $this->render("\101\144\155\x69\x6e\57\x55\163\x65\162\x2f\x6e\x65\x77\56\150\164\x6d\154\56\164\x77\151\147", ["\x75\163\145\162" => $userEntity, "\x73\151\164\145\x73" => $sites, "\146\157\162\x6d" => $form->createView(), "\x66\157\x72\155\105\x72\162\157\162\x73" => $this->formErrors]); goto Ef714; Df465: $response = $this->handleUserForm($request, $form); goto ae5eb; Ef714: return $response; goto c6c3c; C6f37: $userEntity = $this->userEntityManager->createEntity(); goto b3463; D6e45: F8d36: goto B061c; B9f81: return $response; goto D6e45; d43e8: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\155\x61\x69\156\116\141\155\145" => "\101\123\103"]); goto a6053; ae5eb: if (!(false === is_null($response))) { goto F8d36; } goto B9f81; b3463: $defaultTimezone = $this->timezoneEntityManager->findOneByName(UserEntity::DEFAULT_TIMEZONE); goto d43e8; B061c: Fb3a2: goto C0004; f7ad9: if (!(true === $form->isSubmitted())) { goto Fb3a2; } goto Df465; Aae0c: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto a1bcd; } goto d30bc; d30bc: $form->handleRequest($request); goto f7ad9; c6c3c: } private function createUserForm(UserEntity $userEntity) : Form { goto Fab75; e58ea: $form->add("\x73\165\142\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\x61\x73\163" => "\x62\x74\x6e\x20\x62\x74\x6e\55\142\x6c\165\x65\40\x62\164\156\55\154\x67"], "\x6c\141\x62\145\x6c" => "\101\x64\144\40\x55\163\x65\x72"]); goto Bb7ba; Fab75: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\155\x5c\x41\x64\155\151\x6e\125\x73\x65\162\x54\171\x70\x65", $userEntity, ["\x61\143\164\151\157\156" => $this->generateUrl("\143\x6c\x70\x5f\x61\144\x6d\x69\x6e\137\165\x73\x65\x72\137\x6e\145\x77"), "\x6d\x65\164\x68\x6f\x64" => "\x50\x4f\x53\124", "\141\164\164\162" => []]); goto e58ea; Bb7ba: return $form; goto C7d77; C7d77: } private function handleUserForm(Request $request, Form $form) { goto eb8dc; ca31b: bfc1e: goto ade65; eb8dc: if (true === $form->isValid()) { goto D8ad9; } goto Dca18; d3348: goto bfc1e; goto C8217; C8217: D8ad9: goto b1e2e; b1e2e: try { goto B4cca; B1ff3: return $response; goto dc4d9; ec405: $domainNames = []; goto e4efb; Dfba2: $session->getFlashBag()->set("\163\x75\x63\143\145\x73\163", $this->translator->trans("\125\x73\x65\162\40\150\141\163\x20\x62\x65\x65\156\x20\x61\x64\x64\145\144\56")); goto c64a7; Af75c: $this->userEntityManager->updateUser($userEntity); goto e5134; e8df7: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_ADD, $currentUser, $eventData, $request); goto Dfba2; c64a7: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x61\144\155\151\x6e\137\x75\x73\145\162\x73")); goto B1ff3; a0752: $sites = $userEntity->getSites(); goto ec405; C4541: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); B8db0: } goto C5e35; e4efb: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto D75f1; } goto C4541; Ab3e8: $userEntity = $form->getData(); goto a0752; E428a: $session = $request->getSession(); goto Ab3e8; Bfe92: sort($domainNames); goto Af75c; e5134: $eventData = ["\165\x73\145\x72\x4e\x61\x6d\x65" => $userEntity->getUserName(), "\146\x69\162\x73\x74\x4e\x61\x6d\x65" => $userEntity->getFirstName(), "\x6c\141\x73\164\x4e\141\155\x65" => $userEntity->getLastName(), "\145\x6d\141\x69\154" => $userEntity->getEMail(), "\162\x6f\x6c\145" => $userEntity->getRole(), "\163\151\164\145\x73" => implode("\54\x20", $domainNames)]; goto e8df7; Ff636: D75f1: goto Bfe92; C5e35: bef9b: goto Ff636; B4cca: $currentUser = $this->getUser(); goto E428a; dc4d9: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\x72", $this->translator->trans("\101\x6e\40\145\162\x72\157\x72\40\x68\x61\163\x20\157\143\x63\165\162\162\x65\144\x2c\x20\x65\162\162\x6f\162\x20\155\145\163\163\x61\x67\145\72\40\x25\145\x72\x72\157\x72\x4d\145\163\163\141\147\145\45", ["\x25\x65\162\x72\157\162\115\145\163\x73\141\147\x65\45" => $e->getMessage()])); } goto ca31b; Dca18: $this->formErrors = $this->getErrorMessages($form); goto d3348; ade65: } public function edit(Request $request) : Response { goto a0281; a0281: $id = (int) $request->get("\x69\144"); goto B5699; D6b31: bfc59: goto Eb9f0; Eb9f0: F73f0: goto Ecea2; ec272: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x61\144\155\x69\156\x5f\x75\x73\x65\162\x73")); goto A4aeb; B5699: $userEntity = $this->userEntityManager->findOneById($id); goto B8c39; Baf3a: if (!(false === is_null($response))) { goto Af686; } goto b8cb6; A93dd: if (!(true === $request->isMethod("\x50\117\x53\x54"))) { goto F73f0; } goto f1690; e5634: $response = $this->handleUserEditForm($request, $form); goto Baf3a; A4aeb: goto D4e3b; goto Cf179; f1690: $form->handleRequest($request); goto E34af; c9bd3: D4e3b: goto C206e; edac0: $form = $this->createUserEditForm($userEntity); goto A93dd; E34af: if (!(true === $form->isSubmitted())) { goto bfc59; } goto e5634; Cf179: B9a8f: goto d41ca; b8cb6: return $response; goto a609a; d41ca: $sites = $this->siteEntityManager->findAll([], ["\x64\x6f\155\141\151\156\116\141\x6d\x65" => "\101\x53\103"]); goto edac0; Ecea2: $response = $this->render("\x41\x64\x6d\151\x6e\x2f\125\x73\x65\162\57\x65\x64\151\x74\56\x68\164\x6d\x6c\56\x74\x77\151\147", ["\165\163\145\162" => $userEntity, "\x73\151\x74\x65\163" => $sites, "\x66\157\x72\155" => $form->createView(), "\x66\157\x72\x6d\105\162\162\157\162\163" => $this->formErrors]); goto c9bd3; C206e: return $response; goto Ac12c; a609a: Af686: goto D6b31; B8c39: if (false === is_null($userEntity)) { goto B9a8f; } goto ec272; Ac12c: } private function createUserEditForm(UserEntity $userEntity) : Form { goto fb758; F1414: return $form; goto dbba9; fb758: $form = $this->createForm("\101\160\160\x5c\x46\x6f\x72\155\134\x41\x64\155\151\x6e\x55\x73\x65\162\x45\x64\151\x74\124\171\x70\x65", $userEntity, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\x61\x64\x6d\x69\156\x5f\165\x73\x65\x72\137\x65\144\151\164", ["\x69\144" => $userEntity->getId()]), "\x6d\145\164\150\157\144" => "\120\117\123\x54", "\x61\x74\164\x72" => []]); goto e76cd; e76cd: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\141\164\164\162" => ["\143\x6c\141\163\x73" => "\x62\164\156\x20\x62\x74\x6e\55\142\x6c\x75\x65\x20\x62\x74\156\55\154\x67"], "\154\141\x62\145\x6c" => "\123\x61\166\145"]); goto F1414; dbba9: } private function handleUserEditForm(Request $request, Form $form) { goto Fb6ac; Fb6ac: if (true === $form->isValid()) { goto eb552; } goto a5a81; a5a81: $this->formErrors = $this->getErrorMessages($form); goto F5289; A92a9: try { goto A20ae; D53e7: $this->userEntityManager->updateUser($userEntity, true, true); goto d313c; f0c82: b49be: goto F49df; E5f5f: $eventData = ["\165\163\145\x72\116\x61\x6d\x65" => $userEntity->getUserName(), "\x66\x69\162\x73\164\116\x61\155\x65" => $userEntity->getFirstName(), "\x6c\141\x73\x74\x4e\x61\155\x65" => $userEntity->getLastName(), "\x65\x6d\141\151\x6c" => $userEntity->getEMail(), "\x72\157\x6c\145" => $userEntity->getRole(), "\163\164\141\164\x75\x73" => (int) $userEntity->getStatus(), "\163\151\164\145\x73" => implode("\54\40", $domainNames)]; goto d2b2c; d313c: Df2ce: goto E5f5f; b9c91: $sites = $userEntity->getSites(); goto cc24d; d0e9f: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\x55\x73\x65\162\40\150\x61\163\40\142\x65\145\156\40\x75\x70\x64\x61\164\145\x64\56")); goto fc7b1; f657b: $userEntity = $form->getData(); goto C88f9; b9a29: b5c26: goto f0c82; fc7b1: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x61\x64\x6d\151\156\137\165\x73\x65\162\137\145\x64\x69\164", ["\151\144" => $userEntity->getId()])); goto d4aa6; F49df: sort($domainNames); goto A2f83; D24a3: $session = $request->getSession(); goto f657b; Fb28e: $this->userEntityManager->updateUser($userEntity); goto f048b; d4aa6: return $response; goto Ecb30; cc24d: $domainNames = []; goto cb4ef; cb4ef: if (!(count($sites) && UserEntity::ROLE_USER == $userEntity->getRole())) { goto b49be; } goto b7a12; A2f83: if (false === empty($plainPassword)) { goto f713f; } goto Fb28e; b7a12: foreach ($sites as $site) { $domainNames[] = $site->getDomainName(); efbc7: } goto b9a29; A20ae: $currentUser = $this->getUser(); goto D24a3; C88f9: $plainPassword = $userEntity->getPlainPassword(); goto b9c91; d9a73: f713f: goto D53e7; f048b: goto Df2ce; goto d9a73; d2b2c: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_UPDATE, $currentUser, $eventData, $request); goto d0e9f; Ecb30: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\101\x6e\x20\145\162\x72\x6f\x72\40\150\x61\x73\40\x6f\143\143\165\162\162\145\x64\54\40\145\162\162\x6f\162\x20\x6d\x65\163\x73\141\x67\145\72\x20\45\x65\x72\x72\157\x72\115\x65\x73\163\x61\147\145\45", ["\x25\x65\x72\162\157\x72\115\x65\x73\x73\x61\x67\x65\x25" => $e->getMessage()])); } goto E2f47; F5289: goto c0dc9; goto aaf26; aaf26: eb552: goto A92a9; E2f47: c0dc9: goto b018e; b018e: } public function delete(Request $request) : Response { goto Df41f; Df41f: $currentUser = $this->getUser(); goto d12a9; a052e: $session->getFlashBag()->set("\x73\165\143\143\145\163\x73", $this->translator->trans("\x55\x73\x65\162\x20\150\141\x73\40\142\x65\x65\156\40\144\145\x6c\x65\164\x65\x64\56")); goto D2320; db2c5: $userEntity = $this->userEntityManager->findOneById($id); goto c5c60; e8047: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\141\x64\155\151\156\137\x75\163\145\x72\163")); goto F8221; f58c6: EventQueue::addEvent(EventQueue::EVENT_ADMIN_USER_DELETE, $currentUser, $eventData, $request); goto e6f82; F8221: return $response; goto b571f; eff21: $eventData = ["\x75\x73\x65\162\x4e\x61\x6d\x65" => $userEntity->getUserName(), "\146\x69\162\163\x74\116\141\x6d\145" => $userEntity->getFirstName(), "\154\x61\x73\164\116\x61\155\x65" => $userEntity->getLastName(), "\x65\x6d\141\151\154" => $userEntity->getEMail(), "\162\157\154\x65" => $userEntity->getRole()]; goto f58c6; ca3b3: C85f1: goto e8047; D2320: Dec74: goto ca3b3; d12a9: $id = (int) $request->get("\x69\x64"); goto F6b5b; F6b5b: $this->checkCsrfToken($request, "\144\x65\x6c\145\164\x65\55\x75\163\145\162"); goto B8f51; c5c60: if (!(false === is_null($userEntity))) { goto Dec74; } goto Aa566; Aa566: $session = $request->getSession(); goto eff21; B8f51: if (!(true === isset($id) && $id != $currentUser->getId())) { goto C85f1; } goto db2c5; e6f82: $this->userEntityManager->deleteUser($userEntity); goto a052e; b571f: } }
