<?php
 namespace App\Controller\Frontend; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Contracts\Translation\TranslatorInterface; use App\Controller\Controller; use App\Entity\Manager\InstanceCpuManager as InstanceCpuEntityManager; use App\Entity\Manager\InstanceMemoryManager as InstanceMemoryEntityManager; use App\Entity\Manager\InstanceDiskUsageManager as InstanceDiskUsageEntityManager; use App\Entity\Manager\InstanceLoadAverageManager as InstanceLoadAverageEntityManager; use App\System\CommandExecutor; use App\System\Command\MemoryInformationCommand; use App\System\Command\ProcessorCoresCommand; use App\Entity\InstanceDiskUsage as InstanceDiskUsageEntity; use App\Entity\InstanceLoadAverage as InstanceLoadAverageEntity; use App\Monitoring\Chart; use App\Monitoring\LoadAverageChart; use App\Util\HumanFileSize as HumanFileSizeUtil; use App\Util\Time as TimeUtil; use App\Service\Logger; use App\Entity\User; class DashboardController extends Controller { public const TIME_RANGE_LAST_THIRTY_MINUTES = 1; public const TIME_RANGE_LAST_HOUR = 2; public const TIME_RANGE_LAST_THREE_HOURS = 3; public const TIME_RANGE_LAST_SIX_HOURS = 4; public const TIME_RANGE_LAST_TWELVE_HOURS = 5; private static array $timeRanges = [self::TIME_RANGE_LAST_THIRTY_MINUTES, self::TIME_RANGE_LAST_HOUR, self::TIME_RANGE_LAST_THREE_HOURS, self::TIME_RANGE_LAST_SIX_HOURS, self::TIME_RANGE_LAST_TWELVE_HOURS]; private InstanceCpuEntityManager $instanceCpuEntityManager; private InstanceMemoryEntityManager $instanceMemoryEntityManager; private InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager; private InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager; public function __construct(InstanceCpuEntityManager $instanceCpuEntityManager, InstanceMemoryEntityManager $instanceMemoryEntityManager, InstanceDiskUsageEntityManager $instanceDiskUsageEntityManager, InstanceLoadAverageEntityManager $instanceLoadAverageEntityManager, TranslatorInterface $translator, Logger $logger) { goto D7e88; D7e88: $this->instanceCpuEntityManager = $instanceCpuEntityManager; goto b4b1e; Fa485: $this->instanceLoadAverageEntityManager = $instanceLoadAverageEntityManager; goto b1d82; b4b1e: $this->instanceMemoryEntityManager = $instanceMemoryEntityManager; goto ec189; ec189: $this->instanceDiskUsageEntityManager = $instanceDiskUsageEntityManager; goto Fa485; b1d82: parent::__construct($translator, $logger); goto Cd8cb; Cd8cb: } public function index(Request $request) : Response { goto C04cf; f77be: $loadAverageChart->setInformation($loadAverageChartInformation); goto B41e2; Df0e5: $endTime = TimeUtil::roundToNearestMinuteInterval($dateTime, 5); goto c2b67; cfe83: $loadAverageChartInformation = sprintf("\x25\163\x20\x25\163", $numberOfProcessorCores, $this->translator->trans("\x43\x50\125")); goto daf14; b781e: $rootDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_ROOT); goto be229; a8ae0: $loadAverageRawData = $this->getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval); goto ed867; d171a: $memoryData = $this->getMemoryDataForTimeRange($startTime, $endTime, $minuteInterval); goto E1177; Adf45: $cpuChart->setInformation($cpuInformation); goto f6358; E1075: $homeDiskSize = HumanFileSizeUtil::convert($homeDiskSizeInBytes, "\x47\102", 0); goto D7dc8; a7a82: $cpuChart->setCategories($categories); goto e94f6; c4322: e3076: goto D846f; Dc3a0: $memoryChart->setCategories($categories); goto F58fb; D1649: $cpuInformation = sprintf("\45\x73\40\45\x73", $numberOfProcessorCores, $this->translator->trans("\103\120\x55")); goto A359f; be229: $rootDiskSize = HumanFileSizeUtil::convert($rootDiskSizeInBytes, "\107\x42", 0); goto Ba677; Ba677: $homeDiskSizeInBytes = disk_total_space(InstanceDiskUsageEntity::DISK_HOME); goto E1075; f6358: $cpuChart->setData($cpuData); goto a7a82; A359f: $cpuChart = new Chart("\x43\x50\125\40\125\x73\141\147\x65"); goto Adf45; D7dc8: $dateTime = new \DateTime(); goto Df0e5; df12f: $numberOfProcessorCores = 0; goto f395c; e95d4: $environment = $instance->getEnvironment(); goto c8a39; Dac3c: $timeRange = $request->get("\164\151\x6d\x65\x52\141\x6e\147\x65"); goto A0605; E1177: $diskData = $this->getDiskDataForTimeRange($startTime, $endTime, $minuteInterval); goto Fb182; B41e2: $loadAverageChart->setData($loadAverageData); goto B464f; b0f2b: $diskData = [["\x6e\141\x6d\x65" => sprintf("\x2f\40\50\x25\163\x29", $rootDiskSize), "\143\157\154\157\x72" => "\x23\x37\63\142\146\64\143", "\144\141\164\141" => $diskData["\162\x6f\x6f\164"] ?: []]]; goto F6450; ed867: $loadAverageData = [["\156\x61\155\x65" => $this->translator->trans("\x31\x20\x4d\x69\x6e\x75\x74\x65"), "\143\x6f\154\157\162" => "\43\67\x37\64\x61\141\64", "\144\x61\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_ONE_MINUTE] ?? []], ["\156\x61\155\x65" => $this->translator->trans("\x35\40\x4d\x69\156\165\x74\x65\x73"), "\143\157\154\x6f\x72" => "\x23\x65\x62\x35\x38\x36\143", "\x64\141\164\x61" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES] ?? []], ["\x6e\141\155\145" => $this->translator->trans("\61\65\40\x4d\x69\156\165\164\145\x73"), "\143\x6f\154\x6f\162" => "\43\x30\60\67\x38\144\64", "\x64\x61\x74\141" => $loadAverageRawData[InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] ?? []]]; goto D1649; D846f: b8cd3: goto Ecef8; e5313: return $response; goto B1f50; Eac0a: $memoryChart->setData($memoryData); goto Dc3a0; Ecef8: $categories = $this->getCategoriesForTimeRange($user, $startTime, $endTime, $minuteInterval); goto F53ce; daf14: $loadAverageChart = new LoadAverageChart("\114\157\x61\x64\40\x41\166\x65\x72\x61\147\x65"); goto f77be; d3830: c83d9: goto F22ec; C04cf: $user = $this->getUser(); goto A1614; abf9d: $totalMemory = ''; goto df12f; A1614: $instance = $request->attributes->get("\151\x6e\163\x74\141\x6e\x63\145"); goto e95d4; F53ce: $cpuData = $this->getCpuDataForTimeRange($startTime, $endTime, $minuteInterval); goto d171a; F58fb: $diskChart = new Chart("\104\151\x73\153\x20\125\163\x61\147\145"); goto Dbfd0; f395c: try { goto F84de; F84de: $commandExecutor = new CommandExecutor(); goto C3f4e; E2501: $commandExecutor->execute($memoryInformationCommand); goto B2b8c; E0109: $totalMemory = HumanFileSizeUtil::convert($totalMemoryInBytes, "\107\x42", 0); goto f430e; f430e: $processorCoresCommand = new ProcessorCoresCommand(); goto fbaa2; e8890: $numberOfProcessorCores = $processorCoresCommand->getNumberOfProcessorCores(); goto B61e5; C3f4e: $memoryInformationCommand = new MemoryInformationCommand(); goto E2501; fbaa2: $commandExecutor->execute($processorCoresCommand); goto e8890; B2b8c: $totalMemoryInBytes = $memoryInformationCommand->getTotalMemoryInBytes(); goto E0109; B61e5: } catch (\Exception $e) { $this->logger->exception($e); } goto b781e; e94f6: $memoryChart = new Chart("\x4d\145\155\x6f\162\171\40\125\x73\x61\x67\x65"); goto b6897; c8a39: $cloud = $environment->getCloudProvider(); goto Dac3c; Fb182: if ($homeDiskSize != $rootDiskSize) { goto c83d9; } goto b0f2b; c2b67: switch ($timeRange) { case self::TIME_RANGE_LAST_THIRTY_MINUTES: goto b25b7; b25b7: $minuteInterval = 5; goto b5cd7; b67a6: goto b8cd3; goto D422b; b5cd7: $startTime = (clone $endTime)->modify("\55\x33\60\x20\x6d\x69\156\165\164\x65\x73"); goto b67a6; D422b: case self::TIME_RANGE_LAST_HOUR: goto Ae35d; Ae35d: $minuteInterval = 10; goto fbe09; B7d62: goto b8cd3; goto b1538; fbe09: $startTime = (clone $endTime)->modify("\55\61\40\150\x6f\x75\162"); goto B7d62; b1538: case self::TIME_RANGE_LAST_THREE_HOURS: goto Aa284; Aa284: $minuteInterval = 30; goto e1f7c; e1f7c: $startTime = (clone $dateTime)->modify("\x2d\63\x20\x68\157\165\162\163"); goto a415d; a415d: goto b8cd3; goto F829b; F829b: case self::TIME_RANGE_LAST_SIX_HOURS: goto Cf081; Cf081: $minuteInterval = 60; goto Cb16a; Cb16a: $startTime = (clone $dateTime)->modify("\55\66\x20\150\x6f\165\x72\x73"); goto cfcec; cfcec: goto b8cd3; goto e5e1a; e5e1a: case self::TIME_RANGE_LAST_TWELVE_HOURS: goto F03be; c988d: goto b8cd3; goto A5b7a; a506b: $startTime = (clone $dateTime)->modify("\x2d\x31\62\x20\x68\x6f\x75\162\x73"); goto c988d; F03be: $minuteInterval = 120; goto a506b; A5b7a: } goto c4322; b6897: $memoryChart->setInformation($totalMemory); goto Eac0a; F22ec: $diskData = [["\x6e\x61\x6d\x65" => sprintf("\x2f\40\50\x25\163\51", $rootDiskSize), "\143\x6f\154\157\x72" => "\x23\67\x33\142\146\x34\x63", "\x64\141\x74\x61" => $diskData["\162\157\157\x74"] ?: []], ["\156\x61\x6d\x65" => sprintf("\x2f\150\157\x6d\x65\x20\50\x25\163\51", $homeDiskSize), "\x63\157\x6c\x6f\162" => "\x23\146\63\142\146\60\60", "\144\x61\164\x61" => $diskData["\150\x6f\x6d\x65"] ?: []]]; goto E5f34; b521a: $response = $this->render("\106\x72\x6f\156\x74\145\x6e\x64\57\x44\x61\163\150\x62\157\x61\x72\144\57\x69\x6e\x64\145\x78\56\x68\164\x6d\154\x2e\x74\x77\x69\x67", ["\143\154\157\165\144" => $cloud, "\x69\x6e\163\x74\141\x6e\x63\x65" => $instance, "\165\163\x65\x72" => $user, "\164\151\155\145\122\x61\x6e\147\x65" => $timeRange, "\143\x70\x75\x43\x68\141\x72\x74" => $cpuChart, "\x6d\x65\155\x6f\x72\171\x43\x68\141\x72\x74" => $memoryChart, "\x64\x69\x73\x6b\x43\x68\141\x72\164" => $diskChart, "\x6c\157\141\144\101\166\145\x72\141\x67\145\x43\150\x61\x72\164" => $loadAverageChart]); goto e5313; B464f: $loadAverageChart->setCategories($categories); goto b521a; Eb3f6: $diskChart->setCategories($categories); goto cfe83; E5f34: Ebd8b: goto a8ae0; A0605: $timeRange = true === is_null($timeRange) ? self::TIME_RANGE_LAST_THIRTY_MINUTES : (true === in_array($timeRange, self::$timeRanges) ? $timeRange : self::TIME_RANGE_LAST_THIRTY_MINUTES); goto abf9d; F6450: goto Ebd8b; goto d3830; Dbfd0: $diskChart->setData($diskData); goto Eb3f6; B1f50: } private function getCategoriesForTimeRange(User $user, \DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Fee57; Ef044: goto e09d7; goto B0f88; ce04f: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\60\65\144\40\155\x69\x6e\x75\x74\x65\x73", $minuteInterval)); goto baafa; c3ca5: return $categories; goto e0b62; b88a0: $endDataDate->modify(sprintf("\53\45\x30\x35\144\40\155\151\156\165\x74\x65\x73", $minuteInterval)); goto Ef044; B0f88: E3482: goto c3ca5; Fee57: $categories = []; goto ce04f; bcf0a: if (!($endDataDate <= $endTime)) { goto E3482; } goto B0b1e; baafa: $endDataDate = clone $startTime; goto C6647; C6647: e09d7: goto bcf0a; B0b1e: $categoryDateTime = clone $endDataDate; goto bf71a; be3ec: $categories[] = $categoryDateTime->format("\x48\x3a\151"); goto eab68; eab68: $startDataDate->modify(sprintf("\53\x25\60\x35\x64\40\155\x69\156\165\164\145\163", $minuteInterval)); goto b88a0; bf71a: $categoryDateTime->setTimezone(new \DateTimeZone($user->getTimezone())); goto be3ec; e0b62: } private function getCpuDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto F0d5d; F0d5d: $cpuData = []; goto bbb0a; b5a9e: goto A3cd3; goto f9715; A502a: A3cd3: goto Aea3b; f9715: f4466: goto ab454; B6e4a: $cpuData[] = $averageCpuValue; goto E0c31; Aea3b: if (!($endDataDate <= $endTime)) { goto f4466; } goto ee963; c5883: $endDataDate->modify(sprintf("\53\45\x30\65\x64\40\155\151\x6e\x75\x74\x65\163", $minuteInterval)); goto b5a9e; F971b: $endDataDate = clone $startTime; goto A502a; ee963: $averageCpuValue = $this->instanceCpuEntityManager->getAverageCpuValue($startDataDate, $endDataDate); goto B6e4a; ab454: return $cpuData; goto cfd59; E0c31: $startDataDate->modify(sprintf("\53\x25\x30\65\144\40\155\x69\156\x75\x74\x65\163", $minuteInterval)); goto c5883; bbb0a: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\45\x30\65\x64\40\x6d\151\156\x75\x74\x65\163", $minuteInterval)); goto F971b; cfd59: } private function getMemoryDataForTimeRange(\DateTimeInterface $startTime, \DateTimeInterface $endTime, $minuteInterval) : array { goto Aa2a1; c30ce: goto bee10; goto aa62d; Ca186: $averageMemoryValue = $this->instanceMemoryEntityManager->getAverageMemoryValue($startDataDate, $endDataDate); goto E5958; Aa2a1: $memoryData = []; goto F71b6; E5958: $memoryData[] = (int) $averageMemoryValue; goto Acff8; Aa775: $endDataDate->modify(sprintf("\53\x25\x30\x35\144\x20\x6d\151\x6e\165\x74\145\163", $minuteInterval)); goto c30ce; E8b85: bee10: goto cc824; Acff8: $startDataDate->modify(sprintf("\53\45\60\x35\144\40\x6d\x69\156\165\164\x65\x73", $minuteInterval)); goto Aa775; Aaac2: return $memoryData; goto f181a; aa62d: E2d8b: goto Aaac2; E956e: $endDataDate = clone $startTime; goto E8b85; F71b6: $startDataDate = (clone $startTime)->modify(sprintf("\55\45\x30\x35\144\40\x6d\151\156\165\164\x65\x73", $minuteInterval)); goto E956e; cc824: if (!($endDataDate <= $endTime)) { goto E2d8b; } goto Ca186; f181a: } private function getDiskDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto f8ec3; c9063: return $diskData; goto Ed395; B6886: Accd8: goto a4101; aef19: goto Accd8; goto d5d04; C778e: Bc393: goto b46d6; f0444: foreach (["\57", "\57\x68\x6f\x6d\x65"] as $disk) { goto dbe1e; E843a: Fc9f1: goto Ffe6f; Eb1a4: f3e33: goto ee3d4; Ffe6f: D2d54: goto C4e80; dbe1e: $averageDiskSizeValue = (int) $this->instanceDiskUsageEntityManager->getAverageDiskSizeValue($disk, $startDataDate, $endDataDate); goto Ffe65; ee3d4: $diskData["\162\157\157\164"][] = (int) $averageDiskSizeValue; goto E843a; de639: $diskData["\x68\x6f\155\145"][] = (int) $averageDiskSizeValue; goto A5e8e; A5e8e: goto Fc9f1; goto Eb1a4; Ffe65: if ("\x2f" == $disk) { goto f3e33; } goto de639; C4e80: } goto C778e; b46d6: $startDataDate->modify(sprintf("\53\x25\x30\65\x64\40\155\x69\156\165\x74\x65\x73", $minuteInterval)); goto df22a; f24f8: $endDataDate = clone $startTime; goto B6886; a4101: if (!($endDataDate <= $endTime)) { goto D5718; } goto f0444; D5276: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\144\x20\x6d\x69\156\165\164\145\163", $minuteInterval)); goto f24f8; d5d04: D5718: goto c9063; f8ec3: $diskData = []; goto D5276; df22a: $endDataDate->modify(sprintf("\53\x25\x30\x35\x64\40\x6d\x69\156\x75\x74\x65\163", $minuteInterval)); goto aef19; Ed395: } private function getLoadAverageDataForTimeRange($startTime, $endTime, $minuteInterval) : array { goto aa063; db307: return $loadAverageData; goto d9295; Fd36a: if (!($endDataDate <= $endTime)) { goto C32d9; } goto c5e1c; Dd00c: e3c11: goto Fd36a; B0eed: $endDataDate = clone $startTime; goto Dd00c; ba4ac: e79c9: goto dc524; aa063: $loadAverageData = []; goto Da2e3; D36f1: goto e3c11; goto f31e3; d9d35: $endDataDate->modify(sprintf("\53\x25\60\x35\144\40\155\x69\156\165\164\x65\x73", $minuteInterval)); goto D36f1; f31e3: C32d9: goto db307; dc524: $startDataDate->modify(sprintf("\x2b\45\x30\x35\x64\40\x6d\x69\x6e\165\x74\x65\x73", $minuteInterval)); goto d9d35; Da2e3: $startDataDate = (clone $startTime)->modify(sprintf("\x2d\x25\x30\x35\144\40\155\x69\x6e\x75\164\x65\x73", $minuteInterval)); goto B0eed; c5e1c: foreach ([InstanceLoadAverageEntity::PERIOD_ONE_MINUTE, InstanceLoadAverageEntity::PERIOD_FIVE_MINUTES, InstanceLoadAverageEntity::PERIOD_FIVETEEN_MINUTES] as $period) { goto e5feb; b0ad0: bfa9d: goto e4487; fa932: $loadAverageData[$period][] = round($loadAverageValue, 2); goto b0ad0; e5feb: $loadAverageValue = $this->instanceLoadAverageEntityManager->getLoadAverageValue($period, $startDataDate, $endDataDate); goto fa932; e4487: } goto ba4ac; d9295: } }
