<?php
 namespace App\Controller\Frontend; use Symfony\Component\Form\FormError; use Symfony\Component\HttpFoundation\Request; use Symfony\Component\HttpFoundation\Response; use Symfony\Component\HttpFoundation\RedirectResponse; use Symfony\Component\Form\Extension\Core\Type\ButtonType; use Symfony\Component\Form\Extension\Core\Type\SubmitType; use Symfony\Component\Security\Core\Exception\InvalidCsrfTokenException; use Symfony\Contracts\Translation\TranslatorInterface; use Symfony\Component\HttpFoundation\Cookie; use Symfony\Component\Form\Form; use Twig\Environment as Twig; use Doctrine\Common\Collections\ArrayCollection; use App\Controller\Controller; use App\Event\EventQueue; use App\Service\Crypto; use App\Service\Logger; use App\Site\Site; use App\Site\NodejsSite; use App\Site\StaticSite; use App\Site\PhpSite; use App\Site\PythonSite; use App\Site\ReverseProxySite; use App\Entity\Site as SiteEntity; use App\Entity\NodejsSettings; use App\Entity\PhpSettings; use App\Entity\PythonSettings; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\BlockedBot as BlockedBotEntity; use App\Entity\BlockedIp as BlockedIpEntity; use App\Entity\Database as DatabaseEntity; use App\Entity\DatabaseUser as DatabaseUserEntity; use App\Entity\User as UserEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\CronJob as CronJobEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Site\Updater as SiteUpdater; use App\Site\Updater\NodejsSite as NodejsSiteUpdater; use App\Site\Updater\StaticSite as StaticSiteUpdater; use App\Site\Updater\PhpSite as PhpSiteUpdater; use App\Site\Updater\PythonSite as PythonSiteUpdater; use App\Site\Updater\ReverseProxySite as ReverseProxySiteUpdater; use App\Site\Deleter as SiteDeleter; use App\Site\Deleter\NodejsSite as NodejsSiteDeleter; use App\Site\Deleter\StaticSite as StaticSiteDeleter; use App\Site\Deleter\PhpSite as PhpSiteDeleter; use App\Site\Deleter\PythonSite as PythonSiteDeleter; use App\Site\Deleter\ReverseProxySite as ReverseProxySiteDeleter; use App\Database\Manager as DatabaseManager; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\SiteManager as SiteEntityManager; use App\Entity\Manager\BasicAuthManager as BasicAuthEntityManager; use App\Entity\Manager\BlockedIpManager as BlockedIpEntityManager; use App\Entity\Manager\BlockedBotManager as BlockedBotEntityManager; use App\Entity\Manager\CertificateManager as CertificateEntityManager; use App\Entity\Manager\CronJobManager as CronJobEntityManager; use App\Entity\Manager\DatabaseManager as DatabaseEntityManager; use App\Entity\Manager\DatabaseUserManager as DatabaseUserEntityManager; use App\Entity\Manager\DatabaseServerManager as DatabaseServerEntityManager; use App\Entity\Manager\NodejsSettingsManager as NodejsSettingsEntityManager; use App\Entity\Manager\FtpUserManager as FtpUserEntityManager; use App\Entity\Manager\SshUserManager as SshUserEntityManager; use App\Log\LogfileReader; use App\Log\LogsFinder; use App\Log\Parser\NginxAccessLogParser; use App\Log\Parser\NginxErrorLogParser; use App\Log\Parser\PhpFpmErrorLogParser; use App\Site\Parser\DomainName as DomainNameParser; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Ssl\DistinguishedName; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Site\Ssl\Generator\CsrGenerator; use App\Site\Ssl\PrivateKey; use App\Site\Ssl\LetsEncryptClient; use App\Site\VarnishCache\Client as VarnishCacheClient; class SitesController extends Controller { private const FILE_MANAGER_COOKIE_EXPIRATION = 3; private ConfigManager $configManager; private SiteEntityManager $siteEntityManager; private BasicAuthEntityManager $basicAuthEntityManager; private BlockedIpEntityManager $blockedIpEntityManager; private BlockedBotEntityManager $blockedBotEntityManager; private CertificateEntityManager $certificateEntityManager; private CronJobEntityManager $cronJobEntityManager; private DatabaseEntityManager $databaseEntityManager; private DatabaseUserEntityManager $databaseUserEntityManager; private DatabaseServerEntityManager $databaseServerEntityManager; private NodejsSettingsEntityManager $nodejsSettingsEntityManager; private FtpUserEntityManager $ftpUserEntityManager; private SshUserEntityManager $sshUserEntityManager; private DomainNameParser $domainNameParser; public function __construct(ConfigManager $configManager, SiteEntityManager $siteEntityManager, BasicAuthEntityManager $basicAuthEntityManager, BlockedIpEntityManager $blockedIpEntityManager, BlockedBotEntityManager $blockedBotEntityManager, CertificateEntityManager $certificateEntityManager, CronJobEntityManager $cronJobEntityManager, DatabaseEntityManager $databaseEntityManager, DatabaseUserEntityManager $databaseUserEntityManager, DatabaseServerEntityManager $databaseServerEntityManager, NodejsSettingsEntityManager $nodejsSettingsEntityManager, FtpUserEntityManager $ftpUserEntityManager, SshUserEntityManager $sshUserEntityManager, DomainNameParser $domainNameParser, TranslatorInterface $translator, Logger $logger) { goto A89f5; af959: $this->basicAuthEntityManager = $basicAuthEntityManager; goto C2d1a; Df01d: $this->blockedBotEntityManager = $blockedBotEntityManager; goto B3505; C2d1a: $this->blockedIpEntityManager = $blockedIpEntityManager; goto Df01d; A89f5: $this->configManager = $configManager; goto D025b; Efd7e: $this->cronJobEntityManager = $cronJobEntityManager; goto E4441; C8a0d: $this->sshUserEntityManager = $sshUserEntityManager; goto cba2c; cba2c: $this->domainNameParser = $domainNameParser; goto C9b0c; afc03: $this->ftpUserEntityManager = $ftpUserEntityManager; goto C8a0d; D025b: $this->siteEntityManager = $siteEntityManager; goto af959; E4441: $this->databaseEntityManager = $databaseEntityManager; goto A8df4; A8df4: $this->databaseUserEntityManager = $databaseUserEntityManager; goto e320b; b2b92: $this->nodejsSettingsEntityManager = $nodejsSettingsEntityManager; goto afc03; B3505: $this->certificateEntityManager = $certificateEntityManager; goto Efd7e; e320b: $this->databaseServerEntityManager = $databaseServerEntityManager; goto b2b92; C9b0c: parent::__construct($translator, $logger); goto c2a4d; c2a4d: } public function index(Request $request) : Response { goto e26b8; e26b8: $user = $this->getUser(); goto B9c00; be1f4: return $response; goto f21bb; B9c00: $sites = $this->siteEntityManager->getUserSites($user, ["\144\157\x6d\x61\151\156\116\141\x6d\145" => "\141\x73\143"]); goto f9320; f9320: $response = $this->render("\106\x72\157\x6e\x74\x65\x6e\x64\57\x53\x69\x74\145\x2f\151\156\144\145\x78\x2e\150\164\155\154\56\x74\167\x69\147", ["\x75\163\x65\x72" => $user, "\163\x69\x74\145\163" => $sites]); goto be1f4; f21bb: } public function fileManager(Request $request) : Response { goto c33c4; c33c4: $site = $this->getSite($request); goto a32f5; E4b53: $fileManagerUrl = sprintf("\45\x73\x2f\146\151\x6c\x65\x2d\x6d\x61\x6e\x61\x67\x65\x72\x2f", rtrim($request->getSchemeAndHttpHost(), "\57")); goto Ce96b; A03c1: a90a5: goto E1fc2; bd9bc: goto a90a5; goto C5cb7; a32f5: if (false === is_null($site)) { goto adb1b; } goto c3620; A0ece: $data = ["\x75\x73\145\x72" => $siteUser, "\x6c\157\x63\141\154\145" => $locale]; goto A4847; F1494: $siteUser = $site->getUser(); goto D4cd1; A4847: $session->set("\x63\x6c\160\x2d\146\x69\x6c\145\x2d\x6d\x61\x6e\x61\x67\x65\162", $data); goto E4b53; E1fc2: return $response; goto c557d; C5cb7: adb1b: goto F1494; Ce96b: $response = $this->render("\106\x72\x6f\x6e\164\145\156\x64\x2f\123\x69\164\x65\x2f\146\x69\x6c\x65\x2d\x6d\141\156\141\147\145\x72\x2e\150\164\155\x6c\x2e\164\x77\151\147", ["\163\151\164\145" => $site, "\146\x69\154\x65\115\141\156\141\147\x65\x72\x55\162\154" => $fileManagerUrl, "\x66\157\x72\155\105\162\162\157\162\163" => $this->formErrors]); goto A03c1; c3620: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\151\x74\145\x73")); goto bd9bc; D7674: $locale = $request->getLocale(); goto A73e8; f9e3e: $cookieExpirationDate->modify(sprintf("\x2b\x25\x73\40\150\157\165\162\163", self::FILE_MANAGER_COOKIE_EXPIRATION)); goto A0ece; D4cd1: $session = $request->getSession(); goto D7674; A73e8: $cookieExpirationDate = new \DateTime("\156\x6f\x77"); goto f9e3e; c557d: } public function view(Request $request) : Response { goto a064b; Ae0d4: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\x5f\x73\145\x74\x74\151\x6e\x67\163", ["\144\157\155\141\151\156\x4e\x61\155\145" => $domainName])); goto Cb81c; a064b: $domainName = $request->get("\x64\157\155\141\x69\156\116\141\155\145"); goto Ae0d4; Cb81c: return $response; goto b8b89; b8b89: } public function logs(Request $request) : Response { goto Cc160; aa342: bd764: goto F10e7; cda1b: if (false === is_null($site)) { goto bd764; } goto E794a; D14ab: $response = $this->render("\106\x72\157\x6e\164\x65\156\144\x2f\123\x69\x74\x65\57\154\157\147\163\56\150\x74\x6d\x6c\x2e\164\167\x69\147", ["\x73\151\164\145" => $site, "\x66\x6f\x72\155\x45\x72\x72\157\x72\x73" => $this->formErrors, "\146\157\x72\x6d" => $form->createView()]); goto C6d48; Ff185: goto b6ecc; goto aa342; C6d48: b6ecc: goto Cabdc; F10e7: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c9074; Cc160: $site = $this->getSite($request); goto cda1b; E794a: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\145\163")); goto Ff185; c9074: $form = $this->createLogsForm($siteEntity); goto D14ab; Cabdc: return $response; goto efd45; efd45: } private function createLogsForm(SiteEntity $siteEntity) : Form { goto B1f42; Faafc: $form->add("\165\160\144\x61\x74\x65", ButtonType::class, ["\x61\x74\x74\162" => ["\143\x6c\141\163\x73" => "\142\x74\156\x20\142\164\156\x2d\154\147\40\142\164\156\55\x62\x6c\165\145\40\x62\164\x6e\55\165\160\144\x61\164\145"], "\x6c\141\x62\145\154" => "\x55\160\144\141\x74\x65"]); goto dfdbd; B1f42: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\155\x5c\123\x69\x74\145\x4c\157\x67\x73\x54\171\160\x65", [], ["\141\143\164\151\x6f\x6e" => $this->generateUrl("\x63\154\160\x5f\163\151\x74\145\x5f\x6c\x6f\147\163", ["\144\157\155\141\x69\x6e\x4e\x61\155\145" => $siteEntity->getDomainName()]), "\x6d\145\164\x68\x6f\144" => "\120\x4f\123\x54", "\141\164\164\162" => []]); goto Faafc; dfdbd: return $form; goto Acb42; Acb42: } public function logFileContent(Request $request, Twig $twig) : Response { goto A7643; B7a56: try { goto a08a9; dc3e7: e1883: goto a5600; Cab1d: $phpFpmErrorLogParser = new PhpFpmErrorLogParser($logLines); goto a2a61; A1644: $logMessages = $nginxErrorLogParser->parse(); goto F9f52; Aa39a: $nginxErrorLogParser = new NginxErrorLogParser($logLines); goto A1644; E5340: $nginxAccessLogParser->setTimezone($userTimezone->getName()); goto F0720; fcdf6: $logMessagesHtml = $twig->render("\x46\162\x6f\x6e\164\x65\x6e\144\57\123\x69\x74\145\57\x4c\x6f\147\x73\57\x6e\x67\x69\x6e\x78\x2d\x61\x63\x63\145\163\x73\x2d\x6c\157\147\55\x6d\145\x73\x73\x61\147\145\x73\x2e\150\x74\x6d\x6c\x2e\x74\167\151\x67", ["\x6c\157\x67\x4d\x65\x73\x73\141\x67\145\163" => $logMessages]); goto dc3e7; A41e3: be4f8: goto E293f; A8ca5: $userTimezone = $user->getTimezone(); goto dd8de; a5600: Aaf8d: goto bf9e3; a08a9: $service = basename($service); goto Be0d4; Bedfb: $data["\154\x6f\x67\115\x65\163\x73\x61\x67\145\163\110\164\155\x6c"] = $logMessagesHtml; goto C035a; a2a61: $logMessages = $phpFpmErrorLogParser->parse(); goto Cf86e; F0720: $logMessages = $nginxAccessLogParser->parse(); goto fcdf6; bf9e3: if (!("\x70\150\160" == $service)) { goto b23e8; } goto Cab1d; a7dd5: $logfileReader = new LogfileReader($logfile); goto F4434; Be0d4: $logfile = sprintf("\x2f\x68\x6f\x6d\x65\x2f\45\x73\57\154\x6f\x67\163\x2f\45\163\x2f\x25\x73", $site->getUser(), $service, $logfileName); goto a7dd5; F4434: $logLines = $logfileReader->getLines($numberOfLines); goto Cba42; bc659: b23e8: goto Bedfb; Cba42: $logMessagesHtml = ''; goto E9d9c; E9d9c: $user = $this->getUser(); goto aaaf5; Cf86e: $logMessagesHtml = $twig->render("\x46\162\x6f\156\164\145\156\144\x2f\x53\x69\x74\145\57\x4c\x6f\147\163\57\x70\x68\160\x2d\x66\x70\155\55\x65\x72\162\157\162\55\x6c\x6f\147\x2d\x6d\145\x73\x73\141\x67\x65\x73\56\x68\164\x6d\154\56\x74\167\x69\147", ["\154\157\147\x4d\x65\x73\163\x61\147\145\x73" => $logMessages]); goto bc659; aaaf5: if (!("\x6e\x67\151\156\170" == $service)) { goto Aaf8d; } goto A8ca5; F9f52: $logMessagesHtml = $twig->render("\x46\162\157\x6e\164\x65\x6e\144\57\x53\x69\x74\x65\57\114\x6f\x67\163\x2f\x6e\147\x69\156\170\55\x65\x72\x72\157\x72\x2d\x6c\x6f\x67\x2d\x6d\145\163\163\x61\147\145\x73\56\x68\x74\x6d\154\56\x74\167\151\x67", ["\154\157\147\x4d\145\x73\x73\x61\147\145\x73" => $logMessages]); goto Ca98c; Ca98c: goto e1883; goto A41e3; E293f: $nginxAccessLogParser = new NginxAccessLogParser($logLines); goto E5340; dd8de: if ("\141\x63\143\145\x73\163\x2e\x6c\x6f\x67" == substr($logfileName, 0, 10)) { goto be4f8; } goto Aa39a; C035a: } catch (\Exception $e) { $this->logger->exception($e); } goto F7951; F7951: D08a9: goto eab4d; c4b5d: $numberOfLines = (int) $request->get("\156\x75\x6d\x62\x65\162\117\x66\114\151\156\145\163"); goto b3591; D1808: if (!(false === is_null($site))) { goto A5f51; } goto a4027; a4027: $service = trim($request->get("\163\145\x72\x76\x69\x63\x65")); goto caefd; Ae581: $response = $this->json($data); goto f44f8; caefd: $logfileName = trim($request->get("\x6c\157\x67\x46\x69\154\145")); goto c4b5d; e4b42: $site = $this->getSite($request); goto D1808; f44f8: return $response; goto D2fbe; A7643: $data = []; goto e4b42; eab4d: A5f51: goto Ae581; b3591: if (!(false === empty($service) && false === empty($logfileName))) { goto D08a9; } goto B7a56; D2fbe: } public function loadLogfilesForService(Request $request) : Response { goto c69b1; dd20f: if (!(false === is_null($site))) { goto fb762; } goto f446a; C6e06: try { goto aa888; aa888: $service = basename($service); goto a9d52; Bbcd9: $logsFinder = new LogsFinder($logfilesDirectory); goto B732f; B732f: $logfiles = $logsFinder->getLogfiles(); goto D64da; Cdfc7: C5012: goto C88e8; a9d52: $logfilesDirectory = sprintf("\x2f\150\x6f\x6d\x65\57\x25\163\57\x6c\x6f\147\163\57\45\x73\x2f", $site->getUser(), $service); goto Bbcd9; D64da: if (!(false === empty($logfiles))) { goto C5012; } goto Ed9d5; Ed9d5: $data["\x6c\157\147\146\151\x6c\145\x73"] = $logfiles; goto Cdfc7; C88e8: } catch (\Exception $e) { $this->logger->exception($e); } goto D8eae; A7e1a: $site = $this->getSite($request); goto dd20f; c69b1: $data = []; goto A7e1a; f446a: $service = trim($request->get("\x73\145\x72\x76\151\x63\x65")); goto Efe40; ecf72: fb762: goto Af3a3; Af3a3: $response = $this->json($data); goto D101b; D8eae: B7249: goto ecf72; Efe40: if (!(false === empty($service))) { goto B7249; } goto C6e06; D101b: return $response; goto Cf3fb; Cf3fb: } public function cronJobs(Request $request) : Response { goto f42fb; De940: $response = $this->render("\x46\x72\157\156\x74\x65\x6e\144\x2f\x53\x69\164\145\x2f\x63\162\157\156\x2d\152\157\142\x73\x2e\x68\164\155\154\x2e\x74\167\x69\x67", ["\163\151\164\145" => $site, "\146\x6f\162\x6d\105\x72\x72\157\162\163" => $this->formErrors]); goto B0af4; B0af4: A5630: goto A5cca; c4ce5: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\x73")); goto d7cdf; f42fb: $site = $this->getSite($request); goto B633b; dab81: eea0f: goto De940; A5cca: return $response; goto a783f; d7cdf: goto A5630; goto dab81; B633b: if (false === is_null($site)) { goto eea0f; } goto c4ce5; a783f: } public function newCronJob(Request $request) : Response { goto E277c; dbf4a: return $response; goto b12ec; b12ec: b0716: goto B8d8b; F23c1: $response = $this->handleCronJobForm($request, $form, $site); goto Aa7fc; B8d8b: e7f7d: goto e3b54; Fd160: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\145\x73")); goto b79e2; E277c: $site = $this->getSite($request); goto fc630; fc630: if (false === is_null($site)) { goto e62d4; } goto Fd160; Fd2a1: if (!(true === $form->isSubmitted())) { goto e7f7d; } goto F23c1; Aa7fc: if (!(false === is_null($response))) { goto b0716; } goto dbf4a; De6ee: $form->handleRequest($request); goto Fd2a1; Da82c: $cronJobEntity = $this->cronJobEntityManager->createEntity(); goto d4cb5; d4cb5: $cronJobEntity->setSite($siteEntity); goto cd108; cd108: $form = $this->createCronJobForm($cronJobEntity); goto fcaa4; fbed9: return $response; goto b6f67; b79e2: goto A1649; goto c16bb; e3b54: dc575: goto C38da; c21e7: A1649: goto fbed9; C38da: $response = $this->render("\106\162\157\x6e\x74\145\156\x64\57\123\151\164\x65\x2f\156\145\x77\55\x63\x72\157\156\55\x6a\157\142\56\150\x74\155\154\56\x74\167\151\147", ["\163\151\x74\145" => $site, "\x66\x6f\x72\155" => $form->createView(), "\146\157\162\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto c21e7; Dfc7b: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto Da82c; fcaa4: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto dc575; } goto De6ee; c16bb: e62d4: goto Dfc7b; b6f67: } private function createCronJobForm(CronJobEntity $cronJobEntity) : Form { goto b12f7; d0cee: $form = $this->createForm("\x41\x70\x70\x5c\x46\x6f\162\x6d\134\123\151\x74\145\103\x72\x6f\156\112\157\142\x54\x79\160\145", $cronJobEntity, ["\141\x63\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\137\163\x69\164\145\137\143\162\x6f\156\x5f\152\157\142\137\156\145\167", ["\144\x6f\x6d\x61\151\x6e\116\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\164\x68\x6f\x64" => "\120\117\x53\x54", "\141\164\164\162" => []]); goto d4fdd; b9823: return $form; goto bd6c4; b12f7: $siteEntity = $cronJobEntity->getSite(); goto d0cee; d4fdd: $form->add("\163\x75\142\155\x69\164", SubmitType::class, ["\141\x74\164\x72" => ["\143\x6c\x61\163\163" => "\x62\164\156\x20\x62\164\156\55\x62\x6c\165\x65\x20\142\164\x6e\x2d\154\x67"], "\154\x61\x62\x65\154" => "\101\144\144\40\103\162\157\156\x20\x4a\x6f\x62"]); goto b9823; bd6c4: } private function handleCronJobForm(Request $request, Form $form, Site $site) { goto Fea94; cf4ff: d4503: goto a04ea; a04ea: try { goto A0fe2; e90e1: Db206: goto Ddbb0; A1b3b: goto Db206; goto ff90d; E1ee3: $siteUpdater->updateUserCrontab(); goto f3c63; Dcb13: $cronJobEntity = $form->getData(); goto ab016; f3c63: $eventData = ["\163\x69\x74\x65" => $domainName, "\x63\162\157\156\164\141\x62\105\170\160\162\145\x73\163\x69\x6f\156" => $cronJobEntity->getCrontabExpression()]; goto Ef471; A0fe2: $session = $request->getSession(); goto e9037; b4ed2: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\x74\x65\137\x63\162\x6f\156\x5f\x6a\x6f\x62\163", ["\144\x6f\155\x61\151\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto e90e1; E07e7: if (false === is_null($siteEntity)) { goto c1960; } goto f0b95; f7f61: $user = $this->getUser(); goto Dcb13; Bfdd0: $siteEntity = $this->getSiteEntity($domainName); goto E07e7; b928b: $site->setCronJobs($siteEntity->getCronJobs()); goto Ab2d1; ab016: $siteEntity->addCronJob($cronJobEntity); goto b928b; ff90d: c1960: goto f7f61; b1f85: $siteUpdater = $this->getSiteUpdater($site); goto E1ee3; Ab2d1: $this->siteEntityManager->updateEntity($siteEntity); goto b1f85; Ef471: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_ADD, $user, $eventData, $request); goto c4b42; e9037: $domainName = $site->getDomainName(); goto Bfdd0; f0b95: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\x73")); goto A1b3b; c4b42: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\x73", $this->translator->trans("\103\x72\157\156\x20\x4a\x6f\142\40\x68\141\163\x20\142\x65\x65\x6e\40\x61\x64\x64\145\144\x2e")); goto b4ed2; Ddbb0: return $response; goto A5c81; A5c81: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\40\145\x72\x72\x6f\x72\x20\150\141\x73\40\x6f\x63\143\165\162\162\145\x64\x2c\40\145\162\x72\x6f\x72\x20\155\x65\163\163\141\x67\145\72\x20\45\x65\162\162\157\x72\x4d\x65\163\x73\x61\x67\145\45", ["\x25\145\162\x72\157\x72\x4d\x65\x73\163\141\x67\145\x25" => $e->getMessage()])); } goto C2784; C2784: fb07a: goto de173; Fea94: if (true === $form->isValid()) { goto d4503; } goto b8ffa; a209e: goto fb07a; goto cf4ff; b8ffa: $this->formErrors = $this->getErrorMessages($form); goto a209e; de173: } public function deleteCronJob(Request $request) : Response { goto a77d3; fc41e: return $response; goto ec670; Fae56: if (!(false === is_null($site))) { goto A4091; } goto E1c6d; D1cb1: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\163")); goto fc41e; E1c6d: try { goto A91fc; de940: eb10e: goto C2965; d95e1: $id = (int) $request->get("\151\x64"); goto d9e49; D5c75: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\151\164\145\x5f\143\x72\x6f\156\137\x6a\x6f\x62\163", ["\144\x6f\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto fe6df; A3de6: $cronJobSiteEntity = $cronJobEntity->getSite(); goto B59e3; A91fc: $session = $request->getSession(); goto d95e1; fe6df: return $response; goto de940; ca95b: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_DELETE, $user, $evenData, $request); goto b776f; bc195: $user = $this->getUser(); goto D38b3; ea46a: $this->siteEntityManager->updateEntity($siteEntity); goto dbb43; E853e: $site->setCronJobs($siteEntity->getCronJobs()); goto ea46a; d9e49: $domainName = $site->getDomainName(); goto a8a35; D38b3: $siteEntity->removeCronJob($cronJobEntity); goto E853e; Fc605: $siteUpdater->updateUserCrontab(); goto Ab87e; C1e46: if (!(false === is_null($siteEntity) && false === is_null($cronJobEntity))) { goto bf19a; } goto A3de6; a8a35: $siteEntity = $this->getSiteEntity($domainName); goto F4def; F4def: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto C1e46; b776f: $session->getFlashBag()->set("\x73\165\143\x63\145\163\x73", $this->translator->trans("\103\162\x6f\156\40\112\157\142\40\150\141\x73\40\x62\x65\145\x6e\40\144\145\154\145\164\145\x64\56")); goto D5c75; B59e3: if (!($siteEntity->getDomainName() == $cronJobSiteEntity->getDomainName())) { goto eb10e; } goto bc195; Ab87e: $evenData = ["\163\151\x74\x65" => $domainName, "\x63\157\155\x6d\141\x6e\144" => $cronJobEntity->getCommand()]; goto ca95b; dbb43: $siteUpdater = $this->getSiteUpdater($site); goto Fc605; C2965: bf19a: goto e4a46; e4a46: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\x72", $this->translator->trans("\101\156\x20\x65\x72\162\x6f\x72\x20\150\141\163\x20\x6f\143\143\165\162\162\x65\144\x2c\x20\145\x72\x72\157\162\40\x6d\145\x73\x73\x61\x67\145\x3a\x20\45\145\x72\162\157\162\115\x65\x73\x73\x61\x67\145\45", ["\45\145\162\162\x6f\162\115\x65\163\x73\141\147\145\45" => $e->getMessage()])); } goto d7916; dd8c7: $this->checkCsrfToken($request, "\143\162\157\156\x6a\157\142\55\x64\x65\154\x65\x74\145"); goto Fae56; d7916: A4091: goto D1cb1; a77d3: $site = $this->getSite($request); goto dd8c7; ec670: } public function editCronJob(Request $request) : Response { goto D6245; F4486: cb1c3: goto Ea8de; feeba: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto cb1c3; } goto eab88; D6245: $id = (int) $request->get("\x69\144"); goto E1cb9; D3fbc: if (false === is_null($cronJobEntity) && false === is_null($site) && $cronJobEntity->getSite()->getDomainName() == $site->getDomainName()) { goto C47e4; } goto fcb72; Ea8de: $response = $this->render("\x46\162\157\156\x74\x65\x6e\x64\57\123\151\164\145\57\x65\x64\x69\x74\x2d\143\x72\x6f\x6e\55\x6a\157\x62\x2e\x68\x74\155\154\56\164\167\151\x67", ["\163\151\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\146\x6f\x72\x6d\x45\x72\x72\x6f\162\x73" => $this->formErrors]); goto afa42; efba7: goto bd965; goto a62ba; a056c: faaa1: goto Fcf14; B094a: $form = $this->createCronJobEditForm($cronJobEntity); goto feeba; e6b7e: if (!(false === is_null($response))) { goto faaa1; } goto Bcedb; fcb72: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\x73")); goto efba7; Fcf14: Eee4f: goto F4486; afa42: bd965: goto fe9b2; E1cb9: $site = $this->getSite($request); goto e8956; cf428: if (!(true === $form->isSubmitted())) { goto Eee4f; } goto ddd83; Bcedb: return $response; goto a056c; eab88: $form->handleRequest($request); goto cf428; e8956: $cronJobEntity = $this->cronJobEntityManager->findOneById($id); goto D3fbc; fe9b2: return $response; goto c5601; ddd83: $response = $this->handleCronJobEditForm($request, $form, $site); goto e6b7e; a62ba: C47e4: goto B094a; c5601: } private function createCronJobEditForm(CronJobEntity $cronJobEntity) : Form { goto Bbab6; Dceb7: $form->add("\163\x75\142\x6d\151\164", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\x61\163\x73" => "\142\x74\156\x20\x62\164\x6e\x2d\142\x6c\x75\x65\40\x62\x74\x6e\x2d\154\x67"], "\154\x61\x62\145\154" => "\x53\x61\x76\145"]); goto cf2c0; cf2c0: return $form; goto bb19e; B778c: $form = $this->createForm("\101\160\x70\x5c\x46\x6f\x72\155\x5c\x53\151\x74\x65\x43\162\x6f\x6e\112\x6f\142\x45\x64\x69\164\x54\171\x70\x65", $cronJobEntity, ["\x61\x63\x74\151\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\163\151\164\x65\137\x63\x72\157\x6e\x5f\x6a\157\142\x5f\145\x64\151\x74", ["\144\x6f\155\x61\x69\156\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\151\x64" => $cronJobEntity->getId()]), "\x6d\x65\164\150\157\144" => "\120\x4f\x53\x54", "\x61\x74\x74\x72" => []]); goto Dceb7; Bbab6: $siteEntity = $cronJobEntity->getSite(); goto B778c; bb19e: } private function handleCronJobEditForm(Request $request, Form $form, Site $site) { goto c04bf; dd254: goto e58a4; goto C9c0e; C9c0e: e873f: goto F7b04; d5f9e: $this->formErrors = $this->getErrorMessages($form); goto dd254; c04bf: if (true === $form->isValid()) { goto e873f; } goto d5f9e; ea35d: e58a4: goto c44b6; F7b04: try { goto ffe7d; Da067: $this->siteEntityManager->updateEntity($siteEntity); goto Cbfe7; Ac3d3: return $response; goto bd5c0; Cff61: $eventData = ["\x73\151\164\x65" => $domainName, "\143\162\x6f\156\x74\141\142\x45\x78\x70\x72\145\163\x73\151\157\156" => $cronJobEntity->getCrontabExpression()]; goto Ecf0b; E75f3: $siteEntity = $this->getSiteEntity($domainName); goto A7c03; Ea9a1: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\151\x74\x65\137\143\x72\x6f\156\x5f\x6a\x6f\x62\163", ["\x64\x6f\155\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto D2eb9; ffe7d: $session = $request->getSession(); goto e1e50; E7010: E69b2: goto D4af1; b259b: $siteEntity->addCronJob($cronJobEntity); goto ba3a8; Cbfe7: $siteUpdater = $this->getSiteUpdater($site); goto A701b; A7c03: if (false === is_null($siteEntity)) { goto E69b2; } goto de575; ff94c: goto e78df; goto E7010; e1e50: $domainName = $site->getDomainName(); goto E75f3; D4af1: $user = $this->getUser(); goto E9e57; de575: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\x73")); goto ff94c; E9e57: $cronJobEntity = $form->getData(); goto b259b; D2eb9: e78df: goto Ac3d3; ba3a8: $site->setCronJobs($siteEntity->getCronJobs()); goto Da067; Ecf0b: EventQueue::addEvent(EventQueue::EVENT_SITE_CRON_JOB_EDIT, $user, $eventData, $request); goto f3850; A701b: $siteUpdater->updateUserCrontab(); goto Cff61; f3850: $session->getFlashBag()->set("\163\165\x63\143\145\x73\163", $this->translator->trans("\103\x72\x6f\x6e\40\112\x6f\x62\40\x68\x61\x73\x20\x62\145\145\156\40\163\x61\166\x65\x64\56")); goto Ea9a1; bd5c0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\x6e\x20\x65\162\x72\157\162\x20\150\141\163\40\157\x63\x63\x75\x72\162\x65\x64\x2c\40\145\x72\162\157\x72\40\x6d\145\163\163\141\147\x65\x3a\40\x25\x65\x72\162\x6f\162\115\x65\163\x73\141\x67\x65\45", ["\45\145\162\x72\x6f\162\115\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } goto ea35d; c44b6: } public function users(Request $request) : Response { goto bc9d5; c88b6: if (false === is_null($site)) { goto F7d81; } goto De1b8; e4c11: goto F2fe9; goto e6cb2; e6cb2: F7d81: goto f885d; c8a88: F2fe9: goto D482d; De1b8: $response = $this->redirect($this->generateUrl("\143\154\x70\137\163\151\164\145\163")); goto e4c11; D482d: return $response; goto ba7b7; bc9d5: $site = $this->getSite($request); goto c88b6; f885d: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\x64\x2f\x53\x69\x74\x65\x2f\165\x73\145\x72\x73\56\x68\164\x6d\x6c\x2e\164\x77\x69\147", ["\163\151\164\x65" => $site, "\146\157\x72\155\105\162\x72\157\x72\163" => $this->formErrors]); goto c8a88; ba7b7: } public function newFtpUser(Request $request) : Response { goto b61c8; b61c8: $site = $this->getSite($request); goto dd79d; D50a1: acec6: goto e4e33; Ce532: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto c579b; Ab1a3: $ftpUserEntity->setSite($siteEntity); goto Afcd3; d23b7: $form->handleRequest($request); goto Fd82f; c579b: $ftpUserEntity = $this->ftpUserEntityManager->createEntity(); goto Ab1a3; dd79d: if (false === is_null($site)) { goto Bbcdb; } goto Abd0a; Ba1bc: if (!(false === is_null($response))) { goto Dd386; } goto A0d55; A0d55: return $response; goto Cbc28; Cbc28: Dd386: goto D50a1; A5140: $response = $this->handleFtpUserForm($request, $form, $site); goto Ba1bc; Fd82f: if (!(true === $form->isSubmitted())) { goto acec6; } goto A5140; e4e33: aa23a: goto D4e6d; Cd110: goto a0273; goto b37a9; b37a9: Bbcdb: goto Ce532; Afcd3: $form = $this->createFtpUserForm($ftpUserEntity); goto ddd3d; e04e0: a0273: goto F7b7f; D4e6d: $response = $this->render("\x46\162\x6f\x6e\x74\145\x6e\x64\x2f\x53\x69\x74\145\x2f\x6e\x65\167\x2d\x66\164\160\x2d\165\x73\145\162\56\x68\x74\155\154\x2e\164\167\x69\147", ["\x73\151\164\x65" => $site, "\146\x6f\162\155" => $form->createView(), "\146\x6f\x72\x6d\x45\162\x72\157\162\163" => $this->formErrors]); goto e04e0; ddd3d: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto aa23a; } goto d23b7; F7b7f: return $response; goto Ae48d; Abd0a: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\145\x73")); goto Cd110; Ae48d: } private function createFtpUserForm(FtpUserEntity $ftpUserEntity) : Form { goto F9f16; Cd8e3: return $form; goto de959; bc0fc: $form->add("\x73\165\142\155\x69\x74", SubmitType::class, ["\x61\x74\x74\162" => ["\x63\x6c\141\163\x73" => "\142\164\x6e\40\142\x74\156\55\x62\x6c\x75\x65\x20\142\164\x6e\x2d\154\147"], "\154\x61\142\145\x6c" => "\x41\144\144\x20\x55\x73\145\162"]); goto Cd8e3; F9f16: $siteEntity = $ftpUserEntity->getSite(); goto a7ff4; a7ff4: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\162\x6d\x5c\123\x69\x74\x65\106\x74\x70\125\163\145\162\124\171\x70\x65", $ftpUserEntity, ["\x61\x63\164\x69\157\x6e" => $this->generateUrl("\143\154\160\137\x73\x69\164\145\x5f\146\x74\160\137\x75\163\145\x72\x5f\156\x65\x77", ["\x64\x6f\155\x61\151\x6e\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\120\117\x53\x54", "\141\164\164\162" => []]); goto bc0fc; de959: } private function handleFtpUserForm(Request $request, Form $form, Site $site) { goto A577c; Bdffa: $this->formErrors = $this->getErrorMessages($form); goto Da424; Da424: goto D89c6; goto D1145; A577c: if (true === $form->isValid()) { goto ce8f8; } goto Bdffa; D1145: ce8f8: goto b5550; b5550: try { goto Cda96; a905a: $ftpUserPassword = $form->get("\160\141\x73\x73\167\x6f\x72\x64")->getData(); goto Af083; Da662: $ftpUserName = $ftpUserEntity->getUserName(); goto a905a; Af083: $ftpUserEntity->setPassword($ftpUserPassword); goto E136d; C9f7b: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\x73")); goto bcc44; df57a: $siteEntity = $this->getSiteEntity($domainName); goto A5b5f; bcc44: goto C330e; goto Ba045; E136d: $siteEntity->addFtpUser($ftpUserEntity); goto d0040; Cda96: $session = $request->getSession(); goto c5a97; a2dfb: $siteUpdater = $this->getSiteUpdater($site); goto b202b; a4741: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\x73\151\164\145\x5f\165\x73\x65\x72\x73", ["\x64\x6f\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto a453a; Ba045: Af3e2: goto F9f7c; D411c: $ftpUserEntity = $form->getData(); goto Da662; b202b: $siteUpdater->createFtpUser($ftpUserEntity); goto dd04c; A5b5f: if (false === is_null($siteEntity)) { goto Af3e2; } goto C9f7b; F9f7c: $user = $this->getUser(); goto D411c; d0040: $this->siteEntityManager->updateEntity($siteEntity); goto a2dfb; a453a: C330e: goto D28d4; bfb94: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_ADD, $user, $eventData, $request); goto f7bba; D28d4: return $response; goto Ed6fe; f7bba: $session->getFlashBag()->set("\163\x75\x63\x63\145\163\x73", $this->translator->trans("\x55\x73\145\x72\40\x68\x61\x73\x20\142\145\x65\156\x20\141\x64\144\145\144\x2e")); goto a4741; dd04c: $eventData = ["\x73\x69\x74\145" => $domainName, "\x75\x73\x65\162\x4e\x61\x6d\145" => $ftpUserName, "\150\157\155\x65\x44\151\x72\145\143\164\157\x72\171" => $ftpUserEntity->getHomeDirectory()]; goto bfb94; c5a97: $domainName = $site->getDomainName(); goto df57a; Ed6fe: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\162\162\x6f\x72\40\150\x61\x73\x20\157\x63\143\x75\x72\x72\x65\x64\x2c\x20\145\162\162\x6f\162\x20\155\x65\163\x73\x61\x67\145\72\40\x25\145\162\162\157\x72\x4d\x65\163\x73\x61\x67\145\45", ["\x25\x65\162\x72\157\x72\x4d\x65\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto D690b; D690b: D89c6: goto fe1a1; fe1a1: } public function editFtpUser(Request $request) : Response { goto B46f7; fe5e4: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto A7049; c2946: $form->handleRequest($request); goto a33a6; bdc78: c136f: goto Eaf37; B4e17: a70eb: goto df5a1; A3e70: Edcb7: goto c19a1; Eaf37: return $response; goto eeb2e; d56d6: return $response; goto Bbbe2; a72d6: $site = $this->getSite($request); goto fe5e4; F0f3e: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto Edcb7; } goto c2946; A7049: if (false === is_null($ftpUserEntity) && false === is_null($site) && $ftpUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto a70eb; } goto e42f7; Bbbe2: C80d0: goto Bab93; cde34: if (!(false === is_null($response))) { goto C80d0; } goto d56d6; B46f7: $userName = $request->get("\x75\163\145\162\116\141\x6d\x65"); goto a72d6; a33a6: if (!(true === $form->isSubmitted())) { goto A850a; } goto A478e; c19a1: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\144\57\x53\151\164\x65\x2f\x65\144\151\x74\55\x66\x74\x70\55\x75\163\145\x72\x2e\150\164\x6d\154\x2e\164\167\x69\x67", ["\163\x69\164\145" => $site, "\146\x6f\x72\155" => $form->createView(), "\x66\x6f\162\155\x45\x72\x72\157\162\x73" => $this->formErrors]); goto bdc78; Ed052: goto c136f; goto B4e17; df5a1: $form = $this->createFtpUserEditForm($ftpUserEntity); goto F0f3e; Bab93: A850a: goto A3e70; e42f7: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\x65\x73")); goto Ed052; A478e: $response = $this->handleFtpUserEditForm($request, $form, $site); goto cde34; eeb2e: } private function createFtpUserEditForm(FtpUserEntity $ftpUserEntity) : Form { goto Ebd47; C762d: $form->add("\163\x75\x62\x6d\151\164", SubmitType::class, ["\141\x74\x74\162" => ["\143\154\141\x73\163" => "\142\164\156\40\142\164\x6e\x2d\x62\154\x75\x65\x20\x62\164\x6e\x2d\x6c\147"], "\x6c\x61\x62\x65\x6c" => "\x53\141\x76\x65"]); goto ff5a4; dc7b5: $form = $this->createForm("\101\160\x70\134\x46\157\x72\x6d\134\123\x69\164\x65\106\x74\x70\x55\x73\x65\x72\x45\144\151\164\x54\x79\160\x65", $ftpUserEntity, ["\x61\x63\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\x5f\163\151\x74\145\x5f\x66\164\x70\x5f\x75\x73\x65\x72\137\x65\x64\151\x74", ["\144\157\x6d\x61\151\x6e\116\141\x6d\145" => $siteEntity->getDomainName(), "\x75\163\x65\162\116\x61\x6d\x65" => $ftpUserEntity->getUserName()]), "\x6d\145\164\x68\x6f\144" => "\120\117\123\124", "\x61\164\164\x72" => []]); goto C762d; ff5a4: return $form; goto eaf00; Ebd47: $siteEntity = $ftpUserEntity->getSite(); goto dc7b5; eaf00: } private function handleFtpUserEditForm(Request $request, Form $form, Site $site) { goto f8711; Cb0b1: C1b76: goto e9f7a; f932b: bf633: goto d076d; f8711: if (true === $form->isValid()) { goto bf633; } goto Dd996; d076d: try { goto Dd9f5; debe0: $ftpUserPassword = $form->get("\160\x61\163\x73\x77\x6f\162\144")->getData(); goto B787c; A7464: $siteUpdater->changeUserPassword($ftpUserName, $ftpUserPassword); goto c096d; e3c81: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\151\x74\x65\x5f\x75\163\145\x72\163", ["\144\157\155\x61\151\x6e\116\141\155\x65" => $site->getDomainName()])); goto F1d1f; B787c: $ftpUserHomeDirectory = $ftpUserEntity->getHomeDirectory(); goto d9a1b; C302a: $ftpUserName = $ftpUserEntity->getUserName(); goto debe0; Ce011: f1386: goto Adfd3; Fc2a1: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\x55\x73\145\162\x20\150\141\163\40\142\145\145\156\x20\163\141\x76\145\144\56")); goto e3c81; F6cac: $domainName = $site->getDomainName(); goto D27e3; D27e3: $siteEntity = $this->getSiteEntity($domainName); goto cfe97; F1d1f: E2b45: goto Cb3b1; Cc0c1: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_EDIT, $user, $eventData, $request); goto Fc2a1; B7ea6: $siteUpdater = $this->getSiteUpdater($site); goto c0e7f; c096d: Ab673: goto Ffaa6; fc914: $ftpUserEntity = $form->getData(); goto C302a; Cb3b1: return $response; goto F5471; Adfd3: $user = $this->getUser(); goto fc914; bda16: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\x65\163")); goto ebff4; c0e7f: $siteUpdater->changeUserHomeDirectory($ftpUserName, $ftpUserHomeDirectory); goto bb2ea; Ffaa6: $eventData = ["\x73\151\x74\x65" => $domainName, "\165\163\145\162\x4e\x61\155\145" => $ftpUserName, "\150\x6f\x6d\145\x44\x69\162\145\x63\164\x6f\x72\171" => $ftpUserHomeDirectory]; goto Cc0c1; cfe97: if (false === is_null($siteEntity)) { goto f1386; } goto bda16; d9a1b: $this->siteEntityManager->updateEntity($siteEntity); goto B7ea6; Dd9f5: $session = $request->getSession(); goto F6cac; ebff4: goto E2b45; goto Ce011; bb2ea: if (!(false === empty($ftpUserPassword))) { goto Ab673; } goto A7464; F5471: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\145\x72", $this->translator->trans("\101\156\x20\x65\162\x72\157\x72\40\x68\x61\x73\x20\x6f\x63\x63\165\x72\162\x65\144\54\x20\145\162\162\157\x72\40\x6d\x65\x73\163\141\x67\x65\x3a\x20\x25\x65\x72\162\x6f\x72\115\145\163\x73\141\x67\x65\x25", ["\x25\x65\162\x72\x6f\x72\x4d\x65\x73\163\141\147\x65\x25" => $e->getMessage()])); } goto Cb0b1; bb72f: goto C1b76; goto f932b; Dd996: $this->formErrors = $this->getErrorMessages($form); goto bb72f; e9f7a: } public function deleteFtpUser(Request $request) : Response { goto A697e; Bce85: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\x74\x65\x73")); goto baf51; baf51: return $response; goto B6003; e20b9: Dff5b: goto Bce85; f442f: $this->checkCsrfToken($request, "\165\163\145\162\55\144\145\x6c\x65\164\x65"); goto b362a; dda4c: try { goto F8cd2; F2d3d: $userName = $ftpUserEntity->getUserName(); goto Eb7a7; Eb7a7: $siteEntity->removeFtpUser($ftpUserEntity); goto Ebd14; Cdb27: $evenData = ["\x73\151\x74\x65" => $domainName, "\x75\163\x65\162\116\141\155\x65" => $userName]; goto B58ec; F1a48: $user = $this->getUser(); goto F2d3d; f03ea: F78be: goto af7a2; B58ec: EventQueue::addEvent(EventQueue::EVENT_SITE_FTP_USER_DELETE, $user, $evenData, $request); goto b300d; C42ef: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\x74\x65\137\x75\163\x65\x72\x73", ["\144\157\x6d\x61\151\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto B7af8; Eabd2: $userName = $request->get("\165\x73\x65\x72\x4e\x61\155\145"); goto f0b85; F8cd2: $session = $request->getSession(); goto Eabd2; B66fd: $siteEntity = $this->getSiteEntity($domainName); goto F8e66; C11aa: $siteUpdater = $this->getSiteUpdater($site); goto Aeba5; d1382: $ftpUserSiteEntity = $ftpUserEntity->getSite(); goto b43b4; f83bd: b3a71: goto f03ea; b300d: $session->getFlashBag()->set("\x73\x75\x63\x63\145\163\x73", $this->translator->trans("\125\x73\145\162\40\150\141\x73\x20\x62\x65\145\x6e\x20\144\x65\154\x65\164\145\x64\x2e")); goto C42ef; f0b85: $domainName = $site->getDomainName(); goto B66fd; B7af8: return $response; goto f83bd; b43b4: if (!($siteEntity->getDomainName() == $ftpUserSiteEntity->getDomainName())) { goto b3a71; } goto F1a48; F8e66: $ftpUserEntity = $this->ftpUserEntityManager->findOneByUserName($userName); goto D44ac; Ebd14: $this->siteEntityManager->updateEntity($siteEntity); goto C11aa; D44ac: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($ftpUserEntity))) { goto F78be; } goto d1382; Aeba5: $siteUpdater->deleteUser($userName, false); goto Cdb27; af7a2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\101\156\40\145\x72\x72\157\162\40\150\141\x73\40\x6f\143\x63\x75\x72\x72\145\144\54\40\145\162\162\x6f\x72\x20\x6d\145\x73\163\141\x67\x65\72\40\45\x65\x72\x72\x6f\162\x4d\145\163\x73\x61\x67\145\45", ["\x25\145\x72\162\x6f\162\x4d\x65\163\163\x61\147\145\45" => $e->getMessage()])); } goto e20b9; A697e: $site = $this->getSite($request); goto f442f; b362a: if (!(false === is_null($site))) { goto Dff5b; } goto dda4c; B6003: } public function newSshUser(Request $request) : Response { goto d58df; bd13f: $sshUserEntity = $this->sshUserEntityManager->createEntity(); goto C4a21; f5efc: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto bd13f; B1ef4: b0a09: goto f5efc; df567: if (!(true === $form->isSubmitted())) { goto Ed803; } goto d1e0f; A989d: if (false === is_null($site)) { goto b0a09; } goto A1f92; b66f1: $form = $this->createSshUserForm($sshUserEntity); goto D8d64; C4a21: $sshUserEntity->setSite($siteEntity); goto b66f1; F5c61: return $response; goto ca7c6; d1e0f: $response = $this->handleSshUserForm($request, $form, $site); goto E7c9f; D8d64: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto aaef0; } goto e9039; Bf159: $response = $this->render("\x46\x72\157\x6e\x74\x65\x6e\x64\57\x53\x69\164\x65\57\156\x65\x77\x2d\x73\163\150\55\x75\x73\x65\162\x2e\150\164\155\x6c\56\x74\167\151\147", ["\x73\151\164\x65" => $site, "\x66\x6f\162\155" => $form->createView(), "\x66\x6f\162\155\x45\162\162\157\x72\163" => $this->formErrors]); goto bf49b; bf49b: B6649: goto F5c61; A1f92: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\145\x73")); goto B2cd8; d2637: cb89e: goto A3ebb; d58df: $site = $this->getSite($request); goto A989d; A3ebb: Ed803: goto e652a; B2cd8: goto B6649; goto B1ef4; E7c9f: if (!(false === is_null($response))) { goto cb89e; } goto e03c9; e9039: $form->handleRequest($request); goto df567; e652a: aaef0: goto Bf159; e03c9: return $response; goto d2637; ca7c6: } private function createSshUserForm(SshUserEntity $sshUserEntity) : Form { goto Cd126; c1def: $form = $this->createForm("\x41\160\x70\x5c\106\157\162\155\134\123\151\x74\x65\123\x73\150\125\x73\145\162\124\171\x70\145", $sshUserEntity, ["\x61\143\164\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\x73\151\x74\x65\137\163\x73\x68\x5f\x75\163\145\162\137\x6e\145\167", ["\x64\x6f\155\x61\151\156\116\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\145\x74\150\157\x64" => "\x50\x4f\x53\124", "\141\x74\164\162" => []]); goto D0b53; Cd126: $siteEntity = $sshUserEntity->getSite(); goto c1def; D0b53: $form->add("\x73\165\x62\155\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\x63\x6c\x61\x73\163" => "\142\164\156\x20\142\164\156\x2d\142\154\165\145\x20\142\x74\x6e\x2d\154\147"], "\x6c\x61\x62\x65\154" => "\101\144\x64\40\x55\x73\145\162"]); goto De51f; De51f: return $form; goto Fb8ac; Fb8ac: } private function handleSshUserForm(Request $request, Form $form, Site $site) { goto cb089; F1384: D7bee: goto b3c33; b3c33: try { goto d0956; A6713: if (false === is_null($siteEntity)) { goto f54da; } goto Dd315; C560c: $sshUserPassword = $form->get("\160\x61\163\x73\167\x6f\x72\144")->getData(); goto e8348; A8128: $siteUpdater = $this->getSiteUpdater($site); goto Db087; c4cfc: $this->siteEntityManager->updateEntity($siteEntity); goto A8128; d0956: $session = $request->getSession(); goto Abc51; D8944: $sshUserName = $sshUserEntity->getUserName(); goto C560c; D5c74: $eventData = ["\x73\151\x74\x65" => $domainName, "\165\x73\145\162\116\141\x6d\x65" => $sshUserName, "\163\163\x68\113\145\171\x73" => $sshKeys]; goto Fefec; b7839: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\x74\x65\137\165\163\145\162\163", ["\144\157\155\141\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto beaac; d546e: $user = $this->getUser(); goto C3084; Fefec: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_ADD, $user, $eventData, $request); goto f4e0a; F18f3: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto c7a18; B1d36: goto Eb8b7; goto f29d5; f4e0a: $session->getFlashBag()->set("\x73\165\143\x63\x65\x73\163", $this->translator->trans("\x55\163\145\162\40\x68\141\163\40\142\145\x65\156\40\141\144\x64\x65\144\56")); goto b7839; f29d5: f54da: goto d546e; c7a18: Dd75d: goto D5c74; C103d: if (!(false === empty($sshKeys))) { goto Dd75d; } goto F18f3; e8348: $sshUserEntity->setPassword($sshUserPassword); goto f4322; Db087: $siteUpdater->createSshUser($sshUserEntity); goto C103d; Abc51: $domainName = $site->getDomainName(); goto B20e0; B20e0: $siteEntity = $this->getSiteEntity($domainName); goto A6713; beaac: Eb8b7: goto f9210; C77f5: $siteEntity->addSshUser($sshUserEntity); goto c4cfc; C3084: $sshUserEntity = $form->getData(); goto D8944; Dd315: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\x69\x74\x65\x73")); goto B1d36; f4322: $sshKeys = $sshUserEntity->getSshKeys(); goto C77f5; f9210: return $response; goto fb3a2; fb3a2: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\x41\156\40\145\162\x72\x6f\162\40\150\141\x73\x20\x6f\143\143\165\162\x72\145\144\54\x20\x65\162\x72\x6f\162\x20\155\145\163\163\141\147\x65\x3a\40\x25\x65\x72\162\x6f\162\x4d\145\x73\x73\141\x67\x65\x25", ["\45\145\162\162\157\162\x4d\x65\163\163\x61\x67\145\45" => $e->getMessage()])); } goto A10c5; cb089: if (true === $form->isValid()) { goto D7bee; } goto Efc9a; e80ce: goto E87a9; goto F1384; Efc9a: $this->formErrors = $this->getErrorMessages($form); goto e80ce; A10c5: E87a9: goto C4667; C4667: } public function editSshUser(Request $request) : Response { goto f2b53; C1170: return $response; goto cf630; c9d76: $form->handleRequest($request); goto C5fbe; be387: f1e62: goto Cee73; F0778: C0d5a: goto efccb; d7e83: $site = $this->getSite($request); goto e9bd9; D67b8: return $response; goto a612b; efccb: d82ce: goto D5adb; C3853: $response = $this->handleSshUserEditForm($request, $form, $site); goto Bf689; cf630: Cae0c: goto F0778; C5fbe: if (!(true === $form->isSubmitted())) { goto C0d5a; } goto C3853; D334e: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\x74\x65\163")); goto D40ad; Cee73: $form = $this->createSshUserEditForm($sshUserEntity); goto f710c; D40ad: goto F8788; goto be387; fc17f: if (false === is_null($sshUserEntity) && false === is_null($site) && $sshUserEntity->getSite()->getDomainName() == $site->getDomainName()) { goto f1e62; } goto D334e; Bf689: if (!(false === is_null($response))) { goto Cae0c; } goto C1170; f710c: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto d82ce; } goto c9d76; e9bd9: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto fc17f; f2b53: $userName = $request->get("\165\x73\145\162\116\x61\155\145"); goto d7e83; caa25: F8788: goto D67b8; D5adb: $response = $this->render("\106\162\157\156\x74\x65\x6e\144\57\123\151\164\145\x2f\145\x64\151\x74\x2d\163\x73\150\x2d\165\x73\145\x72\x2e\x68\164\155\154\56\164\x77\x69\147", ["\x73\x69\164\x65" => $site, "\146\157\x72\155" => $form->createView(), "\146\x6f\x72\155\105\x72\162\x6f\162\163" => $this->formErrors]); goto caa25; a612b: } private function createSshUserEditForm(SshUserEntity $sshUserEntity) : Form { goto A8b74; C792d: $form->add("\163\x75\x62\x6d\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\143\154\141\x73\x73" => "\x62\164\156\x20\x62\164\x6e\x2d\142\154\x75\x65\40\142\164\156\x2d\154\147"], "\154\x61\142\145\154" => "\x53\141\x76\145"]); goto B3f8a; A8b74: $siteEntity = $sshUserEntity->getSite(); goto E9a7d; E9a7d: $form = $this->createForm("\101\160\160\134\106\157\x72\155\x5c\123\x69\164\145\x53\163\150\125\x73\145\x72\105\144\x69\x74\x54\171\160\145", $sshUserEntity, ["\x61\143\164\x69\157\156" => $this->generateUrl("\x63\x6c\x70\x5f\x73\x69\164\145\137\163\163\x68\137\165\163\145\162\137\x65\144\x69\x74", ["\x64\x6f\155\x61\151\x6e\x4e\141\x6d\145" => $siteEntity->getDomainName(), "\165\163\145\x72\x4e\141\155\x65" => $sshUserEntity->getUserName()]), "\x6d\145\164\150\157\x64" => "\120\x4f\x53\124", "\141\x74\x74\162" => []]); goto C792d; B3f8a: return $form; goto B5c6d; B5c6d: } private function handleSshUserEditForm(Request $request, Form $form, Site $site) { goto b1422; a2e5d: goto Aae8e; goto A9b84; A9b84: Cf233: goto b1824; b9a3b: $this->formErrors = $this->getErrorMessages($form); goto a2e5d; b1422: if (true === $form->isValid()) { goto Cf233; } goto b9a3b; b1824: try { goto Cf226; a72a7: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\x74\x65\x5f\165\163\x65\x72\163", ["\x64\157\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto b9075; Ce6ef: if (false === is_null($siteEntity)) { goto F5e2d; } goto Abde6; b484a: $sshKeys = false === is_null($sshUserEntity->getSshKeys()) ? $sshUserEntity->getSshKeys() : ''; goto ee181; F06f0: F5e2d: goto Bb085; fbccb: $sshUserPassword = $form->get("\160\x61\163\x73\x77\157\x72\x64")->getData(); goto b484a; E9fc4: $siteEntity = $this->getSiteEntity($domainName); goto Ce6ef; Ee634: if (!(false === empty($sshUserPassword))) { goto Cb35f; } goto f8a4b; e22f2: $domainName = $site->getDomainName(); goto E9fc4; ee181: $this->siteEntityManager->updateEntity($siteEntity); goto D87b0; cb64e: $siteUpdater->updateUserSShKeys($sshUserName, $sshKeys); goto a8c5a; f031b: Cb35f: goto cb64e; Bb085: $user = $this->getUser(); goto b420e; bd8c9: return $response; goto b070d; Abde6: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\x74\145\x73")); goto C9777; b9075: A1f6c: goto bd8c9; D87b0: $siteUpdater = $this->getSiteUpdater($site); goto Ee634; E3b5e: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_EDIT, $user, $eventData, $request); goto Ef196; a8c5a: $eventData = ["\163\x69\x74\145" => $domainName, "\165\163\145\x72\116\x61\x6d\145" => $sshUserName, "\163\x73\x68\x4b\x65\x79\163" => $sshKeys]; goto E3b5e; Cf226: $session = $request->getSession(); goto e22f2; b420e: $sshUserEntity = $form->getData(); goto c479c; f8a4b: $siteUpdater->changeUserPassword($sshUserName, $sshUserPassword); goto f031b; C9777: goto A1f6c; goto F06f0; Ef196: $session->getFlashBag()->set("\163\165\x63\143\145\163\163", $this->translator->trans("\x55\x73\x65\x72\40\150\141\163\40\x62\145\x65\x6e\40\163\x61\166\x65\144\x2e")); goto a72a7; c479c: $sshUserName = $sshUserEntity->getUserName(); goto fbccb; b070d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\147\x65\162", $this->translator->trans("\101\x6e\40\145\x72\162\x6f\x72\40\x68\x61\x73\40\157\143\143\x75\x72\x72\x65\x64\54\40\x65\x72\162\157\162\40\155\x65\163\x73\141\x67\145\x3a\x20\45\145\162\162\157\x72\115\145\163\x73\141\147\x65\45", ["\45\145\x72\x72\157\162\x4d\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto f24aa; f24aa: Aae8e: goto bf435; bf435: } public function deleteSshUser(Request $request) : Response { goto dc479; ff862: try { goto B9411; F27ec: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\151\164\145\137\165\x73\145\x72\x73", ["\x64\x6f\155\x61\x69\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto Cb89c; d489c: $evenData = ["\163\151\x74\x65" => $domainName, "\x75\x73\145\x72\x4e\141\155\x65" => $userName]; goto A214f; b873b: $domainName = $site->getDomainName(); goto C61a9; B9411: $session = $request->getSession(); goto F17fc; D9e8d: $sshUserSiteEntity = $sshUserEntity->getSite(); goto d86e1; F17fc: $userName = $request->get("\x75\163\x65\x72\x4e\141\155\x65"); goto b873b; Cb89c: return $response; goto B7a73; b7bfb: $this->siteEntityManager->updateEntity($siteEntity); goto c5bd7; A214f: EventQueue::addEvent(EventQueue::EVENT_SITE_SSH_USER_DELETE, $user, $evenData, $request); goto Ee859; B7a73: e90d9: goto Afb29; e55c8: $user = $this->getUser(); goto B062a; Afb29: ecd60: goto Caa88; d1b78: if (!(false === is_null($siteEntity) && false === empty($userName) && false === is_null($sshUserEntity))) { goto ecd60; } goto D9e8d; c5bd7: $siteUpdater = $this->getSiteUpdater($site); goto D9012; B062a: $userName = $sshUserEntity->getUserName(); goto b9aa2; C93d9: $sshUserEntity = $this->sshUserEntityManager->findOneByUserName($userName); goto d1b78; d86e1: if (!($siteEntity->getDomainName() == $sshUserSiteEntity->getDomainName())) { goto e90d9; } goto e55c8; C61a9: $siteEntity = $this->getSiteEntity($domainName); goto C93d9; D9012: $siteUpdater->deleteUser($userName, true); goto d489c; Ee859: $session->getFlashBag()->set("\x73\165\x63\143\x65\163\163", $this->translator->trans("\x55\x73\x65\x72\x20\150\141\x73\40\x62\145\145\156\40\144\x65\x6c\x65\164\145\x64\56")); goto F27ec; b9aa2: $siteEntity->removeSshUser($sshUserEntity); goto b7bfb; Caa88: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\x65\162\x72\x6f\x72\x20\150\141\163\x20\157\143\143\x75\162\x72\145\144\x2c\40\x65\162\x72\x6f\162\x20\x6d\145\163\163\x61\x67\x65\72\40\x25\145\162\162\157\162\115\x65\x73\x73\141\147\x65\x25", ["\45\145\162\162\157\x72\115\x65\x73\x73\x61\x67\145\x25" => $e->getMessage()])); } goto Aac66; d66d6: if (!(false === is_null($site))) { goto E54ec; } goto ff862; dc479: $site = $this->getSite($request); goto E3e30; fbaa6: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\145\x73")); goto C2d0d; Aac66: E54ec: goto fbaa6; C2d0d: return $response; goto aac36; E3e30: $this->checkCsrfToken($request, "\165\163\x65\x72\55\144\145\154\x65\x74\145"); goto d66d6; aac36: } public function security(Request $request) : Response { goto c9766; D72a9: return $response; goto ea3f6; f2930: Ce8e1: goto fac6e; e0a4c: return $response; goto B556a; C1686: $blockedIps = $site->getBlockedIps(); goto E195d; Ccf23: if (!(false === is_null($response))) { goto a17b1; } goto bf353; d7795: $cloudflareForm->handleRequest($request); goto bd634; F61f5: $cloudflareForm = $this->createCloudflareForm($siteEntity, $cloudflareData); goto c2bd0; bf353: return $response; goto dee96; f5c7d: if (!(true === $cloudflareForm->isSubmitted())) { goto Bbfc7; } goto D8ff6; D8ff6: $response = $this->handleCloudflareForm($request, $cloudflareForm, $site); goto b0caa; B6845: a0d64: goto bb392; E10c4: $response = $this->handleBasicAuthForm($request, $basicAuthForm, $site); goto Ccf23; bae3c: $basicAuthForm->handleRequest($request); goto d7795; ea3f6: E328c: goto A21fe; E195d: $basicAuthEntity = $site->getBasicAuth(); goto f4390; a66f9: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\164\x65\x73")); goto Ba5d0; fa02c: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E79ca; c30d2: d04b3: goto fa02c; E79ca: $cloudflareData = ["\141\x6c\154\x6f\x77\x54\162\141\146\x66\151\x63\106\x72\157\155\103\x6c\157\x75\x64\x66\x6c\x61\162\x65\117\156\x6c\171" => $siteEntity->allowTrafficFromCloudflareOnly()]; goto c77ff; c77ff: $blockedBots = $site->getBlockedBots(); goto C1686; fac6e: $response = $this->render("\106\x72\157\x6e\x74\145\x6e\x64\57\123\151\164\x65\x2f\163\145\x63\165\x72\151\x74\171\x2e\x68\164\155\x6c\x2e\x74\x77\x69\147", ["\x73\151\164\145" => $site, "\x62\154\157\143\153\x65\x64\111\x70\163" => $blockedIps, "\x62\x6c\157\x63\x6b\145\144\102\x6f\164\x73" => $blockedBots, "\x62\141\x73\x69\143\x41\x75\164\150\106\x6f\x72\155" => $basicAuthForm->createView(), "\x63\x6c\157\165\x64\146\x6c\141\162\145\106\157\162\x6d" => $cloudflareForm->createView(), "\x66\x6f\x72\x6d\x45\162\x72\x6f\x72\163" => $this->formErrors]); goto bc92a; b0caa: if (!(false === is_null($response))) { goto E328c; } goto D72a9; dee96: a17b1: goto C1c7f; c6d57: $basicAuthEntity = $this->basicAuthEntityManager->createEntity(); goto B6845; C1c7f: E4e9e: goto f5c7d; ec399: $basicAuthForm = $this->createBasicAuthForm($basicAuthEntity); goto F61f5; f4390: if (!(true === is_null($basicAuthEntity))) { goto a0d64; } goto c6d57; bd634: if (!(true === $basicAuthForm->isSubmitted())) { goto E4e9e; } goto E10c4; e5e36: if (false === is_null($site)) { goto d04b3; } goto a66f9; bb392: $basicAuthEntity->setSite($siteEntity); goto ec399; c2bd0: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Ce8e1; } goto bae3c; bc92a: f5a98: goto e0a4c; A21fe: Bbfc7: goto f2930; c9766: $site = $this->getSite($request); goto e5e36; Ba5d0: goto f5a98; goto c30d2; B556a: } private function createCloudflareForm(SiteEntity $siteEntity, array $data) : Form { goto bf95b; E855f: return $form; goto c1173; bf95b: $form = $this->createForm("\101\x70\x70\x5c\x46\x6f\x72\155\134\123\x69\x74\x65\103\154\x6f\x75\x64\x66\154\141\162\145\x54\171\160\145", $data, ["\x61\x63\164\151\x6f\156" => $this->generateUrl("\143\154\160\x5f\x73\151\164\x65\x5f\163\x65\x63\165\x72\x69\164\171", ["\144\x6f\x6d\141\x69\x6e\116\141\155\145" => $siteEntity->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\120\x4f\x53\124", "\x61\164\164\x72" => []]); goto B78f2; B78f2: $form->add("\163\x75\142\155\151\x74", SubmitType::class, ["\x61\x74\164\162" => ["\x63\x6c\x61\x73\x73" => "\142\x74\x6e\x20\x62\164\156\55\142\x6c\x75\145\x20\x62\x74\156\55\154\147"], "\154\141\142\145\x6c" => "\123\141\x76\145"]); goto E855f; c1173: } private function createBasicAuthForm(BasicAuthEntity $basicAuthEntity) : Form { goto fbf35; fbf35: $siteEntity = $basicAuthEntity->getSite(); goto f8ba8; dc71f: $form->add("\x73\165\142\155\151\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\x6c\141\163\163" => "\142\x74\x6e\x20\x62\164\x6e\x2d\142\x6c\165\145\x20\142\x74\x6e\55\x6c\x67"], "\154\141\x62\x65\154" => "\123\141\x76\x65"]); goto A63e2; A63e2: return $form; goto Dd037; f8ba8: $form = $this->createForm("\x41\x70\x70\134\106\157\x72\x6d\134\123\x69\x74\145\x42\x61\163\x69\x63\x41\165\164\x68\124\171\x70\x65", $basicAuthEntity, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\x5f\163\145\143\165\x72\x69\164\171", ["\x64\157\x6d\x61\151\156\x4e\141\155\x65" => $siteEntity->getDomainName()]), "\x6d\145\164\150\157\x64" => "\x50\x4f\x53\124", "\x61\164\x74\x72" => []]); goto dc71f; Dd037: } private function handleBasicAuthForm(Request $request, Form $form, Site $site) { goto ba84e; F9c10: B37d3: goto c7ee9; Ef737: goto bd54a; goto F9c10; f2c56: $this->formErrors = $this->getErrorMessages($form); goto Ef737; ba84e: if (true === $form->isValid()) { goto B37d3; } goto f2c56; cc604: bd54a: goto e31f3; c7ee9: try { goto F0c68; bcea7: EventQueue::addEvent(EventQueue::EVENT_SITE_BASIC_AUTHENTIFICATION_SETTINGS, $user, $eventData, $request); goto cf1c4; e14db: $siteEntity->setBasicAuth($basicAuthEntity); goto eec11; e7628: $siteEntity = $this->getSiteEntity($domainName); goto E21f8; F856d: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\164\x65\137\163\x65\x63\165\162\x69\x74\x79", ["\144\x6f\155\x61\x69\156\116\141\155\x65" => $site->getDomainName()])); goto af4f7; cf1c4: $session->getFlashBag()->set("\163\165\143\143\x65\x73\x73", $this->translator->trans("\x42\x61\x73\x69\x63\40\x41\x75\164\x68\145\156\164\x69\143\141\x74\151\x6f\156\x20\x73\145\164\x74\x69\x6e\147\163\40\150\141\x76\x65\x20\x62\x65\x65\x6e\40\x73\x61\166\x65\x64\x2e")); goto F856d; C94e7: $siteUpdater = $this->getSiteUpdater($site); goto Fd964; E21f8: if (false === is_null($siteEntity)) { goto F56a6; } goto f804d; F0c68: $session = $request->getSession(); goto F4c90; Ed465: return $response; goto C0d78; C8de7: goto F4ddc; goto ea6bf; af4f7: F4ddc: goto Ed465; Ea708: $user = $this->getUser(); goto B79bf; Fd964: $siteUpdater->createBasicAuthFile($basicAuthEntity); goto b6b56; eec11: $site->setBasicAuth($basicAuthEntity); goto A038b; A038b: $this->siteEntityManager->updateEntity($siteEntity); goto C94e7; B79bf: $basicAuthEntity = $form->getData(); goto e14db; c6091: $eventData = ["\163\151\164\x65" => $domainName, "\x61\143\164\151\166\x65" => true === $basicAuthEntity->getIsActive() ? "\61" : "\60", "\165\x73\x65\162\x4e\141\155\x65" => $basicAuthEntity->getUserName(), "\167\x68\151\x74\145\x6c\151\163\164\145\x64\x49\x70\163" => $basicAuthEntity->getWhitelistedIps()]; goto bcea7; ea6bf: F56a6: goto Ea708; e39d4: $siteUpdater->reloadNginxService(); goto c6091; F4c90: $domainName = $site->getDomainName(); goto e7628; b6b56: $siteUpdater->updateNginxVhost(); goto e39d4; f804d: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\151\164\x65\163")); goto C8de7; C0d78: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\101\156\40\145\x72\x72\157\162\x20\x68\x61\x73\x20\157\x63\x63\165\162\162\145\144\x2c\40\x65\x72\162\157\x72\40\155\145\163\x73\141\147\145\x3a\x20\x25\x65\x72\162\x6f\x72\115\x65\163\x73\x61\x67\145\x25", ["\45\145\x72\x72\157\x72\115\x65\163\x73\x61\147\x65\x25" => $e->getMessage()])); } goto cc604; e31f3: } private function handleCloudflareForm(Request $request, Form $form, Site $site) { goto C5736; D70dd: try { goto D68dd; B448f: EventQueue::addEvent(EventQueue::EVENT_SITE_CLOUDFLARE_SETTINGS, $user, $eventData, $request); goto B2808; Bb4ee: $domainName = $site->getDomainName(); goto b78f3; C3df6: d1731: goto c44b1; C0f01: $siteUpdater = $this->getSiteUpdater($site); goto Fb48f; A3576: $allowTrafficFromCloudflareOnly = $form->get("\141\154\x6c\157\167\x54\x72\141\x66\x66\x69\x63\x46\162\157\155\x43\x6c\x6f\x75\x64\x66\154\x61\x72\x65\x4f\x6e\x6c\x79")->getData(); goto d0375; b78f3: $siteEntity = $this->getSiteEntity($domainName); goto C1473; C1473: if (false === is_null($siteEntity)) { goto d1731; } goto F0673; F7407: $this->siteEntityManager->updateEntity($siteEntity); goto C0f01; aa400: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\151\164\x65\x5f\163\x65\143\x75\162\x69\164\x79", ["\144\157\155\141\151\156\x4e\141\155\145" => $site->getDomainName()])); goto e6fab; fbf1b: return $response; goto aea87; e6fab: efa34: goto fbf1b; B2808: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\x73", $this->translator->trans("\x43\154\x6f\165\144\146\154\x61\162\x65\x20\x73\x65\164\164\x69\x6e\147\x73\40\150\141\166\x65\x20\142\145\x65\x6e\x20\163\141\166\x65\x64\56")); goto aa400; F0673: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\x69\164\145\x73")); goto e3340; Aa349: $siteUpdater->reloadNginxService(); goto Aac27; c44b1: $user = $this->getUser(); goto A3576; f6b93: $site->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto F7407; Aac27: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x61\154\x6c\157\167\124\162\141\x66\146\x69\143\106\162\x6f\155\x43\154\157\x75\144\x66\x6c\141\162\145\x4f\x6e\154\171" => true === $allowTrafficFromCloudflareOnly ? "\x31" : "\60"]; goto B448f; e3340: goto efa34; goto C3df6; D68dd: $session = $request->getSession(); goto Bb4ee; d0375: $siteEntity->setAllowTrafficFromCloudflareOnly($allowTrafficFromCloudflareOnly); goto f6b93; Fb48f: $siteUpdater->updateNginxVhost(); goto Aa349; aea87: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\145\x72\x72\x6f\162\40\150\x61\163\x20\x6f\143\143\x75\x72\x72\145\x64\54\40\145\162\162\x6f\x72\40\155\145\163\x73\x61\x67\x65\72\x20\45\x65\162\162\157\x72\115\x65\163\163\x61\x67\145\x25", ["\45\145\162\x72\x6f\162\115\145\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto C80be; dd474: aca36: goto D70dd; C80be: de7eb: goto E8313; ee92f: $this->formErrors = $this->getErrorMessages($form); goto F71ef; F71ef: goto de7eb; goto dd474; C5736: if (true === $form->isValid()) { goto aca36; } goto ee92f; E8313: } public function newBlockedIp(Request $request) : Response { goto cd9f2; d2e9f: if (!(true === $request->isMethod("\120\x4f\x53\x54"))) { goto D97e2; } goto fb052; A9074: D97e2: goto c4ccc; Fb3eb: if (false === is_null($site)) { goto abc1b; } goto a8ec3; Aaaef: a7906: goto ca37e; E53c1: Efc4d: goto Cb6ef; bcd0f: if (!(false === is_null($response))) { goto a7906; } goto E146f; d5750: abc1b: goto eeadd; fb052: $form->handleRequest($request); goto Df7ce; F6d78: $blockedIpEntity->setSite($siteEntity); goto A7e8d; ca37e: cb59c: goto A9074; cd9f2: $site = $this->getSite($request); goto Fb3eb; C4603: $blockedIpEntity = $this->blockedIpEntityManager->createEntity(); goto F6d78; A7e8d: $form = $this->createBlockedIpForm($blockedIpEntity); goto d2e9f; Cb6ef: return $response; goto e8baf; a8ec3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\x65\163")); goto F9690; c4ccc: $response = $this->render("\x46\162\x6f\156\164\x65\156\144\57\x53\151\x74\145\57\156\145\167\x2d\142\154\157\x63\x6b\145\144\x2d\x69\x70\x2e\150\164\x6d\154\x2e\164\x77\151\x67", ["\x73\151\x74\x65" => $site, "\146\157\x72\x6d" => $form->createView(), "\146\x6f\162\155\105\162\162\x6f\162\x73" => $this->formErrors]); goto E53c1; eeadd: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C4603; Df7ce: if (!(true === $form->isSubmitted())) { goto cb59c; } goto d7c5f; E146f: return $response; goto Aaaef; d7c5f: $response = $this->handleBlockedIpForm($request, $form, $site); goto bcd0f; F9690: goto Efc4d; goto d5750; e8baf: } private function createBlockedIpForm(BlockedIpEntity $blockedIpEntity) : Form { goto Fcd02; Def05: return $form; goto dcd33; Fcd02: $siteEntity = $blockedIpEntity->getSite(); goto A7ca5; A7ca5: $form = $this->createForm("\101\x70\160\x5c\106\x6f\x72\155\134\123\151\164\145\102\x6c\x6f\x63\153\145\x64\x49\120\x54\x79\160\x65", $blockedIpEntity, ["\141\x63\x74\x69\157\x6e" => $this->generateUrl("\143\x6c\160\x5f\163\151\x74\x65\137\x73\145\143\165\x72\151\164\x79\137\142\154\157\x63\153\x65\144\137\x69\x70\137\x6e\145\167", ["\x64\157\x6d\141\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\155\145\x74\150\157\x64" => "\x50\117\123\124", "\x61\x74\x74\162" => []]); goto B10e7; B10e7: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\141\163\x73" => "\x62\164\x6e\40\x62\164\x6e\55\x62\x6c\165\x65\40\x62\164\156\55\154\x67"], "\154\x61\142\x65\154" => "\x41\144\144\40\x49\x50"]); goto Def05; dcd33: } private function handleBlockedIpForm(Request $request, Form $form, Site $site) { goto Ed291; dcc95: e6a79: goto f8990; E1145: E489e: goto B0284; Ed291: if (true === $form->isValid()) { goto e6a79; } goto E7293; E7293: $this->formErrors = $this->getErrorMessages($form); goto e8ca7; f8990: try { goto C47ee; fd3f9: $this->siteEntityManager->updateEntity($siteEntity); goto C58c0; ec152: $siteUpdater->updateNginxVhost(); goto ef391; Aca38: $siteEntity->addBlockedIp($blockedIp); goto fd3f9; eafca: goto ccf01; goto aa945; Ff749: if (false === is_null($siteEntity)) { goto B763f; } goto c7305; C58c0: $siteUpdater = $this->getSiteUpdater($site); goto ec152; aa945: B763f: goto B5555; B5555: $user = $this->getUser(); goto B7fb0; c7305: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\x69\x74\x65\x73")); goto eafca; A46b9: $session->getFlashBag()->set("\163\x75\x63\x63\x65\163\x73", $this->translator->trans("\111\x50\40\x68\141\x73\40\x62\x65\x65\156\40\x61\144\144\x65\144\56")); goto A8f2d; b067a: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_ADD, $user, $eventData, $request); goto A46b9; c68b4: return $response; goto f9d35; C47ee: $session = $request->getSession(); goto feb69; B7fb0: $blockedIp = $form->getData(); goto Aca38; A8f2d: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\164\x65\137\163\x65\143\165\162\x69\x74\x79", ["\144\157\155\141\x69\x6e\x4e\141\x6d\145" => $site->getDomainName()])); goto Dbd67; Dbd67: ccf01: goto c68b4; Ddb76: $eventData = ["\x73\151\164\x65" => $domainName, "\x69\160" => $blockedIp->getIp()]; goto b067a; feb69: $domainName = $site->getDomainName(); goto ee6c9; ee6c9: $siteEntity = $this->getSiteEntity($domainName); goto Ff749; ef391: $siteUpdater->reloadNginxService(); goto Ddb76; f9d35: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\162\x20\x68\141\x73\x20\157\x63\x63\165\x72\162\x65\x64\x2c\40\145\162\162\x6f\162\x20\x6d\x65\163\x73\141\x67\145\72\x20\45\x65\x72\x72\x6f\162\x4d\145\163\x73\x61\x67\145\45", ["\x25\145\162\x72\157\162\x4d\x65\x73\163\x61\147\145\x25" => $e->getMessage()])); } goto E1145; e8ca7: goto E489e; goto dcc95; B0284: } public function deleteBlockedIp(Request $request) : Response { goto D689f; da272: if (!(false === is_null($site))) { goto F0449; } goto e7b9a; D689f: $site = $this->getSite($request); goto fa713; e7b9a: try { goto b2eff; bcc4b: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_IP_DELETE, $user, $eventData, $request); goto aaa19; Cbd57: $eventData = ["\x73\151\164\145" => $domainName, "\x69\160" => $blockedIpEntity->getIp()]; goto bcc4b; A2fc4: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\x69\164\145\x5f\163\x65\x63\x75\162\x69\164\171", ["\x64\x6f\x6d\x61\x69\156\x4e\x61\x6d\145" => $site->getDomainName()])); goto b8f42; f34eb: $siteUpdater = $this->getSiteUpdater($site); goto df3e3; Cff70: $blockedIpEntity = $this->blockedIpEntityManager->findOneById($id); goto E490a; a16f6: $siteEntity->removeBlockedIp($blockedIpEntity); goto c9589; fb8d1: $siteEntity = $this->getSiteEntity($domainName); goto Cff70; fb74e: $id = (int) $request->get("\x69\x64"); goto b32da; c15fc: $siteUpdater->reloadNginxService(); goto Cbd57; c9589: $this->siteEntityManager->updateEntity($siteEntity); goto f34eb; df3e3: $siteUpdater->updateNginxVhost(); goto c15fc; F223a: e9d17: goto Bf6ad; aaa19: $session->getFlashBag()->set("\163\165\143\143\145\163\x73", $this->translator->trans("\x49\120\x20\x68\x61\x73\x20\x62\145\x65\156\40\144\x65\154\x65\164\145\144\56")); goto A2fc4; b32da: $domainName = $site->getDomainName(); goto fb8d1; E490a: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedIpEntity) && $siteEntity == $blockedIpEntity->getSite())) { goto e9d17; } goto Ff938; b2eff: $session = $request->getSession(); goto fb74e; Ff938: $user = $this->getUser(); goto a16f6; b8f42: return $response; goto F223a; Bf6ad: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\156\40\x65\162\x72\157\x72\x20\150\x61\163\x20\x6f\x63\143\165\162\x72\x65\x64\x2c\x20\145\162\162\157\x72\40\155\145\163\163\141\147\x65\72\40\x25\145\x72\162\157\x72\115\x65\163\x73\x61\x67\x65\45", ["\x25\x65\162\162\157\162\115\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto D590c; fa713: $this->checkCsrfToken($request, "\x69\160\55\x64\145\x6c\145\164\x65"); goto da272; C1dc8: return $response; goto bfc03; D590c: F0449: goto C0570; C0570: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\x65\x73")); goto C1dc8; bfc03: } public function newBlockedBot(Request $request) : Response { goto Bcb45; A7399: Cec77: goto Ffead; d32e0: if (!(true === $form->isSubmitted())) { goto f8a3a; } goto D154f; Aed08: if (!(false === is_null($response))) { goto Cec77; } goto f3087; A982d: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto b3421; f7b93: $response = $this->render("\106\x72\x6f\x6e\x74\145\156\144\x2f\123\x69\x74\145\57\x6e\x65\x77\x2d\x62\x6c\157\x63\153\x65\144\55\x62\157\164\56\x68\x74\x6d\154\x2e\164\167\x69\147", ["\x73\x69\x74\145" => $site, "\x66\157\x72\155" => $form->createView(), "\x66\157\x72\x6d\105\x72\162\x6f\162\x73" => $this->formErrors]); goto F997e; fe831: $form = $this->createBlockedBotForm($blockedBotEntity); goto a89a7; f3087: return $response; goto A7399; b3421: $blockedBotEntity = $this->blockedBotEntityManager->createEntity(); goto Ab92b; Ab92b: $blockedBotEntity->setSite($siteEntity); goto fe831; Ffead: f8a3a: goto D7d90; C7f12: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\145\x73")); goto fc829; fc829: goto f489e; goto b6866; ac00f: if (false === is_null($site)) { goto Ff80d; } goto C7f12; D154f: $response = $this->handleBlockedBotForm($request, $form, $site); goto Aed08; Bcb45: $site = $this->getSite($request); goto ac00f; a89a7: if (!(true === $request->isMethod("\x50\x4f\123\124"))) { goto Acfa6; } goto A804e; b6866: Ff80d: goto A982d; F997e: f489e: goto f444f; D7d90: Acfa6: goto f7b93; A804e: $form->handleRequest($request); goto d32e0; f444f: return $response; goto F400c; F400c: } private function createBlockedBotForm(BlockedBotEntity $blockedBotEntity) : Form { goto ee800; e5cd0: $form->add("\163\165\x62\155\x69\164", SubmitType::class, ["\141\164\x74\162" => ["\x63\154\x61\163\x73" => "\142\164\156\40\x62\x74\x6e\x2d\x62\154\165\145\40\142\164\156\55\154\147"], "\154\x61\142\145\154" => "\x41\x64\x64\40\x42\x6f\164"]); goto c15bb; ee800: $siteEntity = $blockedBotEntity->getSite(); goto Bbb45; Bbb45: $form = $this->createForm("\101\x70\x70\x5c\x46\157\162\x6d\x5c\123\151\164\x65\x42\x6c\157\143\x6b\x65\x64\102\157\x74\x54\x79\x70\145", $blockedBotEntity, ["\x61\143\x74\x69\x6f\156" => $this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\x5f\x73\145\143\165\x72\151\164\171\137\x62\x6c\157\143\x6b\145\x64\137\x62\x6f\x74\x5f\156\x65\167", ["\144\157\x6d\141\151\156\116\x61\x6d\145" => $siteEntity->getDomainName()]), "\x6d\x65\164\150\157\144" => "\x50\117\x53\124", "\141\x74\164\162" => []]); goto e5cd0; c15bb: return $form; goto d2a56; d2a56: } private function handleBlockedBotForm(Request $request, Form $form, Site $site) { goto Cca14; f6d4c: c3b6e: goto a9ad7; F9165: $this->formErrors = $this->getErrorMessages($form); goto B0563; Bbc87: Cdde3: goto a15fc; Cca14: if (true === $form->isValid()) { goto c3b6e; } goto F9165; B0563: goto Cdde3; goto f6d4c; a9ad7: try { goto B03e1; Ba3a0: $siteEntity->addBlockedBot($blockedBot); goto Bb760; D7d1b: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\163\151\x74\145\163")); goto F1c77; F05f0: $eventData = ["\x73\151\x74\x65" => $domainName, "\x6e\141\x6d\145" => $blockedBot->getName()]; goto e4202; Ca5c2: f6901: goto D4222; e4202: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_ADD, $user, $eventData, $request); goto b1b6f; c0905: $siteUpdater = $this->getSiteUpdater($site); goto a5e7b; D4222: return $response; goto B66e0; Dc6cc: $siteEntity = $this->getSiteEntity($domainName); goto Fa153; B0552: $domainName = $site->getDomainName(); goto Dc6cc; d6b98: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\x5f\163\145\143\165\162\151\164\x79", ["\144\157\155\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto Ca5c2; A0167: $blockedBot = $form->getData(); goto Ba3a0; Fa153: if (false === is_null($siteEntity)) { goto D7029; } goto D7d1b; Bb760: $this->siteEntityManager->updateEntity($siteEntity); goto c0905; F0e56: D7029: goto C9ed1; a5e7b: $siteUpdater->updateNginxVhost(); goto e5b6c; e5b6c: $siteUpdater->reloadNginxService(); goto F05f0; F1c77: goto f6901; goto F0e56; C9ed1: $user = $this->getUser(); goto A0167; b1b6f: $session->getFlashBag()->set("\x73\165\143\143\145\x73\x73", $this->translator->trans("\x42\x6f\164\x20\150\141\163\40\x62\145\x65\x6e\40\x61\144\x64\145\x64\x2e")); goto d6b98; B03e1: $session = $request->getSession(); goto B0552; B66e0: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\162\x20\x68\141\163\x20\x6f\x63\143\165\162\x72\x65\x64\54\40\145\162\x72\x6f\162\x20\155\145\163\163\141\x67\x65\x3a\40\x25\145\162\x72\157\x72\115\x65\163\x73\x61\x67\x65\45", ["\45\145\x72\x72\157\x72\115\x65\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto Bbc87; a15fc: } public function deleteBlockedBot(Request $request) : Response { goto de6a2; D6823: try { goto Bf72c; d664f: $siteUpdater->updateNginxVhost(); goto Cfbf0; ea284: $this->siteEntityManager->updateEntity($siteEntity); goto C78bd; Cfbf0: $siteUpdater->reloadNginxService(); goto e388c; f28a6: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\x74\145\x5f\x73\145\143\165\162\x69\x74\x79", ["\x64\157\155\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto a423e; Fed7c: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\x73\x73", $this->translator->trans("\x42\x6f\x74\40\x68\x61\x73\40\x62\x65\145\156\x20\x64\145\x6c\x65\164\x65\144\x2e")); goto f28a6; abd81: $blockedBotEntity = $this->blockedBotEntityManager->findOneById($id); goto A88bf; F0cc5: $id = (int) $request->get("\151\144"); goto abdc5; C78bd: $siteUpdater = $this->getSiteUpdater($site); goto d664f; A3663: EventQueue::addEvent(EventQueue::EVENT_SITE_BLOCKED_BOT_DELETE, $user, $eventData, $request); goto Fed7c; e388c: $eventData = ["\x73\151\x74\x65" => $domainName, "\x6e\x61\x6d\145" => $blockedBotEntity->getName()]; goto A3663; A88bf: if (!(false === is_null($siteEntity) && false === empty($id) && false === is_null($blockedBotEntity) && $siteEntity == $blockedBotEntity->getSite())) { goto d5bd0; } goto De9e1; a423e: return $response; goto F42b2; F42b2: d5bd0: goto Fee07; abdc5: $domainName = $site->getDomainName(); goto F53ec; F53ec: $siteEntity = $this->getSiteEntity($domainName); goto abd81; Bf72c: $session = $request->getSession(); goto F0cc5; De9e1: $user = $this->getUser(); goto Bc6e2; Bc6e2: $siteEntity->removeBlockedBot($blockedBotEntity); goto ea284; Fee07: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\x72", $this->translator->trans("\101\156\40\145\162\x72\157\162\x20\150\x61\163\40\x6f\x63\143\165\x72\162\x65\x64\54\40\x65\x72\162\157\162\40\x6d\145\x73\163\x61\x67\145\x3a\x20\x25\x65\x72\162\x6f\162\115\145\163\x73\x61\147\x65\x25", ["\45\x65\x72\x72\x6f\x72\115\x65\163\x73\x61\147\x65\45" => $e->getMessage()])); } goto D4358; Fff54: return $response; goto e6076; b454f: if (!(false === is_null($site))) { goto Fa2b0; } goto D6823; de6a2: $site = $this->getSite($request); goto F961b; df0a4: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\x69\164\x65\163")); goto Fff54; F961b: $this->checkCsrfToken($request, "\142\x6f\164\x2d\144\x65\154\145\x74\x65"); goto b454f; D4358: Fa2b0: goto df0a4; e6076: } public function certificates(Request $request) : Response { goto b6ec9; c5c89: $installedCertificate = $site->getCertificate(); goto c7bee; f6c23: return $response; goto e1af2; Beea7: ea52e: goto c5c89; e2158: $response = $this->render("\x46\x72\x6f\156\x74\145\156\x64\57\x53\x69\164\x65\x2f\143\145\x72\164\x69\x66\151\143\x61\164\145\x73\x2e\150\164\155\154\56\x74\167\x69\147", ["\x73\151\x74\x65" => $site, "\x69\156\x73\x74\x61\x6c\154\x65\144\x43\145\x72\x74\x69\x66\x69\143\x61\x74\x65" => $installedCertificate, "\x63\145\x72\164\x69\146\x69\x63\141\x74\x65\x73" => $certificates]); goto f397f; Bb6af: goto afc41; goto Beea7; E215e: if (false === is_null($site)) { goto ea52e; } goto e39b3; b6ec9: $site = $this->getSite($request); goto E215e; e39b3: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\151\164\145\x73")); goto Bb6af; f397f: afc41: goto f6c23; c7bee: $certificates = $site->getCertificates(); goto e2158; e1af2: } public function importCertificate(Request $request) : Response { goto b7e68; e06e6: $response = $this->render("\106\x72\x6f\156\164\x65\156\x64\x2f\123\x69\164\x65\57\x69\x6d\160\157\x72\164\x2d\143\x65\x72\x74\151\x66\151\x63\141\164\145\56\x68\x74\155\154\x2e\164\167\151\x67", ["\x73\151\x74\145" => $site, "\146\x6f\162\x6d" => $form->createView(), "\x66\x6f\162\x6d\105\162\162\157\x72\163" => $this->formErrors]); goto B7570; abe62: $certificateEntity->setSite($siteEntity); goto c39cd; bbf64: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\x74\x65\x73")); goto E3f3f; dcb67: A91c2: goto Afd0f; e0e2d: return $response; goto dcb67; Fef2a: return $response; goto f69fe; D4b73: $form->handleRequest($request); goto Af679; Ec244: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto C574b; b7e68: $site = $this->getSite($request); goto E1935; c39cd: $form = $this->createImportCertificateForm($certificateEntity); goto Aa7e0; Aa7e0: if (!(true === $request->isMethod("\x50\117\x53\124"))) { goto Ab48b; } goto D4b73; Afd0f: e23a6: goto d6b6d; B7570: c01a9: goto Fef2a; d6b6d: Ab48b: goto e06e6; F00d9: if (!(false === is_null($response))) { goto A91c2; } goto e0e2d; E0b50: $response = $this->handleImportCertificateForm($request, $form, $site); goto F00d9; E1935: if (false === is_null($site)) { goto C8f8e; } goto bbf64; Af679: if (!(true === $form->isSubmitted())) { goto e23a6; } goto E0b50; E3f3f: goto c01a9; goto D1cb0; bfb5b: $certificateEntity->setType(CertificateEntity::TYPE_IMPORTED); goto abe62; D1cb0: C8f8e: goto Ec244; C574b: $certificateEntity = $this->certificateEntityManager->createEntity(); goto bfb5b; f69fe: } private function createImportCertificateForm(CertificateEntity $certificateEntity) : Form { goto e5401; e5401: $siteEntity = $certificateEntity->getSite(); goto e0cf3; e0cf3: $form = $this->createForm("\x41\x70\160\x5c\x46\157\x72\155\x5c\x53\x69\164\x65\111\155\160\x6f\x72\164\103\x65\162\x74\151\x66\x69\x63\141\x74\x65\x54\x79\160\x65", $certificateEntity, ["\141\143\164\151\x6f\156" => $this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\137\x63\x65\x72\x74\x69\x66\151\x63\x61\164\145\137\x69\x6d\x70\157\x72\x74", ["\144\157\155\141\151\x6e\x4e\x61\x6d\x65" => $siteEntity->getDomainName()]), "\x6d\x65\x74\150\157\144" => "\120\x4f\x53\124", "\x61\x74\x74\x72" => []]); goto Bff32; Cdf51: return $form; goto Aeaa0; Bff32: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\141\x74\164\162" => ["\x63\154\141\163\x73" => "\x62\164\156\40\x62\164\x6e\x2d\142\154\165\145\x20\142\x74\156\55\154\147"], "\x6c\141\142\145\154" => "\x49\x6d\160\x6f\162\x74\x20\141\x6e\x64\40\111\x6e\163\x74\141\x6c\154"]); goto Cdf51; Aeaa0: } private function handleImportCertificateForm(Request $request, Form $form, Site $site) { goto Ae0bc; f74e4: goto C10ea; goto b7bb2; Ae0bc: if (true === $form->isValid()) { goto D0e5b; } goto F7992; abe36: C10ea: goto Ab7d5; b7bb2: D0e5b: goto Cee46; Cee46: try { goto Ff8a4; fc3e2: $siteEntity->addCertificate($certificateEntity); goto cdb2d; Db8d5: $user = $this->getUser(); goto D5d5e; Ff8a4: $session = $request->getSession(); goto ff83c; d9bdc: $evenData = ["\x73\x69\x74\x65" => $domainName]; goto D1b32; D1b32: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto b395c; cdb2d: $this->siteEntityManager->updateEntity($siteEntity); goto d9bdc; C04a8: $siteEntity->setCertificate($certificateEntity); goto fc3e2; B4d6a: Dbb2c: goto Db8d5; Debcd: $siteUpdater->installCertificate($certificateEntity); goto C04a8; D5d5e: $certificateEntity = $form->getData(); goto E11ae; E11ae: $siteUpdater = $this->getSiteUpdater($site); goto Debcd; Ad9c4: if (false === is_null($siteEntity)) { goto Dbb2c; } goto Dd65c; ff83c: $domainName = $site->getDomainName(); goto e9081; D02d0: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\x74\145\x5f\143\145\x72\164\x69\x66\151\x63\141\164\145\x73", ["\144\157\155\141\x69\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto Bbb78; a3175: return $response; goto A831d; B60cc: goto ccdda; goto B4d6a; Dd65c: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\164\x65\163")); goto B60cc; b395c: $session->getFlashBag()->set("\x73\165\x63\x63\x65\163\163", $this->translator->trans("\x43\145\162\x74\x69\146\x69\143\141\164\145\40\x68\141\163\x20\142\145\x65\156\40\151\x6e\x73\x74\141\x6c\154\x65\x64\x2e")); goto D02d0; e9081: $siteEntity = $this->getSiteEntity($domainName); goto Ad9c4; Bbb78: ccdda: goto a3175; A831d: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\x72\157\x72\40\x68\141\x73\x20\x6f\143\x63\165\162\x72\145\x64\54\40\145\x72\x72\157\162\40\155\x65\163\163\141\147\x65\x3a\40\45\x65\x72\162\x6f\162\x4d\x65\x73\x73\141\147\145\x25", ["\45\x65\162\x72\157\162\x4d\145\163\163\141\147\x65\45" => $e->getMessage()])); } goto abe36; F7992: $this->formErrors = $this->getErrorMessages($form); goto f74e4; Ab7d5: } public function newLetsEncryptCertificate(Request $request) : Response { goto C142b; faa9b: Cdfc4: goto adc64; Dfb6f: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto cdc97; B4215: if (!(false === is_null($response))) { goto A5fdf; } goto c8a90; c20f0: goto cde37; goto ecbe3; fbfb1: goto Cdfc4; goto fd934; a98be: $subdomain = false === empty($subdomain) ? $subdomain : null; goto d68be; Ffcca: $domains = []; goto D6ed7; e7e6b: A5fdf: goto b8046; a40ff: $domains = [$domainName]; goto e5016; C142b: $site = $this->getSite($request); goto ed2a3; D3443: $response = $this->redirect($this->generateUrl("\x63\x6c\160\137\x73\x69\x74\145\x73")); goto c20f0; cf070: $form = $this->createLetsEncryptCertificateForm($domainName); goto Ffcca; b3aa8: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a98be; bf8e2: $domains = (array) $request->get("\144\x6f\155\141\x69\156\163"); goto ed8a6; e5016: goto d9404; goto e5a90; B96f4: $domains = array_map("\x74\x72\151\155", $domains); goto d1643; adc64: $response = $this->render("\106\x72\157\x6e\x74\145\x6e\144\x2f\x53\151\164\145\57\x6e\x65\167\55\x6c\145\164\163\55\x65\x6e\x63\162\171\x70\164\x2d\x63\x65\x72\164\151\146\x69\x63\141\x74\x65\x2e\150\164\155\154\56\164\x77\x69\x67", ["\x73\x69\164\145" => $site, "\144\x6f\x6d\141\x69\x6e\163" => $domains, "\x66\x6f\162\155" => $form->createView(), "\146\157\162\x6d\105\162\162\x6f\x72\x73" => $this->formErrors]); goto C879e; a0b09: $form->handleRequest($request); goto D36b0; Acb82: return $response; goto a5f4d; E7d06: $domains = [$registrableDomain, sprintf("\x77\x77\167\x2e\45\163", $registrableDomain)]; goto b9c24; e259c: $response = $this->handleLetsEncryptCertificateForm($request, $form, $site, $domains); goto B4215; Cae1f: $domainName = $site->getDomainName(); goto cf070; cdc97: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto b3aa8; d68be: if (true === is_null($subdomain) || "\167\x77\x77" == $subdomain) { goto eee83; } goto a40ff; b8046: A9c42: goto faa9b; D36b0: if (!(true === $form->isSubmitted())) { goto A9c42; } goto bf8e2; d1643: $domains = array_unique($domains); goto e259c; fd934: c84d7: goto a0b09; e5a90: eee83: goto E7d06; ed2a3: if (false === is_null($site)) { goto D4f44; } goto D3443; c8a90: return $response; goto e7e6b; b9c24: d9404: goto fbfb1; C879e: cde37: goto Acb82; ed8a6: $domains = array_filter($domains, function ($value) { return false === empty(trim($value)); }); goto B96f4; D6ed7: if (true === $request->isMethod("\x50\x4f\123\124")) { goto c84d7; } goto Dfb6f; ecbe3: D4f44: goto Cae1f; a5f4d: } private function createLetsEncryptCertificateForm(string $domainName) : Form { goto D9f7d; D9f7d: $form = $this->createForm("\x41\160\x70\x5c\106\157\162\x6d\134\x53\x69\x74\145\114\x65\164\163\105\156\143\x72\x79\160\x74\x43\145\x72\164\151\146\151\143\x61\164\x65\124\x79\x70\145", [], ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\163\151\x74\145\137\154\x65\x74\163\137\x65\156\x63\162\171\x70\164\x5f\143\x65\162\x74\151\146\151\143\x61\x74\x65\x5f\x6e\145\167", ["\x64\157\x6d\141\x69\x6e\x4e\x61\155\x65" => $domainName]), "\155\x65\164\150\x6f\144" => "\x50\x4f\123\124", "\x61\164\164\x72" => ["\x69\144" => "\143\x72\x65\x61\164\145\x2d\154\x65\164\x73\x2d\145\156\x63\162\171\x70\164\x2d\143\145\162\x74\x69\146\151\x63\141\164\x65\55\x66\157\162\x6d"]]); goto C410e; C410e: $form->add("\x73\165\142\155\x69\x74", SubmitType::class, ["\141\x74\x74\162" => ["\x63\154\141\163\x73" => "\x62\164\156\40\x62\x74\x6e\x2d\x62\154\x75\x65\x20\x62\164\x6e\55\x6c\147"], "\154\x61\142\x65\154" => "\103\x72\x65\x61\164\145\40\141\x6e\144\40\111\156\x73\164\x61\x6c\154"]); goto A4e05; A4e05: return $form; goto e0ddc; e0ddc: } private function handleLetsEncryptCertificateForm(Request $request, Form $form, Site $site, array $domains) { goto Dda2e; a0b75: $this->formErrors = $this->getErrorMessages($form); goto a181b; d8edb: try { goto bcf5a; daaad: $letsEncryptClient = new LetsEncryptClient($privateKey); goto A7c0d; C18af: $csrGenerator = new CsrGenerator($privateKey, $distinguishedName); goto af3c1; E2895: $user = $this->getUser(); goto D5b4d; F2071: if (!(true === empty($validationErrors))) { goto dd200; } goto C728d; E360f: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\103\145\162\x74\x69\x66\x69\x63\x61\x74\145\40\x68\x61\163\40\x62\x65\145\x6e\40\x69\156\x73\164\x61\x6c\154\x65\144\x2e")); goto d521f; cb071: $letsEncryptClient->registerAccount(); goto F7fba; E7845: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto C18af; ae994: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto E360f; ecd53: $certificateEntity->setCsr($certificate->getCsr()); goto A19b1; af3c1: $csr = $csrGenerator->generate(); goto e7a84; C3765: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto Bf375; bcf5a: $session = $request->getSession(); goto D1436; dcb84: $commonName = array_shift($distinguishedNameDomains); goto f71da; aa4dc: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto eb754; Aa019: $certificateEntity->setCertificateChain($certificate->getCertificateChain()); goto b805c; Ed034: $distinguishedNameDomains = $domains; goto dcb84; c1651: goto B9371; goto cdb9b; B692b: goto E259d; goto bd03b; d521f: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\137\163\x69\164\x65\137\143\145\162\164\151\146\151\143\141\164\145\163", ["\x64\x6f\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto C4b7e; ecec5: $siteEntity->addCertificate($certificateEntity); goto ada1a; C728d: $letsEncryptClient = new LetsEncryptClient($privateKey); goto cb071; Bcb36: E259d: goto d50f6; B5eb7: C85c4: goto B692b; bd03b: c6933: goto Ed034; ada1a: $this->siteEntityManager->updateEntity($siteEntity); goto fe33d; C299f: $siteEntity->setCertificate($certificateEntity); goto ecec5; Bf375: $siteUpdater = $this->getSiteUpdater($site); goto aa4dc; b6158: foreach ($validationErrors as $domain => $validationErrorMessage) { $form->addError(new FormError(sprintf("\45\163\72\40\45\163", $domain, $validationErrorMessage))); ecdc8: } goto B5eb7; D5b4d: $letsEncryptPrivateKey = $this->configManager->get("\x6c\x65\137\x70\x72\x69\x76\141\x74\145\137\153\145\x79"); goto fb3b4; f693c: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto E1084; c8b96: $letsEncryptClient->registerAccount(); goto C3765; C4b7e: return $response; goto Bcb36; F353a: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto f693c; F7fba: $certificateOrder = $letsEncryptClient->requestOrder($domains); goto c2467; dc9c3: return $response; goto c1651; e7a84: $certificate = $letsEncryptClient->finalizeOrder($certificateOrder, $privateKey, $csr); goto F10c4; E1c56: $certificateEntity->setCertificate($certificate->getCertificate()); goto Aa019; B58a6: $response = $this->redirect($this->generateUrl("\143\154\160\137\163\x69\164\x65\163")); goto dc9c3; A19b1: $certificateEntity->setPrivateKey($certificate->getPrivateKey()); goto E1c56; F10c4: $certificateEntity = $this->certificateEntityManager->createEntity(); goto E9aa0; fbcc4: $siteEntity = $this->getSiteEntity($domainName); goto C31c3; D1436: $domainName = $site->getDomainName(); goto fbcc4; E1084: dd200: goto c179b; d50f6: B9371: goto B705a; eb754: $siteUpdater->createLetsEncryptChallengeFiles($certificateOrder); goto de59c; c2467: $siteUpdater = $this->getSiteUpdater($site); goto F706a; F706a: $siteUpdater->deleteLetsEncryptChallengeDirectory(); goto F353a; de59c: $validationErrors = $letsEncryptClient->validateDomains($certificateOrder); goto F2071; E9aa0: $certificateEntity->setType(CertificateEntity::TYPE_LETS_ENCRYPT); goto a9d7f; cdb9b: f475c: goto E2895; c179b: if (true === empty($validationErrors)) { goto c6933; } goto b6158; f71da: $distinguishedName = new DistinguishedName($commonName, $distinguishedNameDomains); goto D2aa5; a9d7f: $certificateEntity->setSite($siteEntity); goto ecd53; fcc42: $siteUpdater->installCertificate($certificateEntity); goto C299f; b805c: $siteUpdater = $this->getSiteUpdater($site); goto fcc42; fe33d: $evenData = ["\163\x69\164\x65" => $domainName]; goto ae994; fb3b4: $privateKey = new PrivateKey($letsEncryptPrivateKey); goto daaad; A7c0d: $letsEncryptClient->setDryRun(true); goto c8b96; C31c3: if (false === is_null($siteEntity)) { goto f475c; } goto B58a6; D2aa5: $rsaKeyGenerator = new RsaKeyGenerator(); goto E7845; B705a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\x20\145\162\162\157\x72\x20\150\141\163\x20\157\x63\143\x75\162\x72\x65\x64\x2c\x20\x65\162\x72\x6f\x72\40\x6d\145\x73\x73\x61\147\145\x3a\40\x25\x65\162\162\x6f\x72\115\145\x73\163\x61\147\145\45", ["\45\x65\x72\x72\157\x72\115\x65\x73\x73\141\147\145\x25" => $e->getMessage()])); } finally { if (!(true === isset($siteUpdater))) { goto E3095; } $siteUpdater->deleteLetsEncryptChallengeDirectory(); E3095: } goto C956e; C956e: f078d: goto a0b75; Dda2e: if (!(true === $form->isValid())) { goto f078d; } goto d8edb; a181b: } public function installCertificate(Request $request) : Response { goto D2827; D2827: $site = $this->getSite($request); goto Ee8bb; A03e8: return $response; goto c73c7; Ee8bb: if (!(false === is_null($site))) { goto D57b3; } goto E3e5f; cb136: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\151\x74\x65\163")); goto A03e8; e7fd1: D57b3: goto cb136; E3e5f: try { goto F26ff; f3b96: $evenData = ["\163\x69\164\x65" => $domainName]; goto e9936; Dfb19: $uid = $request->get("\165\151\144"); goto fb5a4; F12ac: $user = $this->getUser(); goto f4e05; fb5a4: $domainName = $site->getDomainName(); goto Bb607; Bb607: $siteEntity = $this->getSiteEntity($domainName); goto De84e; De84e: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto d517c; fb59a: $this->siteEntityManager->updateEntity($siteEntity); goto f3b96; f4e05: $siteUpdater = $this->getSiteUpdater($site); goto Cf91e; Ace72: bc556: goto c9150; Cbd06: $siteEntity->setCertificate($certificateEntity); goto fb59a; a2a1d: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\145\x5f\143\145\162\164\151\146\151\x63\x61\164\x65\x73", ["\144\157\x6d\141\151\x6e\116\x61\x6d\x65" => $site->getDomainName()])); goto D0c73; d517c: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity))) { goto b0b1f; } goto D9fb7; D1f70: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto bc556; } goto F12ac; e9936: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_INSTALL, $user, $evenData, $request); goto bc54a; bc54a: $session->getFlashBag()->set("\163\x75\143\x63\145\x73\x73", $this->translator->trans("\103\x65\x72\164\151\146\151\143\x61\x74\145\40\x68\x61\163\40\x62\x65\145\x6e\x20\x69\156\x73\164\141\154\x6c\145\x64\56")); goto a2a1d; D9fb7: $certificateSiteEntity = $certificateEntity->getSite(); goto D1f70; D0c73: return $response; goto Ace72; c9150: b0b1f: goto bb096; Cf91e: $siteUpdater->installCertificate($certificateEntity); goto Cbd06; F26ff: $session = $request->getSession(); goto Dfb19; bb096: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\40\x65\162\162\157\x72\x20\x68\141\x73\40\x6f\x63\x63\x75\162\162\145\144\54\x20\145\162\162\x6f\162\x20\x6d\x65\x73\x73\x61\147\145\x3a\40\x25\145\162\x72\157\x72\115\x65\x73\163\x61\x67\x65\x25", ["\45\x65\162\x72\157\162\x4d\x65\x73\x73\141\x67\145\x25" => $e->getMessage()])); } goto e7fd1; c73c7: } public function deleteCertificate(Request $request) : Response { goto D460d; e4d8b: $response = $this->redirect($this->generateUrl("\x63\154\160\137\x73\x69\164\x65\163")); goto a14a8; ddeb0: $this->checkCsrfToken($request, "\x63\x65\162\164\x69\x66\x69\143\x61\x74\145\55\144\x65\154\145\x74\145"); goto A6cbf; a14a8: return $response; goto f7f9e; D460d: $site = $this->getSite($request); goto ddeb0; Faf85: try { goto fbaef; Bf476: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\145\137\143\x65\162\x74\x69\x66\151\143\x61\x74\x65\x73", ["\144\x6f\155\141\151\x6e\116\x61\x6d\145" => $site->getDomainName()])); goto B0037; e3e69: $siteEntity = $this->getSiteEntity($domainName); goto f78cd; a31d0: $user = $this->getUser(); goto ed71d; dd17b: $evenData = ["\163\x69\164\145" => $domainName]; goto Bf13b; fbaef: $session = $request->getSession(); goto c8d6c; Fca37: $this->siteEntityManager->updateEntity($siteEntity); goto dd17b; F8d7b: $session->getFlashBag()->set("\x73\165\x63\143\145\163\x73", $this->translator->trans("\x43\x65\x72\x74\x69\x66\151\x63\141\164\x65\x20\x68\141\163\40\142\145\x65\156\x20\144\145\x6c\145\164\x65\x64\56")); goto Bf476; ed71d: $siteEntity->removeCertificate($certificateEntity); goto Fca37; b907b: $certificateSiteEntity = $certificateEntity->getSite(); goto D15b0; c8d6c: $uid = $request->get("\x75\151\x64"); goto d2ba8; Bf13b: EventQueue::addEvent(EventQueue::EVENT_SITE_CERTIFICATE_DELETE, $user, $evenData, $request); goto F8d7b; B0037: return $response; goto c5bee; D15b0: if (!($siteEntity->getDomainName() == $certificateSiteEntity->getDomainName() && $siteEntity->getCertificate() != $certificateSiteEntity)) { goto c57c2; } goto a31d0; a5ba3: if (!(false === is_null($siteEntity) && false === empty($uid) && false === is_null($certificateEntity) && false === $certificateEntity->getDefaultCertificate())) { goto c6306; } goto b907b; d2ba8: $domainName = $site->getDomainName(); goto e3e69; a86d5: c6306: goto bddd6; c5bee: c57c2: goto a86d5; f78cd: $certificateEntity = $this->certificateEntityManager->findOneByUid($uid); goto a5ba3; bddd6: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\162", $this->translator->trans("\x41\156\40\145\x72\162\157\x72\x20\150\141\163\40\x6f\143\143\165\x72\x72\x65\144\54\x20\x65\162\162\157\x72\x20\x6d\145\163\163\x61\x67\x65\72\40\45\x65\x72\162\x6f\x72\x4d\x65\x73\163\141\147\145\45", ["\45\145\x72\x72\157\162\115\x65\x73\x73\x61\x67\x65\45" => $e->getMessage()])); } goto Afe32; A6cbf: if (!(false === is_null($site))) { goto A2f19; } goto Faf85; Afe32: A2f19: goto e4d8b; f7f9e: } public function databases(Request $request) : Response { goto a87b3; eaea4: goto ed7b7; goto D7f21; Dec4c: $response = $this->render("\x46\162\x6f\x6e\x74\145\156\x64\57\123\x69\x74\145\x2f\144\141\x74\141\142\x61\x73\x65\x73\56\x68\164\155\154\x2e\164\x77\x69\147", ["\163\151\x74\145" => $site, "\144\x61\164\x61\142\141\163\145\163" => $databases, "\x6e\165\155\142\x65\x72\117\x66\104\x61\x74\x61\x62\x61\163\x65\125\x73\x65\x72\163" => $numberOfDatabaseUsers, "\x64\x61\x74\x61\142\141\163\145\x53\x65\162\x76\145\x72" => $databaseServerEntity]); goto C19fd; Ec39a: $databaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto a6022; A0995: foreach ($databases as $database) { $numberOfDatabaseUsers += count($database->getUsers()); Dd573: } goto D08b7; D08b7: Cb0a1: goto Dec4c; B4cd9: $databases = $site->getDatabases(); goto Ec39a; a6022: $numberOfDatabaseUsers = 0; goto A0995; D7f21: f9056: goto B4cd9; af09e: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\151\x74\x65\x73")); goto eaea4; a87b3: $site = $this->getSite($request); goto d61bf; d61bf: if (false === is_null($site)) { goto f9056; } goto af09e; B9630: return $response; goto B9e13; C19fd: ed7b7: goto B9630; B9e13: } public function newDatabase(Request $request) : Response { goto A82fc; f31dd: return $response; goto Aa330; aeeec: if (false === is_null($site)) { goto Ff45f; } goto Ee16e; Debca: fa936: goto b07c3; c5760: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto E7c4f; A82fc: $site = $this->getSite($request); goto aeeec; e7054: $form->handleRequest($request); goto E424d; Ee16e: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\151\164\145\163")); goto fe424; b07c3: B0d94: goto A87a6; E7c4f: $databaseEntity = $this->databaseEntityManager->createEntity(); goto c484a; D1b6c: Ff45f: goto c5760; Bd9ba: Baa4f: goto Debca; E527c: adde6: goto f31dd; Cee25: return $response; goto Bd9ba; E424d: if (!(true === $form->isSubmitted())) { goto fa936; } goto f84bf; e73ba: if (!(true === $request->isMethod("\x50\x4f\x53\x54"))) { goto B0d94; } goto e7054; b24aa: if (!(false === is_null($response))) { goto Baa4f; } goto Cee25; c484a: $databaseEntity->setSite($siteEntity); goto Fb2f2; Fb2f2: $form = $this->createDatabaseForm($site, $databaseEntity); goto e73ba; f84bf: $response = $this->handleDatabaseForm($request, $form, $site); goto b24aa; fe424: goto adde6; goto D1b6c; A87a6: $response = $this->render("\x46\162\x6f\x6e\164\145\x6e\144\x2f\123\151\164\x65\57\156\x65\167\55\144\x61\x74\141\x62\x61\x73\x65\x2e\150\x74\x6d\x6c\x2e\164\167\151\147", ["\163\x69\164\x65" => $site, "\x66\x6f\x72\155" => $form->createView(), "\146\157\162\x6d\105\x72\162\157\x72\x73" => $this->formErrors]); goto E527c; Aa330: } private function createDatabaseForm(Site $site, DatabaseEntity $databaseEntity) : Form { goto Cd89e; c38ab: return $form; goto E29fd; Cd89e: $form = $this->createForm("\101\160\x70\134\x46\157\162\155\134\x53\151\164\145\104\141\x74\x61\142\141\163\145\x54\171\x70\x65", $databaseEntity, ["\141\x63\x74\x69\x6f\156" => $this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\x65\x5f\x64\141\x74\x61\x62\x61\163\145\137\x6e\145\x77", ["\144\157\x6d\141\151\156\116\x61\155\x65" => $site->getDomainName()]), "\155\145\164\x68\x6f\144" => "\x50\117\123\x54", "\141\x74\x74\162" => []]); goto a4b93; a4b93: $form->add("\x73\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\163\x73" => "\x62\164\156\40\x62\164\156\x2d\x62\154\165\145\40\x62\x74\156\55\x6c\x67"], "\x6c\141\142\145\x6c" => "\x41\144\x64\40\x44\x61\x74\x61\142\141\x73\145"]); goto c38ab; E29fd: } private function handleDatabaseForm(Request $request, Form $form, Site $site) { goto Cb16d; Cb16d: if (true === $form->isValid()) { goto Dbb77; } goto a075d; B352a: f7f27: goto A542c; B87f3: try { goto d07ba; f1acc: $siteEntity->addDatabase($databaseEntity); goto C96fa; Cf29a: goto Bc2e8; goto Fa154; C96fa: $databaseManager->createDatabase($databaseEntity); goto f6158; f6158: $databaseManager->createUser($databaseUserEntity); goto ed6eb; Dbb65: $databaseEntity = $form->getData(); goto E76a8; ded21: $databaseUserEntity->setPermissions(DatabaseUserEntity::PERMISSIONS_READ_WRITE); goto ee8b8; a6a80: $databaseEntity->setDatabaseServer($activeDatabaseServerEntity); goto e9e95; c34ed: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto d6439; Fa154: e2415: goto Dbb65; fd108: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\x5f\x64\141\164\141\142\x61\163\145\137\x6e\145\167", ["\x64\157\x6d\141\x69\156\116\141\155\145" => $site->getDomainName()])); goto Cf29a; A692a: $databaseUserPassword = $form->get("\165\x73\145\162\120\141\x73\163\x77\x6f\x72\x64")->getData(); goto c34ed; f321c: return $response; goto efbcd; da8ef: $session = $request->getSession(); goto Ace9b; Ed4ed: $session->getFlashBag()->set("\x73\x75\x63\143\145\163\163", $this->translator->trans("\x44\141\164\141\142\141\163\x65\40\x68\x61\x73\x20\x62\x65\145\x6e\40\x61\x64\144\x65\144\56")); goto f8576; f8576: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\163\x69\164\x65\137\144\141\x74\141\142\x61\x73\145\163", ["\144\157\x6d\x61\151\156\116\141\155\145" => $site->getDomainName()])); goto f3cc8; F0cf2: $siteEntity = $this->getSiteEntity($domainName); goto dc999; bf391: $databaseUserName = $form->get("\165\x73\145\x72\116\141\x6d\145")->getData(); goto A692a; d9a0f: $eventData = ["\163\x69\x74\145" => $domainName, "\144\x61\x74\141\x62\x61\163\x65" => $databaseEntity->getName(), "\144\141\x74\141\x62\141\x73\x65\x55\x73\x65\x72\116\141\x6d\x65" => $databaseUserEntity->getUserName()]; goto edc1f; e9e95: $databaseEntity->setSite($siteEntity); goto bf391; A81b4: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto a6a80; ee8b8: $databaseUserEntity->setDatabase($databaseEntity); goto b72ce; b72ce: $databaseEntity->addUser($databaseUserEntity); goto f1acc; edc1f: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_ADD, $user, $eventData, $request); goto Ed4ed; E76a8: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto A81b4; Ace9b: $domainName = $site->getDomainName(); goto F0cf2; f3cc8: Bc2e8: goto f321c; D1155: $databaseUserEntity->setPassword(Crypto::encrypt($databaseUserPassword)); goto ded21; d07ba: $user = $this->getUser(); goto da8ef; ed6eb: $this->siteEntityManager->updateEntity($siteEntity); goto d9a0f; d6439: $databaseUserEntity->setUserName($databaseUserName); goto D1155; dc999: if (false === is_null($siteEntity)) { goto e2415; } goto fd108; efbcd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\x6e\x20\x65\x72\x72\157\x72\x20\x68\x61\163\40\x6f\x63\x63\165\x72\162\x65\x64\x2c\x20\145\162\162\157\x72\40\155\145\163\x73\141\147\x65\72\x20\45\x65\x72\162\x6f\162\x4d\145\163\163\141\147\145\x25", ["\45\x65\162\x72\x6f\x72\115\145\x73\x73\141\147\x65\45" => $e->getMessage()])); } goto B352a; a075d: $this->formErrors = $this->getErrorMessages($form); goto Fd8b8; Fdb50: Dbb77: goto B87f3; Fd8b8: goto f7f27; goto Fdb50; A542c: } public function deleteDatabase(Request $request) : Response { goto Ac025; a38e4: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName() && false === is_null($siteEntity))) { goto b4ecd; } goto E2021; b1d34: $this->checkCsrfToken($request, "\x64\x61\x74\x61\x62\x61\x73\x65\55\144\145\154\x65\164\145"); goto c0c6a; c235e: ee06f: goto Ef5c4; C4b90: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\x69\164\145\137\x64\141\164\x61\142\141\163\x65\x73", ["\x64\x6f\155\x61\151\x6e\116\141\155\145" => $site->getDomainName()])); goto dfd55; c0c6a: if (!(false === is_null($site))) { goto ee06f; } goto Da86c; Ef5c4: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\163\151\x74\145\163")); goto D8235; Ac025: $site = $this->getSite($request); goto b1d34; Da86c: $databaseName = $request->get("\144\141\x74\x61\142\x61\163\145\116\141\155\x65"); goto Beb02; D8235: return $response; goto f4755; dfd55: return $response; goto abf84; Beb02: $databaseEntity = $this->databaseEntityManager->findOneByName($databaseName); goto D74a0; abf84: b4ecd: goto c235e; D74a0: $siteEntity = $this->getSiteEntity($site->getDomainName()); goto a38e4; E2021: try { goto Aa619; f76db: $this->siteEntityManager->updateEntity($siteEntity); goto e889a; F3f67: $domainName = $site->getDomainName(); goto e7a93; Bb1b3: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_DELETE, $user, $eventData, $request); goto a34d4; e7a93: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto d6e56; C51d6: $siteEntity->removeDatabase($databaseEntity); goto f76db; a34d4: $session->getFlashBag()->set("\163\x75\143\x63\x65\163\x73", $this->translator->trans("\104\x61\x74\141\x62\141\x73\145\40\150\x61\163\x20\142\x65\x65\x6e\40\x64\x65\x6c\145\x74\x65\x64\x2e")); goto ca4f5; Aa619: $user = $this->getUser(); goto D631f; e889a: $eventData = ["\x73\x69\164\x65" => $domainName, "\144\141\164\141\x62\141\x73\145" => $databaseEntity->getName()]; goto Bb1b3; d6e56: $databaseManager = new DatabaseManager($databaseServerEntity); goto B99ce; B99ce: $databaseManager->deleteDatabase($databaseEntity, true); goto C51d6; D631f: $session = $request->getSession(); goto F3f67; ca4f5: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\145\162\x72\157\x72\40\150\141\163\40\x6f\143\143\165\162\162\145\144\54\40\x65\162\x72\x6f\x72\40\155\145\x73\x73\141\147\145\x3a\x20\x25\x65\x72\162\x6f\162\115\x65\163\x73\141\x67\145\45", ["\x25\x65\162\x72\x6f\162\115\145\x73\163\x61\x67\x65\45" => $e->getMessage()])); } goto C4b90; f4755: } public function phpMyAdmin(Request $request) : Response { goto a5ac5; cce21: d212c: goto fe7df; ae4cd: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto b3656; F84da: $response = new RedirectResponse($phpMyAdminUrl); goto E1155; A25b6: $phpMyAdminUrl = sprintf("\x68\164\x74\160\163\72\x2f\x2f\x25\x73\72\45\163\x2f\x70\150\160\x6d\x79\141\144\155\x69\x6e\x2f\154\157\x67\151\156\x2e\x70\150\x70", $request->getHost(), $request->getPort()); goto ad681; c6360: $phpMyAdminUrl = sprintf("\150\x74\164\x70\x73\72\57\57\x25\x73\72\x25\163\x2f\160\150\x70\x6d\x79\141\x64\155\151\156\57\154\x6f\147\x69\x6e\x2e\x70\150\160", $request->getHost(), $request->getPort()); goto B629f; Dd256: c2bf3: goto Df5ae; E3669: $databaseEntity = $databaseUserEntity->getDatabase(); goto ddca9; ab617: $session->set("\x63\154\x70\x2d\x70\155\141", $data); goto F84da; a5ac5: $domainName = $request->get("\x64\x6f\155\x61\x69\x6e\x4e\x61\x6d\145"); goto fe6bd; bbed9: $response->headers->clearCookie("\x53\151\x67\x6e\157\x6e\x53\x65\x73\163\151\x6f\156"); goto D51bf; E716f: if (false === is_null($domainName)) { goto cb963; } goto c0164; D1624: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\163\x69\x74\145\163")); goto e39c9; ad681: $data = ["\150\157\x73\164" => $activeDatabaseServerEntity->getHost(), "\x75\163\x65\x72\116\x61\x6d\145" => $databaseUserEntity->getUserName(), "\160\141\163\163\x77\157\x72\x64" => $databaseUserEntity->getDecryptedPassword(), "\x70\x6f\x72\164" => $activeDatabaseServerEntity->getPort()]; goto be595; Ef820: a8220: goto e485d; Df5ae: bf3c6: goto cce21; D51bf: return $response; goto Ef820; be595: $session->set("\143\154\160\55\160\x6d\x61", $data); goto Fe75b; fe7df: C08b2: goto D1624; c0164: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto c3322; Fe75b: $response = new RedirectResponse($phpMyAdminUrl); goto b5921; abdbc: $response->headers->clearCookie("\x70\155\141\101\x75\164\150\55\61\137\150\x74\x74\160\x73"); goto bbed9; ddca9: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto c2bf3; } goto A25b6; fe6bd: $session = $request->getSession(); goto E716f; e485d: goto C08b2; goto C8868; b5921: return $response; goto Dd256; E1155: $response->headers->clearCookie("\x63\154\160\x2d\160\155\x61"); goto B9236; C8868: cb963: goto dcadb; cd877: if (!(false === is_null($site))) { goto d212c; } goto Caad4; c3322: if (!(false === is_null($activeDatabaseServerEntity))) { goto a8220; } goto c6360; dcadb: $site = $this->getSite($request); goto cd877; b3656: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Bef7b; Bef7b: if (!(false === is_null($activeDatabaseServerEntity) && false === is_null($activeDatabaseServerEntity))) { goto bf3c6; } goto E3669; Caad4: $databaseUserName = $request->get("\x64\141\164\141\x62\141\x73\x65\125\x73\x65\x72\x4e\x61\155\145"); goto ae4cd; e39c9: return $response; goto c9841; B9236: $response->headers->clearCookie("\x70\150\160\x4d\x79\101\x64\155\x69\x6e\x5f\150\164\164\160\x73"); goto abdbc; B629f: $data = ["\150\157\163\x74" => $activeDatabaseServerEntity->getHost(), "\x70\157\x72\x74" => $activeDatabaseServerEntity->getPort()]; goto ab617; c9841: } public function phpMyAdminLogout(Request $request) { goto A3291; a53e8: $response->headers->clearCookie("\x63\154\x70\x2d\160\x6d\x61"); goto C1554; Dccf7: $response->headers->clearCookie("\160\x6d\141\101\165\x74\150\55\x31\x5f\150\164\x74\x70\x73"); goto F07c2; F07c2: $response->headers->clearCookie("\x53\151\147\156\157\156\x53\x65\x73\x73\x69\157\156"); goto Eaca5; Eaca5: return $response; goto D51f3; A3291: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\145\163")); goto a53e8; C1554: $response->headers->clearCookie("\x70\x68\x70\115\x79\101\144\x6d\x69\156\137\x68\x74\164\160\163"); goto Dccf7; D51f3: } public function newDatabaseUser(Request $request) : Response { goto C9d79; be1b5: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto ec700; } goto E4ddd; F1193: return $response; goto F95bd; feeb2: $siteEntity = $this->getSiteEntity($domainName); goto df404; ea4da: $session = $request->getSession(); goto a6d64; ebbbf: $domainName = $site->getDomainName(); goto feeb2; F9947: $response = $this->render("\x46\x72\157\156\x74\145\x6e\144\57\123\151\x74\145\x2f\x6e\145\167\x2d\x64\x61\x74\x61\142\x61\163\x65\x2d\x75\163\145\162\56\150\x74\155\154\x2e\164\167\x69\x67", ["\163\151\164\145" => $site, "\x64\x61\164\141\142\x61\163\145\125\163\145\162" => $databaseUserEntity, "\144\141\164\x61\142\141\163\x65\163" => $databases, "\x66\x6f\x72\x6d" => $form->createView(), "\x66\157\162\x6d\x45\x72\162\157\x72\163" => $this->formErrors]); goto d9579; A4196: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\163\151\164\x65\163")); goto Ed483; D38dc: Eb60b: goto F1193; C9d79: $site = $this->getSite($request); goto D8734; c4a1d: if (!(false === is_null($response))) { goto c08ab; } goto B0f6b; C427a: ec700: goto F9947; F79e3: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\x65\137\144\x61\164\x61\x62\141\x73\145\x73", ["\x64\x6f\155\x61\151\x6e\x4e\x61\x6d\145" => $site->getDomainName()])); goto C8b83; Bae93: $databaseUserEntity->setSite($siteEntity); goto e7edc; ca475: c08ab: goto f9ca2; D6bc5: $response = $this->handleDatabaseUserForm($request, $form, $site); goto c4a1d; B0f6b: return $response; goto ca475; f3441: C0b09: goto c62b6; E4ddd: $form->handleRequest($request); goto cd6f7; f9ca2: Fff86: goto C427a; df404: if (count($databases) && false === is_null($siteEntity)) { goto ab515; } goto ea4da; C8b83: goto C166a; goto Ddcf6; a6d64: $session->getFlashBag()->set("\x64\x61\156\x67\145\162", $this->translator->trans("\116\x6f\40\x64\141\x74\x61\142\141\x73\145\40\146\x6f\165\x6e\x64\73\x20\143\x72\x65\x61\x74\x65\x20\141\x20\x64\x61\x74\x61\x62\141\x73\145\40\146\x69\162\163\164\x2e")); goto F79e3; cd6f7: if (!(true === $form->isSubmitted())) { goto Fff86; } goto D6bc5; cd535: $databaseUserEntity = $this->databaseUserEntityManager->createEntity(); goto Bae93; D8734: if (false === is_null($site)) { goto C0b09; } goto A4196; e7edc: $form = $this->createDatabaseUserForm($site, $databaseUserEntity); goto be1b5; c62b6: $databases = $site->getDatabases(); goto ebbbf; Ddcf6: ab515: goto cd535; d9579: C166a: goto D38dc; Ed483: goto Eb60b; goto f3441; F95bd: } private function createDatabaseUserForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto Af3be; B5eb4: return $form; goto B2701; B12ee: $form->add("\163\x75\x62\155\151\x74", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\154\x61\163\163" => "\142\164\x6e\x20\142\164\x6e\x2d\142\x6c\165\x65\x20\142\164\x6e\55\x6c\147"], "\x6c\141\x62\145\154" => "\x41\x64\144\x20\x44\x61\x74\141\x62\141\x73\145\x20\125\163\145\162"]); goto B5eb4; Af3be: $form = $this->createForm("\101\160\x70\134\x46\157\162\x6d\134\123\151\164\145\x44\141\164\x61\142\x61\163\x65\x55\163\x65\x72\x54\x79\x70\x65", $databaseUserEntity, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\163\x69\164\x65\137\144\x61\164\141\x62\141\x73\145\x5f\165\x73\145\x72\137\x6e\x65\x77", ["\x64\157\155\141\151\x6e\x4e\141\155\145" => $site->getDomainName()]), "\x6d\145\x74\x68\157\144" => "\120\117\123\124", "\x61\x74\x74\x72" => []]); goto B12ee; B2701: } private function handleDatabaseUserForm(Request $request, Form $form, Site $site) { goto ec48c; a833e: $this->formErrors = $this->getErrorMessages($form); goto D78b2; f3d4a: E30f9: goto fe830; D78b2: goto D112e; goto f3d4a; F1120: D112e: goto F538b; fe830: try { goto F30fa; E0830: goto A5e24; goto f66cd; a9538: return $response; goto ccc0a; f08c2: $session->getFlashBag()->set("\163\165\143\143\145\x73\x73", $this->translator->trans("\x44\x61\164\141\x62\x61\x73\x65\x20\x55\163\145\x72\x20\x68\141\163\40\x62\145\145\x6e\40\x61\x64\x64\x65\x64\x2e")); goto e8759; cd9fa: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto E9a48; e3ef3: $domainName = $site->getDomainName(); goto E04f5; E9a48: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto A0eac; Ce795: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto f0a83; e84fc: if (false === is_null($siteEntity)) { goto a4737; } goto B325a; B09df: $session = $request->getSession(); goto e3ef3; B325a: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\163\151\164\x65\x5f\144\141\x74\141\x62\141\x73\145\137\x75\163\145\x72\x5f\x6e\x65\167", ["\144\157\155\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto E0830; Eba7f: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x64\x61\x74\141\x62\x61\x73\145\x55\x73\145\162\116\141\x6d\x65" => $databaseUserEntity->getUserName(), "\160\145\x72\x6d\x69\163\163\x69\157\x6e\x73" => $databaseUserEntity->getPermissions(), "\144\x61\x74\x61\142\x61\x73\x65" => $databaseName]; goto d6125; f9209: $databaseName = $databaseEntity->getName(); goto Eba7f; d6125: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_ADD, $user, $eventData, $request); goto f08c2; e8759: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\x73\x69\x74\145\137\144\141\164\x61\142\141\163\x65\x73", ["\144\x6f\155\x61\x69\x6e\116\x61\155\145" => $site->getDomainName()])); goto bb27e; E04f5: $siteEntity = $this->getSiteEntity($domainName); goto e84fc; bb27e: A5e24: goto a9538; e712e: $databaseUserEntity->setPassword($encryptedPassword); goto cd9fa; F30fa: $user = $this->getUser(); goto B09df; f0a83: $databaseEntity = $databaseUserEntity->getDatabase(); goto f9209; f66cd: a4737: goto c3af7; c3af7: $databaseUserEntity = $form->getData(); goto f1882; f1882: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto e712e; A0eac: $databaseManager->createUser($databaseUserEntity); goto Ce795; ccc0a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\x72", $this->translator->trans("\x41\156\40\145\162\162\157\162\40\150\x61\x73\40\157\x63\143\x75\162\162\x65\x64\54\40\x65\x72\162\x6f\162\40\155\145\163\x73\141\147\x65\72\x20\x25\145\x72\162\x6f\162\115\x65\x73\x73\141\x67\145\45", ["\45\145\x72\162\157\x72\x4d\x65\x73\x73\x61\147\x65\x25" => $e->getMessage()])); } goto F1120; ec48c: if (true === $form->isValid()) { goto E30f9; } goto a833e; F538b: } public function editDatabaseUser(Request $request) : Response { goto f0272; F5d6d: decd6: goto af50a; fbe44: C6ec7: goto e1fa9; Cd175: return $response; goto e0346; f8e0f: return $response; goto D7479; c58d0: if (!(true === $form->isSubmitted())) { goto af46e; } goto Db37f; d64c9: $databases = $site->getDatabases(); goto b80dc; Cfdb5: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto a3795; Ddcf5: $databaseUserEntity->setPassword(''); goto B3005; Fdd44: E89e8: goto ba91f; b8ae2: if (!(true === $request->isMethod("\120\x4f\123\x54"))) { goto decd6; } goto D6eda; b1e8a: if (count($databases) && false === is_null($siteEntity)) { goto E89e8; } goto d4534; e0346: F81dc: goto c06d9; af50a: $response = $this->render("\x46\162\157\x6e\164\145\156\144\x2f\123\x69\164\145\x2f\145\144\151\164\55\x64\x61\164\x61\x62\141\x73\145\55\165\163\x65\162\56\x68\164\155\x6c\x2e\164\x77\151\x67", ["\163\x69\164\x65" => $site, "\x64\x61\x74\x61\x62\x61\163\x65\125\x73\145\x72" => $databaseUserEntity, "\x66\x6f\162\x6d" => $form->createView(), "\146\157\x72\155\x45\162\x72\157\x72\x73" => $this->formErrors]); goto Fa76c; F7ba2: $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\x4e\157\40\x64\x61\x74\141\x62\141\x73\x65\40\146\157\165\156\144\x3b\x20\x63\x72\x65\x61\x74\x65\x20\141\40\144\141\164\141\x62\141\163\145\40\146\151\162\x73\x74\x2e")); goto F769d; d4534: $session = $request->getSession(); goto F7ba2; F769d: $response = $this->redirect($this->generateUrl("\143\x6c\x70\x5f\x73\x69\164\145\x5f\x64\x61\164\x61\142\141\163\145\x73", ["\144\x6f\155\141\151\156\116\x61\155\145" => $site->getDomainName()])); goto c69a8; b80dc: $domainName = $site->getDomainName(); goto B88ad; d6a50: goto a815d; goto f700f; f700f: Ffb9f: goto d64c9; B88ad: $siteEntity = $this->getSiteEntity($domainName); goto b1e8a; B6ad7: if (false === is_null($site)) { goto Ffb9f; } goto Bbfc8; c69a8: goto C6ec7; goto Fdd44; Bbfc8: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\x69\164\145\163")); goto d6a50; B3005: $form = $this->createDatabaseUserEditForm($site, $databaseUserEntity); goto b8ae2; D6eda: $form->handleRequest($request); goto c58d0; Fa76c: d7a46: goto fbe44; Db37f: $response = $this->handleDatabaseUserEditForm($request, $form, $site); goto B9175; B9175: if (!(false === is_null($response))) { goto F81dc; } goto Cd175; f0272: $site = $this->getSite($request); goto B6ad7; c06d9: af46e: goto F5d6d; e1fa9: a815d: goto f8e0f; ba91f: $databaseUserName = $request->get("\x64\141\x74\x61\x62\141\163\145\125\x73\145\162\x4e\x61\x6d\x65"); goto Cfdb5; a3795: if (!(false === is_null($databaseUserEntity))) { goto d7a46; } goto Ddcf5; D7479: } private function createDatabaseUserEditForm(Site $site, DatabaseUserEntity $databaseUserEntity) : Form { goto E0dcd; Acff9: return $form; goto bf938; E0dcd: $form = $this->createForm("\101\x70\x70\x5c\106\x6f\x72\x6d\134\123\x69\164\145\104\141\x74\141\x62\141\163\145\x55\163\x65\x72\x45\144\151\164\124\x79\160\x65", $databaseUserEntity, ["\141\143\x74\151\x6f\x6e" => $this->generateUrl("\143\154\160\x5f\x73\151\164\x65\x5f\144\x61\164\141\x62\141\x73\145\x5f\165\x73\x65\x72\137\x65\144\151\x74", ["\x64\157\x6d\141\151\x6e\116\141\x6d\145" => $site->getDomainName(), "\144\141\x74\x61\x62\141\x73\x65\x55\163\x65\162\x4e\141\155\x65" => $databaseUserEntity->getUserName()]), "\155\x65\x74\x68\157\x64" => "\120\x4f\123\x54", "\x61\x74\x74\162" => []]); goto B039d; B039d: $form->add("\x73\x75\142\155\x69\164", SubmitType::class, ["\141\164\164\162" => ["\x63\154\x61\163\163" => "\x62\164\x6e\40\142\164\156\x2d\x62\154\x75\x65\40\x62\x74\x6e\x2d\154\x67"], "\x6c\141\142\145\154" => "\x53\141\166\x65"]); goto Acff9; bf938: } private function handleDatabaseUserEditForm(Request $request, Form $form, Site $site) { goto A17be; c561d: goto E8ce9; goto e825b; e315a: try { goto d9b38; D8440: return $response; goto Eaf0e; d51a0: ecb37: goto F10a7; e1990: $eventData = ["\163\x69\164\x65" => $domainName, "\144\141\164\x61\142\141\x73\x65\x55\163\x65\162\116\x61\x6d\145" => $databaseUserEntity->getUserName(), "\x70\x65\x72\155\151\x73\163\151\157\156\x73" => $databaseUserEntity->getPermissions(), "\x64\x61\x74\141\x62\x61\x73\x65" => $databaseName]; goto A5535; C1ab9: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto d446e; F0de2: if (false === is_null($siteEntity)) { goto ecb37; } goto E56c0; d446e: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto f0eec; a6b07: goto d121e; goto d51a0; dbf59: $encryptedPassword = Crypto::encrypt($databaseUserEntity->getPassword()); goto Fa076; A5535: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_EDIT, $user, $eventData, $request); goto ebc0e; A4d92: $databaseName = $databaseEntity->getName(); goto e1990; f0eec: $databaseManager->createUser($databaseUserEntity); goto beb84; bc588: $siteEntity = $this->getSiteEntity($domainName); goto F0de2; beea2: $databaseEntity = $databaseUserEntity->getDatabase(); goto A4d92; beb84: $this->databaseUserEntityManager->updateEntity($databaseUserEntity); goto beea2; d9b38: $user = $this->getUser(); goto f7e97; F10a7: $databaseUserEntity = $form->getData(); goto dbf59; f7e97: $session = $request->getSession(); goto ceec9; ceec9: $domainName = $site->getDomainName(); goto bc588; Ce969: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\163\x69\x74\145\x5f\x64\141\x74\141\x62\x61\163\x65\163", ["\144\x6f\x6d\141\151\156\x4e\x61\x6d\x65" => $site->getDomainName()])); goto fb5cb; fb5cb: d121e: goto D8440; E56c0: $response = $this->redirect($this->generateUrl("\x63\x6c\160\x5f\x73\151\164\x65\137\144\141\x74\141\142\x61\x73\x65\x5f\165\163\145\162\x5f\x6e\x65\x77", ["\x64\x6f\x6d\x61\151\156\x4e\x61\155\145" => $site->getDomainName()])); goto a6b07; ebc0e: $session->getFlashBag()->set("\163\165\143\143\x65\163\163", $this->translator->trans("\104\x61\164\141\x62\141\163\x65\x20\x55\x73\145\162\x20\x68\141\x73\x20\x62\145\x65\156\40\165\160\144\141\x74\x65\144\x2e")); goto Ce969; Fa076: $databaseUserEntity->setPassword($encryptedPassword); goto C1ab9; Eaf0e: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\x67\x65\162", $this->translator->trans("\101\156\x20\145\162\162\157\x72\x20\x68\x61\163\x20\x6f\x63\143\165\x72\162\145\x64\54\x20\145\162\x72\157\x72\x20\x6d\145\163\x73\141\147\x65\72\40\x25\x65\162\x72\157\x72\x4d\145\163\x73\141\147\x65\45", ["\x25\145\x72\162\157\162\x4d\x65\x73\163\x61\x67\145\x25" => $e->getMessage()])); } goto A250b; A17be: if (true === $form->isValid()) { goto Ff599; } goto c17d8; A250b: E8ce9: goto E093b; e825b: Ff599: goto e315a; c17d8: $this->formErrors = $this->getErrorMessages($form); goto c561d; E093b: } public function deleteDatabaseUser(Request $request) : Response { goto Ed2ab; c9225: $response = $this->redirect($this->generateUrl("\143\154\x70\137\x73\x69\x74\x65\163")); goto A0464; f638e: if (!(false === is_null($databaseUserEntity))) { goto E359b; } goto d56d4; c158a: $databaseUserName = $request->get("\x64\x61\164\x61\x62\141\163\x65\125\x73\145\162\116\x61\x6d\x65"); goto E54ca; E54ca: $databaseUserEntity = $this->databaseUserEntityManager->findOneByUserName($databaseUserName); goto f638e; D724c: $this->checkCsrfToken($request, "\144\141\164\141\x62\x61\x73\145\x2d\x75\163\x65\x72\55\144\145\154\145\164\x65"); goto C5d43; e1992: E359b: goto A44f6; c9a89: return $response; goto e1992; Ed2ab: $site = $this->getSite($request); goto D724c; A44f6: B8f7a: goto c9225; C5d43: if (!(false === is_null($site))) { goto B8f7a; } goto c158a; A0464: return $response; goto F77fb; C20e6: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\151\164\x65\137\x64\141\164\141\x62\x61\x73\x65\x73", ["\x64\x6f\x6d\x61\x69\156\116\141\x6d\x65" => $site->getDomainName()])); goto c9a89; d56d4: try { goto Db809; ffb5a: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto Ab847; Db809: $databaseEntity = $databaseUserEntity->getDatabase(); goto C6435; de3f3: $domainName = $site->getDomainName(); goto Ac0c2; c15eb: $databaseManager->deleteUser($databaseUserEntity); goto cdd0c; Fff08: $user = $this->getUser(); goto de3f3; Dfead: EventQueue::addEvent(EventQueue::EVENT_SITE_DATABASE_USER_DELETE, $user, $eventData, $request); goto Bc2bc; Ac0c2: $session = $request->getSession(); goto ffb5a; Dcd43: $session->getFlashBag()->set("\x73\x75\x63\x63\x65\163\163", $this->translator->trans("\x44\x61\164\x61\142\141\163\145\40\125\163\145\x72\x20\150\x61\x73\x20\142\145\145\156\40\x64\x65\154\145\x74\145\144\56")); goto F2d7f; Bc2bc: e7d15: goto Bd627; Ab847: $databaseManager = new DatabaseManager($activeDatabaseServerEntity); goto c15eb; C6435: if (!(false === is_null($databaseEntity) && $site->getDomainName() == $databaseEntity->getSite()->getDomainName())) { goto e7d15; } goto Fff08; cdd0c: $this->databaseUserEntityManager->deleteEntity($databaseUserEntity); goto Dcd43; F2d7f: $eventData = ["\x73\x69\164\145" => $domainName, "\144\141\x74\x61\142\x61\163\145\125\x73\x65\x72\116\141\155\x65" => $databaseUserName]; goto Dfead; Bd627: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\x6e\x67\145\162", $this->translator->trans("\101\x6e\x20\x65\162\162\157\162\40\x68\x61\x73\40\x6f\143\143\165\x72\162\x65\x64\x2c\x20\145\162\162\x6f\162\40\155\x65\x73\x73\x61\147\145\x3a\40\x25\x65\x72\162\x6f\x72\115\x65\163\163\x61\147\145\45", ["\x25\x65\x72\162\157\x72\x4d\x65\163\163\x61\147\x65\45" => $e->getMessage()])); } goto C20e6; F77fb: } public function varnishCache(Request $request) : Response { goto ba07e; Bf78c: be2ea: goto B6710; c696b: cb8d8: goto F19d8; a47c2: $settingsForm->handleRequest($request); goto d65a1; c6ff9: if (!(false === is_null($response))) { goto Bf179; } goto c22b0; B730b: $response = $this->handleVarnishCachePurgeCacheForm($request, $purgeCacheForm, $site); goto C7f17; F19d8: C5eac: goto b1291; ba07e: $site = $this->getSite($request); goto df759; b6ab6: c6b6e: goto d7722; A4b70: $settingsForm = $this->createVarnishCacheSettingsForm($site, $varnishCacheSettingsData); goto E1b10; Da947: $response = $this->render("\x46\162\157\x6e\x74\x65\x6e\144\57\x53\151\164\x65\x2f\x76\x61\162\156\151\x73\x68\x2d\143\x61\x63\x68\x65\56\x68\164\x6d\x6c\56\x74\167\151\147", ["\x73\x69\x74\x65" => $site, "\163\145\x74\x74\x69\156\147\x73\x46\x6f\162\155" => $settingsForm->createView(), "\160\165\x72\147\145\103\x61\x63\x68\x65\x46\157\x72\x6d" => $purgeCacheForm->createView(), "\146\x6f\162\x6d\x45\162\162\157\162\x73" => $this->formErrors]); goto bc76f; bc76f: E7505: goto A3271; C7f17: if (!(false === is_null($response))) { goto cb8d8; } goto dc1c2; A3271: return $response; goto Abb9c; E1b10: $purgeCacheForm = $this->createVarnishCachePurgeCacheForm($site); goto e19de; e19de: if (!(true === $request->isMethod("\x50\117\123\124"))) { goto A62ff; } goto a47c2; Ae5cd: $response = $this->handleVarnishCacheSettingsForm($request, $settingsForm, $site); goto c6ff9; E0c23: Bf179: goto b6ab6; B6710: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto F5b01; Beedd: $response = $this->redirect($this->generateUrl("\x63\154\160\x5f\x73\x69\x74\x65\163")); goto a3ac8; ba0bf: if (!(true === $settingsForm->isSubmitted())) { goto c6b6e; } goto Ae5cd; d7722: if (!(true === $purgeCacheForm->isSubmitted())) { goto C5eac; } goto B730b; df759: if (false === is_null($site) && true === $site->getVarnishCache()) { goto be2ea; } goto Beedd; b1291: A62ff: goto Da947; dc1c2: return $response; goto c696b; c22b0: return $response; goto E0c23; F5b01: $varnishCacheSettingsData = ["\151\x73\x45\156\141\142\154\x65\x64" => true === isset($varnishCacheSettings["\145\156\141\142\154\145\144"]) && true === $varnishCacheSettings["\x65\x6e\141\142\x6c\x65\x64"] ? true : false, "\163\x65\x72\166\x65\x72" => true === isset($varnishCacheSettings["\x73\x65\162\166\145\x72"]) ? $varnishCacheSettings["\163\145\162\x76\145\162"] : "\x31\x32\67\56\60\x2e\x30\56\x31\72\x36\60\x38\x31", "\143\141\x63\x68\x65\124\x61\x67\120\162\x65\x66\x69\170" => true === isset($varnishCacheSettings["\x63\141\143\150\x65\124\141\147\x50\x72\x65\x66\151\170"]) ? $varnishCacheSettings["\143\x61\143\x68\145\124\141\x67\120\162\145\x66\151\170"] : substr(md5(time()), 0, 4), "\x63\141\x63\x68\145\x4c\151\x66\x65\164\x69\155\145" => true === isset($varnishCacheSettings["\x63\x61\143\150\145\x4c\151\x66\145\164\x69\x6d\x65"]) ? $varnishCacheSettings["\143\x61\143\x68\x65\x4c\151\x66\145\164\151\x6d\145"] : "\x36\x30\x34\x38\60\60", "\145\x78\x63\x6c\165\144\x65\144\120\x61\162\x61\x6d\163" => true === isset($varnishCacheSettings["\x65\x78\143\x6c\x75\144\145\144\x50\141\162\x61\155\x73"]) ? implode("\54", $varnishCacheSettings["\x65\170\143\154\165\x64\x65\144\x50\141\x72\x61\x6d\163"]) : "\137\137\x53\111\x44\x2c\x6e\x6f\x43\141\x63\x68\x65\54", "\x65\170\x63\154\165\144\145\163" => true === isset($varnishCacheSettings["\x65\170\143\x6c\165\144\145\x73"]) ? implode(PHP_EOL, $varnishCacheSettings["\x65\x78\143\154\165\x64\145\x73"]) : '']; goto A4b70; a3ac8: goto E7505; goto Bf78c; d65a1: $purgeCacheForm->handleRequest($request); goto ba0bf; Abb9c: } private function createVarnishCacheSettingsForm(Site $site, array $data) : Form { goto e5efe; e5efe: $form = $this->createForm("\x41\160\160\x5c\106\157\x72\155\x5c\x53\151\164\x65\x56\x61\x72\x6e\151\x73\150\103\x61\143\x68\x65\x53\145\x74\x74\151\x6e\147\x73\124\171\160\145", $data, ["\141\x63\x74\151\x6f\x6e" => $this->generateUrl("\143\x6c\x70\137\163\151\x74\145\x5f\x76\x61\162\156\151\x73\150\137\143\141\x63\150\145", ["\144\x6f\155\141\x69\156\116\x61\x6d\x65" => $site->getDomainName()]), "\x6d\145\164\x68\157\144" => "\x50\x4f\x53\x54", "\x61\x74\x74\162" => []]); goto bec75; bec75: $form->add("\x73\x75\142\x6d\x69\x74", SubmitType::class, ["\x61\164\x74\162" => ["\x63\x6c\141\x73\x73" => "\142\164\x6e\x20\x62\x74\x6e\x2d\142\154\x75\145\40\142\x74\156\x2d\x6c\x67"], "\154\x61\142\145\154" => "\x53\x61\166\145"]); goto a5909; a5909: return $form; goto e6aab; e6aab: } private function createVarnishCachePurgeCacheForm(Site $site) : Form { goto C9b78; D499b: return $form; goto A13bc; a98e5: $form->add("\163\165\142\155\x69\164", SubmitType::class, ["\x61\164\x74\162" => ["\143\x6c\x61\x73\x73" => "\142\x74\x6e\x20\x62\x74\156\x2d\142\154\x75\145\40\142\164\156\55\154\147"], "\x6c\141\142\x65\154" => "\x50\165\x72\147\x65\x20\x43\141\143\150\145"]); goto D499b; C9b78: $form = $this->createForm("\x41\x70\x70\134\106\x6f\162\155\134\123\x69\x74\145\126\x61\x72\x6e\151\x73\x68\103\x61\x63\x68\145\120\x75\x72\x67\x65\103\x61\x63\150\x65\x54\171\x70\145", ["\163\x69\164\145" => $site], ["\141\x63\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\x70\137\x73\151\164\x65\x5f\x76\x61\162\x6e\151\x73\x68\x5f\143\141\x63\150\x65", ["\144\x6f\x6d\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\145\164\x68\157\144" => "\x50\117\123\x54", "\x61\x74\x74\162" => []]); goto a98e5; A13bc: } private function handleVarnishCacheSettingsForm(Request $request, Form $form, Site $site) { goto e2913; e2913: if (true === $form->isValid()) { goto D83cb; } goto Ab89c; Ef887: A287c: goto bb031; Fac50: try { goto F96ea; C832c: $excludes = array_map("\164\x72\151\x6d", array_filter(explode(PHP_EOL, trim($form->get("\x65\x78\143\x6c\165\144\145\x73")->getData())))); goto f9bfa; C1c71: $siteEntity = $this->getSiteEntity($domainName); goto e6e29; d3032: $session->getFlashBag()->set("\x73\165\143\143\x65\x73\163", $this->translator->trans("\x56\x61\x72\156\151\x73\150\x20\x43\141\143\150\145\40\123\x65\164\164\151\156\x67\163\40\150\141\x76\x65\x20\142\x65\145\x6e\40\x73\x61\x76\145\x64\x2e")); goto D35fa; f12c1: $isEnabled = $form->get("\151\163\105\x6e\141\x62\x6c\145\x64")->getData(); goto b84d7; F96ea: $session = $request->getSession(); goto Ed5ce; eb9dd: $siteUpdater->phpSettings(); goto E11c4; Ca3a9: Aa5b2: goto d6456; A197c: goto Cd4ea; goto Ca3a9; f9bfa: $varnishCacheSettings = ["\x65\x6e\141\x62\154\145\144" => $isEnabled, "\163\145\x72\166\145\162" => $server, "\143\141\x63\x68\145\x54\141\147\x50\162\145\146\151\x78" => $cacheTagPrefix, "\143\141\x63\x68\x65\x4c\151\x66\x65\x74\x69\155\x65" => $cacheLifetime, "\x65\170\x63\x6c\165\x64\145\x73" => $excludes, "\145\x78\x63\154\x75\x64\x65\x64\x50\141\x72\141\x6d\163" => $excludedParams]; goto ae638; d6456: $user = $this->getUser(); goto f12c1; cde76: Cd4ea: goto Fc4bb; e9835: $siteUpdater->writeVarnishCacheSettingsFile($varnishCacheSettings); goto eb9dd; Fc4bb: return $response; goto Fd545; ae638: $site->setVarnishCacheSettings($varnishCacheSettings); goto f804b; d244a: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_SETTINGS_UPDATE, $user, $eventData, $request); goto d3032; e6e29: if (false === is_null($siteEntity)) { goto Aa5b2; } goto af922; Ed5ce: $domainName = $site->getDomainName(); goto C1c71; C0ad6: $cacheLifetime = $form->get("\143\141\143\x68\x65\114\x69\146\x65\164\151\155\145")->getData(); goto b63b2; fdd94: $excludedParams = array_map("\164\x72\x69\155", array_filter(explode("\x2c", trim($form->get("\x65\170\143\x6c\165\x64\145\x64\120\x61\x72\141\155\163")->getData())))); goto C832c; af922: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\x73")); goto A197c; D35fa: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\151\164\145\x5f\x76\141\x72\x6e\151\x73\x68\137\143\141\x63\x68\x65", ["\144\x6f\155\x61\x69\x6e\x4e\x61\155\x65" => $site->getDomainName()])); goto cde76; f804b: $siteUpdater = $this->getSiteUpdater($site); goto e9835; b84d7: $server = $form->get("\163\x65\x72\x76\145\x72")->getData(); goto C0ad6; E11c4: $eventData = ["\x73\x69\164\145" => $domainName, "\x76\x61\162\156\151\x73\x68\103\141\x63\x68\x65\105\156\x61\142\154\x65\x64" => $isEnabled, "\x73\x65\x72\x76\x65\162" => $server, "\x63\x61\x63\x68\x65\x54\x61\x67\120\162\145\x66\151\170" => $cacheTagPrefix, "\x63\141\x63\x68\145\x4c\151\146\x65\164\x69\155\145" => $cacheLifetime, "\x65\170\x63\x6c\165\144\145\163" => $excludes, "\145\170\x63\x6c\165\144\x65\x64\x50\141\162\x61\x6d\x73" => $excludedParams]; goto d244a; b63b2: $cacheTagPrefix = $form->get("\143\x61\143\x68\x65\124\x61\147\120\162\145\146\x69\x78")->getData(); goto fdd94; Fd545: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\156\147\x65\162", $this->translator->trans("\x41\156\x20\x65\162\x72\x6f\x72\x20\x68\x61\x73\40\x6f\x63\x63\x75\162\162\x65\144\54\40\x65\162\162\x6f\162\40\155\x65\163\x73\141\147\145\72\40\x25\x65\162\x72\157\162\115\x65\x73\x73\141\x67\x65\x25", ["\45\145\162\162\157\x72\x4d\145\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto Ef887; c054f: D83cb: goto Fac50; Ab89c: $this->formErrors = $this->getErrorMessages($form); goto Fc757; Fc757: goto A287c; goto c054f; bb031: } private function handleVarnishCachePurgeCacheForm(Request $request, Form $form, Site $site) { goto F535b; Ed86f: db1c0: goto f4659; aa9d9: F5605: goto dd378; F535b: if (true === $form->isValid()) { goto F5605; } goto Db987; dd378: try { goto A4026; Aac0e: C3160: goto ea08e; C33bd: F1b5b: goto c8e59; cc0ba: goto aa480; goto d3143; a3e34: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto a0d71; D26df: $varnishCacheClient = new VarnishCacheClient(); goto Faab9; de535: $siteEntity = $this->getSiteEntity($domainName); goto a5d93; Faab9: $varnishCacheClient->setServer($varnishCacheSettings["\163\145\x72\166\145\162"]); goto Dcd93; a5d93: if (false === is_null($siteEntity)) { goto F1b5b; } goto f7a33; Ca279: throw new \Exception("\126\141\162\x6e\x69\x73\x68\40\x43\x61\x63\150\145\x20\123\145\x74\x74\151\156\x67\x73\40\143\x61\x6e\x6e\157\x74\40\142\x65\40\145\x6d\x70\x74\x79\56"); goto cc0ba; Cf078: db9b6: goto Bedfc; a0d71: $session->getFlashBag()->set("\x73\x75\143\x63\145\163\x73", $this->translator->trans("\126\x61\162\x6e\151\x73\x68\x20\103\x61\143\x68\x65\x20\150\141\163\40\142\145\145\156\40\x70\x75\162\x67\145\x64\56")); goto Bcc75; d3143: fd7ee: goto D26df; Dcd93: foreach ($purgeValues as $purgeValue) { goto c2cb1; Dbd27: b1717: goto c3528; bca99: c9a24: goto c4128; Cdf54: if (!(false === empty($purgeValue))) { goto be790; } goto B0d19; c3528: be790: goto bca99; A3f50: $varnishCacheClient->purgeTag($purgeValue); goto Bf844; Bf844: goto b1717; goto F9bd6; F9bd6: a9b79: goto Fb3a4; c2cb1: $purgeValue = trim($purgeValue); goto Cdf54; B0d19: if (true === str_starts_with($purgeValue, "\x68\x74\164\x70")) { goto a9b79; } goto A3f50; Fb3a4: $varnishCacheClient->purgeUrl($purgeValue); goto Dbd27; c4128: } goto Aac0e; f8005: $eventData = ["\x73\151\164\145" => $domainName, "\166\x61\154\x75\145\x73" => implode("\54", $purgeValues)]; goto a3e34; c744b: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto e2292; Bcc75: $response = $this->redirect($this->generateUrl("\143\x6c\160\137\x73\151\x74\145\x5f\x76\x61\x72\156\151\x73\x68\x5f\x63\x61\x63\x68\x65", ["\144\x6f\x6d\141\151\x6e\116\x61\155\145" => $site->getDomainName()])); goto Cf078; e2292: $purgeValues = array_map("\x74\162\151\x6d", array_filter(explode("\x2c", trim($form->get("\166\x61\154\x75\145")->getData())))); goto e830a; c8e59: $user = $this->getUser(); goto c744b; e96f3: goto db9b6; goto C33bd; ea08e: aa480: goto f8005; e830a: if (false === empty($purgeValues) && true === isset($varnishCacheSettings["\163\145\162\166\145\162"]) && false === empty($varnishCacheSettings["\163\x65\x72\166\x65\x72"])) { goto fd7ee; } goto Ca279; A4026: $session = $request->getSession(); goto f3b09; Bedfc: return $response; goto Cb488; f7a33: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\163\151\x74\145\x73")); goto e96f3; f3b09: $domainName = $site->getDomainName(); goto de535; Cb488: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\x67\x65\162", $this->translator->trans("\x41\x6e\x20\x65\x72\162\157\x72\x20\x68\x61\163\40\157\x63\x63\165\162\162\x65\x64\x2c\x20\145\x72\x72\x6f\162\x20\x6d\x65\163\x73\141\147\x65\x3a\x20\x25\145\x72\x72\x6f\162\115\x65\163\163\x61\x67\145\x25", ["\x25\145\162\162\x6f\x72\115\145\163\163\x61\147\145\45" => $e->getMessage()])); } goto Ed86f; C5cbf: goto db1c0; goto aa9d9; Db987: $this->formErrors = $this->getErrorMessages($form); goto C5cbf; f4659: } public function purgeVarnishCache(Request $request) : Response { goto aa2ce; b5bcd: a83d8: goto af6c3; ac999: goto a83d8; goto f9619; D863e: $response = $this->redirect($this->generateUrl("\143\x6c\x70\137\x73\x69\164\145\x73")); goto ac999; aa2ce: $site = $this->getSite($request); goto aed6e; af6c3: return $response; goto C4510; B09bf: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\151\x74\x65\x5f\166\x61\162\x6e\x69\163\x68\x5f\143\x61\x63\150\x65", ["\x64\x6f\155\141\x69\156\116\x61\155\x65" => $site->getDomainName()])); goto c0e0c; f9619: Fe8f6: goto E524d; E524d: try { goto d74c0; Af9a0: $cacheTagPrefix = $varnishCacheSettings["\x63\141\x63\150\145\124\x61\x67\x50\x72\145\x66\151\x78"]; goto B3c92; C4351: $varnishCacheClient->purgeHost($domainName); goto Db745; fd71c: $eventData = ["\x73\x69\164\x65" => $domainName, "\160\165\162\x67\x65" => "\x66\165\154\x6c"]; goto c6d72; A2fbb: $session = $request->getSession(); goto c9902; c9902: $domainName = $site->getDomainName(); goto D0204; acea6: $varnishCacheClient->purgeTag($cacheTagPrefix); goto C4351; ca45b: if (!(true === isset($varnishCacheSettings["\x73\x65\162\x76\145\162"]) && true === isset($varnishCacheSettings["\143\141\143\x68\145\124\141\147\120\x72\145\146\x69\x78"]) && false === empty($varnishCacheSettings["\143\141\143\x68\145\x54\141\x67\x50\162\x65\146\x69\x78"]))) { goto b050f; } goto Af9a0; B3c92: $varnishCacheClient = new VarnishCacheClient(); goto B13ee; c6d72: EventQueue::addEvent(EventQueue::EVENT_SITE_VARNISH_CACHE_PURGE, $user, $eventData, $request); goto b570c; b570c: $session->getFlashBag()->set("\163\x75\x63\x63\145\x73\x73", $this->translator->trans("\126\x61\x72\x6e\x69\163\x68\x20\103\x61\143\x68\x65\x20\x68\x61\163\40\x62\x65\x65\156\40\160\165\x72\147\x65\144\56")); goto E47af; B13ee: $varnishCacheClient->setServer($varnishCacheSettings["\x73\145\x72\166\x65\162"]); goto acea6; Db745: b050f: goto fd71c; D0204: $varnishCacheSettings = $site->getVarnishCacheSettings(); goto ca45b; d74c0: $user = $this->getUser(); goto A2fbb; E47af: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\x65\162", $this->translator->trans("\101\x6e\40\145\x72\162\157\x72\x20\150\141\x73\40\157\x63\x63\x75\162\162\145\x64\x2c\x20\145\x72\162\157\162\40\x6d\145\x73\x73\x61\x67\x65\72\x20\x25\145\162\162\x6f\162\x4d\x65\x73\x73\141\x67\x65\45", ["\45\x65\162\162\157\162\115\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto B09bf; c0e0c: return $response; goto b5bcd; aed6e: if (false === is_null($site)) { goto Fe8f6; } goto D863e; C4510: } public function vhost(Request $request) : Response { goto e9a00; C5732: $site->setVhostTemplate($vhostTemplate); goto Aebcd; Cd8fd: if (!(false === is_null($response))) { goto be4ef; } goto f53e6; D2e6d: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\x74\145\x73")); goto dc550; C496b: $vhostTemplate = trim($request->get("\166\x68\x6f\163\x74\55\164\x65\x6d\160\154\x61\164\x65")); goto a0c46; C2a99: $siteEntity = $this->getSiteEntity($domainName); goto A275e; e2a09: return $response; goto cc814; A275e: $oldVhostTemplate = $siteEntity->getVhostTemplate(); goto C5732; a5469: $isCsrfTokenValid = $this->isCsrfTokenValid("\166\150\x6f\163\164\55\x75\x70\144\x61\x74\145", (string) $request->get("\164\157\x6b\x65\x6e")); goto B0d79; e9a00: $site = $this->getSite($request); goto A1999; fac1b: $domainName = $site->getDomainName(); goto C2a99; c9667: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto Ea567; } goto a5469; Ee180: Ea567: goto c2e93; c2e93: $response = $this->render("\106\x72\157\x6e\164\145\156\x64\x2f\x53\151\164\145\57\x76\x68\x6f\x73\164\x2e\x68\164\155\x6c\56\164\x77\151\x67", ["\163\151\164\x65" => $site]); goto Ee416; f53e6: return $response; goto A12da; Ee416: be51e: goto e2a09; A1999: if (false === is_null($site)) { goto A6d4d; } goto D2e6d; dc550: goto be51e; goto c6137; B0d79: if (!(false === $isCsrfTokenValid)) { goto edc7c; } goto d8e48; B5aed: edc7c: goto C496b; c6137: A6d4d: goto c9667; d8e48: throw new InvalidCsrfTokenException("\x54\x68\145\40\x43\123\122\106\x20\164\x6f\153\145\156\x20\151\163\x20\151\x6e\166\141\x6c\x69\x64\56"); goto B5aed; a0c46: if (!(false === empty($vhostTemplate))) { goto cf97e; } goto fac1b; A12da: be4ef: goto E3af3; Aebcd: $response = $this->handleVhostUpdate($request, $site, $siteEntity, $oldVhostTemplate); goto Cd8fd; E3af3: cf97e: goto Ee180; cc814: } private function handleVhostUpdate(Request $request, Site $site, SiteEntity $siteEntity, string $oldVhostTemplate) { try { goto Dc3f4; A970e: return $response; goto c72fd; E0db7: EventQueue::addEvent(EventQueue::EVENT_SITE_VHOST_UPDATE, $user, $eventData, $request); goto e1150; fa60f: $domainName = $site->getDomainName(); goto B0490; cf217: if (!(true === str_contains($site->getVhostTemplate(), "\x64\x69\163\141\142\x6c\x65\x5f\x73\x79\155\154\151\156\153\x73"))) { goto Eb843; } goto Eda52; Eb059: $session->getFlashBag()->set("\x73\165\x63\x63\145\x73\163", $this->translator->trans("\x56\x68\157\163\x74\x20\150\141\x73\x20\x62\145\145\x6e\40\163\x61\x76\145\x64\x2e")); goto c3dfb; fd28c: $siteEntity->setVhostTemplate($vhostTemplate); goto Ac9d5; d7edd: Eb843: goto fa60f; Ac9d5: $this->siteEntityManager->updateEntity($siteEntity); goto Eb059; c3dfb: $eventData = ["\x73\151\x74\x65" => $domainName, "\166\x68\157\x73\164" => $vhostTemplate, "\157\x6c\x64\x56\150\157\x73\x74" => $oldVhostTemplate]; goto E0db7; d0a5e: $session = $request->getSession(); goto cf217; Dc3f4: $user = $this->getUser(); goto d0a5e; B0490: $vhostTemplate = $site->getVhostTemplate(); goto D9f3e; a413d: $siteUpdater->updateNginxVhostWithRollback(); goto fd28c; D9f3e: $siteUpdater = $this->getSiteUpdater($site); goto a413d; Eda52: throw new InvalidVhostException("\144\151\x73\x61\142\154\x65\x5f\x73\171\x6d\x6c\x69\x6e\153\x73\40\x69\x73\40\156\x6f\164\40\x61\x6c\154\x6f\x77\x65\x64\x2e"); goto d7edd; e1150: $response = $this->redirect($this->generateUrl("\143\x6c\160\x5f\x73\x69\x74\x65\x5f\166\150\157\x73\164", ["\144\x6f\x6d\141\x69\156\x4e\x61\155\145" => $domainName])); goto A970e; c72fd: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\x61\x6e\x67\145\162", $this->translator->trans("\126\x68\x6f\163\164\x20\x69\x73\x20\x6e\x6f\x74\x20\166\x61\154\x69\x64\54\40\145\162\x72\x6f\x72\x20\x6d\x65\x73\163\x61\147\x65\x3a\40\x25\x65\x72\162\157\x72\x4d\145\x73\x73\141\147\145\x25", ["\x25\x65\162\x72\x6f\x72\115\x65\x73\x73\141\147\145\45" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\156\x67\145\x72", $this->translator->trans("\x41\x6e\40\x65\x72\162\157\162\x20\x68\x61\163\x20\x6f\143\143\x75\x72\x72\145\144\x2c\x20\x65\162\x72\157\162\40\155\x65\163\x73\x61\147\x65\x3a\40\x25\x65\x72\x72\x6f\x72\115\x65\163\x73\x61\x67\x65\x25", ["\x25\145\x72\162\157\x72\115\x65\x73\x73\141\147\x65\x25" => $e->getMessage()])); } } public function settings(Request $request) : Response { goto D9d21; B2c30: if (!(false === is_null($response))) { goto Fbd32; } goto A4270; F8001: $response = $this->handleSiteDeleteForm($request, $siteDeleteForm, $site); goto a50e4; A8e9e: if (!(true === $request->isMethod("\120\117\123\124"))) { goto ca6f7; } goto d71aa; Fcaab: b93fe: goto F2ed9; C8b5e: $reverseProxySettingsForm->handleRequest($request); goto f9317; D87ad: if (false === is_null($site)) { goto D9788; } goto A1089; A9d9e: unset($parameters["\x70\141\147\x65\x53\160\x65\145\144\123\x65\x74\164\151\x6e\147\163\x46\x6f\x72\x6d"]); goto Fcaab; F2b31: Fbd32: goto d4f2f; ab0ee: C8faa: goto da3e0; f025c: $nodejsSettingsForm->handleRequest($request); goto b555b; C391a: Bceae: goto f170a; ba9b9: $currentNodeSettings = clone $nodejsSettings; goto f025c; a3dca: $pythonSettingsForm = $this->createPythonSettingsForm($site, $pythonSettings); goto C9abe; C1912: if (!(true === $request->isMethod("\x50\x4f\x53\124"))) { goto Cfedf; } goto B79a1; dbd96: $response = $this->handlePageSpeedSettingsForm($request, $pageSpeedSettingsForm, $site); goto b47db; F5248: if (!(SiteEntity::TYPE_NODEJS == $site->getType())) { goto Bfb7e; } goto c4c96; d1d5b: $response = $this->render("\106\162\x6f\156\164\145\x6e\x64\57\123\x69\x74\x65\57\163\145\164\164\x69\156\x67\163\x2e\x68\x74\155\x6c\56\x74\x77\151\147", $parameters); goto d20ec; da544: $parameters["\156\x6f\x64\x65\152\x73\x53\x65\164\164\151\156\147\x73\106\157\162\155"] = $nodejsSettingsForm->createView(); goto d5878; F2890: $domainSettingsForm = $this->createDomainSettingsForm($site, $domainSettingsData); goto D4c7f; A255a: if (!(true === $request->isMethod("\120\x4f\123\124"))) { goto bc740; } goto C8b5e; d776f: D9788: goto e4518; d7ffb: $parameters["\x70\150\x70\x53\x65\x74\x74\151\156\147\x73\106\x6f\162\155"] = $phpSettingsForm->createView(); goto Ab5e3; d20ec: deb89: goto dd1d6; Aaa9d: $parameters = ["\163\x69\x74\x65" => $site, "\x64\x6f\155\x61\151\156\123\145\164\164\x69\156\147\x73\x46\x6f\x72\x6d" => $domainSettingsForm->createView(), "\163\x69\x74\x65\x55\163\145\x72\123\145\x74\x74\151\x6e\147\163\x46\157\x72\155" => $siteUserSettingsForm->createView(), "\x70\x61\147\145\123\x70\x65\145\144\x53\145\x74\164\x69\156\x67\163\x46\x6f\162\x6d" => $pageSpeedSettingsForm->createView(), "\x73\151\164\145\x44\145\154\x65\x74\145\106\157\x72\x6d" => $siteDeleteForm->createView()]; goto F5248; a50e4: af7e5: goto A5654; Da96a: $response = null; goto Bd9f3; d5878: unset($parameters["\160\x61\147\145\123\160\145\x65\144\x53\145\x74\x74\151\156\x67\163\106\157\162\155"]); goto D4e0d; b1afe: if (!(false === is_null($response))) { goto d7b97; } goto A800d; Db601: $reverseProxySettingsForm = $this->createReverseProxySettingsForm($site); goto A255a; Fe8af: $parameters["\x70\171\x74\150\157\156\x53\x65\x74\x74\151\156\x67\x73\106\157\162\155"] = $pythonSettingsForm->createView(); goto e946c; A1a10: $siteDeleteForm->handleRequest($request); goto c8498; d71aa: $currentPhpSettings = clone $phpSettings; goto C67ed; A800d: return $response; goto a7ef2; D9d21: $site = $this->getSite($request); goto D87ad; fb630: E9880: goto C391a; c8a19: b4447: goto Fe8af; Ad953: F3b88: goto c8a19; Ee28e: $pageSpeedSettingsData = ["\151\163\105\x6e\x61\x62\154\x65\144" => $site->getPageSpeedEnabled(), "\163\145\x74\x74\x69\x6e\x67\163" => $site->getPageSpeedSettings()]; goto F2890; f74f9: D07b8: goto C3422; A1089: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\x69\164\145\x73")); goto D064e; Dfa90: if (!(SiteEntity::TYPE_PYTHON == $site->getType())) { goto e2d1b; } goto Adca7; f9317: if (!(true === $reverseProxySettingsForm->isSubmitted())) { goto Bceae; } goto Cd862; fc9e6: D62e6: goto Af6e7; ef8ef: if (!(true === $siteDeleteForm->isSubmitted())) { goto af7e5; } goto F8001; C5859: $response = $this->handleSiteUserSettingsForm($request, $siteUserSettingsForm, $site); goto f74f9; a03d2: if (!(false === is_null($response))) { goto C0b4c; } goto fcaa2; e946c: e2d1b: goto Edbf5; e4518: $domainSettingsData = ["\144\157\155\141\x69\156\116\141\155\145" => $site->getDomainName(), "\x72\x6f\157\x74\x44\x69\162\x65\x63\x74\x6f\162\171" => $site->getRootDirectory()]; goto Bcd4e; C67ed: $phpSettingsForm->handleRequest($request); goto Aca79; B79a1: $domainSettingsForm->handleRequest($request); goto f3186; B0a08: A4a00: goto da544; Adca7: $pythonSettings = $site->getPythonSettings(); goto a3dca; b400e: $phpSettings = $site->getPhpSettings(); goto b9b30; d4f2f: Ee957: goto B0a08; E54cf: $response = $this->handleNodejsSettingsForm($request, $nodejsSettingsForm, $currentNodeSettings, $site); goto B2c30; e998b: $nodejsSettingsForm = $this->createNodejsSettingsForm($site, $nodejsSettings); goto A307d; f4ef6: if (!(false === is_null($response))) { goto E9880; } goto b89d9; C3422: if (!(true === $pageSpeedSettingsForm->isSubmitted())) { goto fc9da; } goto dbd96; c4c96: $nodejsSettings = $site->getNodejsSettings(); goto e998b; f9b20: return $response; goto fc9e6; b9b30: $phpSettingsForm = $this->createPhpSettingsForm($site, $phpSettings); goto A8e9e; f170a: bc740: goto Fe7bf; Bcd4e: $siteUserSettingsData = ["\x73\x69\x74\x65\125\x73\145\x72" => $site->getUser(), "\x73\163\x68\x4b\x65\171\x73" => $site->getSshKeys()]; goto Bc373; c8498: $pageSpeedSettingsForm->handleRequest($request); goto Da96a; dd1d6: return $response; goto C9347; Cd862: $response = $this->handleReverseProxySettingsForm($request, $reverseProxySettingsForm, $site); goto f4ef6; bceb1: $response = $this->handleDomainSettingsForm($request, $domainSettingsForm, $site); goto f55fd; D4e0d: Bfb7e: goto B0cf0; ec701: if (!(true === $pythonSettingsForm->isSubmitted())) { goto F3b88; } goto A9e09; f55fd: c7c56: goto c7fb5; C9abe: if (!(true === $request->isMethod("\120\117\x53\124"))) { goto b4447; } goto E23b9; E23b9: $pythonSettingsForm->handleRequest($request); goto ec701; Bc373: $siteDeleteData = ["\x64\157\155\x61\151\156\116\x61\155\145" => $site->getDomainName()]; goto Ee28e; Fe7bf: $parameters["\162\x65\x76\x65\x72\163\x65\120\x72\x6f\x78\x79\x53\x65\x74\x74\151\156\x67\163\106\x6f\x72\155"] = $reverseProxySettingsForm->createView(); goto A9d9e; Af6e7: Cfedf: goto Aaa9d; B0cf0: if (!(SiteEntity::TYPE_PHP == $site->getType())) { goto Aa31f; } goto b400e; A9e09: $response = $this->handlePythonSettingsForm($request, $pythonSettingsForm, $site); goto a03d2; b555b: if (!(true === $nodejsSettingsForm->isSubmitted())) { goto Ee957; } goto E54cf; fcaa2: return $response; goto Ce2e4; A5654: if (!(false === is_null($response))) { goto D62e6; } goto f9b20; d724d: $pageSpeedSettingsForm = $this->createPageSpeedSettingsForm($site, $pageSpeedSettingsData); goto F5164; F2ed9: $parameters["\146\157\x72\155\105\x72\x72\157\x72\x73"] = $this->formErrors; goto d1d5b; F5164: $siteDeleteForm = $this->createSiteDeleteForm($site, $siteDeleteData); goto C1912; Ab5e3: Aa31f: goto Dfa90; Ce2e4: C0b4c: goto Ad953; A307d: if (!(true === $request->isMethod("\120\117\x53\x54"))) { goto A4a00; } goto ba9b9; b89d9: return $response; goto fb630; D4c7f: $siteUserSettingsForm = $this->createSiteUserSettingsForm($site, $siteUserSettingsData); goto d724d; da3e0: ca6f7: goto d7ffb; Aca79: if (!(true === $phpSettingsForm->isSubmitted())) { goto C8faa; } goto Faf0d; a7ef2: d7b97: goto ab0ee; c7fb5: if (!(true === $siteUserSettingsForm->isSubmitted())) { goto D07b8; } goto C5859; f3186: $siteUserSettingsForm->handleRequest($request); goto A1a10; b47db: fc9da: goto ef8ef; Bd9f3: if (!(true === $domainSettingsForm->isSubmitted())) { goto c7c56; } goto bceb1; Faf0d: $response = $this->handlePhpSettingsForm($request, $phpSettingsForm, $currentPhpSettings, $site); goto b1afe; Edbf5: if (!(SiteEntity::TYPE_REVERSE_PROXY == $site->getType())) { goto b93fe; } goto Db601; A4270: return $response; goto F2b31; D064e: goto deb89; goto d776f; C9347: } public function purgePageSpeedCache(Request $request) : Response { goto B9cf8; f2fbc: try { goto cb3a6; cb3a6: $user = $this->getUser(); goto Cda86; B6a2e: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_CACHE_PURGE, $user, $eventData, $request); goto Dec3c; Cda86: $session = $request->getSession(); goto cc156; cc156: $siteUpdater = $this->getSiteUpdater($site); goto A34f3; Ec303: $eventData = ["\163\151\164\145" => $site->getDomainName()]; goto B6a2e; Dec3c: $session->getFlashBag()->set("\163\x75\x63\143\145\163\x73", $this->translator->trans("\120\x61\x67\145\40\123\x70\x65\x65\x64\40\x43\x61\x63\150\x65\40\150\141\x73\40\x62\145\145\156\40\160\165\162\147\145\144\56")); goto F27bd; A34f3: $siteUpdater->purgePageSpeedCache(); goto Ec303; F27bd: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\147\x65\162", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\162\x20\x68\x61\163\40\157\x63\x63\165\162\162\x65\144\x2c\x20\x65\162\162\x6f\162\40\155\x65\x73\x73\141\147\x65\x3a\40\x25\x65\162\x72\157\x72\x4d\x65\x73\163\141\147\x65\x25", ["\45\145\x72\162\x6f\162\x4d\145\x73\163\141\x67\x65\45" => $e->getMessage()])); } goto b949d; B9cf8: $site = $this->getSite($request); goto Dafc7; E0cc0: goto f683d; goto aae83; Dafc7: if (false === is_null($site)) { goto bf7d8; } goto ab699; ab699: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\x73\151\x74\145\163")); goto E0cc0; aae83: bf7d8: goto f2fbc; b949d: $response = $this->redirect($this->generateUrl("\x63\154\160\137\163\x69\x74\x65\x5f\x73\x65\164\164\x69\156\x67\x73", ["\144\x6f\x6d\141\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto A1e23; A90d6: return $response; goto F6cdd; f29d7: f683d: goto A90d6; A1e23: return $response; goto f29d7; F6cdd: } private function createDomainSettingsForm(Site $site, array $data) : Form { goto A3bdb; D64d0: $form->add("\x73\x75\x62\x6d\x69\164", SubmitType::class, ["\141\x74\x74\162" => ["\x63\x6c\x61\x73\x73" => "\x62\x74\x6e\40\142\164\156\x2d\x62\154\165\x65\x20\x62\164\156\x2d\x6c\147"], "\x6c\141\x62\145\x6c" => "\x53\x61\166\145"]); goto D6902; D6902: return $form; goto B8b02; A3bdb: $form = $this->createForm("\x41\160\x70\x5c\x46\157\x72\x6d\134\123\151\x74\145\x44\157\155\141\x69\x6e\x53\x65\164\x74\x69\156\147\163\124\171\160\145", $data, ["\141\143\x74\151\157\156" => $this->generateUrl("\143\x6c\x70\137\163\151\164\145\x5f\x73\145\x74\164\x69\x6e\147\x73", ["\144\157\155\141\151\156\x4e\141\155\145" => $site->getDomainName()]), "\x6d\x65\x74\150\x6f\x64" => "\120\x4f\123\124", "\x61\x74\164\x72" => []]); goto D64d0; B8b02: } private function createSiteUserSettingsForm(Site $site, array $data) : Form { goto e4c3b; d2a16: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\x72" => ["\x63\154\141\x73\163" => "\142\x74\156\x20\x62\x74\x6e\x2d\x62\154\165\x65\40\142\x74\x6e\x2d\x6c\x67"], "\154\141\x62\145\x6c" => "\x53\141\x76\x65"]); goto Aef60; Aef60: return $form; goto d6b5f; e4c3b: $form = $this->createForm("\x41\160\160\134\106\157\162\x6d\134\123\151\x74\145\x55\163\x65\162\123\x65\164\164\151\x6e\x67\x73\x54\x79\x70\145", $data, ["\x61\143\x74\x69\157\x6e" => $this->generateUrl("\x63\x6c\160\137\163\151\x74\145\137\x73\145\x74\x74\151\156\147\163", ["\144\x6f\155\x61\x69\156\x4e\x61\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\x68\x6f\x64" => "\x50\117\x53\124", "\x61\x74\x74\x72" => []]); goto d2a16; d6b5f: } private function createPageSpeedSettingsForm(Site $site, array $data) : Form { goto e0d69; B72a5: return $form; goto a57ad; e0d69: $form = $this->createForm("\101\160\160\x5c\106\157\162\x6d\x5c\x53\x69\x74\145\x50\141\147\145\x53\160\145\145\x64\123\145\x74\164\151\156\x67\x73\x54\x79\160\x65", $data, ["\141\x63\164\x69\x6f\x6e" => $this->generateUrl("\x63\154\x70\137\x73\x69\164\x65\x5f\163\145\164\x74\x69\x6e\147\163", ["\144\157\x6d\141\151\x6e\x4e\x61\155\145" => $site->getDomainName()]), "\x6d\x65\x74\x68\x6f\x64" => "\120\117\123\124", "\x61\164\164\x72" => []]); goto f59fa; f59fa: $form->add("\163\165\142\x6d\x69\x74", SubmitType::class, ["\x61\164\164\162" => ["\x63\154\141\163\163" => "\x62\x74\x6e\x20\142\164\156\55\142\154\x75\x65\40\142\x74\156\55\x6c\x67"], "\154\x61\x62\145\x6c" => "\x53\x61\x76\145"]); goto B72a5; a57ad: } private function createReverseProxySettingsForm(Site $site) : Form { goto ef118; Bd8ce: $form->add("\x73\165\142\155\x69\164", SubmitType::class, ["\x61\164\x74\x72" => ["\143\x6c\x61\163\163" => "\142\x74\x6e\x20\142\164\x6e\x2d\x62\154\x75\x65\40\x62\x74\156\55\x6c\x67"], "\x6c\x61\x62\x65\154" => "\123\141\166\145"]); goto d9769; ef118: $data = ["\162\x65\166\145\162\163\x65\120\x72\x6f\170\171\125\162\x6c" => $site->getReverseProxyUrl()]; goto A79db; A79db: $form = $this->createForm("\101\160\160\134\x46\157\162\x6d\134\123\151\x74\x65\122\145\166\x65\162\163\145\120\162\x6f\170\x79\123\x65\164\164\151\156\x67\163\x54\x79\160\145", $data, ["\x61\x63\164\x69\x6f\156" => $this->generateUrl("\143\154\x70\137\163\x69\164\145\x5f\163\x65\x74\164\x69\156\147\x73", ["\x64\x6f\x6d\141\151\x6e\x4e\141\155\145" => $site->getDomainName()]), "\155\x65\x74\150\x6f\144" => "\x50\x4f\123\124", "\141\x74\x74\x72" => ["\151\144" => "\x72\x65\166\x65\162\163\x65\x2d\x70\162\157\x78\x79\55\x73\x65\x74\164\151\156\147\x73\x2d\146\x6f\162\155"]]); goto Bd8ce; d9769: return $form; goto a04ed; a04ed: } private function createNodejsSettingsForm(Site $site, NodejsSettings $nodejsSettings) : Form { goto a1462; d00b3: $form->add("\x73\x75\x62\155\x69\164", SubmitType::class, ["\x61\164\164\162" => ["\143\x6c\x61\x73\163" => "\142\164\x6e\x20\142\x74\x6e\55\x62\x6c\165\145\40\x62\164\x6e\55\x6c\147"], "\154\141\142\145\154" => "\x53\x61\166\145"]); goto d3ff8; a1462: $form = $this->createForm("\x41\x70\x70\x5c\x46\x6f\162\x6d\x5c\123\x69\164\145\116\157\144\145\152\163\x53\x65\164\x74\x69\156\147\163\x54\171\x70\145", $nodejsSettings, ["\x61\143\x74\x69\x6f\x6e" => $this->generateUrl("\x63\154\160\137\x73\x69\x74\145\x5f\163\145\164\164\x69\156\x67\x73", ["\x64\157\x6d\141\151\156\116\141\x6d\x65" => $site->getDomainName()]), "\155\x65\x74\x68\157\144" => "\x50\117\123\124", "\x61\164\x74\162" => ["\x69\x64" => "\x6e\x6f\144\x65\x6a\x73\55\163\x65\164\x74\151\x6e\x67\x73\x2d\146\x6f\x72\x6d"]]); goto d00b3; d3ff8: return $form; goto D17d6; D17d6: } private function createPhpSettingsForm(Site $site, PhpSettings $phpSettings) : Form { goto b82d8; b82d8: $form = $this->createForm("\101\x70\x70\134\106\157\x72\155\134\x53\x69\164\x65\120\x68\x70\x53\x65\164\x74\151\156\147\163\124\x79\160\145", $phpSettings, ["\141\143\164\151\x6f\156" => $this->generateUrl("\143\154\160\137\163\x69\x74\x65\137\x73\x65\164\x74\151\156\x67\163", ["\x64\157\x6d\141\151\156\116\x61\155\x65" => $site->getDomainName()]), "\155\145\x74\150\157\144" => "\x50\117\123\x54", "\141\164\x74\162" => []]); goto F9587; F9587: $form->add("\163\165\x62\x6d\151\x74", SubmitType::class, ["\141\164\164\x72" => ["\143\154\141\x73\x73" => "\x62\164\x6e\x20\142\x74\156\55\142\154\165\145\x20\x62\164\156\x2d\154\147"], "\x6c\x61\142\x65\x6c" => "\x53\x61\x76\x65"]); goto F3107; F3107: return $form; goto dfc76; dfc76: } private function createPythonSettingsForm(Site $site, PythonSettings $pythonSettings) : Form { goto eee52; c970f: return $form; goto d2f04; eee52: $form = $this->createForm("\x41\x70\x70\134\x46\x6f\x72\x6d\134\x53\x69\164\145\120\x79\x74\x68\x6f\x6e\x53\145\164\x74\151\156\x67\163\124\x79\x70\145", $pythonSettings, ["\x61\143\x74\151\x6f\156" => $this->generateUrl("\x63\x6c\160\x5f\x73\151\x74\x65\x5f\x73\145\x74\164\151\x6e\147\163", ["\144\157\x6d\x61\151\x6e\116\141\x6d\145" => $site->getDomainName()]), "\155\145\x74\x68\x6f\144" => "\x50\x4f\123\x54", "\x61\164\x74\x72" => []]); goto D801d; D801d: $form->add("\163\x75\x62\155\151\164", SubmitType::class, ["\x61\x74\x74\x72" => ["\143\x6c\x61\163\x73" => "\142\x74\x6e\40\142\x74\156\55\x62\x6c\165\145\x20\142\x74\x6e\x2d\x6c\x67"], "\154\x61\142\x65\154" => "\x53\x61\166\x65"]); goto c970f; d2f04: } private function createSiteDeleteForm(Site $site, array $data) : Form { goto C22fe; C22fe: $form = $this->createForm("\101\x70\160\x5c\106\x6f\162\155\x5c\123\x69\x74\145\104\x65\154\145\164\x65\x54\x79\x70\145", $data, ["\x61\x63\x74\151\157\x6e" => $this->generateUrl("\143\x6c\x70\x5f\163\x69\x74\145\x5f\163\145\164\x74\151\156\147\163", ["\x64\157\x6d\x61\x69\156\x4e\141\x6d\x65" => $site->getDomainName()]), "\155\145\164\150\x6f\x64" => "\120\x4f\123\x54", "\x61\164\x74\x72" => []]); goto Fd0c8; F7cf9: return $form; goto adbe3; Fd0c8: $form->add("\x73\x75\x62\155\x69\x74", SubmitType::class, ["\x61\x74\164\162" => ["\143\x6c\141\163\x73" => "\x62\x74\156\40\x62\164\156\x2d\142\x6c\x75\x65\40\x62\164\x6e\55\154\x67", "\x64\151\x73\x61\142\154\x65\x64" => "\x64\x69\163\x61\142\x6c\145\x64"], "\154\141\x62\x65\x6c" => "\104\x65\154\x65\164\145\40\x53\x69\164\145"]); goto F7cf9; adbe3: } private function handleDomainSettingsForm(Request $request, Form $form, Site $site) { goto Ada55; e64a9: goto A1cb1; goto d18c1; aee8a: A1cb1: goto e19cf; d18c1: Bed1d: goto b051d; dfac6: $this->formErrors = $this->getErrorMessages($form); goto e64a9; Ada55: if (true === $form->isValid()) { goto Bed1d; } goto dfac6; b051d: try { goto D4ae6; D4ae6: $user = $this->getUser(); goto d8273; Ab6b6: $session->getFlashBag()->set("\163\x75\143\143\x65\163\x73", $this->translator->trans("\x52\157\157\164\x20\104\151\162\x65\143\164\157\162\171\40\150\x61\x73\40\142\145\x65\x6e\x20\x73\x61\x76\x65\144\56")); goto bd974; d9d2b: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\x73\x69\164\145\137\x73\145\x74\x74\151\156\147\163", ["\144\157\x6d\x61\x69\156\x4e\x61\155\145" => $site->getDomainName()])); goto d979c; d8273: $session = $request->getSession(); goto e4138; deaf3: if (!(false === is_null($siteEntity))) { goto bc55f; } goto a0303; d979c: return $response; goto Ff5f3; A5205: EventQueue::addEvent(EventQueue::EVENT_SITE_ROOT_DIRECTORY_UPDATE, $user, $eventData, $request); goto Ab6b6; aa7a1: $siteEntity->setRootDirectory($rootDirectory); goto f805e; bd974: bc55f: goto d9d2b; f805e: $this->siteEntityManager->updateEntity($siteEntity); goto F27e6; b3acd: $siteEntity = $this->getSiteEntity($domainName); goto deaf3; F108a: $siteUpdater->domainSettings(); goto F660f; e4138: $domainName = $site->getDomainName(); goto b3acd; Bc263: $site->setRootDirectory($rootDirectory); goto aa7a1; F27e6: $siteUpdater = $this->getSiteUpdater($site); goto F108a; a0303: $rootDirectory = rtrim($form->get("\x72\157\x6f\164\x44\151\x72\x65\143\164\157\162\171")->getData(), "\x2f"); goto Bc263; F660f: $eventData = ["\163\x69\164\145" => $domainName, "\162\157\x6f\164\x44\151\x72\x65\x63\x74\157\x72\171" => $rootDirectory]; goto A5205; Ff5f3: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\x65\x72", $this->translator->trans("\101\156\x20\145\x72\x72\157\162\x20\150\141\x73\40\x6f\x63\x63\x75\162\162\145\x64\x2c\40\x65\162\x72\157\x72\40\x6d\145\163\163\x61\147\145\x3a\40\45\x65\x72\162\157\162\x4d\145\163\x73\141\x67\x65\45", ["\45\x65\x72\x72\157\x72\x4d\145\163\163\x61\147\x65\x25" => $e->getMessage()])); } goto aee8a; e19cf: } private function handleSiteUserSettingsForm(Request $request, Form $form, Site $site) { goto e6572; C31d7: Ec6d8: goto E28bc; c7383: $this->formErrors = $this->getErrorMessages($form); goto edd0a; e6572: if (true === $form->isValid()) { goto F8e18; } goto c7383; Aa6cb: F8e18: goto E1970; E1970: try { goto C6c1c; fca86: if (!(false === is_null($siteEntity))) { goto Bec83; } goto aa550; Ab61f: return $response; goto b543f; a5b58: $domainName = $site->getDomainName(); goto F8384; ec0c9: $session = $request->getSession(); goto a5b58; E19f7: EventQueue::addEvent(EventQueue::EVENT_SITE_USER_SETTINGS_UPDATE, $user, $eventData, $request); goto E0c09; D5400: $sshKeys = trim($form->get("\x73\x73\150\x4b\145\x79\163")->getData()); goto ebf01; Efab0: $eventData = ["\163\151\164\145" => $domainName, "\163\163\150\x4b\x65\x79\163" => $sshKeys]; goto E19f7; F8384: $siteEntity = $this->getSiteEntity($domainName); goto fca86; F1251: Bec83: goto E9924; C6c1c: $user = $this->getUser(); goto ec0c9; e0be8: $siteUpdater->changeUserPassword($siteUser, $password); goto Fc71f; D357d: if (!(false === empty($password))) { goto Fd3f5; } goto e0be8; B5ff6: $siteUpdater->updateUserSShKeys($siteUser, $sshKeys); goto D357d; E9924: $response = $this->redirect($this->generateUrl("\143\154\160\x5f\163\x69\164\x65\137\163\x65\164\164\151\x6e\x67\163", ["\144\157\155\x61\x69\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto Ab61f; aa550: $siteUser = $site->getUser(); goto D5400; E9b07: $siteUpdater = $this->getSiteUpdater($site); goto B5ff6; ebf01: $password = trim($form->get("\160\x61\x73\x73\x77\157\162\x64")->getData()); goto bcce4; E0c09: $session->getFlashBag()->set("\163\165\x63\143\145\163\x73", $this->translator->trans("\x53\151\x74\x65\40\125\x73\x65\x72\40\x53\x65\x74\164\x69\x6e\147\163\40\x68\141\x76\x65\x20\142\145\x65\x6e\40\163\x61\166\x65\x64\x2e")); goto F1251; Bdb71: $this->siteEntityManager->updateEntity($siteEntity); goto E9b07; Fc71f: Fd3f5: goto Efab0; bcce4: $siteEntity->setSshKeys($sshKeys); goto Bdb71; b543f: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\162", $this->translator->trans("\101\156\40\145\x72\162\x6f\162\40\x68\x61\x73\x20\157\143\143\165\162\x72\x65\144\x2c\x20\145\x72\x72\157\x72\40\x6d\145\x73\x73\141\x67\x65\x3a\40\x25\145\162\162\157\162\x4d\x65\x73\x73\141\x67\145\x25", ["\x25\145\162\162\157\x72\115\x65\163\x73\x61\x67\145\x25" => $e->getMessage()])); } goto C31d7; edd0a: goto Ec6d8; goto Aa6cb; E28bc: } private function handlePageSpeedSettingsForm(Request $request, Form $form, Site $site) { goto c5e91; fa558: Aa544: goto c6de4; e106e: goto c554d; goto fa558; c5e91: if (true === $form->isValid()) { goto Aa544; } goto Acca4; c6de4: try { goto Ae261; a2248: $eventData = ["\x73\x69\x74\x65" => $domainName, "\160\x61\147\x65\x53\160\145\x65\x64\x45\156\x61\x62\x6c\145\144" => $isEnabled, "\x70\141\147\145\x53\160\x65\145\144\x53\145\x74\164\151\156\147\163" => $settings]; goto Bca06; B30ed: $session = $request->getSession(); goto c09d3; c09d3: $domainName = $site->getDomainName(); goto Ef25c; f66d3: $this->siteEntityManager->updateEntity($siteEntity); goto a2248; Bca06: EventQueue::addEvent(EventQueue::EVENT_SITE_PAGE_SPEED_SETTINGS_UPDATE, $user, $eventData, $request); goto Fdf69; A51ca: return $response; goto d27de; F3c4d: $siteUpdater = $this->getSiteUpdater($site); goto ecca6; Bae02: $site->setPageSpeedSettings($settings); goto F3c4d; f015c: $site->setPageSpeedEnabled($isEnabled); goto Bae02; e0c61: if (!(false === is_null($siteEntity))) { goto Ee1db; } goto ca625; Ae261: $user = $this->getUser(); goto B30ed; F8361: $siteEntity->setPageSpeedSettings($settings); goto f66d3; e1586: $siteUpdater->purgePageSpeedCache(); goto fb54a; ecca6: $siteUpdater->updateNginxVhostWithRollback(); goto e1586; f39fd: $settings = trim($form->get("\x73\145\164\164\151\156\147\163")->getData()); goto f015c; Ef25c: $siteEntity = $this->getSiteEntity($domainName); goto e0c61; Fdf69: $session->getFlashBag()->set("\x73\165\143\x63\x65\163\x73", $this->translator->trans("\x50\x61\147\145\x20\x53\160\145\145\144\40\x53\145\164\x74\151\x6e\x67\x73\40\150\141\x76\145\40\142\145\145\156\40\163\141\166\x65\144\x2e")); goto e0482; fb54a: $siteEntity->setPageSpeedEnabled($isEnabled); goto F8361; ca625: $isEnabled = $form->get("\x69\163\105\156\x61\x62\154\x65\x64")->getData(); goto f39fd; e0482: Ee1db: goto Af932; Af932: $response = $this->redirect($this->generateUrl("\x63\x6c\x70\x5f\x73\151\x74\x65\x5f\163\145\x74\164\x69\x6e\147\163", ["\x64\157\155\141\x69\156\x4e\141\x6d\x65" => $site->getDomainName()])); goto A51ca; d27de: } catch (InvalidVhostException $e) { $session->getFlashBag()->set("\144\141\x6e\147\145\162", $this->translator->trans("\x50\141\x67\x65\x53\160\145\145\x64\40\123\145\164\164\x69\x6e\x67\40\x61\x72\145\x20\x6e\x6f\x74\x20\x76\x61\x6c\151\x64\x2c\40\x65\x72\x72\x6f\x72\40\155\145\x73\163\141\147\x65\x3a\40\x25\145\x72\162\157\162\115\145\x73\163\141\147\145\x25", ["\x25\x65\162\x72\157\162\115\x65\163\x73\x61\x67\x65\x25" => $e->getMessage()])); } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\147\x65\x72", $this->translator->trans("\x41\x6e\40\145\x72\x72\157\162\40\x68\141\x73\x20\157\143\143\165\162\162\x65\144\x2c\x20\x65\162\162\x6f\162\x20\x6d\145\x73\163\141\x67\x65\x3a\x20\45\x65\162\x72\157\162\115\145\x73\x73\141\147\145\45", ["\x25\x65\162\162\x6f\162\115\x65\163\163\x61\x67\145\x25" => $e->getMessage()])); } goto C3a29; C3a29: c554d: goto b8125; Acca4: $this->formErrors = $this->getErrorMessages($form); goto e106e; b8125: } private function handleSiteDeleteForm(Request $request, Form $form, Site $site) { goto bae62; F5a9f: a698a: goto Dc3aa; bae62: if (true === $form->isValid()) { goto a698a; } goto Ad56e; Dc3aa: try { goto d4204; d40b5: $siteDeleter = $this->getSiteDeleter($site); goto D494d; a58fe: if (!(false === is_null($siteEntity))) { goto c53c2; } goto d40b5; Efcb7: $siteEntity = $this->getSiteEntity($domainName); goto a58fe; C1ba5: return $response; goto Cee56; eeb09: $this->siteEntityManager->deleteEntity($siteEntity); goto a4cd3; a4cd3: $eventData = ["\163\x69\164\x65" => $domainName, "\164\x79\160\145" => $site->getType()]; goto af2b3; af2b3: EventQueue::addEvent(EventQueue::EVENT_SITE_DELETE, $user, $eventData, $request); goto c22e3; c22e3: $session->getFlashBag()->set("\x73\x75\143\143\145\x73\163", $this->translator->trans("\x53\x69\x74\145\40\150\141\163\40\x62\145\145\156\x20\144\x65\154\145\x74\x65\x64\x2e")); goto dcc7d; D494d: $siteDeleter->delete(); goto eeb09; dcc7d: c53c2: goto Cd18d; d4204: $user = $this->getUser(); goto Eb368; A7b9f: $domainName = $site->getDomainName(); goto Efcb7; Cd18d: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x73")); goto C1ba5; Eb368: $session = $request->getSession(); goto A7b9f; Cee56: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\141\156\147\145\x72", $this->translator->trans("\x41\156\x20\145\x72\162\x6f\x72\40\150\x61\163\x20\x6f\143\143\x75\x72\x72\145\144\54\x20\145\x72\162\x6f\x72\x20\x6d\x65\x73\x73\141\x67\145\x3a\40\x25\x65\162\162\x6f\162\x4d\145\163\x73\x61\147\x65\x25", ["\45\x65\162\x72\x6f\x72\x4d\145\163\163\x61\147\x65\45" => $e->getMessage()])); } goto ca4fd; Ad56e: $this->formErrors = $this->getErrorMessages($form); goto eef07; ca4fd: B606e: goto dd5b3; eef07: goto B606e; goto F5a9f; dd5b3: } private function handleNodejsSettingsForm(Request $request, Form $form, NodejsSettings $currentNodejsSettings, Site $site) { goto a2e4d; B14d7: b4de7: goto ec63d; d1303: goto c578a; goto B14d7; ec63d: try { goto ce98d; ce98d: $user = $this->getUser(); goto C648d; aa074: $hasNodejsVersionChanged = $currentNodejsSettings->getNodejsVersion() != $nodejsVersion; goto C0c4e; c966f: $this->siteEntityManager->updateEntity($siteEntity); goto c1606; f9630: $session->getFlashBag()->set("\x73\165\x63\x63\145\163\163", $this->translator->trans("\116\157\x64\145\56\x6a\x73\40\x53\x65\x74\164\x69\156\x67\163\x20\150\141\166\x65\x20\x62\x65\145\x6e\40\163\x61\x76\x65\144\56")); goto e3fd3; E8f5d: $siteEntity = $this->getSiteEntity($domainName); goto cb708; af114: $nodejsVersion = $nodejsSettings->getNodejsVersion(); goto aa074; C0c4e: $siteUpdater = $this->getSiteUpdater($site); goto Bf664; E0d8a: $nodejsSettings = $form->getData(); goto af114; Caf9e: E0b43: goto d2f48; f8c01: $domainName = $site->getDomainName(); goto E8f5d; f3135: EventQueue::addEvent(EventQueue::EVENT_SITE_NODEJS_SETTINGS_UPDATE, $user, $eventData, $request); goto f9630; cb708: if (!(false === is_null($siteEntity))) { goto d8070; } goto E0d8a; d2f48: $siteUpdater->nodejsSettings(); goto c966f; a4572: $siteUpdater->installNodejsVersion(); goto Caf9e; c1606: $eventData = ["\163\x69\x74\x65" => $domainName, "\156\157\144\x65\152\x73\126\x65\162\x73\151\x6f\156" => $nodejsVersion, "\160\157\162\164" => $nodejsSettings->getPort()]; goto f3135; e3fd3: d8070: goto D879b; C648d: $session = $request->getSession(); goto f8c01; C0f4e: return $response; goto F941a; Bf664: if (!(true === $hasNodejsVersionChanged)) { goto E0b43; } goto a4572; D879b: $response = $this->redirect($this->generateUrl("\143\154\160\137\x73\151\x74\145\x5f\x73\145\164\x74\151\156\147\163", ["\144\157\x6d\x61\151\x6e\x4e\x61\155\145" => $site->getDomainName()])); goto C0f4e; F941a: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\156\x67\x65\x72", $this->translator->trans("\101\156\40\x65\x72\x72\x6f\162\40\x68\141\x73\x20\x6f\143\143\165\x72\x72\145\144\54\x20\145\162\162\x6f\x72\x20\x6d\x65\163\163\x61\x67\x65\x3a\x20\45\x65\162\162\157\x72\115\x65\x73\163\x61\x67\145\45", ["\x25\x65\162\x72\157\162\x4d\x65\x73\x73\x61\147\145\45" => $e->getMessage()])); } goto Ef024; Ef024: c578a: goto f3625; a2e4d: if (true === $form->isValid()) { goto b4de7; } goto F5c84; F5c84: $this->formErrors = $this->getErrorMessages($form); goto d1303; f3625: } private function handlePythonSettingsForm(Request $request, Form $form, Site $site) { goto d9e81; F872d: A1e52: goto D9f0b; E74b0: dda65: goto D6c80; D9f0b: try { goto c6ed9; ecf97: $siteEntity = $this->getSiteEntity($domainName); goto A934e; De833: $pythonSettings = $form->getData(); goto e66cd; fcc14: EventQueue::addEvent(EventQueue::EVENT_SITE_PYTHON_SETTINGS_UPDATE, $user, $eventData, $request); goto A36b5; a437c: $domainName = $site->getDomainName(); goto ecf97; Eebf9: $response = $this->redirect($this->generateUrl("\x63\154\x70\x5f\163\151\164\145\x5f\x73\145\x74\164\151\156\147\x73", ["\144\x6f\155\141\151\x6e\116\x61\155\x65" => $site->getDomainName()])); goto Fd4ad; b01a3: $this->siteEntityManager->updateEntity($siteEntity); goto D1375; ed045: $siteUpdater->pythonSettings(); goto b01a3; d4366: $siteUpdater = $this->getSiteUpdater($site); goto fba7e; A5163: b3a1b: goto Eebf9; e66cd: $pythonVersion = $pythonSettings->getPythonVersion(); goto d4366; D1375: $eventData = ["\x73\x69\x74\x65" => $domainName, "\x70\171\x74\150\x6f\156\x56\145\x72\163\x69\x6f\156" => $pythonVersion, "\160\157\162\x74" => $pythonSettings->getPort()]; goto fcc14; F4f93: $session = $request->getSession(); goto a437c; A36b5: $session->getFlashBag()->set("\x73\x75\143\143\x65\x73\163", $this->translator->trans("\120\171\164\150\x6f\156\x20\123\x65\x74\164\151\156\147\163\40\x68\x61\166\145\40\x62\145\145\x6e\40\163\141\x76\145\144\x2e")); goto A5163; A934e: if (!(false === is_null($siteEntity))) { goto b3a1b; } goto De833; Fd4ad: return $response; goto Cf44b; fba7e: $siteUpdater->writePythonVersionFile(); goto ed045; c6ed9: $user = $this->getUser(); goto F4f93; Cf44b: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\141\x6e\x67\145\x72", $this->translator->trans("\x41\156\x20\145\162\x72\157\x72\x20\150\x61\163\40\x6f\143\143\x75\x72\x72\145\144\x2c\40\145\162\x72\157\162\x20\155\x65\x73\163\x61\147\145\72\40\45\145\162\162\157\162\x4d\145\x73\x73\141\x67\145\x25", ["\45\x65\x72\162\157\162\x4d\x65\x73\163\x61\x67\x65\x25" => $e->getMessage()])); } goto E74b0; ee5ea: goto dda65; goto F872d; D2333: $this->formErrors = $this->getErrorMessages($form); goto ee5ea; d9e81: if (true === $form->isValid()) { goto A1e52; } goto D2333; D6c80: } private function handleReverseProxySettingsForm(Request $request, Form $form, Site $site) { goto b94b1; Bb71b: goto e19f0; goto D66ac; D66ac: D9e4d: goto b084d; b084d: try { goto A7665; B2c1e: b842d: goto Bb472; A7665: $user = $this->getUser(); goto A5069; Dafb7: $siteEntity->setReverseProxyUrl($reverseProxyUrl); goto C6aca; Bb472: $response = $this->redirect($this->generateUrl("\x63\154\x70\137\163\x69\164\x65\x5f\163\x65\x74\164\151\156\147\x73", ["\x64\x6f\155\x61\151\x6e\116\141\x6d\x65" => $site->getDomainName()])); goto E8cd3; b141f: $session->getFlashBag()->set("\163\165\x63\x63\145\x73\163", $this->translator->trans("\x52\x65\x76\x65\x72\x73\145\40\120\162\x6f\170\x79\40\123\145\x74\164\151\x6e\x67\163\x20\150\141\166\145\40\142\x65\x65\156\x20\163\x61\166\x65\144\x2e")); goto B2c1e; E8cd3: return $response; goto ccbde; ed2a2: $this->siteEntityManager->updateEntity($siteEntity); goto A5e01; f345c: $site->setReverseProxyUrl($reverseProxyUrl); goto Dafb7; A5069: $session = $request->getSession(); goto f10aa; abc59: EventQueue::addEvent(EventQueue::EVENT_SITE_REVERSE_PROXY_SETTINGS_UPDATE, $user, $eventData, $request); goto b141f; A5e01: $eventData = ["\163\x69\x74\x65" => $domainName, "\162\145\166\x65\162\163\x65\120\x72\157\x78\x79\x55\162\154" => $reverseProxyUrl]; goto abc59; cbcde: if (!(false === is_null($siteEntity))) { goto b842d; } goto Fd35e; f10aa: $domainName = $site->getDomainName(); goto be31b; be31b: $siteEntity = $this->getSiteEntity($domainName); goto cbcde; Fd35e: $reverseProxyUrl = $form->get("\162\x65\x76\x65\162\x73\x65\x50\x72\157\170\171\x55\162\x6c")->getData(); goto f345c; E4289: $siteUpdater->updateNginxVhostWithRollback(); goto ed2a2; C6aca: $siteUpdater = $this->getSiteUpdater($site); goto E4289; ccbde: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\x64\x61\x6e\147\145\162", $this->translator->trans("\101\156\40\x65\x72\162\x6f\162\40\x68\x61\x73\40\157\143\x63\165\162\x72\145\x64\x2c\40\x65\x72\162\x6f\x72\40\155\x65\x73\x73\141\x67\x65\72\x20\x25\145\x72\162\157\x72\115\145\163\163\x61\147\145\x25", ["\x25\145\x72\162\x6f\x72\x4d\x65\163\163\x61\147\145\x25" => $e->getMessage()])); } goto F7cad; F4c5c: $this->formErrors = $this->getErrorMessages($form); goto Bb71b; F7cad: e19f0: goto B9935; b94b1: if (true === $form->isValid()) { goto D9e4d; } goto F4c5c; B9935: } private function handlePhpSettingsForm(Request $request, Form $form, PhpSettings $currentPhpSettings, Site $site) { goto Cadc8; F5f29: Ef4dc: goto Babcb; Cadc8: if (true === $form->isValid()) { goto Ef4dc; } goto ada60; Ecfe6: ff8ea: goto b945e; de0a5: goto ff8ea; goto F5f29; ada60: $this->formErrors = $this->getErrorMessages($form); goto de0a5; Babcb: try { goto Df91f; A6156: $phpSettings = $form->getData(); goto edba4; a1b3a: $session = $request->getSession(); goto c5f06; f39af: $siteUpdater = $this->getSiteUpdater($site); goto Ee043; f9977: $session->getFlashBag()->set("\x73\x75\143\143\x65\163\x73", $this->translator->trans("\120\x48\x50\40\123\145\x74\164\151\x6e\147\163\40\150\141\166\145\40\x62\145\145\156\x20\x73\x61\x76\145\x64\56")); goto E590e; Cddd3: $siteUpdater->changePhpVersion($currentPhpSettings->getPhpVersion(), $phpSettings->getPhpVersion()); goto d9bc2; D0dcb: if (!(false === is_null($siteEntity))) { goto D15a7; } goto A6156; Ea8dc: $siteEntity = $this->getSiteEntity($domainName); goto D0dcb; c5f06: $domainName = $site->getDomainName(); goto Ea8dc; d9bc2: B1541: goto f2231; Ee043: if (!(true === $hasPhpVersionChanged)) { goto B1541; } goto Cddd3; B8a17: $eventData = ["\163\x69\x74\x65" => $domainName, "\x70\x68\x70\126\x65\162\x73\151\157\x6e" => $phpSettings->getPhpVersion(), "\x6d\x65\155\157\162\171\137\x6c\x69\155\151\164" => $phpSettings->getMemoryLimit(), "\x6d\141\x78\x5f\x65\x78\145\143\165\164\151\157\x6e\x5f\x74\x69\155\145" => $phpSettings->getMaxExecutionTime(), "\155\x61\170\137\151\x6e\160\165\164\137\x74\x69\155\x65" => $phpSettings->getMaxInputTime(), "\155\141\x78\137\151\156\160\x75\164\x5f\x76\x61\x72\163" => $phpSettings->getMaxInputVars(), "\160\157\163\164\x5f\155\x61\170\x5f\163\x69\x7a\x65" => $phpSettings->getPostMaxSize(), "\165\x70\x6c\x6f\141\x64\137\155\x61\x78\137\146\151\154\x65\163\x69\172\145" => $phpSettings->getUploadMaxFileSize()]; goto E7f3f; Df91f: $user = $this->getUser(); goto a1b3a; edba4: $hasPhpVersionChanged = $currentPhpSettings->getPhpVersion() != $phpSettings->getPhpVersion(); goto f39af; E590e: D15a7: goto eccc9; A4602: $this->siteEntityManager->updateEntity($siteEntity); goto B8a17; f2231: $siteUpdater->phpSettings(); goto A4602; E7f3f: EventQueue::addEvent(EventQueue::EVENT_SITE_PHP_SETTINGS_UPDATE, $user, $eventData, $request); goto f9977; c1fa3: return $response; goto D0120; eccc9: $response = $this->redirect($this->generateUrl("\143\154\x70\x5f\x73\151\164\x65\x5f\x73\145\164\x74\151\156\147\x73", ["\x64\157\x6d\x61\151\156\116\141\x6d\145" => $site->getDomainName()])); goto c1fa3; D0120: } catch (\Exception $e) { $this->logger->exception($e); $session->getFlashBag()->set("\144\x61\x6e\x67\x65\x72", $this->translator->trans("\x41\x6e\40\145\162\162\x6f\x72\40\150\x61\163\40\157\143\x63\x75\162\x72\x65\x64\x2c\x20\x65\162\162\157\x72\x20\x6d\x65\x73\163\141\x67\x65\x3a\x20\x25\145\x72\x72\157\162\x4d\145\163\x73\x61\x67\145\x25", ["\45\x65\162\x72\157\x72\115\145\163\x73\x61\x67\145\45" => $e->getMessage()])); } goto Ecfe6; b945e: } private function getSite(Request $request) : ?Site { goto E1885; c91f3: if (!(UserEntity::ROLE_USER == $user->getRole() && false === $user->hasSite($siteEntity))) { goto ae064; } goto f4e78; c86d6: $site->setPageSpeedEnabled($siteEntity->getPageSpeedEnabled()); goto Cd9ef; D3520: $site->setUser($siteEntity->getUser()); goto abb09; F916e: $site->setSubdomain($subdomain); goto cde9b; b9b11: $site->setCertificate($siteEntity->getCertificate()); goto C54c0; Fd7c6: $site = null; goto bd05e; A535e: ae064: goto f5dc1; c983c: $site->setRegistrableDomain($registrableDomain); goto F916e; f6ecd: $site->setBasicAuth($siteEntity->getBasicAuth()); goto B35f9; f4e78: return null; goto A535e; abb09: $site->setDomainName($siteEntity->getDomainName()); goto c983c; ff005: $siteEntity = $this->getSiteEntity($domainName); goto Fd7c6; a546f: $subdomain = false === empty($subdomain) ? $subdomain : null; goto fb8b2; A0c20: switch ($siteType) { case SiteEntity::TYPE_NODEJS: goto C26eb; ff24b: goto D30aa; goto a1db8; aa7a2: $site->setNodejsSettings($siteEntity->getNodejsSettings()); goto ff24b; C26eb: $site = new NodejsSite(); goto aa7a2; a1db8: case SiteEntity::TYPE_STATIC: $site = new StaticSite(); goto D30aa; case SiteEntity::TYPE_PHP: goto ea227; C646b: $site->setVarnishCache($siteEntity->getVarnishCache()); goto Cd289; Cd289: goto D30aa; goto f4b61; ea227: $site = new PhpSite(); goto d9657; d9657: $site->setPhpSettings($siteEntity->getPhpSettings()); goto C646b; f4b61: case SiteEntity::TYPE_PYTHON: goto ccc9f; c3af8: $site->setPythonSettings($siteEntity->getPythonSettings()); goto be076; be076: goto D30aa; goto A05c5; ccc9f: $site = new PythonSite(); goto c3af8; A05c5: case SiteEntity::TYPE_REVERSE_PROXY: goto e8edc; e8edc: $site = new ReverseProxySite(); goto dde54; dde54: $site->setReverseProxyUrl($siteEntity->getReverseProxyUrl()); goto a021c; a021c: goto D30aa; goto A147c; A147c: } goto D7793; a7df7: D30aa: goto bf897; Cd9ef: $site->setPageSpeedSettings($siteEntity->getPageSpeedSettings()); goto Eb81e; ea884: $site->setFtpUsers($siteEntity->getFtpUsers()); goto e8df4; ba532: $subdomain = $resolvedDomainName->subDomain()->toString(); goto a546f; bd05e: if (!(false === is_null($siteEntity))) { goto D4ada; } goto c91f3; B35f9: $site->setBlockedBots($siteEntity->getBlockedBots()); goto Faf3c; f39ba: $site->setAllowTrafficFromCloudflareOnly($siteEntity->allowTrafficFromCloudflareOnly()); goto c86d6; Ca0ff: D4ada: goto E4f46; a5b76: $domainName = $request->get("\144\x6f\155\x61\151\x6e\x4e\x61\x6d\145"); goto ff005; ae15b: $site->setSshKeys($siteEntity->getSshKeys()); goto D1ada; fb8b2: $siteDatabases = $this->getSiteDatabases($siteEntity); goto D3520; bf897: if (!(false === is_null($site))) { goto d527b; } goto e35b1; Eb81e: d527b: goto Ca0ff; cde9b: $site->setRootDirectory($siteEntity->getRootDirectory()); goto f6ecd; C97c4: $site->setDatabases($siteDatabases); goto b9b11; E4f46: return $site; goto E75fe; Faf3c: $site->setBlockedIps($siteEntity->getBlockedIps()); goto C97c4; f5dc1: $siteType = $siteEntity->getType(); goto A0c20; e35b1: $resolvedDomainName = $this->domainNameParser->resolveDomainName($domainName); goto e0f2a; e8df4: $site->setSshUsers($siteEntity->getSshUsers()); goto ae15b; e0f2a: $registrableDomain = $resolvedDomainName->registrableDomain()->toString(); goto ba532; c797a: $site->setCronJobs($siteEntity->getCronJobs()); goto ea884; D1ada: $site->setVhostTemplate($siteEntity->getVhostTemplate()); goto f39ba; D7793: A6b01: goto a7df7; E1885: $user = $this->getUser(); goto a5b76; C54c0: $site->setCertificates($siteEntity->getCertificates()); goto c797a; E75fe: } private function getSiteDatabases(SiteEntity $siteEntity) : ?ArrayCollection { goto Ceac1; D5763: $databaseEntities = $siteEntity->getDatabases(); goto dd065; dd065: foreach ($databaseEntities as $databaseEntity) { goto ac791; ab738: $siteDatabases->add($databaseEntity); goto C2187; E2ba4: if (!($databaseServerEntity->getId() == $activeDatabaseServerEntity->getId())) { goto Aaa00; } goto ab738; C2187: Aaa00: goto A719f; ac791: $databaseServerEntity = $databaseEntity->getDatabaseServer(); goto E2ba4; A719f: C2a53: goto b52d4; b52d4: } goto Cadc4; f2af5: $activeDatabaseServerEntity = $this->databaseServerEntityManager->getActiveDatabaseServer(); goto D5763; Ceac1: $siteDatabases = new ArrayCollection(); goto f2af5; Cadc4: b8727: goto e9f0a; e9f0a: return $siteDatabases; goto e252b; e252b: } private function getSiteUpdater(Site $site) : ?SiteUpdater { goto aaa17; d70c3: a64a8: goto A6bda; B3061: $siteType = $site->getType(); goto E8fa7; aaa17: $siteUpdater = null; goto B3061; Bbaf8: d632b: goto d70c3; E8fa7: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteUpdater = new NodejsSiteUpdater($site); goto a64a8; case SiteEntity::TYPE_STATIC: $siteUpdater = new StaticSiteUpdater($site); goto a64a8; case SiteEntity::TYPE_PHP: $siteUpdater = new PhpSiteUpdater($site); goto a64a8; case SiteEntity::TYPE_PYTHON: $siteUpdater = new PythonSiteUpdater($site); goto a64a8; case SiteEntity::TYPE_REVERSE_PROXY: $siteUpdater = new ReverseProxySiteUpdater($site); goto a64a8; } goto Bbaf8; A6bda: return $siteUpdater; goto B2bd7; B2bd7: } protected function getSiteDeleter(Site $site) : ?SiteDeleter { goto d82d4; D2663: $siteType = $site->getType(); goto fb3f2; ef9c8: return $siteDeleter; goto be446; d82d4: $siteDeleter = null; goto D2663; D499d: d5c56: goto D20f4; fb3f2: switch ($siteType) { case SiteEntity::TYPE_NODEJS: $siteDeleter = new NodejsSiteDeleter($site); goto A5bb1; case SiteEntity::TYPE_STATIC: $siteDeleter = new StaticSiteDeleter($site); goto A5bb1; case SiteEntity::TYPE_PHP: $siteDeleter = new PhpSiteDeleter($site); goto A5bb1; case SiteEntity::TYPE_PYTHON: $siteDeleter = new PythonSiteDeleter($site); goto A5bb1; case SiteEntity::TYPE_REVERSE_PROXY: $siteDeleter = new ReverseProxySiteDeleter($site); goto A5bb1; } goto D499d; D20f4: A5bb1: goto ef9c8; be446: } private function getSiteEntity(string $domainName) : ?SiteEntity { $siteEntity = $this->siteEntityManager->findOneByDomainName($domainName); return $siteEntity; } }
