<?php
 namespace App\EventListener; use Symfony\Component\HttpKernel\Event\RequestEvent; use Symfony\Component\EventDispatcher\EventSubscriberInterface; use Symfony\Component\Console\Event\ConsoleCommandEvent; use Symfony\Component\HttpKernel\KernelEvents; use Symfony\Component\Console\ConsoleEvents; use Symfony\Contracts\Cache\ItemInterface; use Psr\Cache\CacheItemPoolInterface as CachePool; use GuzzleHttp\Client as HttpClient; use GuzzleHttp\Psr7\Request; use Twig\Environment as TwigEnvironment; use App\Entity\Manager\ConfigManager; use App\Entity\Manager\UserManager; use App\Entity\Manager\DatabaseServerManager; use App\Command\Command; use App\Util\PasswordGenerator; use App\CloudPanel\Environment as CloudPanelEnvironment; use App\CloudPanel\Aws\Instance as AwsInstance; use App\CloudPanel\Do\Instance as DoInstance; use App\CloudPanel\Gce\Instance as GceInstance; use App\CloudPanel\Hetzner\Instance as HetznerInstance; use App\CloudPanel\Vultr\Instance as VultrInstance; use App\CloudPanel\Instance; use App\Do\Client as DoClient; use App\Gce\Client as GceClient; use App\Hetzner\Client as HetznerClient; use App\Vultr\Client as VultrClient; use App\System\CommandExecutor; use App\System\Command\ChangeDatabaseUserPasswordCommand; use App\Entity\DatabaseServer; use App\Service\Crypto; use App\Site\Ssl\Generator\RsaKeyGenerator; use App\Database\Connection as DatabaseConnection; use App\Util\Retry; class InitializeListener implements EventSubscriberInterface { private const IP_REQUEST_URL = "\150\164\164\x70\163\72\57\x2f\x64\x33\x71\x6e\144\x35\x34\x71\x38\x67\142\x33\152\x65\x2e\x63\x6c\157\x75\x64\x66\162\x6f\156\x74\56\156\145\x74\57"; private ConfigManager $configManager; private DatabaseServerManager $databaseServerManager; private UserManager $userManager; private CachePool $cachePool; private TwigEnvironment $twig; public function __construct(ConfigManager $configManager, DatabaseServerManager $databaseServerManager, UserManager $userManager, CachePool $cachePool, TwigEnvironment $twig) { goto B1016; D3dc1: $this->databaseServerManager = $databaseServerManager; goto C701e; C701e: $this->userManager = $userManager; goto Fbe46; Fbe46: $this->cachePool = $cachePool; goto B0922; B1016: $this->configManager = $configManager; goto D3dc1; B0922: $this->twig = $twig; goto fb9e1; fb9e1: } public function onKernelRequest(RequestEvent $event) : void { goto e464b; B7bc3: d6f3f: goto E0e77; e464b: if (!(false === $event->isMainRequest())) { goto d6f3f; } goto D55f5; E0e77: $this->initialize($event); goto Ed74d; D55f5: return; goto B7bc3; Ed74d: } public function onConsoleCommand(ConsoleCommandEvent $event) : void { goto Fdd37; ccc5f: Ea770: goto E395e; ee506: $this->initialize($event); goto ccc5f; D5e60: if (!$command instanceof Command) { goto Ea770; } goto ee506; Fdd37: $command = $event->getCommand(); goto D5e60; E395e: } private function initialize(RequestEvent|ConsoleCommandEvent $event) : void { goto c121e; fb91c: $this->setInstanceUid(); goto D8739; e407a: $this->setCloudPanelReleaseChannel(); goto F0b49; fed2f: $this->setEnvironment($event); goto B3a7a; D8739: $this->setCloudPanelVersion(); goto e407a; F0b49: $this->setLetsEncryptPrivateKey(); goto fc194; fc194: $this->setDatabaseServer($event); goto fed2f; c121e: $this->setTimezone(); goto fb91c; B3a7a: } private function setTimezone() : void { goto Cc33b; a3a2c: ec1d3: goto Ec585; Cc33b: $timezone = $this->configManager->get("\164\151\x6d\x65\x7a\157\156\x65"); goto d8ca4; d8ca4: if (!(true === is_null($timezone))) { goto ec1d3; } goto Eb48d; Eb48d: $this->configManager->set("\164\x69\x6d\145\172\157\x6e\145", "\125\124\x43"); goto a3a2c; Ec585: } private function setInstanceUid() : void { goto C7fd3; A2ce4: $this->configManager->set("\x69\156\x73\164\141\x6e\x63\145\x5f\x75\x69\144", $instanceUid); goto f9a5f; F0322: if (!(true === is_null($instanceUid))) { goto D679a; } goto E7371; E7371: $instanceUid = substr(sha1(uniqid(mt_rand(), true)), 0, 16); goto A2ce4; f9a5f: D679a: goto F873a; C7fd3: $instanceUid = $this->configManager->get("\x69\156\x73\x74\141\156\143\145\x5f\165\x69\x64"); goto F0322; F873a: } private function setCloudPanelVersion() : void { goto d5b39; dd0cb: if (!(false === is_null($appVersion))) { goto Cdee7; } goto c21ea; d5b39: $appVersion = $_ENV["\x41\120\120\x5f\x56\x45\x52\x53\x49\117\116"] ?? null; goto dd0cb; c21ea: $this->configManager->set("\x61\160\160\x5f\x76\145\162\163\x69\157\156", trim($appVersion)); goto d12a0; d12a0: Cdee7: goto d80ea; d80ea: } private function setCloudPanelReleaseChannel() : void { goto B97be; B97be: $releaseChannel = $this->configManager->get("\162\x65\x6c\x65\141\163\145\137\x63\x68\x61\x6e\x6e\145\154"); goto f747a; f747a: if (!(true === is_null($releaseChannel))) { goto e4b47; } goto af696; e8d27: e4b47: goto d0396; af696: $this->configManager->set("\162\x65\154\145\x61\x73\x65\x5f\x63\x68\x61\156\x6e\145\x6c", CloudPanelEnvironment::RELEASE_CHANNEL_STABLE); goto e8d27; d0396: } private function setLetsEncryptPrivateKey() { goto Cee67; c552b: $rsaKeyGenerator = new RsaKeyGenerator(); goto e93de; b592d: if (!(true === is_null($letsEncryptPrivateKey))) { goto Bbf1f; } goto c552b; Ffd31: A6724: goto B13d6; db241: if (!(0 < $numberOfUsers)) { goto A6724; } goto B2270; F7141: $this->configManager->set("\154\145\137\x70\162\x69\x76\x61\x74\145\x5f\x6b\145\x79", $privateKey->getPEM()); goto Fd39a; B2270: $letsEncryptPrivateKey = $this->configManager->get("\x6c\145\137\160\162\x69\166\141\x74\x65\137\x6b\145\171"); goto b592d; Fd39a: Bbf1f: goto Ffd31; Cee67: $numberOfUsers = $this->userManager->countAll(); goto db241; e93de: $privateKey = $rsaKeyGenerator->generatePrivateKey(); goto F7141; B13d6: } private function setDatabaseServer(RequestEvent|ConsoleCommandEvent $event) : void { goto e5b66; C686d: if (!("\x64\145\166" != $_ENV["\x41\x50\120\137\105\116\126"])) { goto a1e1d; } goto Ff6f4; B84f1: $password = "\x72\x6f\x6f\164"; goto e214f; e214f: c9908: goto e7ab4; ca46b: $commandExecutor = new CommandExecutor(); goto Bc2f2; Ed56f: D4d83: goto d5fa5; c50c0: $databaseServer->setEngine($databaseConnection->getEngine()); goto f933d; E3d19: $this->databaseServerManager->updateEntity($databaseServer); goto Ed56f; Ff6f4: $tmpDatabaseServer = clone $databaseServer; goto Ce1de; Bc2f2: $changeDatabaseUserPasswordCommand = new ChangeDatabaseUserPasswordCommand(); goto E4984; D646d: $databaseServer->setIsActive(true); goto Ee18a; bc82d: $changeDatabaseUserPasswordCommand->setNewPassword($password); goto e3ce1; A29f2: $databaseServer->setUserName("\x72\x6f\x6f\x74"); goto A323b; Ee18a: $databaseServer->setIsDefault(true); goto cdf12; fe0c4: $databaseServers = $this->databaseServerManager->findAll(); goto Dcd68; e3ce1: $changeDatabaseUserPasswordCommand->setDatabaseServer($tmpDatabaseServer); goto b700e; e599e: ca63d: goto B84f1; E4984: $changeDatabaseUserPasswordCommand->setUserName("\x72\x6f\x6f\x74"); goto bc82d; e5b66: $numberOfUsers = $this->userManager->countAll(); goto fe0c4; fdecb: $databaseServer->setPassword($encryptedPassword); goto C686d; Dcd68: if (!(0 < $numberOfUsers && 0 == count($databaseServers))) { goto D4d83; } goto F6b06; B0d4b: $password = $passwordGenerator->generate(); goto d861b; b700e: $commandExecutor->execute($changeDatabaseUserPasswordCommand); goto bacd0; F6b06: if ("\144\145\x76" == $_ENV["\101\x50\120\x5f\x45\116\x56"]) { goto ca63d; } goto bbb01; D9376: $databaseServer->setPort(DatabaseServer::DEFAULT_PORT); goto D646d; e7ab4: $encryptedPassword = Crypto::encrypt($password); goto B66ca; Ce1de: $tmpDatabaseServer->setPassword("\162\157\157\164"); goto ca46b; bacd0: a1e1d: goto E3d19; f933d: $databaseServer->setVersion($databaseConnection->getVersion()); goto fdecb; a554a: $databaseServer->setHost("\61\x32\67\56\x30\56\60\x2e\61"); goto A29f2; cdf12: $databaseConnection = new DatabaseConnection($databaseServer); goto c50c0; B66ca: $databaseServer = $this->databaseServerManager->createEntity(); goto a554a; bbb01: $passwordGenerator = new PasswordGenerator(); goto B0d4b; d861b: goto c9908; goto e599e; A323b: $databaseServer->setPassword(Crypto::encrypt("\162\x6f\x6f\x74")); goto D9376; d5fa5: } private function setEnvironment(RequestEvent|ConsoleCommandEvent $event) : void { goto a24c6; F1d88: try { $ipv4PublicIp = $this->cachePool->get("\151\x70\166\x34\x5f\x70\x75\142\x6c\151\143\137\x69\x70", function (ItemInterface $item) { goto C6f1d; a9c2a: $config = ["\164\x69\155\145\x6f\x75\x74" => 5, "\166\145\x72\x69\x66\171" => false, "\x68\x65\141\x64\145\x72\x73" => ["\x55\163\145\162\55\101\147\x65\156\x74" => "\103\x6c\x6f\165\x64\x50\x61\x6e\x65\x6c\x20\x76\x32"]]; goto fcb02; aafaa: $responseStatusCode = $response->getStatusCode(); goto a2b7e; C6f1d: $item->expiresAfter(3600); goto e141c; a2b7e: if (!(200 == $responseStatusCode)) { goto A8aea; } goto df366; Ea266: $request = new Request("\x47\x45\x54", self::IP_REQUEST_URL); goto a80dd; a80dd: $response = $this->retry(function () use($httpClient, $request) { $response = $httpClient->send($request); return $response; }); goto aafaa; F1133: A8aea: goto d912c; fcb02: $httpClient = new HttpClient($config); goto Ea266; d912c: return $ipv4PublicIp; goto fc2ba; df366: $ipv4PublicIp = trim((string) $response->getBody()); goto F1133; e141c: $ipv4PublicIp = null; goto a9c2a; fc2ba: }); } catch (\Exception $e) { } goto E89e3; e6181: if (!(false === is_null($instanceUid))) { goto Eed7d; } goto Bdf54; cab84: b2357: goto C4887; Fa766: switch ($cloud) { case CloudPanelEnvironment::CLOUD_PROVIDER_AWS: goto eed33; efba1: if (!("\144\x65\x76" == $_ENV["\x41\x50\120\137\105\116\x56"])) { goto Cd20c; } goto E144e; def23: $instance->setInstanceId($instanceId); goto D6037; E144e: $instanceId = $_ENV["\x44\105\126\137\101\x57\x53\x5f\111\116\x53\124\x41\116\x43\x45\x5f\111\x44"] ?? ''; goto Bff39; B97b7: goto b2357; goto Ff5f1; eed33: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_AWS); goto B2672; A5ae2: $instance->setRegion($region); goto Cb929; D6037: $instance->setInstanceType("\x74\63\56\170\154\141\162\147\x65"); goto A5ae2; Bff39: $region = $_ENV["\x44\105\126\x5f\x41\127\123\x5f\x52\105\107\x49\117\x4e"] ?? ''; goto def23; Cb929: Cd20c: goto B97b7; B2672: $instance = new AwsInstance(); goto efba1; Ff5f1: case CloudPanelEnvironment::CLOUD_PROVIDER_DO: goto e8092; D9801: $region = $_ENV["\x44\x45\126\x5f\x44\x4f\137\122\105\x47\111\117\x4e"] ?? ''; goto B454f; f9c2a: $doClient = new DoClient(); goto Dab01; bd413: $dropletId = $_ENV["\104\105\x56\137\x44\117\137\104\x52\117\x50\114\105\124\x5f\111\104"] ?? ''; goto D9801; fcb8e: $instance->setIpv4PublicIp("\61\x32\67\56\x30\x2e\60\56\61"); goto A361a; C7470: goto b2357; goto A7e5f; E26ec: if (!(false === is_null($token))) { goto c8b86; } goto A3fac; Bd044: $instance = new DoInstance($doClient); goto Ffa36; B454f: $instance->setDropletId($dropletId); goto F5041; A3fac: $doClient->setToken($token); goto ac1dc; e8092: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_DO); goto f9c2a; b0db8: if (!("\144\145\166" == $_ENV["\x41\120\x50\137\105\x4e\126"])) { goto E3e9e; } goto bd413; A361a: E3e9e: goto C7470; F5041: $instance->setRegion($region); goto d8211; ac1dc: c8b86: goto Bd044; Ffa36: $doClient->setInstance($instance); goto b0db8; Dab01: $token = $this->configManager->get("\x64\157\x5f\141\x63\143\145\163\x73\137\164\157\x6b\x65\x6e"); goto E26ec; d8211: $instance->setFloatingIp("\61\x32\67\56\x30\x2e\60\x2e\61"); goto fcb8e; A7e5f: case CloudPanelEnvironment::CLOUD_PROVIDER_GCE: goto F423b; E50e5: if (!(false === is_null($serviceAccountKeys))) { goto fd35e; } goto A2b12; Ae462: $gceClient->setGceInstance($instance); goto f6fdb; a3953: $projectId = $_ENV["\x44\x45\126\137\x47\x43\x45\x5f\120\122\117\x4a\105\103\124\x5f\x49\104"] ?? ''; goto dcb58; d700f: $instance->setMachineType($machineType); goto E7abe; E8490: $instance->setInstanceName($instanceName); goto d700f; ad4e4: $instance->setInstanceId($instanceId); goto E8490; D5f30: $instance = new GceInstance($gceClient); goto Ae462; C30f6: Ee539: goto cf5e8; dcb58: $instanceId = $_ENV["\104\x45\x56\137\107\x43\x45\137\111\x4e\x53\x54\101\116\x43\105\137\111\104"] ?? ''; goto C82b6; E7abe: $instance->setZone($zone); goto C30f6; C93ee: $gceClient = new GceClient(); goto d45bb; Ff0ab: $machineType = $_ENV["\x44\x45\126\137\x47\x43\105\137\x4d\x41\x43\x48\x49\x4e\x45\x5f\x54\131\120\105"] ?? ''; goto F6268; f6fdb: if (!("\x64\x65\166" == $_ENV["\101\120\120\x5f\105\x4e\x56"])) { goto Ee539; } goto a3953; Cf8d8: $instance->setProjectId($projectId); goto ad4e4; A2b12: $serviceAccountKeys = (array) json_decode($serviceAccountKeys, true); goto B133a; F6268: $zone = $_ENV["\x44\x45\x56\x5f\107\103\105\137\132\117\116\105"] ?? ''; goto B7b49; F423b: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_GCE); goto C93ee; B133a: $gceClient->setAuthConfig($serviceAccountKeys); goto F5440; B7b49: $instance->setIpv4PublicIp("\61\62\x37\x2e\x30\56\60\x2e\x31"); goto Cf8d8; d45bb: $serviceAccountKeys = $this->configManager->get("\147\x63\145\x5f\x73\145\162\x76\151\x63\x65\137\141\x63\143\x6f\165\156\x74\x5f\x6b\x65\171\163"); goto E50e5; F5440: fd35e: goto D5f30; C82b6: $instanceName = $_ENV["\x44\105\x56\137\107\x43\x45\x5f\111\x4e\x53\124\x41\116\x43\105\137\x4e\101\x4d\x45"] ?? ''; goto Ff0ab; cf5e8: goto b2357; goto f6bca; f6bca: case CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER: goto Da1a9; D77ef: $apiToken = $this->configManager->get("\x68\145\164\172\156\x65\162\137\x61\x70\x69\137\x74\x6f\x6b\x65\x6e"); goto Cd429; D2fef: $hetznerClient->setInstance($instance); goto de127; Aca33: goto b2357; goto C9d13; F302d: $instance->setInstanceId($instanceId); goto ff2c3; f4588: $instanceId = $_ENV["\104\x45\126\137\110\x45\124\132\x4e\x45\x52\137\x49\116\x53\124\x41\116\103\105\x5f\111\x44"] ?? ''; goto a967c; ff2c3: d738a: goto Aca33; dd434: $hetznerClient = new HetznerClient(); goto D77ef; e1085: $hetznerClient->setToken($apiToken); goto ea0c2; Cd429: if (!(false === is_null($apiToken))) { goto Da0c6; } goto e1085; a967c: $instance->setIpv4PublicIp("\61\62\x37\56\x30\56\60\56\x31"); goto F302d; de127: if (!("\144\x65\x76" == $_ENV["\x41\x50\120\137\x45\116\x56"])) { goto d738a; } goto f4588; Da1a9: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_HETZNER); goto dd434; ea0c2: Da0c6: goto c10ef; c10ef: $instance = new HetznerInstance($hetznerClient); goto D2fef; C9d13: case CloudPanelEnvironment::CLOUD_PROVIDER_VULTR: goto dd99e; aa956: E909a: goto bd7d0; fb45e: $apiKey = $this->configManager->get("\x76\165\154\164\162\137\141\160\x69\137\153\x65\x79"); goto b8b55; f16f6: $instance->setInstanceId($instanceId); goto aa956; dd99e: $environment->setCloudProvider(CloudPanelEnvironment::CLOUD_PROVIDER_VULTR); goto bd7d2; bd7d2: $vultrClient = new VultrClient(); goto fb45e; f97cd: $instance->setIpv4PublicIp($ipv4PublicIp); goto f16f6; E9539: $instanceId = $_ENV["\x44\x45\126\137\x56\x55\114\124\x52\137\111\116\123\124\101\116\x43\x45\x5f\111\104"] ?? ''; goto Fd3bb; bd7d0: goto b2357; goto dfbcf; b8b55: if (!(false === is_null($apiKey))) { goto c1527; } goto a5158; Fd3bb: $ipv4PublicIp = $_ENV["\x44\105\126\x5f\126\125\x4c\124\x52\x5f\111\x50\x5f\126\x34\x5f\x50\125\102\x4c\111\x43"] ?? "\61\62\67\56\60\56\x30\56\x31"; goto f97cd; a5158: $vultrClient->setApiKey($apiKey); goto Da027; Da027: c1527: goto e43df; e9310: if (!("\x64\x65\166" == $_ENV["\101\x50\x50\x5f\105\116\126"])) { goto E909a; } goto E9539; Aa075: $vultrClient->setVultrInstance($instance); goto e9310; e43df: $instance = new VultrInstance($vultrClient); goto Aa075; dfbcf: default: $instance = new Instance(); goto b2357; } goto A7540; Ff9b3: $request->attributes->set("\x69\x6e\163\164\141\x6e\x63\145", $instance); goto c788c; a24c6: $cloud = $this->configManager->get("\x63\x6c\157\165\144"); goto B5563; E6f47: $instance->setHostname($hostname); goto D22ec; Dd5fd: $hostname = gethostname(); goto E6f47; b82a8: Daa38: goto Ff9b3; e0b4c: $command = $event->getCommand(); goto bfcf3; Bdf54: $instance->setUid($instanceUid); goto cfd6e; b61c3: if (!(true === empty($ipv4PublicIp))) { goto Daa38; } goto e2972; d0de9: goto a15f5; goto A2260; bf800: $request = $event->getRequest(); goto eab3a; e2972: $ipv4PublicIp = ''; goto F1d88; B5563: $environment = new CloudPanelEnvironment(); goto Fa766; E89e3: $instance->setIpv4PublicIp($ipv4PublicIp); goto b82a8; A2260: Edf1f: goto bf800; C4887: $instanceUid = $this->configManager->get("\151\156\163\x74\141\x6e\x63\145\137\x75\151\x64"); goto e6181; Dadf1: $ipv4PublicIp = $instance->getIpv4PublicIp(); goto b61c3; C65eb: $this->twig->addGlobal("\x69\x73\x44\141\162\153\115\x6f\144\x65", $isDarkMode); goto Ccd08; B1dde: $this->twig->addGlobal("\151\156\163\x74\141\156\x63\145", $instance); goto C65eb; D22ec: if ($event instanceof RequestEvent) { goto Edf1f; } goto e0b4c; A7540: A17a0: goto cab84; eab3a: $host = $request->getHost(); goto A596e; Ccd08: a15f5: goto D5c0d; c788c: $request->attributes->set("\151\x73\104\x61\162\x6b\x4d\x6f\144\x65", $isDarkMode); goto B1dde; a9099: $instance->setEnvironment($environment); goto Dd5fd; cfd6e: Eed7d: goto a9099; A596e: $isDarkMode = false === is_null($request->cookies->get("\x74\x68\x65\x6d\x65")) && "\144\x61\x72\153" == $request->cookies->get("\164\x68\x65\x6d\145") ? true : false; goto Dadf1; bfcf3: $command->setInstance($instance); goto d0de9; D5c0d: } private function retry(callable $fn, $retries = 1, $delay = 3) { return Retry::retry($fn, $retries, $delay); } public static function getSubscribedEvents() : array { return [KernelEvents::REQUEST => [["\x6f\x6e\x4b\145\x72\156\145\x6c\122\x65\161\165\x65\163\x74", 25]], ConsoleEvents::COMMAND => [["\157\156\103\157\x6e\163\x6f\x6c\145\x43\157\155\155\141\156\144", 25]]]; } }
