<?php
 namespace App\Site\Nginx\Vhost; use App\Site\Site; use App\Site\Nginx\Vhost\Processor\Processor; use App\Site\Nginx\Vhost\Processor\RootDirectory as RootDirectoryProcessor; use App\Site\Nginx\Vhost\Processor\ServerName as ServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectServerName as RedirectServerNameProcessor; use App\Site\Nginx\Vhost\Processor\RedirectDomain as RedirectDomainProcessor; use App\Site\Nginx\Vhost\Processor\NginxAccessLog as NginxAccessLogProcessor; use App\Site\Nginx\Vhost\Processor\NginxErrorLog as NginxErrorLogProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificateKey as NginxCertificateKeyProcessor; use App\Site\Nginx\Vhost\Processor\SslCertificate as NginxCertificateProcessor; use App\Site\Nginx\Vhost\Processor\Settings as SettingsProcessor; class Template { protected Site $site; protected ?string $content = null; protected array $placeholders = []; protected array $processors = []; public function __construct(Site $site) { $this->site = $site; $this->init(); } protected function init() : void { goto d2b31; Fdfd6: $this->addProcessor($certificateProcessor); goto B1a7f; d8b64: $this->addProcessor($nginxErrorLogProcessor); goto Fe44a; A2304: $this->addProcessor($serverNameProcessor); goto E94e8; f2e6c: $certificateProcessor = new NginxCertificateProcessor(); goto Af8e5; E94e8: $this->addProcessor($redirectServerNameProcessor); goto fa402; Ef547: $redirectDomainProcessor = new RedirectDomainProcessor(); goto ffb3b; c2ec5: $nginxErrorLogProcessor = new NginxErrorLogProcessor(); goto E697a; Fe44a: $this->addProcessor($certificateKeyProcessor); goto Fdfd6; E849f: $serverNameProcessor = new ServerNameProcessor(); goto C462d; fa402: $this->addProcessor($redirectDomainProcessor); goto a4aa6; a4aa6: $this->addProcessor($nginxAccessLogProcessor); goto d8b64; Af8e5: $settingsProcessor = new SettingsProcessor(); goto Cf327; d2b31: $rootDirectoryProcessor = new RootDirectoryProcessor(); goto E849f; B1a7f: $this->addProcessor($settingsProcessor); goto d28b5; C462d: $redirectServerNameProcessor = new RedirectServerNameProcessor(); goto Ef547; ffb3b: $nginxAccessLogProcessor = new NginxAccessLogProcessor(); goto c2ec5; Cf327: $this->addProcessor($rootDirectoryProcessor); goto A2304; E697a: $certificateKeyProcessor = new NginxCertificateKeyProcessor(); goto f2e6c; d28b5: } public function getSite() : Site { return $this->site; } public function setContent(string $content) : void { $this->content = $content; } public function getContent() : ?string { return $this->content; } public function build() : void { goto Ae808; ad31e: $placeholders = $this->getPlaceholders(); goto dc79d; e1614: Cee54: goto Ec839; dc79d: foreach ($placeholders as $placeholder) { goto fb77d; D5352: $processor = $processors[$placeholder]; goto c8cbb; c2703: if (!(true === $hasProcessor)) { goto e80ca; } goto D5352; b90ef: $this->removePlaceholder($placeholder); goto B2c22; A8d0d: aa983: goto dc5ba; fb77d: $hasProcessor = $this->hasProcessor($placeholder); goto c2703; B2c22: e80ca: goto A8d0d; fcee5: $this->content = $processor->process($this->content); goto b90ef; c8cbb: $processor->setSite($this->site); goto fcee5; dc5ba: } goto e1614; Ae808: $processors = $this->getProcessors(); goto ad31e; Ec839: } public function removeEmptyPlaceholders() : void { goto F0319; a4b5d: f091c: goto ea07c; Ac8c3: foreach ($placeholders as $placeholder) { $this->content = str_replace($placeholder, '', $this->content); a75a6: } goto a4b5d; F0319: $placeholders = $this->getPlaceholders(); goto Ac8c3; ea07c: } protected function hasProcessor(string $placeholder) : bool { return isset($this->processors[$placeholder]); } protected function getProcessors() : array { return $this->processors; } public function addProcessor(Processor $processor) : void { $this->processors[$processor->getPlaceholder()] = $processor; } public function resetProcessors() : void { $this->processors = []; } public function getPlaceholders() : array { goto c6b80; b5797: e2e15: goto A9b6d; A9b6d: return $this->placeholders; goto E6b82; d8bdd: if (!(true === isset($placeholders[0]) && count($placeholders[0]))) { goto d738c; } goto Cc2f9; A109d: foreach ($placeholders as $placeholder) { goto B97ac; B97ac: $placeholder = trim($placeholder); goto f26cd; d64c0: $this->addPlaceholder($placeholder); goto A35fb; A35fb: Fb619: goto Bf5de; f26cd: if (!(false === empty($placeholder))) { goto Fb619; } goto d64c0; Bf5de: f0056: goto afe8d; afe8d: } goto Fd2b1; Fd2b1: B758d: goto ebb42; c6b80: if (!(true === empty($this->placeholders))) { goto e2e15; } goto F39c4; ebb42: d738c: goto b5797; F39c4: preg_match_all("\x2f\x5b\173\173\x5d\x7b\62\175\x28\133\134\x73\141\55\172\101\x2d\132\x30\x2d\71\x5f\x5d\53\51\x5b\175\175\x5d\x7b\x32\x7d\57", $this->content, $placeholders); goto d8bdd; Cc2f9: $placeholders = $placeholders[0]; goto A109d; E6b82: } private function addPlaceholder(string $placeholder) : void { $this->placeholders[$placeholder] = $placeholder; } private function removePlaceholder(string $placeholder) : void { goto bafe0; aa7b9: unset($this->placeholders[$placeholder]); goto fc004; bafe0: if (!(true === isset($this->placeholders[$placeholder]))) { goto e740a; } goto aa7b9; fc004: e740a: goto b771f; b771f: } }
