<?php
 namespace App\Site; use App\System\Command\CopyFileCommand; use App\System\Command\DeleteFileCommand; use App\System\Command\NginxConfigTestCommand; use App\System\CommandExecutor; use App\System\Command\ChownCommand; use App\System\Command\ChmodCommand; use App\System\Command\FindChmodCommand; use App\System\Command\WriteFileCommand; use App\System\Command\CreateDirectoryCommand; use App\System\Command\DeleteDirectoryCommand; use App\System\Command\ChangeUserHomeDirectoryCommand; use App\System\Command\CreateUserCommand; use App\System\Command\DeleteUserCommand; use App\System\Command\ChangeUserPasswordCommand; use App\System\Command\CreateSymlinkCommand; use App\System\Command\ServiceReloadCommand; use App\Entity\BasicAuth as BasicAuthEntity; use App\Entity\Certificate as CertificateEntity; use App\Entity\FtpUser as FtpUserEntity; use App\Entity\SshUser as SshUserEntity; use App\Entity\Site as SiteEntity; use App\Site\Ssl\LetsEncrypt\CertificateOrder; use App\Site\Nginx\Exception\InvalidVhostException; use App\Site\Nginx\Vhost\StaticTemplate; use App\Site\Nginx\Vhost\NodejsTemplate; use App\Site\Nginx\Vhost\PhpTemplate; use App\Site\Nginx\Vhost\PythonTemplate; use App\Site\Nginx\Vhost\ReverseProxyTemplate; abstract class Updater { public const NGINX_BASIC_AUTH_DIRECTORY = "\57\x65\x74\143\x2f\156\147\151\156\x78\57\142\141\x73\x69\143\x2d\141\165\164\x68\57"; public const NGINX_VHOST_DIRECTORY = "\57\145\x74\x63\57\x6e\x67\151\x6e\170\57\x73\151\x74\145\x73\55\x65\x6e\x61\x62\x6c\145\x64\x2f"; public const NGINX_SSL_CERTIFICATES_DIRECTORY = "\x2f\145\164\x63\x2f\x6e\x67\151\156\170\x2f\163\163\154\55\143\x65\162\164\151\146\x69\143\141\164\145\x73\57"; public const CRON_DIRECTORY = "\57\145\x74\x63\57\143\x72\157\x6e\x2e\x64\57"; protected Site $site; protected CommandExecutor $commandExecutor; public function __construct(Site $site) { $this->site = $site; $this->commandExecutor = new CommandExecutor(); } public function domainSettings() : void { $this->updateNginxVhost(); $this->reloadNginxService(); } public function updateNginxVhost() : void { goto dd386; c76b8: $vhostTemplate->removeEmptyPlaceholders(); goto e5cdd; af93a: $vhostTemplate->setContent($vhostFileContent); goto Bb56c; C4b6e: D1a80: goto af93a; fb772: $writeVhostFileCommand = new WriteFileCommand(); goto C848f; dd386: $domainName = $this->site->getDomainName(); goto B102f; aa03f: $this->commandExecutor->execute($writeVhostFileCommand); goto E0343; Ead2f: cf745: goto C4b6e; C848f: $writeVhostFileCommand->setFile($vhostFile); goto e29f4; f4542: $vhostTemplate->build(); goto c76b8; A84b7: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto D1a80; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto D1a80; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto D1a80; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto D1a80; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto D1a80; } goto Ead2f; B102f: $vhostFileContent = $this->site->getVhostTemplate(); goto A84b7; e5cdd: $vhostContent = $vhostTemplate->getContent(); goto fb772; Bb56c: $vhostFile = sprintf("\x25\163\57\45\x73\56\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto f4542; e29f4: $writeVhostFileCommand->setContent($vhostContent); goto aa03f; E0343: } public function updateNginxVhostWithRollback() : void { try { goto e4290; ba890: $this->commandExecutor->execute($writeVhostFileCommand); goto e611f; f2c89: $vhostFile = sprintf("\x25\163\57\45\x73\x2e\143\x6f\x6e\x66", rtrim(self::NGINX_VHOST_DIRECTORY, "\x2f"), $domainName); goto b9280; B23cb: $vhostTemplate->setContent($vhostFileContent); goto f2c89; ef79f: $vhostBackupFile = sprintf("\45\163\x2f\45\163\56\x63\157\x6e\x66\56\142\141\x6b", rtrim(self::NGINX_VHOST_DIRECTORY, "\57"), $domainName); goto d6ae1; d6ae1: $copyVhostBackupFileCommand = new CopyFileCommand(); goto ef14e; A4a50: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto b98e2; B622e: $vhostFileContent = $this->site->getVhostTemplate(); goto b57d1; b5e9c: $this->commandExecutor->execute($reloadNginxServiceCommand); goto B10d3; C4295: F55f4: goto Fb96a; Aa782: $reloadNginxServiceCommand->setServiceName("\x6e\147\x69\x6e\x78"); goto b5e9c; D4117: $this->commandExecutor->execute($copyVhostBackupFileCommand); goto ba890; fab16: $deleteVhostBackupFileCommand = new DeleteFileCommand(); goto f3c92; b57d1: switch ($this->site->getType()) { case SiteEntity::TYPE_PHP: $vhostTemplate = new PhpTemplate($this->site); goto Ba3e5; case SiteEntity::TYPE_NODEJS: $vhostTemplate = new NodejsTemplate($this->site); goto Ba3e5; case SiteEntity::TYPE_STATIC: $vhostTemplate = new StaticTemplate($this->site); goto Ba3e5; case SiteEntity::TYPE_PYTHON: $vhostTemplate = new PythonTemplate($this->site); goto Ba3e5; case SiteEntity::TYPE_REVERSE_PROXY: $vhostTemplate = new ReverseProxyTemplate($this->site); goto Ba3e5; } goto C4295; ef14e: $copyVhostBackupFileCommand->setSourceFile($vhostFile); goto a997e; de548: $vhostContent = $vhostTemplate->getContent(); goto ef79f; a997e: $copyVhostBackupFileCommand->setDestinationFile($vhostBackupFile); goto cf5d9; f3c92: $deleteVhostBackupFileCommand->setFile($vhostBackupFile); goto D4117; B10d3: A637e: goto A4a50; cf5d9: $writeVhostFileCommand = new WriteFileCommand(); goto A05dd; e8e29: $reloadNginxServiceCommand = new ServiceReloadCommand(); goto Aa782; C6bcf: $nginxConfigTestCommand = new NginxConfigTestCommand(); goto fab16; d84cf: if (!("\x64\145\166" != $_ENV["\x41\x50\120\137\x45\116\126"])) { goto A637e; } goto e8e29; A05dd: $writeVhostFileCommand->setFile($vhostFile); goto F33fb; b9280: $vhostTemplate->build(); goto db72a; db72a: $vhostTemplate->removeEmptyPlaceholders(); goto de548; F33fb: $writeVhostFileCommand->setContent($vhostContent); goto C6bcf; e611f: $this->commandExecutor->execute($nginxConfigTestCommand); goto d84cf; e4290: $domainName = $this->site->getDomainName(); goto B622e; Fb96a: Ba3e5: goto B23cb; b98e2: } catch (\Exception $e) { goto B1165; aef49: a1ee6: goto Aebaa; E73ad: if (!(true === isset($nginxConfigTestCommand))) { goto b4773; } goto C09ce; D16f1: if (!(true === isset($reloadNginxServiceCommand))) { goto a1ee6; } goto b3544; c62c1: b4773: goto d0035; d0035: $restoreBackupFileCommand = new CopyFileCommand(); goto C800c; C800c: $restoreBackupFileCommand->setSourceFile($vhostBackupFile); goto f1254; B1165: $errorMessage = $e->getMessage(); goto E73ad; Aebaa: $this->commandExecutor->execute($deleteVhostBackupFileCommand); goto d0692; C09ce: $errorMessage = $nginxConfigTestCommand->getOutput(); goto c62c1; d0692: throw new InvalidVhostException($errorMessage); goto D947b; f1254: $restoreBackupFileCommand->setDestinationFile($vhostFile); goto cebf1; cebf1: $this->commandExecutor->execute($restoreBackupFileCommand); goto D16f1; b3544: $this->commandExecutor->execute($reloadNginxServiceCommand); goto aef49; D947b: } } public function createSshUser(SshUserEntity $sshUserEntity) : void { goto d6dec; C0083: $sshDirectoryChmodCommand = new FindChmodCommand(); goto Ca474; Ca474: $sshDirectoryChmodCommand->setFile($sshDirectory); goto Df3de; a9447: $createUserCommand->setShell("\x2f\x62\151\156\57\142\x61\x73\150"); goto c1157; F6306: $createUserCommand->setHomeDirectory($homeDirectory); goto A262e; a382c: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\155\x65\x2f\x25\163", $siteUser); goto b104c; fba98: $sshUserPassword = $sshUserEntity->getPassword(); goto A8706; c8073: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto a493b; ff808: $this->commandExecutor->execute($createUserCommand); goto Fe783; D3246: $skeletonDirectory = realpath(dirname(__FILE__) . "\57\56\56\x2f\56\56\x2f\x72\x65\163\x6f\165\x72\x63\x65\163\57\145\x74\x63\x2f\163\153\145\x6c\57\163\163\x68\x2d\165\163\x65\162\x2f"); goto F7ff0; d339a: $createUserCommand->setPassword($sshUserPassword); goto c7f66; a493b: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto f193f; f193f: $this->commandExecutor->execute($sshDirectoryChmodCommand); goto fecbe; A262e: $createUserCommand->createHomeDirectory(true); goto ff808; c7f66: $createUserCommand->setGroup($siteUser); goto a9447; Bb7fd: $siteUser = $site->getUser(); goto d90e5; b104c: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto C5788; ad88c: $sshDirectoryChmodCommand->setFileChmod(600); goto a382c; D19ba: $sshDirectory = sprintf("\x2f\150\x6f\x6d\145\57\x25\x73\57\x2e\163\163\150", $sshUserName); goto C0083; d6dec: $site = $sshUserEntity->getSite(); goto Bb7fd; eb59e: $createUserCommand->setUserName($sshUserName); goto d339a; Df3de: $sshDirectoryChmodCommand->setDirectoryChmod(700); goto ad88c; c1157: $createUserCommand->setSkeletonDirectory($skeletonDirectory); goto F6306; Ff284: be020: goto D19ba; fecbe: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto d33cf; F7ff0: $createUserCommand = new CreateUserCommand(); goto eb59e; A8706: $homeDirectory = sprintf("\x2f\150\157\x6d\145\57\x25\x73", $sshUserName); goto D3246; d90e5: $sshUserName = $sshUserEntity->getUserName(); goto fba98; ff676: foreach ($symlinkDirectories as $symlinkDirectory) { goto F90a4; F90a4: $source = sprintf("\57\x68\x6f\x6d\x65\x2f\x25\x73\57\45\x73", $siteUser, $symlinkDirectory); goto De933; De933: $destination = sprintf("\x2f\x68\x6f\155\145\57\x25\163\57\x25\163", $sshUserName, $symlinkDirectory); goto C05e0; fde26: $symlinkCommand->setDestination($destination); goto a9d4c; C05e0: $symlinkCommand = new CreateSymlinkCommand(); goto bc6c2; baf44: C70a8: goto Bc0b2; D9d00: $this->commandExecutor->execute($symlinkCommand); goto Bd00b; Ee31e: $symlinkCommand->setSource($source); goto fde26; bc6c2: $symlinkCommand->setRunAsUser($sshUserName); goto Ee31e; Bd00b: Bc205: goto baf44; a9d4c: if (!("\x64\145\x76" != $_ENV["\x41\120\120\x5f\x45\x4e\x56"])) { goto Bc205; } goto D9d00; Bc0b2: } goto Ff284; C5788: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto c8073; Fe783: $symlinkDirectories = ["\142\x61\x63\x6b\x75\x70\x73", "\x68\164\144\157\143\163", "\154\x6f\147\163"]; goto ff676; d33cf: } public function createFtpUser(FtpUserEntity $ftpUserEntity) : void { goto e8936; Ec1d9: $createUserCommand->setHomeDirectory($homeDirectory); goto f4cbb; c5a29: $createUserCommand->setGroups(["\146\164\160\55\165\x73\x65\x72"]); goto A8c91; ca1bb: $ftpUserPassword = $ftpUserEntity->getPassword(); goto F8931; e8936: $site = $ftpUserEntity->getSite(); goto d4cad; d4cad: $siteUser = $site->getUser(); goto Ce57f; deeb4: $this->commandExecutor->execute($createUserCommand); goto F5c2c; F5c2c: $this->commandExecutor->execute($changeSiteUserHomeDirectoryPermissionsCommand); goto de0e5; F5947: $createUserCommand->setPassword($ftpUserPassword); goto E80db; A8c91: $createUserCommand->setShell("\x2f\x62\x69\156\57\146\141\154\x73\145"); goto Ec1d9; f4cbb: $createUserCommand->createHomeDirectory(false); goto b29da; D7157: $changeSiteUserHomeDirectoryPermissionsCommand = new ChmodCommand(); goto c7757; Bf420: $createUserCommand = new CreateUserCommand(); goto Dd637; c7757: $changeSiteUserHomeDirectoryPermissionsCommand->setFile($siteUserHomeDirectory); goto b11d9; b11d9: $changeSiteUserHomeDirectoryPermissionsCommand->setRecursive(false); goto bee4a; F8931: $homeDirectory = $ftpUserEntity->getHomeDirectory(); goto Bf420; Dd637: $createUserCommand->setUserName($ftpUserName); goto F5947; b29da: $siteUserHomeDirectory = sprintf("\x2f\x68\x6f\x6d\145\x2f\45\163", $siteUser); goto D7157; E80db: $createUserCommand->setGroup($siteUser); goto c5a29; bee4a: $changeSiteUserHomeDirectoryPermissionsCommand->setChmod(750); goto deeb4; Ce57f: $ftpUserName = $ftpUserEntity->getUserName(); goto ca1bb; de0e5: } public function deleteUser(string $userName, $removeHomeDirectory = true) : void { goto f8911; f8911: $deleteUserCommand = new DeleteUserCommand(); goto d5f37; C3f3c: $this->commandExecutor->execute($deleteUserCommand); goto Af368; e1fe8: $deleteUserCommand->setRemoveHomeDirectory($removeHomeDirectory); goto C3f3c; d5f37: $deleteUserCommand->setUserName($userName); goto e1fe8; Af368: } public function installCertificate(CertificateEntity $certificateEntity) : void { goto de024; Da52a: $writePrivateKeyFileCommand->setContent($certificateEntity->getPrivateKey()); goto a4767; B33ac: $this->commandExecutor->execute($writePrivateKeyFileCommand); goto fc184; a0f4e: $this->reloadService("\x6e\147\x69\x6e\170"); goto Cf915; a4767: $writeCertificateFileCommand = new WriteFileCommand(); goto F4490; F4490: $writeCertificateFileCommand->setFile($certificateFile); goto e7a35; e7a35: $writeCertificateFileCommand->setContent($certificate); goto B33ac; c93bd: $writePrivateKeyFileCommand->setFile($privateKeyFile); goto Da52a; fc184: $this->commandExecutor->execute($writeCertificateFileCommand); goto a0f4e; Fb887: $certificate = $certificateEntity->getCertificate(); goto A1f46; de024: $domainName = $this->site->getDomainName(); goto F1172; A23de: $writePrivateKeyFileCommand = new WriteFileCommand(); goto c93bd; d42a5: $certificateFile = sprintf("\x25\x73\57\x25\163\x2e\x63\x72\164", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\x2f"), $domainName); goto Fb887; A7f13: f5c1a: goto A23de; A1f46: if (!(false === empty($certificateEntity->getCertificateChain()))) { goto f5c1a; } goto D5441; F1172: $privateKeyFile = sprintf("\x25\x73\57\45\163\56\x6b\x65\x79", rtrim(self::NGINX_SSL_CERTIFICATES_DIRECTORY, "\57"), $domainName); goto d42a5; D5441: $certificate .= sprintf("\x25\163\x25\x73", PHP_EOL, trim($certificateEntity->getCertificateChain())); goto A7f13; Cf915: } public function deleteLetsEncryptChallengeDirectory() : void { goto fe4f6; fe4f6: $rootDirectory = $this->getRootDirectory(); goto d2f16; d2f16: $acemeChallengeDirectory = sprintf("\x25\x73\57\56\x77\x65\x6c\x6c\x2d\153\156\x6f\167\156\57\141\143\x6d\145\55\x63\150\x61\x6c\x6c\145\156\x67\145\x2f", rtrim($rootDirectory, "\x2f")); goto afeea; F8539: $this->commandExecutor->execute($deleteAcmeChallengeDirectoryCommand); goto e7e60; f9b0e: $deleteAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto F8539; afeea: $deleteAcmeChallengeDirectoryCommand = new DeleteDirectoryCommand(); goto f9b0e; e7e60: } public function createBasicAuthFile(BasicAuthEntity $basicAuthEntity) : void { goto E8772; b95a8: $writeBasicAuthFileCommand->setFile($basicAuthFile); goto d4df5; Cf8d0: $writeBasicAuthFileCommand = new WriteFileCommand(); goto b95a8; E8772: $basicAuthFile = sprintf("\x25\x73\x2f\45\x73", rtrim(self::NGINX_BASIC_AUTH_DIRECTORY, "\57"), $this->site->getDomainName()); goto a39ab; d4df5: $writeBasicAuthFileCommand->setContent($basicAuthFileContent); goto A282a; a39ab: $basicAuthFileContent = sprintf("\45\x73\72\x25\163", $basicAuthEntity->getUserName(), crypt($basicAuthEntity->getPassword(), base64_encode($basicAuthEntity->getPassword()))); goto Cf8d0; A282a: $this->commandExecutor->execute($writeBasicAuthFileCommand); goto c6065; c6065: } public function createLetsEncryptChallengeFiles(CertificateOrder $certificateOrder) : void { goto D53df; Ab0cd: $chownWellKnownDirectoryCommandCommand->setGroup($siteUser); goto E6d9f; Ac5d9: $createAcmeChallengeDirectoryCommand = new CreateDirectoryCommand(); goto Ad66c; cf7c5: $chmodWellKnownDirectoryCommand->setFileChmod(770); goto a57d8; d1fc1: foreach ($challenges as $challenge) { goto c9c2e; B60c6: if (!(false === is_null($token) && false === is_null($verificationContent))) { goto D0fd6; } goto f712a; f9687: $verificationContent = $challenge["\x76\x65\x72\x69\146\151\x63\x61\x74\151\157\156\x43\x6f\156\x74\x65\156\164"] ?? null; goto B60c6; b8d58: E7708: goto d8ceb; c9c2e: $token = $challenge["\x74\157\x6b\145\x6e"] ?? null; goto f9687; F44f0: D0fd6: goto b8d58; f712a: $challengeFile = sprintf("\45\163\x2f\x25\x73", rtrim($acemeChallengeDirectory, "\x2f"), $token); goto ed857; a92cf: $challengeWriteFileCommand->setContent($verificationContent); goto Aa53c; Aa53c: $this->commandExecutor->execute($challengeWriteFileCommand); goto F44f0; ed857: $challengeWriteFileCommand = new WriteFileCommand(); goto eb582; eb582: $challengeWriteFileCommand->setFile($challengeFile); goto a92cf; d8ceb: } goto c4828; A0123: $this->commandExecutor->execute($chmodWellKnownDirectoryCommand); goto E88d1; be62c: $chmodWellKnownDirectoryCommand->setDirectoryChmod(750); goto cf7c5; Adfce: $chmodWellKnownDirectoryCommand->setFile($wellKnownDirectory); goto be62c; B85aa: $challenges = $certificateOrder->getAuthorizationsChallenges(); goto Ac5d9; D53df: $siteUser = $this->site->getUser(); goto ecca5; C1111: $chownWellKnownDirectoryCommandCommand->setUser($siteUser); goto Ab0cd; ecca5: $rootDirectory = $this->getRootDirectory(); goto Ca61d; bbc8f: Ec576: goto a0f17; Ad66c: $createAcmeChallengeDirectoryCommand->setDirectory($acemeChallengeDirectory); goto F55c2; Ca61d: $wellKnownDirectory = sprintf("\45\x73\57\56\x77\x65\x6c\154\55\153\156\x6f\167\156\57", rtrim($rootDirectory, "\57")); goto F216d; F55c2: $this->commandExecutor->execute($createAcmeChallengeDirectoryCommand); goto c23ae; a0f17: $chownWellKnownDirectoryCommandCommand = new ChownCommand(); goto bdb4e; b89d4: $chownWellKnownDirectoryCommandCommand->setRecursive(true); goto C1111; c23ae: if (!count($challenges)) { goto Ec576; } goto d1fc1; a57d8: $this->commandExecutor->execute($chownWellKnownDirectoryCommandCommand); goto A0123; c4828: B09f7: goto bbc8f; F216d: $acemeChallengeDirectory = sprintf("\x25\x73\x2f\x2e\167\x65\x6c\154\x2d\153\156\x6f\167\156\x2f\141\143\155\145\x2d\143\x68\141\154\x6c\x65\156\x67\x65\x2f", rtrim($rootDirectory, "\57")); goto B85aa; bdb4e: $chownWellKnownDirectoryCommandCommand->setFile($wellKnownDirectory); goto b89d4; E6d9f: $chmodWellKnownDirectoryCommand = new FindChmodCommand(); goto Adfce; E88d1: } public function updateUserCrontab() : void { goto c5a40; d9f7f: $cronJobs = $this->site->getCronJobs(); goto bfd20; f14e0: $this->commandExecutor->execute($writeCrontabFileCommand); goto c7bb8; e68b7: $crontabFile = sprintf("\45\163\x2f\45\x73", rtrim(self::CRON_DIRECTORY, "\57"), $siteUser); goto A5f57; ca0d7: foreach ($cronJobs as $cronJob) { $crontabEntries[] = $cronJob->getCrontabExpression(); dc704: } goto ef8e4; Ba117: f2e62: goto ac0aa; b09b4: $writeCrontabFileCommand->setFile($crontabFile); goto a7970; ac0aa: $crontabContent = implode(PHP_EOL, $crontabEntries); goto bc629; a7970: $writeCrontabFileCommand->setContent($crontabContent); goto f14e0; ef8e4: d0715: goto Ba117; bc629: $writeCrontabFileCommand = new WriteFileCommand(); goto b09b4; c5a40: $siteUser = $this->site->getUser(); goto e68b7; bfd20: if (!count($cronJobs)) { goto f2e62; } goto ca0d7; A5f57: $crontabEntries = ["\115\101\x49\114\124\117\x3d\42\42"]; goto d9f7f; c7bb8: } public function purgePageSpeedCache() : void { goto c74b9; de2bb: $this->commandExecutor->execute($purgePageSpeedCacheFilesCommand, 300); goto df8de; b857c: $purgePageSpeedCacheFilesCommand = new DeleteDirectoryCommand(); goto A5915; A5915: $purgePageSpeedCacheFilesCommand->setDirectory($cacheDirectory); goto de2bb; c74b9: $siteUser = $this->site->getUser(); goto Db9c4; Db9c4: $cacheDirectory = sprintf("\x2f\150\x6f\155\145\57\45\x73\x2f\164\155\x70\57\160\141\x67\145\163\x70\x65\145\x64\x5f\143\x61\x63\150\x65", $siteUser); goto b857c; df8de: } public function updateUserSShKeys(string $userName, $sshKeys) : void { goto Ab621; D8a25: $writeAuthorizedKeysFileCommand = new WriteFileCommand(); goto cce18; cce18: $writeAuthorizedKeysFileCommand->setFile($authorizedKeysFile); goto A9096; A9763: $this->commandExecutor->execute($writeAuthorizedKeysFileCommand); goto Bd53b; Ab621: $authorizedKeysFile = sprintf("\x2f\x68\x6f\155\x65\x2f\45\x73\57\56\x73\163\x68\x2f\x61\165\164\150\157\x72\151\172\145\x64\x5f\153\x65\171\163", $userName); goto D8a25; A9096: $writeAuthorizedKeysFileCommand->setContent($sshKeys); goto A9763; Bd53b: } public function changeUserHomeDirectory(string $userName, string $homeDirectory) : void { goto A38a0; a7d62: $changeUserHomeDirectoryCommand->setHomeDirectory($homeDirectory); goto B2743; A40fc: $changeUserHomeDirectoryCommand->setUserName($userName); goto a7d62; B2743: $this->commandExecutor->execute($changeUserHomeDirectoryCommand); goto b0c22; A38a0: $changeUserHomeDirectoryCommand = new ChangeUserHomeDirectoryCommand(); goto A40fc; b0c22: } public function changeUserPassword(string $userName, string $password) : void { goto F149b; F9a77: $changeUserPasswordCommand->setPassword($password); goto C79f7; C79f7: $this->commandExecutor->execute($changeUserPasswordCommand); goto facab; F149b: $changeUserPasswordCommand = new ChangeUserPasswordCommand(); goto B64d9; B64d9: $changeUserPasswordCommand->setUserName($userName); goto F9a77; facab: } protected function getRootDirectory() : string { goto Ff706; ed771: $rootDirectory = $this->site->getRootDirectory(); goto D0583; Ff706: $siteUser = $this->site->getUser(); goto ed771; Ddb19: return $rootDirectory; goto B12c2; D0583: $rootDirectory = sprintf("\x2f\150\157\155\x65\x2f\x25\163\57\150\x74\x64\x6f\x63\163\57\45\x73", $siteUser, $rootDirectory); goto Ddb19; B12c2: } public function reloadNginxService() : void { $this->reloadService("\156\147\x69\x6e\170"); } public function reloadService($serviceName) { goto C97bb; cad70: A67c0: goto Ebd87; Dba73: $this->commandExecutor->execute($reloadServiceCommand); goto cad70; F95ec: $reloadServiceCommand = new ServiceReloadCommand(); goto Da614; C97bb: if (!("\144\x65\x76" != $_ENV["\101\120\120\137\105\116\x56"])) { goto A67c0; } goto F95ec; Da614: $reloadServiceCommand->setServiceName($serviceName); goto Dba73; Ebd87: } }
